PART ONE:  Chapter 3
QUICK START
(Also contained in the disk file "13QUICK.MAN".)
 
 
Last revision:  November 1993.
 
 
 
CONTENTS OF CHAPTER 3
 
    1.   BARE BONES FACTS FOR GETTING
         STARTED. . . . . . . . . . . . . . . 1-3.19
    2.   QUICK ADJUSTMENT OF SPEECH RATE. . . 1-3.19
    3.   QUICK ADJUSTMENT OF VOLUME . . . . . 1-3.20
    4.   SAVING SPEECH RATE AND VOLUME
         SETTINGS . . . . . . . . . . . . . . 1-3.21
    5.   SILENCING SPEECH . . . . . . . . . . 1-3.21
    6.   SPECIAL USE OF THE "INSERT" KEY. . . 1-3.22
    7.   EXPLORING THE KEYBOARD WITH HELP
         MODE . . . . . . . . . . . . . . . . 1-3.23
    8.   BASIC READING FUNCTIONS OF THE
         SPEECH PAD . . . . . . . . . . . . . 1-3.23
    9.   SCREEN READING TUTORIAL. . . . . . . 1-3.25
    10.  BYPASSING THE JAWS SCREEN READING
         KEYS . . . . . . . . . . . . . . . . 1-3.27
    11.  MASTERING JAWS . . . . . . . . . . . 1-3.27
1.  BARE BONES FACTS FOR GETTING STARTED
 
    Now that JAWS and your synthesizer are functioning, it may be
necessary to adjust a few of the synthesizer settings to make the speech
more intelligible.  This chapter presents basic information about
adjusting a few of the synthesizer settings, saving the new synthesizer
settings for later use, and using basic screen reading commands.  We
are only presenting the information that is needed to get you started. 
This chapter should not be used as a reference once you have become
familiar with JAWS.  Comprehensive information about screen reading
functions, adjustment of speech synthesizer settings, and the use of
special configuration files are fully explained in PART TWO of this
manual.
 
 
2.  QUICK ADJUSTMENT OF SPEECH RATE
 
    If you find that your speech synthesizer is speaking too fast or too
slow, then follow these steps to change the speed at which words are
spoken.
 
a.  Press CONTROL + / (to activate the JAWS Menu System).  The
    SLASH key is located just under the semicolon key.
 
b.  Press V (to enter the voice menu).
 
c.  Press G (to enter the global voice sub menu).  
 
d.  Press R (to enter the menu for speech rate).  
 
e.  Use the LEFT ARROW and RIGHT ARROW to adjust the speech
    rate.  The RIGHT ARROW selects higher numbers and makes the
    synthesizer speak faster.
 
f.  Once the cursor is on the speech rate you desire, then press
    ENTER to select the new setting.
 
g.  Press PAGE UP (to exit the JAWS Menu System).
 
 
3.  QUICK ADJUSTMENT OF VOLUME
 
    Most speech synthesizers have a dial or knob that can be turned
to increase or decrease the loudness of speech.  If you cannot find the
volume control knob on your synthesizer, then review the information
that came with your synthesizer.  You can test the loudness of the
synthesizer by pressing ENTER at the DOS prompt to make JAWS
speak.
 
    The JAWS Menu System can also be used to adjust the volume
of the synthesizer.  This is especially helpful for internal synthesizers
that have the volume control located on the rear side of the PC.  You
may still need to turn up the volume on the internal synthesizer the
first time you use the synthesizer, and then use JAWS to make volume
adjustments thereafter.  Follow these steps to change the volume setting
from within JAWS.
 
a.  Press CONTROL + / (to activate the JAWS Menu System).  The
    SLASH key is located just under the semicolon key. 
 
b.  Press V (to enter the voice menu).
 
c.  Press G (to enter the global voice sub menu).
 
d.  Press V (to enter the menu for volume adjustment).
 
e.  Use the LEFT ARROW and RIGHT ARROW to change the
    volume setting.  The LEFT ARROW selects lower numbers and
    makes the synthesizer speak quieter.  If you use the RIGHT
    ARROW to make the synthesizer speak louder, and the highest
    number is not loud enough, then use the volume control knob on
    the synthesizer to further increase the volume level.
 
f.  Once the cursor is on the volume number you desire, then press
    ENTER to select the new setting.
 
g.  Press PAGE UP (to exit the JAWS Menu System).
 
 
4.  SAVING SPEECH RATE AND VOLUME SETTINGS
 
    If you made changes in the settings for speech rate or volume,
then you will need to save the changes so they can be used again the
next time you use JAWS.  If you do not save the changes, then the
changes will be lost when you turn off your PC.  Follow these steps to
save the changes.
 
a.  Press CONTROL + / (to activate the JAWS Menu System).
 
b.  Press C (to enter the configuration menu).
 
c.  Press S (to enter the save configurations menu).
 
d.  Press V (to save voice settings).  JAWS then asks for the name of
    the configuration file you wish to save.
 
e.  Press ENTER (to use the filename offered by JAWS).
 
f.  Press PAGE UP (to exit the JAWS Menu System).
 
 
5.  SILENCING SPEECH
 
    The ALT key has been enhanced so it will silence the speech
synthesizer whenever it is touched.  Some synthesizers will respond to
the Stop Speech command more quickly than will others, but they will
all stop speaking shortly after the ALT is touched.  Speech will begin
again as soon as a screen reading key is pressed or an auto macro is
triggered.  JAWS also can use a different key to silence speech. 
Information on using the CONTROL or LEFT SHIFT keys to silence
speech output is available in the disk file on Command Line Switches
and Program Files.  The use of the Standby Mode for temporarily
suspending JAWS activity, and the command for totally removing JAWS
from memory were described in the chapter on JAWS installation.
 
 
6.  SPECIAL USE OF THE "INSERT" KEY
 
    On a typewriter, the shift key converts the letters that are typed
from lowercase to uppercase (capital) letters.  In this way, one key can
do the work of two keys.  PC keyboards also have a shift key, and they
have two other shift-like keys.  These keys are the CONTROL key and
the ALT key.  When the CONTROL or ALT key is held and another key
is pressed, then the key triggers a different activity.  The CONTROL
and ALT are very useful in software programs such as word processors,
because this allows a single key to perform three or four different
activities.
 
    JAWS expands the capacity of the standard keyboard even further
by changing the way the INSERT key is used.  JAWS makes it possible
for the INSERT key to make one key do the work of two keys.  The
INSERT key acts like the SHIFT, CONTROL, and ALT keys, and can
be used to change any key on the keyboard to a different function.  For
example, when you press the UP ARROW on the speech pad, JAWS will
try and move the cursor up to the previous line and speak the line. 
However, if your thumb holds down the INSERT key (located on the
lower left corner of the numeric/speech keypad), and you press the UP
ARROW with your middle finger, then JAWS will read the current line
of text and not try and move the cursor.  Many of the JAWS screen
reading functions are performed while holding down the INSERT key. 
In this way, JAWS can perform two different reading assignments with
one key.
 
 
7.  EXPLORING THE KEYBOARD WITH HELP MODE
 
    One of the best ways to learn about the keyboard is to play with
it by using Help Mode.  The JAWS Help Mode is designed to help new
JAWS users discover the location of JAWS screen reading functions. 
When Help Mode is on, JAWS prevents keystrokes from activating the
PC.  This means you can press any key or combination of keys to learn
about their functions, and the keys will not affect your PC or the
application software programs you are using.
 
    The Help Mode is activated by holding down the INSERT key
with the thumb of your right hand and using your left hand to press the
number "1" on the row of number keys at the top of the keyboard.  The
number 1 is located just above the alphabet letter "Q".  JAWS will say
"help mode on" when the INSERT + 1 is pressed.  You now can press
any key or combination of keys on the keyboard and JAWS will tell you
the name of the key or the screen reading function that the key
performs.  You can exit Help Mode by pressing INSERT + 1, when you
are done.
 
 
8.  BASIC READING FUNCTIONS OF THE SPEECH PAD
 
    The term Speech Pad is our name for the numeric keypad.  We
use the name speech pad because JAWS transforms the traditional use
of the numeric keypad into a control center for screen reading.
 
    The screen reading commands that are presented below will
introduce you to JAWS screen reading functions.  Several documentation
conventions are used when writing keyboard commands.  These
typographical and keyboard conventions are fully explained in Appendix
1.  By way of introduction, "INSERT" means hold down the insert key
on the speech pad.  "ALT" means hold down the ALT key.  "CONTROL"
means to hold down the CONTROL key.  A plus sign (+) between the
names of two keys means to hold down the first key while pressing the
second key.  
 
Help Mode on/off = INSERT + 1, (number 1 above the letter "Q")
 
Turn On JAWS Cursor = MINUS (speech pad "-")
 
Turn On PC Cursor = PLUS (speech pad "+")
 
Say Current Line = INSERT + UP ARROW
Say Prior Line = UP ARROW
Say Next Line = DOWN ARROW
 
Say Current Character = 5 (the center key on the speech pad)
Say Prior Character = LEFT ARROW
Say Next Character = RIGHT ARROW
 
Say Current Word = INSERT + 5 (the center key on the speech pad)
Say Prior Word = INSERT + LEFT ARROW
Say Next Word = INSERT + RIGHT ARROW
 
Read Top Line of Screen = INSERT + END
Read Bottom Line = INSERT + PAGE DOWN
Say From Left Edge of Screen to Cursor = INSERT + HOME
Say From Cursor to the Right Edge of Screen = INSERT + PAGE UP
 
Page Up = PAGE UP
Page Down = PAGE DOWN
 
Position of Active Cursor = DELETE (for the location of either JAWS or
    PC Cursor, depending on which is being used)
 
Route JAWS Cursor to PC Cursor = INSERT + MINUS (move the JAWS
    Cursor to the location of the PC Cursor)
 
Stop Speech Output = ALT
 
 
9.  SCREEN READING TUTORIAL
 
    If you are not using any type of application software program, and
your PC's screen is still displaying the DOS prompt, then you will
quickly discover that you cannot move the PC Cursor to read the DOS
display screen.  DOS only allows limited cursor movement at its prompt. 
The cursor moves in response to the typing of commands, the use of the
BACKSPACE key, and in response to a few other commands.  If you try
to use the UP ARROW or DOWN ARROW you will hear a beep tone
that indicates that the PC Cursor cannot move.  If you want to read the
DOS display screen, then you need to use the JAWS Cursor.  
 
    As was explained in Chapter 1 in PART ONE of this manual, the
JAWS Cursor is a second Cursor that can be used to read any part of
the screen at any time regardless of PC activity.  So if you can't read the
screen because DOS will not allow you to move the PC Cursor, then
turn on the JAWS Cursor and use it to read the screen.
 
    Press MINUS (on the speech pad to activate the JAWS Cursor).
 
    The JAWS Cursor is now active.  Now you can use the screen
reading keys described in the preceding section to read the DOS screen. 
This would be a good time to take a few minutes and practice using the
screen reading commands to read the screen.
 
    If you were to type a DOS command and press ENTER while the
JAWS Cursor is active, then the command would still be executed even
though the JAWS Cursor is on.  Try it out!
 
a.  Press MINUS on the speech pad to turn on the JAWS Cursor.
 
b.  Type DIR/W (press ENTER).  This will tell DOS to display the
    names of all files that are in the current subdirectory.
 
c.  Press PAGE UP to move the JAWS Cursor to the top of the
    screen.
 
d.  Press DELETE to have JAWS tell you the location of the JAWS
    Cursor.  JAWS should tell you that the Cursor is on line 1.
 
e.  Press INSERT + UP ARROW to read the current line.
 
f.  Press DOWN ARROW to read the next line.
 
g.  Press DOWN ARROW, as many more times as you wish to read
    as much of the screen as you wish.  You might want to use the
    DELETE key to find out your location on the screen as you are
    reading down the screen.  You will hear a beep tone when you
    reach the bottom of the screen.
 
h.  Press PLUS to turn on the PC Cursor again.
 
i.  Press DELETE to find out the location of the PC Cursor, and
    make a mental note of the cursor's location.
 
j.  Type CLS (press ENTER).  This will clear the screen of the
    previously displayed information.
 
k.  Press DELETE to see if the PC Cursor is now in a different
    location.  (It should be at the top of the screen.)
 
l.  Press MINUS to turn the JAWS Cursor back on.
 
m.  Press PAGE UP and then use the DOWN ARROW to read the
    screen again.  You will find that the screen is almost completely
    blank, except for the DOS prompt at the top of the screen.
 
n.  Press INSERT + PLUS to route the JAWS Cursor to the location
    of the PC Cursor.
 
o.  Try to move the cursor with the UP ARROW and DOWN
    ARROW.  Once again, the PC Cursor will not move.
 
 
10. BYPASSING THE JAWS SCREEN READING KEYS
 
    It is always possible to use the regular function of any key that
is used by JAWS for screen reading.  This is done in two ways.  JAWS
lets you use the original functions of the INSERT, DELETE, MINUS,
and  PLUS by simply holding down the ALT and pressing one of these
four keys.  For example, press ALT + DELETE to delete the character
at the PC Cursor.  You can bypass any other JAWS function by using
the  Pass Through function, INSERT + 3 (on the number row).  If you
wanted to use the CONTROL + V, for example, which would be in
conflict with the macro that speaks the JAWS version number, then you
would:  press INSERT + 3, and then press the CONTROL + V.  The
Pass Through function allows one key stroke to be entered.  If you were
to press CONTROL + V a second time, then its JAWS function would
perform normally.
 
 
11. MASTERING JAWS
 
    By now, you should have achieved several important objectives: 
JAWS should be installed, your synthesizer should be speaking, and you
should be familiar with some of the basic JAWS screen reading
functions.  These accomplishments were required as preparation for
learning about the detailed screen reading features of JAWS.  The next
chapter describes long and short term learning strategies that can be
followed to become an experienced JAWS user.  A JAWS user  who can
independently learn and utilize a wide range of application software
programs.
 
