PART ONE:  Chapter 4
LEARNING STRATEGIES
(Also contained in the disk file "14LEARN.MAN".)
 
 
(Last Revision:  November 1993.)
 
 
 
CONTENTS OF CHAPTER 4
 
    1.   IN THE BEGINNING . . . . . . . . . . 1-4.29
    2.   SHORT TERM LEARNING STRATEGIES . . . 1-4.30
         2.1  What Should You Learn First?. . 1-4.30
         2.2  How Should You Learn? . . . . . 1-4.32
         2.3  Where Do You Go When You Need
              Help? . . . . . . . . . . . . . 1-4.33
    3.   LONG TERM LEARNING STRATEGIES. . . . 1-4.34
         3.1  Which Software Programs Should I Use?1-4.34
         3.2  How Do I Learn To Use Software
              Programs? . . . . . . . . . . . 1-4.35
         3.3  How Do I Become A Power User? . 1-4.36
    4.   THE NEXT STOP. . . . . . . . . . . . 1-4.37
1.  IN THE BEGINNING
 
    Learning to use a PC is very different from other types of
learning.  Everyone who sits down at a computer keyboard for the
first
time faces the same challenge, because learning to use a PC is
unlike
anything else they have done.  Both a secretary and a bank
president
begin at the same point of learning when they place their fingers
on the
keyboard for the first time.  They know very little, if anything,
about the
task they are about to undertake, and find that their current
training
doesn't seem to be helpful when working with the PC.  
 
    Given the way most people begin to use a PC, it is quite
amazing
that anyone ever succeeds.  New PC users don't realize the mistake
they
are making when they sit down in front of a PC and begin to use
tried
and true learning strategies that were very appropriate for other
types
of learning.  For example, some try the intuitive learning method,
"I
don't need manuals, classes, or advice -- all I need is a little
time."
Other students of the PC use the 48 hour cram before exam method,
"I
will read these eight manuals this weekend and be ready to start
using
the PC on Monday morning." A few others who are accustom to
filtered
learning will try to use the no responsibility minimal exposure
method,
"Tell me what I need to know and don't confuse me with meaningless
facts." Each of these learning methods has its pitfalls and most
novice
PC users will eventually discover that they need more effective
learning
strategies.  
 
    Over the years, the staff at Henter-Joyce have observed many
blind people begin the task of learning to use a PC.  Some have
succeeded with very little help, others have succeeded after long
months
of frustrated learning, and others just never got to the point
where they
could figure it all out.  The purpose of this chapter is to
describe short
term and long term learning strategies that have been successfully
used
by other blind PC users.  We want you to make a quick transition
from
being someone who is learning to use the computer to someone who is
a
computer user.  In other words, we would like to prevent you from
making the mistakes that many of us have made, and show you how to
acquire  the skills needed for the productive use of a PC.
 
    The process of developing strong PC skills requires three types
of
learning:  acquiring knowledge, practicing skills, and play time. 
These
three learning methods must all be equally blended into a learning
program.  You will need to learn facts about the PC and software,
you
will need to practice new skills, and you will need to play with
your new
knowledge and skills to discover which specific facts and skills
are what
you need for your PC use.  Most important of all, you must balance
the
time spent in each of these three learning methods.  Too much time
spent on any one of these learning methods will slow down your rate
of
learning and increase your level of frustration.
 
 
2.  SHORT TERM LEARNING STRATEGIES
 
2.1 What Should You Learn First?
 
    There truly is a considerable amount of knowledge a person
needs
to acquire when learning to use a PC.  The temptation is to spend
time
learning a little bit about everything before getting serious about
any
one thing.  Simultaneously exploring the features of several
software
programs can be enjoyable, especially as a new computer user, but
this
should not be done before you have developed the basic knowledge
and
skills that you will need to put software to work for you.  
 
    We have found that new computer users who have not mastered
the basic screen reading skills of JAWS, and who lack basic
knowledge
about DOS and PC hardware will find it very difficult to
productively
use software such as WordPerfect, Lotus 1-2-3, FirstChoice,
Quicken,
etc.  The ability to use your screen reader and knowledge of DOS
and
PC hardware will each require a different level of competence, but
all
three subject areas must be addressed in your learning program. 
The
short term goal is to develop the skills you need to read whatever
is on
the computer screen, and to learn basic information about DOS and
your
PC so that you can become an independent computer learner.
 
JAWS
    A thorough understanding of JAWS is an absolute fundamental
requirement for learning to use a PC.  Please don't try and learn
to use
JAWS at the same time you are learning to use application software
such as WordPerfect or Lotus 1-2-3.  It is true that you will
expand your
knowledge of JAWS when you learn to use these software programs,
but
you must have a basic understanding of JAWS before you begin
learning
about application software programs.
 
    You can obtain this basic knowledge in several ways.  First you
can read each of the chapters in PART TWO of this manual and spend
time practicing the features that are described.  This manual is
available in computer disk files, as was described in Chapter 2 of
PART
ONE,  and can be read with JAWS.  As an alternative to using the
written manual you could use the JAWS Training Tapes that
accompany this manual.  The tapes are a step by step introduction
and
primer for all JAWS features.  The tapes are organized like
training
sessions.  They feature a trainer who provides instruction while
working
with a PC.  The tapes are not a recorded version of the print
manual
and  represent a different learning strategy.  Whether you use this
manual or the tapes to guide your learning, it is important to
practice
using every feature you read about.
 
PC Hardware
    Only a modest level of learning in the area of PC hardware is
needed.  You should, however, become familiar with the components
of
the PC and should understand the words that are used to describe
those
components.  The DOS manuals published by Microsoft or IBM that
came with your PC have an introductory chapter that contains the
basic
information you need to learn.  DOS manuals are available on
cassette
tape and on computer disk, and can be obtained from Recordings for
the
Blind, Inc.  (RFB).  You also may
wish to read through the glossary of computer related terminology
that
is contained in Appendix 1 for a quick summary of key words and
concepts related to PC's and DOS.
 
    If you have a friend, colleague, or trainer, who is very
knowledgeable about PC hardware, then he/she could provide you with
a hands-on learning opportunity for you.  Perhaps they could even
take
you on a guided tour of both the exterior and interior of the PC.
 
DOS
    Some people feel that new computer users shouldn't worry about
DOS, because they will never use it.  This is not true.  DOS or the
Disk
Operating System is the special software that actually runs your
computer.  Without DOS, or an equivalent kind of software, your PC
could do nothing but sleep silently on your desk.  Anytime you are
doing
anything with a PC, you are using DOS.  Whether you are copying a
computer file, using WordPerfect, or running a printer, you are
always
using DOS in one way or another.  
 
    We believe it is necessary to be familiar with a few of the DOS
functions, because a few of them will pop up over and over again in
most
every software program you use.  As was suggested in the chapter on
JAWS installation, it is important to understand how DOS stores and
retrieves information, and how it manages the work of the PC.  At
a
minimum, you should know how to:  format disks, set up directories,
copy and delete files, use AUTOEXEC.BAT and CONFIG.SYS files, and
use commands such as dir, path, and backup.
 
    The introductory chapters of the DOS manuals can be useful for
learning about the above DOS activities.  A selection of beginner
level
and advanced level books about DOS are also available on tape and
computer disk from Recordings for the Blind, Inc.
 
 
2.2 How Should You Learn?
 
    So let us assume you have a PC, a speech synthesizer, JAWS,
JAWS manual, JAWS training tapes, books from RFB, and the desire
to become a skilled computer user, then where do you start?  The
answer to this question depends on your individual circumstances.
 
    If you are in a rehabilitation program and working with a
trainer,
then use those resources as much as you can.  Unfortunately, many
state rehabilitation program trainers rarely have the time to teach
you
everything you will need to know, but they can often provide a
solid
base of computer knowledge upon which you can independently build.
 
    If you are learning on your own, either at home or at work,
then
your learning will be self directed.  If this is your situation,
then we
suggest you start with the JAWS Training Tapes.  The JAWS Training
Tapes are truly a very friendly means for learning to use JAWS. 
Spend
some time with your PC, a tape recorder and the training tapes. 
Listen
to what is described, and whenever possible, try things out. 
Learning
by doing will be one of your most powerful learning strategies.
 
2.3 Where Do You Go When You Need Help?
 
    Everyone, no matter how experienced, will eventually face a PC
problem that they just can't solve.  This means you need to know
about
the resources that you can use when you just don't know what to do
to
fix a problem.  We hope you do not have to learn by experience that
friends and colleagues who possess extensive computer skills may
not
be your best resources when it comes to JAWS.  They may be
sympathetic and caring assistants, but they have the potential for
creating as many problems as they solve, unless they have taken the
time to study the information in this manual.  For this reason, we
have
found that new PC users need to take the time to develop their own
JAWS expertise as soon as possible.  The JAWS Training Tapes can
help you become the expert on JAWS, while your friends and
colleagues
can provide expertise for the use of application software.  
 
    You will find that questions about JAWS are best directed to
other JAWS users while questions about
specific application software programs are best directed to blind
or
sighted users of the software.  Experienced JAWS users have
encountered and solved many software problems and will likely
already
have a solution for the situation that is stopping your progress. 
Try to
find other JAWS users in your area and get to know them.  They
remember what it was like to learn to use JAWS and a PC, and most
will be quite willing to talk with you.
 
    The staff of Henter-Joyce, Inc., can provide assistance with
problems that you may be having, however, our assistance is done in
conjunction with your use of other resources.  We do not have the
staff
to be the only source of help for new PC users.
 
 
3.  LONG TERM LEARNING STRATEGIES
 
    The goal of long term learning is to develop the specific
expertise
you need for the specific computer work you wish to do.  This
usually
means learning how to use application software programs, but could
also
refer to computer programming.  Common software programs are
designed with the assumption that the software users do not possess
any knowledge of computer programming.  There  is absolutely no
reason to learn about computer programming unless you plan to
pursue
a career as a programmer or you desire a new hobby.
 
3.1 Which Software Programs Should I Use?
 
    Most any standard text oriented software package can be used
with JAWS; however, this does not mean that all software packages
are
equally easy to use.  Some software is very friendly to blind users
and
other software packages, that are highly rated by sighted PC users,
are
actually quite difficult to use.  Software popularity does not
always
indicate that the software will work well with a screen reading
system.
 
    There are many fine word processing software packages, but most
blind PC users seem to prefer WordPerfect.  They prefer WordPerfect
because it works exceedingly well with speech and offers tremendous
power for a wide range of professional and educational activities. 

 
    When shopping for software, the question that is usually the
most
important to ask yourself is, What is the most appropriate software
for
my needs?  For example, let's consider a person who wants to write
business letters and reports, manage a small data base of addresses
and
phone numbers, and use a spread sheet to prepare a simple cash flow
analysis.  If you make the mistake of asking what is the best
software
for each of these activities you may be told that you will need
Microsoft
Word, Lotus 1-2-3, and DBase.  If you ask which software is most
appropriate for your specific needs, then you might be told
WordPerfect
or FirstChoice because these programs have word processing, data
base
management and spread sheet capabilities.  The "best" or "most
powerful" software, as  rated by sighted PC users, may not be the
best
for your needs.
 
    It is so easy to spend hundreds of dollars buying software that
will rarely be used.  It is not necessary to buy and learn Lotus
1-2-3 just
because you want to do an occasional spread sheet calculation.  It
is not
necessary to buy and learn DBase just to manage a data base of one
hundred addresses.  Yet new PC users are often led to believe they
need
to buy three software packages when they might be happy with one.
 
    We will be glad to share our knowledge about software packages
that are being used by blind users.  We have daily contact with
blind
computer users who are putting the power of JAWS to work with
dozens
of software programs.  We know which ones work well and which ones
present significant challenges to blind PC users.
 
3.2 How Do I Learn To Use Software Programs?
 
Recordings for the Blind, Inc.  has manuals for most every common
software package on cassette tape and computer disk.  Order the
reference materials you need and spend some time learning to use
the
features.  
    You may also consider taking courses from a community college,
business school, or private computer training school.  Each of
these
educational entities is covered under the 1990 Americans with
Disabilities Act (ADA) and therefore cannot exclude people who are
blind.  They have responsibilities to ensure that disabled students
will
receive the same opportunity to learn as sighted students.  This
means
in some situations, they can be expected to provide a computer for
your
use that is equipped with speech, provide readers, or provide extra
assistance for you when doing assignments.
 
3.3 How Do I Become A Power User?
 
Time - Practice - Patience
    There is no trick to becoming a highly skilled computer user. 
It
takes time, practice, and above all else, patience.  Most Power
Users
acquire their deep understanding of computers, in part, from the
large
number of mistakes they have made.  They know how to solve problems
because they have made many mistakes and have spent many hours
getting themselves out of the messes they made.  They stubbornly
take
responsibility for their disasters and insist on working themselves
out
of the problems they have created.
 
Manuals
    Contrary to popular belief, experienced PC users really do read
computer manuals.  They may not admit to this in public, and they
might close their office doors before pulling the reference books
from a
bottom desk drawer.  They will use manuals when they really get
stuck
or when a mistake might result in a truly significant catastrophe. 
It is,
of course, true that most experienced PC users have never read a
computer manual from cover to cover.  They haven't done so, because
computer manuals are not designed to be read that way.  Power users
read manuals to gather basic knowledge about the software, and then
search for information needed to solve specific problems.
 
    If you want to become a power user, then you will need complete
access to reference manuals for the software you are using.  This
is one
of the reasons that this manual is available in print and on
computer
disk.  The disk version of the manual can be used for rapid access
to
specific information that is needed to solve a problem.  We don't
expect
anyone to read this manual from cover to cover, but we do expect
that
you will read all the chapters in PART ONE and PART TWO of the
manual.  These chapters contain information that all JAWS users
should understand.  The reference information contained in the disk
files are available for solving problems that may arise.
 
User Groups and Networking
    The last part of becoming a power user is to develop a network
of
other PC users, both blind and sighted.  You can often learn more
about
solving a specific problem during a short conversation with a
fellow PC
user than you can from some manuals.  This is especially true for
less
common software packages that do not always have complete written
documentation.   
 
4.  THE NEXT STOP
 
    This chapter concludes PART ONE of this manual.  It is time to
move on from Introduction and Installation to the Use of JAWS
Features.  The chapters in PART TWO present detailed information
for
everyone who is learning to use JAWS.  Each feature of JAWS is
described so that new JAWS users will understand the general
functions, and experienced users can find the details they need for
advanced screen reading control.
