PART TWO:  Chapter 1
CURSOR MOVEMENT
AND SCREEN READING
(Also contained in the disk file "21CURSOR.MAN".)
 
 
(Last revision:  November 1993.)
 
 
 
CONTENTS OF CHAPTER 1
 
    1.   INTRODUCTION . . . . . . . . . . . . 2-1.39
    2.   CREATING THE SPEECH PAD. . . . . . . 2-1.39
         2.1  NUM LOCK Key. . . . . . . . . . 2-1.39
         2.2  Standard JAWS Configuration . . 2-1.40
    3.   LOCATION OF JAWS SCREEN READING
         KEYS . . . . . . . . . . . . . . . . 2-1.40
         3.1  Speech Pad Keys . . . . . . . . 2-1.40
         3.2  Number Row Keys . . . . . . . . 2-1.41
         3.3  Alphabet Keys . . . . . . . . . 2-1.41
         3.4  The Shift Function of the INSERT Key2-1.42
         3.5  Keyboards Without Numeric Keypads2-1.42
    4.   RELATIONSHIP BETWEEN CURSORS . . . . 2-1.42
    5.   SPEECH PAD FUNCTIONS . . . . . . . . 2-1.44
         5.1  Say Character:  Prior, Next, Current2-1.44
         5.2  Say Word:  Prior, Next, Current 2-1.45
         5.3  Say Line:  Prior, Next, Current 2-1.45
         5.4  Say Up To Cursor and Say From Cursor2-1.46
         5.5  Go To:  Beginning, End, Top, Bottom2-1.47
         5.6  Say Top Line and Say Bottom Line2-1.48
         5.7  Say Sentence:  Prior, Next, Current2-1.48
         5.8  Say Paragraph:  Prior, Next, Current2-1.49
         5.9  Reading Screens and Documents . 2-1.50
         5.10 Determining Cursor Position . . 2-1.52
         5.11 Joining Cursors Together. . . . 2-1.54
         5.12 Lost Text on the Screen Display 2-1.55
    6.   USE OF CONTROL AND ALT . . . . . . . 2-1.56
         6.1  Speech in Progress. . . . . . . 2-1.56
         6.2  Speaking Not in Progress. . . . 2-1.57
    7.   PHONETIC PRONUNCIATION AND SPELLING. 2-1.57
    8.   NUMBER ROW FUNCTIONS . . . . . . . . 2-1.59
         8.1  Help Mode . . . . . . . . . . . 2-1.59
         8.2  Pass Key to Application . . . . 2-1.59
         8.3  Say Screen Enhancement. . . . . 2-1.60
         8.4  Say Field Mode. . . . . . . . . 2-1.60
         8.5  Singles Mode. . . . . . . . . . 2-1.61
    9.   READING SPECIFIC LINES . . . . . . . 2-1.62
    10.  MARGIN BELL. . . . . . . . . . . . . 2-1.63
    11.  EXTENDED 101 KEYBOARDS.. . . . . . . 2-1.63
    12.  HEARING KEY STROKES, WORDS, AND
         CAPITALIZATION . . . . . . . . . . . 2-1.64
    13.  SUMMARY OF JAWS KEYS . . . . . . . . 2-1.65
         13.1 Speech Pad Keys . . . . . . . . 2-1.65
         13.2 Numbers Row . . . . . . . . . . 2-1.68
         13.3 Original Numeric Keypad Functions2-1.68
         13.4 Extended Arrow Keys . . . . . . 2-1.69
         13.5 Smart Screen Key Combinations . 2-1.69
         13.6 Other Keys. . . . . . . . . . . 2-1.70
    14.  MODIFYING AND EXPANDING THE POWER
         OF JAWS. . . . . . . . . . . . . . . 2-1.70
1.  INTRODUCTION
 
    Each chapter in PART TWO of this manual describes the control
and management of screen reading activities.  This chapter contains
a
detailed explanation of manually controlled cursor movement, while
other chapters address automatic screen reading, search functions,
and
the process of creating custom JAWS configurations.  It is
important to
thoroughly understand the concepts of cursor movement, presented in
this chapter, and the organizational structure of the JAWS Menu
System, presented in the next chapter, as preparation for using the
remaining chapters in this part of the manual.  The chapters in
PART
ONE and in PART TWO of this manual contain a complete description
of all JAWS functions and should be read in their entirety.  The
appendices and the disk chapters for the remainder of the manual
are
only intended to provide reference information.
 
 
2.  CREATING THE SPEECH PAD
 
    The heart of screen reading control is the Numeric Keypad.  The
numeric keypad is usually located on the far right side of most PC
keyboards.  The numeric keypad has two modes of operation; it can
either move the cursor or type numbers.  For the purpose of JAWS
and
this manual, the numeric keypad will be called the Speech Pad when
the keys are being used for cursor movement and screen reading. 
The
numeric keypad will be specifically identified as the numeric
keypad
when it is used to type numbers and mathematical operators (+, -,
/, *).
 
2.1 NUM LOCK Key
 
    The NUM LOCK key (number lock) toggles the activity of the
numeric keypad from cursor movement and screen reading to the
numeric functions.  The NUM LOCK key is commonly located above the
number 7 or the number 8 on the keypad.  The term Toggle means to
change a setting for an activity or function, from the current
setting to
the next setting.
 
    Number lock has two settings, either on or off.  If number lock
is
off, then the numeric keypad will be toggled  to on when it is
pressed.
When you Press NUM LOCK, this will toggle the setting and cause
JAWS to speak the status of number lock.  JAWS will say, "Num Lock
Off" and turn off the number lock, if number lock is already on
when the
key is pressed.
 
2.2 Standard JAWS Configuration
 
    From this point forward, we will assume that number lock is
off. 
Number lock is automatically turned off when JAWS is loaded.  We
will
also assume that JAWS is loaded with a standard set of
configuration
files.  This means that you are using one of the sets of
configuration
files that came on the distribution disks, and not a set of
configuration
files that have been modified or customized with new macro keys. 
If
you have just installed JAWS and have only made changes to the
speech
rate and volume of your synthesizer, then the macro files for your
keyboard are still standard.  The description of key functions that
will
be described in this chapter only apply to standard configuration
files.
 
 
3.  LOCATION OF JAWS SCREEN READING KEYS
 
    JAWS uses several keyboard strategies to position the screen
reading keys in locations that will avoid conflicts with other
software
programs.  We take advantage of existing keys, and key
combinations,
and then use several innovative systems to expand keyboard
capacity.
 
3.1 Speech Pad Keys
 
    The keys included on the numeric keypad vary widely from
keyboard to keyboard.  Each manufacturer and keyboard model may
have a slightly different numeric keypad layout, and JAWS therefore
only uses those keys that are common to all numeric keypads.
 
    The speech pad keys include the UP and DOWN ARROWS (keys
8 and 2, respectively), the LEFT and RIGHT ARROWS (keys 4 and 6),
the HOME and END keys (7 and 1), and the PAGE UP and PAGE
DOWN keys (9 and 3).  The numeric keypad also contains the 5 key,
PLUS key, and MINUS keys.  The MINUS key is usually located to the
right of the 9 and the PLUS key is usually located just below the
Minus
key.  The INSERT and DELETE (the 0 and the Period or Decimal Point
keys) are located on the very bottom row of the numeric keypad.
 
    The original cursor movement functions of the numeric keypad
can be accessed in two ways.  JAWS allows you to use the original
functions of the INSERT, DELETE, MINUS, and PLUS by simply
holding down the ALT and pressing one of these four keys.  For
example, press ALT + DELETE to delete the character at the PC
Cursor.  You can bypass any other screen reading function by using
the
Pass Through function, INSERT + 3 (on the number row).
 
3.2 Number Row Keys
 
    JAWS also makes use of several keys found on the row of
numbers, that is, the row of numeric keys found above the
typewriter
keys Q, W, E, R, T, Y, U, I, O, P.
 
3.3 Alphabet Keys
 
    The typewriter keys, "A" through "Z", occupy the largest
section
of the keyboard.  Many application software programs use the
CONTROL and ALT in combination with alphabet keys to provide quick
access to special software commands.  JAWS can also use these key
combinations to activate macros that might be created by the JAWS
user.  JAWS also has a Home Row mode that allows the alphabet keys
to temporarily perform macros instead of typing letters.  Home Row
mode will be discussed in the chapter on JAWS macros.  
 
3.4 The Shift Function of the INSERT Key
 
    Most cursor movement and screen reading functions can be
performed with one hand, since the basic screen reading functions
are
entered by keys on the speech pad.  JAWS makes this possible by
modifying the use of the INSERT key.  The INSERT key now functions
in a way that is similar to the SHIFT key.
 
    The INSERT key is located on the left end of the bottom row of
the speech pad.  It shifts the screen reading and cursor movement
functions of the speech pad from the most obvious and most used
commands to a closely related and more specialized set of screen
reading
functions.
 
3.5 Keyboards Without Numeric Keypads
 
    If you have a keyboard without a numeric keypad, such as a
Toshiba laptop computer, then you should still read this chapter to
learn
about screen reading functions.  The disk chapter for Toshiba
computers
will provide supplemental information for modifying the standard
keyboard configurations.  If you have some other unusual keyboard,
or
you desire to re-arrange the JAWS screen reading functions to suit
your
own needs or preferences, then you can use the information in the
chapter on JAWS Macros to relocate screen reading functions to
different keys on the keyboard.
 
 
4.  RELATIONSHIP BETWEEN CURSORS
 
    As was discussed in the introductory chapters, JAWS works with
two cursors; the PC Cursor and the JAWS Cursor.  The PC Cursor is
under total control of the application software program that is
being
used while the JAWS Cursor is under complete control of the JAWS
screen reading program.  The PC Cursor can be thought of as the
pointer that application software programs use to indicate where
text/data can be entered or modified, or where menu selections can
be
made.  The JAWS Cursor is a highly flexible pointer that can be
moved
for the purpose of reading any information on the screen at any
time
without disrupting the PC'S normal operation.  The two cursors work
together to access all information on the screen.
 
    The JAWS Cursor is activated by the MINUS key on the speech
pad.  When MINUS is pressed, JAWS will say "JAWS Cursor" to
indicate the activation of the JAWS Cursor.  The PC Cursor remains
at
its current location, and the speech pad can now be used to move
the
JAWS cursor.  The PC Cursor will stay in this location until it is
moved
by the PC user or by the activity of the application software.  
 
    The PC Cursor is activated by pressing the PLUS key on the
speech pad.  JAWS says, "PC Cursor" as soon as the PLUS is pressed,
and the speech pad begins to control the PC cursor once again.  The
JAWS Cursor stops moving and the speech pad moves the PC Cursor. 
The JAWS Cursor will remain in this position until it is activated
again,
or until it is used by a macro to carry out a special screen
reading
function.
 
    At times we may say that the PC Cursor or JAWS Cursor is being
turned on or off, in fact, the cursors are never turned off.  Both
cursors
are always available for simultaneous use.  When you select a
cursor
with the MINUS or PLUS key, you are telling JAWS which cursor you
wish to move when you use the speech pad.  The chapter on JAWS
Macros describes strategies that can be used for using the two
cursors
simultaneously.  For new PC users it may be easier to think of
turning
the cursors on and off, but it is important to realize that this is
not the
case.  The MINUS and PLUS keys only tell JAWS which cursor is to be
controlled by speech pad keys.
 
    The MINUS and PLUS keys also instruct JAWS to handle the
processing of speech pad keys in different ways.  The actions of
speech
pad keys depend on whether the JAWS Cursor or the PC Cursor is
active.  JAWS intercepts each key you press, checks to see which
cursor
is active, and determines whether the key stroke should be passed
on to
the application software or whether something different should be
done. 
For example, when the PAGE UP key is pressed, JAWS checks to see
which cursor is active.  If the PC Cursor is active, then JAWS
passes on
the PAGE UP key stroke to the application program and says "page
up". 
The application program receives the PAGE UP command and responds
appropriately.  The application software is free to respond by
moving its
cursor to the top of the text page, to the preceding data field, or
in
whatever way is appropriate.  If the JAWS Cursor is active, then
JAWS
instead moves the JAWS Cursor up to the top of the screen and says
"page up", however, the PAGE UP command is not passed on to the
application software.
 
 
5.  SPEECH PAD FUNCTIONS
 
    Once again, the screen reading functions that are described
below
refer to the default keyboard layout.  This is the configuration
that was
shipped with JAWS.  JAWS has a Help Mode that can be used to
identify the functions of screen reading keys.  The use of Help
Mode was
described in PART ONE of this manual.  However, as a review, Help
Mode is activated with the INSERT + 1 (the 1 key above the Q key). 
When Help Mode is on, JAWS will announce the name or function of
each key on the keyboard.  Help Mode is turned off by using the
INSERT + 1 again.  You may wish to use Help Mode to verify the
location of the screen reading functions that will be described.
 
5.1 Say Character:  Prior, Next, Current
 
    Pressing the LEFT ARROW key on the speech pad will perform
the Say Prior Character function, which moves either the PC or
JAWS Cursor to the left and speaks the new character.  Pressing the
RIGHT ARROW key will perform the Say Next Character function,
which moves the cursor to the right and speaks the new character at
the
cursor.
 
    Logically we might expect that if the LEFT ARROW is the Say
Prior Character function and the RIGHT ARROW is the Say Next
Character, then the number 5 key on the speech pad should identify
the
character at the cursor.  as expected, the 5 key is the Say
Character
key.  It does not move the cursor; it simply speaks the character
at the
cursor.  
 
    Alphabetic characters, numerals, common symbols such as $ and
%, and extended ASCII characters can all be read with JAWS. 
Pressing
the 5 key on the speech pad twice within a second will cause the
alphabet character at the cursor to be phonetically identified. For
example, JAWS will say "Alpha", "Bravo", "Charley", etc.
 
5.2 Say Word:  Prior, Next, Current
 
    As mentioned, the most obvious functions of speech pad keys are
performed by the speech pad keys in their unshifted states.  In
their
shifted states, they perform less obvious but related functions. 
The Say
Prior Character function (LEFT ARROW) becomes the Say Prior Word
function when it is used while the INSERT key is held.  The Say
Prior
Word function moves the cursor to the left, places the cursor on
the first
letter of the previous word, and then speaks the word.  Similarly,
the
Say Next Word function is the INSERT + RIGHT ARROW, which
moves the cursor to the beginning of the next word and speaks the
word. 

 
    It follows then that the INSERT + 5 should be the Say Word
function, and it is.  Say Word speaks the entire word that the
cursor is
on without moving the cursor.  Pressing this key twice within a
second
will cause the word to be spelled.
 
5.3 Say Line:  Prior, Next, Current
 
    If the LEFT ARROW performs the Say Prior Character function,
that moves the cursor and speaks the new character, and the RIGHT
ARROW key similarly performs the Say Next Character function, then
we would expect a close relationship between the UP and DOWN
ARROW keys and the speaking of lines.  The UP ARROW is the Say
Prior Line function; it moves the cursor up one line and then reads
the
entire line of information.  The DOWN ARROW key is the Say Next
Line function; it moves the cursor to the Next Line and then speaks
that line.  When using a word processor, the cursor is not moved
left or
right by the Say Prior Line and Say Next Line functions, the cursor
just
moves straight up or down through text.  If the cursor is moved on
to a
blank line, then it may jump to the beginning of the blank line.
 
    Since we have the Say Character and Say Word functions, then
it follows that a function is needed to speak the entire line of
information at the cursor.  Since the UP ARROW provides the Say
Prior
Line function and the DOWN ARROW provides the Say Next Line
function, then the key between them (the 5) seems like the most
natural
choice for the say current line function.  Unfortunately, the 5 key
is
already being used for the Say Character and the INSERT + 5 is
being
used for the Say Word function.  Therefore, a different key must be
used.
 
    The INSERT + UP ARROW has been chosen to perform the Say
Line function.  This is in keeping with the principle that the
unshifted
speech pad keys perform functions that are close to original cursor
actions, while related functions are performed with the assistance
of the
INSERT key.
 
5.4 Say Up To Cursor and Say From Cursor
 
    JAWS provides two functions to help identify the location of
the
cursor within a line of text, such as when using a word processing
program.  The Say Up To Cursor function will speak all the text on
a
line up to the cursor.  The Say From Cursor function speaks the
text
at the cursor and continues reading to the end of the line.  If the
cursor
is located in the middle of a word, then only a portion of the word
at the
cursor is spoken.  Additionally, JAWS only reads what is seen on
the
screen, thus if text extends beyond the left or right edges of the
screen,
then these functions will only read the text that appears on the
screen.
 
    Since we defined the INSERT + UP ARROW to be the Say Line
function, it seems natural that the Say Up To Cursor function
should be
activated by the key located to the left of the Say Line function
(INSERT + UP ARROW).  The INSERT + HOME key, located
immediately to the left of the Say Line function, is therefore the
Say Up
To Cursor function.  Similarly, text at the cursor and to the right
of the
cursor will be spoken by the INSERT + PAGE UP key that is located
to
the right of the Say Line function.
 
5.5 Go To:  Beginning, End, Top, Bottom
 
    The HOME, END, PAGE UP, and PAGE DOWN keys have a
standard set of functions when being used with the JAWS Cursor. 
However, these keys may perform a quite different set of activities
when
the PC Cursor is being used.  The significant variation in key
function
is directly related to the application software program.  For
example, the
HOME key might move the PC Cursor to the beginning of a line in a
word processing program, while it might move the cursor to the
first
data field in a data base program.
 
    When the JAWS Cursor is on, the HOME, END, PAGE UP, and
PAGE DOWN keys perform standard functions.  HOME moves the
JAWS Cursor to the beginning of the current line, as it appears on
the
screen.  The cursor moves to the left edge of the display and is
placed
on the first character or blank space that is seen on the screen. 
END
moves the JAWS Cursor to the right edge of the screen and places
the
cursor on the last character or blank space that is displayed on
the
screen.  The HOME and END keys do not move the cursor up or down,
only to the beginning or end of the current line.
 
    PAGE UP moves the JAWS Cursor to the top line of the screen
(line 1).  PAGE UP will not move the JAWS Cursor to the left or
right;
it only moves the JAWS Cursor straight up.  Similarly, PAGE DOWN
moves the JAWS Cursor straight down to the bottom of the screen
(line
25) without moving the cursor left or right.
 
5.6 Say Top Line and Say Bottom Line 
 
    Many application programs use either the top or bottom lines of
the screen as status lines.  A Status Line is used by application
software to display information that tells the PC user about what
the
program is doing, or to display prompts that solicit a response
from the
PC user.  WordPerfect, for example, uses line 25 to display status
information about the page, line, and position of the WordPerfect
cursor
within the document, while WordStar uses the top line of the screen
for
this purpose.  The speech pad has two standard functions for
reading
these status lines.
 
    To read the top line of any screen, press INSERT + END.  To
read
the bottom line of the screen press INSERT + PAGE DOWN.  These
functions can be used when either cursor is active.  The Say Top
Line
and Say Bottom Line functions are actually macros that perform the
Read Line X function.  They can be easily changed with the JAWS
Macro Editor to read other lines or parts of lines that frequently
need
to be read.  The chapter on JAWS macros describes the use of the
JAWS
Macro Editor and the Read Line X function.
 
5.7 Say Sentence:  Prior, Next, Current
 
    JAWS can read the current sentence and can move the cursor to
the beginning of the next sentence or to the prior sentence.  A
Sentence
is defined as a block of text that ends with a period, question
mark, or
exclamation point, and which is either followed by 2 spaces, or a
hard
return (graphic character indicating the end of a line of text). 
The
period, question mark, and exclamation point also can be followed
by a
quote mark or a single digit footnote number.  Thus, the two sample
sentences that follow, would be recognized as sentences as long as
the
quote mark or foot note number is followed by either two blank
spaces
or a hard carriage return.
 
Jane said, "No, I don't know anyone by the name of Dick."
Our company's growth does not follow industry trends.2 
 
    When you use the Say Current Sentence function, JAWS does
not move the cursor, it just reads all of the text within the area
it
believes to be a sentence.  If the cursor is on a blank line then
JAWS
indicates this status.  If the beginning or end of a sentence has
scrolled
off the screen and the PC Cursor is active, then JAWS will scroll
the
screen to find the beginning or end of the sentence (if the
application
program lets the screen scroll).  If the screen does not scroll,
then JAWS
gives an error beep and reads what it can.  The Say Sentence
Function
is the SHIFT + 5 (speech pad).
 
    The Say Prior Sentence function moves the cursor to the
beginning of the current sentence and then speaks the sentence.  If
the
cursor is already at the beginning of a sentence, then it will move
the
cursor to the beginning of the prior sentence before speaking.  The
Say
Prior Sentence function is SHIFT + LEFT ARROW.
 
    The Say Next Sentence function moves the cursor to the
beginning of the next sentence and then speaks the sentence.  The
Say
Next Sentence function is SHIFT + RIGHT ARROW.
 
5.8 Say Paragraph:  Prior, Next, Current
 
    A Paragraph is a block of text that is preceded and followed by
a blank line.  The indention at the beginning of a paragraph is not
recognized as the beginning point of a paragraph.
 
    The Say Paragraph function speaks the contents of a paragraph
without moving the cursor within the paragraph.  This function
attempts to locate a blank line at both the top and bottom of the
block
of text where the cursor is located.  Thus, JAWS tries to scroll
the
screen to find a blank line.  If it cannot scroll the screen to
find a blank
line, then it reads the block of text that is visible on the
screen.  The
Say Paragraph function is SHIFT + PLUS (speech pad).
 
    The Say Prior Paragraph function moves the cursor to the
beginning of the current paragraph and then reads the entire
paragraph.  If the cursor is already at the beginning of a
paragraph,
then it moves to the beginning of the prior paragraph and speaks
the
paragraph.  The Say Prior Paragraph function is SHIFT + PAGE UP.  
 
    The Say Next Paragraph function moves the cursor to the
beginning of the next paragraph and then speaks the contents of the
paragraph.  The Say Next Paragraph function is SHIFT + PAGE
DOWN.  
 
    The say paragraph functions and the say sentence functions
(described above) can be used together to read through a text
document
in logical units of written language.  This helps to preserve the
rhythm,
flow, and understandability of prose.
 
5.9 Reading Screens and Documents
 
    PC's are commonly being used by blind people to read books and
documents that are stored in computerized text files.  Computer
software manuals, dictionaries, encyclopedias, Bibles, works of
literature
and a wide range of academic and business documents are commonly
being read with JAWS.  The use of a PC as a reading machine is made
possible with the Say All function that reads a whole screen or a
whole
document of information without stopping.  
 
    Since JAWS uses the INSERT + END to read the top line of the
screen and uses the INSERT + PAGE DOWN to read the bottom line of
the screen, then it follows that the key in the middle (INSERT +
DOWN
ARROW) should be used for reading everything else.  The Say All
function begins by reading the current line at the active cursor,
and
then reads everything else down to either the bottom of the screen
or to
the end of a document.  The performance of the Say All function
depends on which cursor is active and the kind of application
software
being used.
 
    If the JAWS Cursor is active, then the Say All function reads
the
contents of the screen by automatically moving the JAWS Cursor down
the screen line-by-line.  Reading begins with the line on which the
JAWS Cursor is located, and continues until either the bottom of
the
screen is reached, or until the CONTROL or ALT key is pressed.
 
    If the PC Cursor is active, and you are using a word processing
program, then the Say All function begins reading on the line where
the
PC Cursor is located and continues moving the PC cursor downward
until the end of the document is encountered.  JAWS automatically
moves the PC Cursor from line to line until the cursor can no
longer be
moved.  Reading stops at either the end of the document or when the
CONTROL key is pressed.  
 
    Some keys have special functions during the time the Say All
function is reading.  First, the CONTROL key stops the Say All
function
from reading when either the JAWS or PC cursor is reading.  When
CONTROL is pressed, the speech will be silenced, and the cursor
will
stop moving.  Some speech synthesizers have a feature called
indexing
which JAWS uses to place the cursor back on the last word that was
spoken before the CONTROL key was pressed.  If the synthesizer does
not have this special feature, then speech will still be stopped,
but the
cursor will be placed several lines below the last line spoken. 
Synthesizers that currently perform the indexing function are: 
DECtalk, Accent, Braille 'n Speak, Audapter, Prose, and the
Kurzweil
family of synthesizers.
 
    The ALT key also performs a special function during the time
when the Say Line function is reading.  The ALT stops the
synthesizer
from speaking, but does not stop the cursor from moving.  This is
a very
useful feature, when using a word processing program, for it
enables
rapid scanning through large text documents.  The user can place
the
PC Cursor at the top of the document and press INSERT + DOWN
ARROW to begin reading.  Whenever the ALT is pressed, reading will
be silenced and a series of descending beep tones will be heard to
indicate that the cursor is continuing to move down through the
text. 
Speech can be resumed at any time by pressing the ALT key once
again. 
Speech can be totally stopped by pressing the CONTROL key.  The ALT
key can be repeatedly pressed at short intervals, to silence and
restore
speech, as the cursor moves down through a text document.  The
regular
functions of the CONTROL and ALT keys will be restored as soon as
reading and automatic cursor movement of the Say All function stop.
 
    It is also possible to "rewind" and "fast-forward" through
small
sections of text while Say All is reading.  The MINUS is the Rewind
Key; it stops the progress of the cursor and moves it back about
twenty
words before reading resumes.  The PLUS is the Fast-Forward Key; it
jumps the cursor ahead about twenty words while Say All is reading.

When Say All is not reading, these keys and those that will be
described
in the next paragraph perform their standard functions.
 
    The volume, rate, pitch, and tone of the synthesizer can be
adjusted while Say All is reading.  The keys that perform these
changes
are the F1 through F8 keys.  The F1 through F4 respectively
increase
the volume, speech rate, pitch, and tone of the synthesizer.  F5
through
F8 respectively decrease the volume, speech rate, pitch, and tone. 
For
example, if Say All is reading too fast, then you can press F6 and
the
synthesizer will slow down a little bit each time it is pressed. 
If the
volume is too low, then you can press F1 and the loudness of speech
output will increase a small amount each time it is pressed. 
Adjustments in these speech parameters all return to their original
settings as soon as reading stops.
 
    Some word processing programs expand their length when the PC
Cursor is at the bottom of the document and a DOWN ARROW key is
pressed.  This creates a document that can grow in length when the
Say
All function is used, because JAWS does not sense that the word
processing program is adding new blank lines.  JAWS keeps reading
as
long as new lines continue to scroll onto the screen, or until the
CONTROL key is pressed.
 
5.10Determining Cursor Position
 
    Many software programs provide information about the location
of the PC Cursor.  Some describe cursor location relative to the
beginning of the document, and others may use "cell coordinates" or
"record numbers".  Information about the cursor's location relative
to the
dimensions of the screen, however, are rarely available.  The blind
PC
user therefore does not know if the PC Cursor is at the top,
bottom, or
somewhere in the middle of the screen.  Precise knowledge of PC
Cursor
and JAWS Cursor location is often quite useful when developing
strategies for working with new screen layouts.  Several of the
JAWS
functions, that will be described in later chapters, require the PC
user
to understand how to provide accurate information about cursor
location.  
 
    Standard screen displays are divided into 25 rows and 80
columns.  A Row stretches from the left edge of the screen to the
right
edge, and contains characters and spaces that are placed
side-by-side. 
A Column extends from the top of the screen to the bottom of the
screen and consists of characters and spaces that are arranged in
a
vertical line above-or-below one another.  A row contains 80
characters
and/or spaces arranged from left to right, and a column contains 25
characters and/or spaces arranged from top to bottom.  The
left-most
column is identified as column 1 and the right-most column is
identified
as column 80.  Similarly, the top row is row 1 and the bottom row
is row
25.  In some situations, JAWS utilizes letters to represent row
numbers,
that is, a=1, b=2, c=3, etc.
 
    Some displays have more than 25 rows and 80 columns.  JAWS
will automatically determine the display dimensions on these larger
screens when the PC boots up.  However, if the display dimensions
change when a software application is loaded, then JAWS may not
notice the change.  If the change is not noticed by JAWS, then
follow the
procedure in the chapter on JAWS frames to permanently save the
information about large screen display size.
 
    JAWS provides two functions to identify the row and column
location of either the PC or JAWS Cursor.  The DELETE key on the
speech pad is the Position of Active Cursor function.  This
function
reports the current position of the active cursor.  For example, if
you are
using the JAWS Cursor to read the screen and you press the DELETE
key, then JAWS might indicate that the JAWS Cursor is at Row 5
Column 65.  This function identifies the cursor that is currently
being
used and identifies the cursor's location.
 
    The Position of Inactive Cursor function reports the location
of
the cursor that is not currently being used.  The INSERT + DELETE
on
the speech pad causes JAWS to say the name of the inactive cursor
and
to announce its location.
 
5.11Joining Cursors Together
 
    Since it is a common practice to switch back and forth between
using the JAWS and PC Cursors, it is often desirable to relocate
one of
the cursors and move it to the location of the other.  The process
of
moving one cursor to the location of the other cursor is called
Cursor
Routing.  The JAWS Cursor can be routed to the position of the PC
Cursor, and the PC Cursor can often be routed to the position of
the
JAWS Cursor.  The use of the routing functions are not dependent
upon
the active status of the cursors, because the cursor that is routed
will be
automatically activated.  
 
    To perform the Route JAWS to PC function, press INSERT +
MINUS.  JAWS will say "Route JAWS to PC", and the JAWS Cursor
will be activated and placed on the character where the PC Cursor
is
located.  This function is always successful because JAWS can
always
move its cursor to the PC Cursor.  
 
    In a similar way, the INSERT + PLUS, routes the PC Cursor to
the location of the JAWS Cursor.  When the Route PC to JAWS
function is used, it will say "route PC to JAWS".  If the Route PC
to
JAWS function fails, then an unpleasant sounding error tone will be
produced by the PC.  If the function succeeds, then the PC Cursor
is
activated and is placed on the character at the JAWS Cursor.  The
successful routing of the PC Cursor is accompanied by beep tones
that
signal the movement of the cursor from line to line and column to
column.  These beep tones can be turned off by use of the Beep on
Routing macro function, which is described in the chapters on JAWS
macros.  The Route PC to JAWS function may not always be
successful,
because of limitations imposed by application software.  Most word
processing programs will allow JAWS to move the PC Cursor to the
location of the JAWS Cursor, but some other types of programs will
interfere with successful PC Cursor routing.  For example, data
base
type programs, with structured screen displays, may prevent
accurate
routing of the PC cursor.
 
5.12Lost Text on the Screen Display
 
    Many word processing and spreadsheet programs may only
display a portion of the text that appears on a page, because the
screen
is smaller than the document or spreadsheet that is being used.  If
the
entire page of information was to be displayed on a standard size
PC
monitor, then text would be too small for sighted users to read. 
Thus,
lines of text usually exist above and below the lines of text that
are
displayed on the screen.  Similarly, if a line of text contains
more than
80 characters and spaces, then the extra characters will not appear
on
the screen.  JAWS can only read text that appears within the
boundaries of the screen.  Information that scrolls off the screen
in any
direction cannot be read by JAWS until the text is moved on to the
screen.  Typically, you can use the arrow keys (Say Prior/Next
Character) while the PC Cursor is active to shift the screen
display so
the missing text can be displayed.  
 
    When you encounter situations where JAWS seems to only speak
portions of words at the beginning and ends of lines, then this is
an
indication that text has scrolled off the edge of the screen.  For
example,
if 90 characters can be printed between the margins of a word
processing program, and the screen only displays 80 characters,
then up
to 10 characters will not be displayed and will not be spoken by
the
JAWS Say Line function.  These missing characters could be on the
right side of the screen (which is common), or they could have
scrolled
off the left edge of the screen.  Sometimes characters will scroll
off on
both the left and right sides of the screen, which commonly occurs
with
spreadsheet programs.  If you are using a word processing program,
for
example, then you can shorten the lines of text so they will fit on
the
screen display by increasing the size of the margins.  If you are
using a
spreadsheet program or a data base program, then you could try to
design your spreadsheets and data record forms so that they  will
be
conveniently displayed.  Techniques for managing the way
information
is displayed on the screen by application software programs may be
discussed in the manuals for your application software.
 
 
6.  USE OF CONTROL AND ALT
 
    The CONTROL and ALT keys perform different activities based
on the activities of JAWS.  If JAWS and the speech synthesizer are
not
speaking, then the CONTROL and ALT perform their primary keyboard
purpose, which is to shift other keys from one function to another. 
If
synthesizer speech is in progress, then the CONTROL and ALT perform
special functions.  They provide more specialized functions when
being
used with the Say All function.  The functions of the CONTROL, ALT,
and Say All have been described earlier in this chapter, and the
more
commonly used functions of these keys, have been described in PART
ONE of this manual.  In summary the CONTROL and ALT perform the
following functions, according to the status of speech activity.
 
6.1 Speech in Progress
 
General Speaking
    If speech is in progress, then the ALT will stop synthesizer
speech
until the next speech pad key is pressed.
 
Say All Speaking
    If speech is in progress as a result of the Say All function
then
the CONTROL and ALT take on more specialized functions for
interrupting speech.  The ALT stops speech output and lets the
cursor
continue to move down the screen or down through the document,
while
descending beep tones accompany cursor movement.  The CONTROL
stops the cursor from moving, stops speech, and may place the
cursor
back on the last word spoken.  The ALT can alternately be used to
silence and restore speech when scanning through a text document in
a word processor.
 
6.2 Speaking Not in Progress
 
    If speech is not in progress, then the CONTROL and ALT perform
their original (shift like) functions.  Many word processors use
the
CONTROL key with a cursor key to perform various special cursor
movement functions, such as CONTROL + RIGHT ARROW for Next
Word or CONTROL + PAGE UP to move to the top of a document. 
These CONTROL and ALT key combinations perform as intended,
without regard to which cursor is active but they function without
speech.  As was discussed in PART ONE, the ALT key can be used with
the PLUS, MINUS, INSERT, and DELETE speech pad keys to shift
these keys back to their original functions.  Other CONTROL and ALT
key combinations are passed directly to application software
programs,
unless we have indicated otherwise, or unless the JAWS user has
used
combinations of these keys for creating new macros.  Please
remember,
the information we are presenting refers to default keyboard
configurations.  Dozens of new macros can be created for use with
the
CONTROL, ALT, INSERT, and other keys.  Please see the chapter on
JAWS macros for information about creating and editing macros.
 
 
7.  PHONETIC PRONUNCIATION AND SPELLING
 
    The speech quality of a speech synthesizer may not always be
understandable, especially for new PC users.  To help overcome this
problem, JAWS provides a Phonetic Pronunciation mode that speaks a
representative word in place of each character.  Phonetic
Pronunciation means that JAWS says, "Alpha" for "A", "Bravo" for
"B",
"Charlie" for "C", etc.  To phonetically identify a character,
simply press
the Say Character key (speech pad 5 key) twice within a second. 
This
will cause JAWS to speak the character at the active cursor and to
speak the word that represents that character.  Pressing the Say
Character key twice within a second will also place JAWS into a
temporary Phonetic Mode.  This temporary mode allows individual
characters that are read with the LEFT and RIGHT ARROW keys to be
phonetically identified as they are read.  To leave the phonetic
mode,
simply press any speech pad key other than the Say Prior Character
or
Say Next Character keys.  The words that are used for phonetic
pronunciation are listed in APPENDIX 1.
 
    Extended ASCII Characters, that are displayed on the screen
as pictorial representations of hearts, diamonds, smiling faces,
lines,
arrows, bullets, etc., are first identified by JAWS with the word
"graphic" when they are first read.  Their decimal value is spoken
when
the 5 key is pressed twice within one second.  Many of the extended
ASCII characters are commonly used on screen displays to make
borders
and to emphasize portions of the screen.  Many of the extended
ASCII
characters simply cannot be described in words, and so they are
simply
identified by the number assigned to them in tables of ASCII
characters
(see a DOS reference manual).  If you want JAWS to speak names for
specific ASCII characters, then you can use the Dictionary Editor
to
create pronunciation rules.  JAWS will then, for example,  use the
pronunciation rule for the heart shaped graphic character when it
is
encountered.  Some graphic characters, such as those that represent
left
arrow and right arrow, have already been defined in the dictionary.
 
    JAWS can also spell words.  It is often desirable to hear the
spelling of words when inaccurate typing or speech synthesizer
mispronunciation prevents the PC user from understanding words.  It
is easy to use the LEFT ARROW and RIGHT ARROW to read the
characters of words, one character at a time, but a faster method
is also
provided.  
 
    The Say Word function (INSERT + 5 on the speech pad) also can
be used to speak the letters of words.  Pressing the Say Word key
twice
within a second causes JAWS to perform the Spell Word function. 
This
function spells the current word character-by-character without
moving
either cursor.  When the Spell Word function is used, it also puts
JAWS
into a temporary Spell Word Mode.  This means when the INSERT +
LEFT ARROW or the INSERT + RIGHT ARROW are pressed, they will
cause the cursor to move to the prior word or next word and to
spell
that word.  To leave the temporary Spell Word Mode, simply press
any
speech pad key other than Say Prior Word or Say Next Word.  If the
case pronunciation feature in the Voice Menu is turned on, then
upper
or lower case status of letters are also indicated.  The chapter in
PART
TWO, on voice control, presents information on using the case
sensitivity feature.  
 
 
8.  NUMBER ROW FUNCTIONS
 
    As was mentioned earlier, JAWS also makes use of several keys
on the row of numbers that are located just above the alphabet
keys. 
The Number Row Functions perform less frequently used activities
though they are nevertheless quite important for screen reading. 
These
functions are all accessed with the INSERT key.
 
8.1 Help Mode
 
    INSERT + 1 toggles Help Mode on and off.  The JAWS Help Mode
has been discussed in PART ONE of this manual and was reintroduced
in preceding sections of this chapter.  When Help Mode is active,
JAWS
will only speak the names or labels of the keys that are typed. 
Neither
cursor is moved and JAWS prevents any characters that are typed
from
being released to the application.  To deactivate Help Mode, simply
press INSERT + 1.  
 
8.2 Pass Key to Application
 
    INSERT + 3 activates the JAWS Pass Key Through function. 
This function is used when two programs both require the use of the
same key stroke to initiate an activity.  It is possible for an
application
software program to use some of the same key strokes that are used
by
JAWS.  When the Pass Key Through function is activated, JAWS will
pause and wait for one key stroke.  The key or key combination that
is
pressed, bypasses JAWS and is sent directly to the software program
that needs the keystroke.  The feature can also be useful when you
have
assigned new JAWS macros to keys that are also used by application
programs.
 
8.3 Say Screen Enhancement
 
    INSERT + 5 speaks the screen enhancement or color located at
the position of the active cursor.  The response produced by the
Say
Screen Enhancement function varies with the type of monitor that is
being used.  If a color monitor is being used, then JAWS will
identify
the colors in the foreground and background (blue, red, green,
etc.).  For
example, JAWS might say, "blue on white" when INSERT + 5 is used. 
This means that blue text is displayed on a white background.  On
the
other hand, if a monochrome monitor is used, JAWS will report the
monochrome enhancement found at the cursor position:  intense,
normal, reverse, or blinking.  Monochrome enhancements only
indicate
the way text is displayed; the terms foreground and background do
not
apply.  Detailed discussion of screen enhancements is presented in
Chapter 4 of PART TWO.
 
8.4 Say Field Mode
 
    INSERT + 6 either activates or deactivates the JAWS Say Field
Mode.  The term "field" has several software related meanings
depending on the context being used.  In this context, Field refers
to a
group of characters or words that are displayed with the same
screen
enhancement.  The words in this sentence would be considered a
field, because they are all displayed in bold.
 
    Say Field Mode is inactive when JAWS is first loaded.  When
INSERT + 6 is used, JAWS says "field on", and the Say Field Mode is
activated.  When Say Field Mode is on, Say Prior Word, Say Word,
and
Say Next Word become Say Prior Field, Say Field, and Say Next
Field.  This mode of operation is very useful when working with
application software programs that either use color bars or
enhancements to indicate:  current selections, errors, or other
important
information.  Say Field Mode will remain active until the INSERT +
6
is used again.
 
8.5 Singles Mode
 
    JAWS can either use Control Key Mode or Singles Mode to move
the cursor to the prior word or to next word.  When In Control Key
Mode, JAWS uses a CONTROL + LEFT ARROW or CONTROL +
RIGHT ARROW to tell the application software program that it should
move its cursor to the beginning of the prior or next word.  This
is a
standard key sequence supported by most word processing programs as
well as by a large number of other software programs.  If the PC
Cursor
does not move when CONTROL is used with the LEFT ARROW and
RIGHT ARROW, such as with many terminal emulation programs that
link PC's to host computers, then Singles Mode is needed.  It is
also
desirable to use Singles Mode in many other situations to improve
the
accuracy of cursor movement when moving by "words".
 
    When the Singles Mode is used to move the PC Cursor to the
prior word or next word, JAWS silently moves the PC Cursor one-
character-at-a-time until it gets to the beginning of the new word. 
On
some PC's, Singles Mode is slower than Control Key Mode, but it
offers
several advantages.  When Singles Mode is toggled "on", JAWS will
independently determine how to define and read units of text. 
There
are situations where Control Key Mode skips parts of words, or
reads
some words twice.  For example, if you are reading a hyphenated
word
such as "twenty-five", then some application programs might move
the
cursor in such a manner that you would not hear "five" when reading
this hyphenated word with the Say Next Word function.
 
    When Singles Mode is being used, JAWS can use its own rules for
reading hyphenated words and words that may contain unusual
combinations of letters and punctuation symbols, so that text is
not
skipped or read twice.  The movement of the JAWS Cursor is
unaffected
by the use of the Singles Mode or the Control Key Mode; only the PC
Cursor is affected by the selection of Singles On/Off.  The INSERT
+ 7
switches the cursor mode from the Singles Off status (Control Key
Mode)
to Singles On status.  
 
 
9.  READING SPECIFIC LINES
 
    The CONTROL + SPACE BAR is used to selectively read a
specific line of information on the screen.  If, for example, you
are using
a program that occasionally displays instructions on line 24, then
you
could use the Read Line X function to specifically read that line. 
The
letter "X" in the function Read Line X function is a Variable.  The
variable "X" indicates that you must supply information to JAWS
before
it will read the desired line.  Variables are used in several of
the JAWS
functions that will be described in later chapters.
 
    When CONTROL + SPACE BAR is pressed, JAWS asks you to
indicate the line that you wish to read.  In other words JAWS stops
and
asks you to fill-in the line number variable.  For example, if you
press
CONTROL + SPACE BAR, followed by the digits "24", then you are
instructing JAWS to read line 24.  You can enter the line number
variable by either typing the row number or by typing the
corresponding
letter for the row.  You may find it more convenient to make letter
substitutions for row numbers to speed up your reading.  When
substituting letters for numbers you can use the following
conversion: 
a=1, b=2, c=3, d=4, .  .  .  x=24, and y=25.  When you type letters
and
double digit numbers in response to the Read Line X function, the
desired line will be immediately read.  Single digit line numbers,
1
through 9, must be followed by ENTER to tell JAWS that you have
finished typing the number.  If you want the JAWS cursor to be
activated when CONTROL + SPACE BAR is used, then the macro for
this screen reading function can be modified.  The chapter on JAWS
macros will explain how you can modify the performance of any
screen
reading key to meet your specific needs.
 
 
10. MARGIN BELL
 
    This function is used to set a marker that beeps when the text
that you are typing crosses beyond a certain point on the screen. 
This
is similar to the margin bell on a typewriter, which rings to
indicate
that you are almost at the end of the line you are typing.  In this
case,
you can set the Margin Bell at any column location so that you will
know when your typing passes beyond a specific point.  The Margin
Bell
does not beep when you are using the Prior/Next Character or
Prior/Next Word keys to read text.  
 
    To set the Margin Bell, move the cursor to the column on the
screen where you want the beep to occur, and then press INSERT + B.

This key sets the Margin Bell "on" at that location, or turns it
"off" if it
was already set at a different location.  If the Margin Bell was
already
set at a previous location, then it will be first turned "off" when
you
press INSERT + B.  If this is the case, then you will need to press
it a
second time to mark the new location.  The Margin Bell function
INSERT + B is part of the default JAWS configuration.  Information
about adding this function to other configurations for use with
specific
application software programs is presented in the chapters on
macros
and on configuration files.
 
 
11. EXTENDED 101 KEYBOARDS.
 
    Extended Keyboards, also known as 101 Keyboards, have an
extra set of cursor keys located between the numeric keypad and the
typewriter keys.  These extra keys usually perform the same
function
as the cursor keys on the speech pad.  A special JAWS mode gives
independent status to these extra keys.  When these extra keys are
allowed to function independently, they are then able to perform
additional screen reading functions.  By default, the four extended
arrow
keys only move the PC Cursor and therefore only speak the text at
that
Cursor.  If the JAWS Cursor is active, then the pressing of any one
of
these four keys will turn it off, and activate the PC Cursor before
moving the cursor.
 
    The "/E" command line parameter allows the extended cursor keys
to be separate and distinct so that new screen reading functions
can be
assigned to these keys.  The "/E" parameter is automatically
included in
the batch file that is used to load JAWS.  This batch file was
created
when you used the installation program to install JAWS on your PC. 
A Command Line Parameter, or command line switch, is used when
JAWS is loaded to set different modes of operation for JAWS that
remain in effect until you turn off your PC or remove JAWS from
memory.  There are a large number of command line parameters that
modify the functioning of JAWS.  The disk file on command line
switches and program files will describe the uses for each of the
parameters.
 
 
12. HEARING KEY STROKES, WORDS, AND CAPITALIZATION
 
    The JAWS Menu System offers options for precisely controlling
both how and when key strokes, characters, and words are spoken. 
Additional options are available for determining the upper case
status
of letters and words as they are typed or read.  The chapter on the
voice
menu contains detailed information about adjusting all of the
settings
that control how and when information is spoken.
 
    We will introduce the concept of Keyboard Echo in this chapter,
even though it is a voice menu setting, because it directly relates
to the
use of the keyboard and speech pad.  JAWS can speak:  each word as
it
is typed, each keystroke as it is pressed, or can remain silent as
the
keyboard is used.  The speaking of words or individual key strokes
is
called Keyboard Echo.  Use the following commands to set Keyboard
Echo to words.  This means that when the SPACE BAR is pressed,
JAWS will speak the word that has just been typed.
 
a.  Press CONTROL + / (to activate the JAWS Menu System).
 
b.  Press V (for Voice Menu).
 
c.  Press K (for Keyboard Menu).
 
d.  Press E (for Keyboard Echo).
 
e.  Press W (for the echoing of words, or "C" for echoing of
    characters, or "F" to turn off keyboard echoing).
 
f.  Press PAGE UP (to exit the Menu System).
 
 
13. SUMMARY OF JAWS KEYS
 
    Each JAWS screen reading command that was presented in this
chapter is listed below for quick reference.  As a reminder,
"INSERT"
means hold down the INSERT key on the speech pad.  "ALT" means
hold down the ALT key.  "CONTROL" means to hold down the
CONTROL key.  A plus sign "+" between the names of two keys means
to hold down the first key while pressing the second key.  A COMMA
","
between the names of two keys means to press the first key, release
it,
and then press the second key.  Additional typographical and
keyboard
conventions are fully explained in Appendix 1.
 
13.1Speech Pad Keys
 
Activate JAWS Cursor = MINUS (speech pad "-")
Activate PC Cursor = PLUS (speech pad "+")
 
Say Prior Character = LEFT ARROW
Say Next Character = RIGHT ARROW
Say Current Character = 5 (speech pad 5)
 
Say Prior Word = INSERT + LEFT ARROW
Say Next Word = INSERT + RIGHT ARROW
Say Current Word = INSERT + 5 (speech pad 5)
 
Say Prior Line = UP ARROW
Say Next Line = DOWN ARROW
Say Current Line = INSERT + UP ARROW
 
Say From Left Edge of Screen to Cursor = INSERT + HOME
Say From Cursor to the Right Edge of Screen = INSERT + PAGE UP
 
Read Top Line of Screen = INSERT + END
Read Bottom Line of Screen = INSERT + PAGE DOWN
Say All = INSERT + DOWN ARROW (For continuous reading of
    screen or document) 
 
Position of Active Cursor = DELETE (identifies row and column
    location of the active cursor)
 
Position of Inactive Cursor = INSERT + DELETE (identifies row and
    column location of the inactive cursor)
 
Go To Beginning of Line = HOME (When the JAWS Cursor is active,
    HOME moves the JAWS Cursor to column 1 on the current line. 
    If the PC Cursor is active, then the PC Cursor moves in
    accordance with the application software's standard function.)
 
Go To End of Line = END (When the JAWS Cursor is active, END
    moves the JAWS Cursor to the right end of the current line to
a
    position that is immediately to the right of the last character
or
    last blank space.  If the PC Cursor is active, then the PC
Cursor
    moves in accordance with the application software's original
    function.)
 
Page Up = PAGE UP (If PC Cursor is active, then it sends a PAGE UP
    command to the application software; otherwise when the JAWS
    Cursor is active, it will move the JAWS Cursor to the top of
the
    screen.)
 
Page Down = PAGE DOWN (If PC Cursor is active, then it sends a
    PAGE DOWN command to the application software; otherwise
    when the JAWS Cursor is active, it will move the JAWS Cursor
    to the bottom of the screen.)
 
Route JAWS Cursor to PC Cursor = INSERT + MINUS
    (moves the JAWS Cursor to the location of the PC Cursor)
 
Route PC Cursor to JAWS Cursor = INSERT + PLUS
    (moves the PC Cursor to the location of the JAWS Cursor.  This
    function can only succeed in software programs that allow JAWS
    to move the PC Cursor.)
 
Stop Speech = ALT
    (has special function when used with Say All function.
 
Stop Speech when Say All is reading = CONTROL
    (only has special function when used with the Say All
function.)
 
Say Sentence = SHIFT + 5
Say Prior Sentence = SHIFT + LEFT ARROW
Say Next Sentence = SHIFT + RIGHT ARROW
 
Say Paragraph = SHIFT + PLUS
Say Prior Paragraph = SHIFT + PAGE UP
Say Next Paragraph = SHIFT + PAGE DOWN
 
Say Unit = SHIFT + MINUS
Say Next Unit = SHIFT + DOWN ARROW
Say Prior Unit = SHIFT + UP ARROW
Toggle Units = SHIFT + HOME
Set Character Units = INSERT + F1
Set Word Units = INSERT + F2
Set Field Units = INSERT + F3
Set Line Units = INSERT + F4
Set Sentence Units = INSERT + F5
Set Paragraph Units = INSERT + F6
 
13.2Numbers Row
 
    These functions utilize the keys on the numbers row above the
letter keys, and do not refer to the numeric keypad.
 
Help Mode On/Off = INSERT + 1
Turns Help Mode on and off.  When "on", the keys speak a
description
of their function.  The pressing of keys will not affect the
application
program.
 
Pass Key Through = INSERT + 3
Lets the next key pressed pass-through to the application program
so it
can perform its original function.
 
Say Screen Enhancement = INSERT + 5
Speaks the name of the color/monochrome screen attribute at the
active
cursor.
 
Fields Mode = INSERT + 6
When "on", the speech pad arrow keys move the cursor from one
"field"
to another.
 
Singles Mode = INSERT + 7
When "on", JAWS uses it own rules for moving the cursor to the
Prior/Next Word.  When "off", JAWS lets the application program
move
the cursor to the Prior/Next Word.
 
13.3Original Numeric Keypad Functions
 
    Four of the original numeric keypad functions can be obtained
by
using the ALT key with the appropriate numeric key.
 
ALT + DELETE = DELETE
ALT + INSERT = INSERT
ALT + PLUS = PLUS
ALT + MINUS = MINUS
 
13.4Extended Arrow Keys
 
    The default functions of the four extended arrow keys move the
PC Cursor.  If the JAWS Cursor is active, when you press one of
these
keys, then the JAWS Cursor is turned off and the PC Cursor is
activated before the cursor is moved.  The PC Cursor is activated
by
pressing any one of the extended keys:  UP ARROW, DOWN ARROW,
LEFT ARROW, and RIGHT ARROW.
 
13.5Smart Screen Key Combinations
 
    Several alphabet keys are used with INSERT to activate Smart
Screen functions.  A list of these functions are provided here for
future
reference, and will be explained in the chapter on Smart Screens.
 
INSERT + S = Smart Screen Toggle
Activate Smart Screen.
 
INSERT + R = Smart Speak
Read the contents of the screen with Smart Speak when Smart Screen
is active.  This macro must be tied to a monitored frame to
function.
 
INSERT + F = Smart Focus
Toggle Smart Focus on and off.
 
INSERT + E = Smart Level
Enter Smart Level "0" through "8".  "0" equals "auto".
 
INSERT + D = Define Smart Attribute
Define Smart Attribute by placing the active cursor on the desired
screen attribute and pressing the SPACE BAR to select the
attribute.
 
INSERT + C = Color Bar
Toggle the setting for Color Bar to "on", "off" and "auto".
 
13.6Other Keys
 
Invoke JAWS Menu System = CONTROL + /
 
Margin Bell = INSERT + B
Sets a marker which causes the PC to beep when typing of data moves
the PC Cursor past the column where it has been set.  Press the key
to
set the Margin Bell; press it a second time to remove the Margin
Bell
 
Say name of JAWS Version = INSERT + V
 
Find file name in DOS directory = CONTROL + UP ARROW
Used when working in DOS to find and place the JAWS Cursor on the
first file name displayed in a directory listing.
 
Home Row Mode = ALT + SPACE BAR
Switches alphabet keys to a different mode where they can be used
for
macros.
 
Read Line X = CONTROL + SPACE BAR
Prompts the user for the line number on the screen which is to be
read. 
Press a letter key "A" through "Y" or a number "1" through "25" in
response to the prompt.
 
 
14. MODIFYING AND EXPANDING THE POWER OF JAWS
 
    This chapter presented a complete description of the screen
reading functions that are a standard part of JAWS when it is first
installed on your PC.  Many JAWS users will eventually expand or
modify this set of screen reading keys to meet their individual
needs and
desires.  The ability to modify screen reading functions, the
ability to
change the functioning of the speech synthesizer, and the ability
to use
special configurations that we have developed for use with
application
software programs, are all linked to the ability to use the JAWS
Menu
System.  The JAWS Menu System is the framework that organizes the
functions of JAWS into an easily managed and quickly accessed set
of
screen reading tools.  The next chapter presents an overview of the
JAWS Menu System and describes menu system usage.  Remaining
chapters in this part of the manual will specifically address the
various
features and functions that are accessed through the menu system.
