PART TWO:  Chapter 2
JAWS MENU SYSTEM
(Also contained in the disk file "22MENU.MAN".)
 
 
(Last Revision:  November 1993.)
 
 
 
CONTENTS OF CHAPTER 2
 
    1.   INTRODUCTION . . . . . . . . . . . . 2-2.73
    2.   ACTIVATING THE JAWS MENU SYSTEM. . . 2-2.73
    3.   MENU SYSTEM DISPLAY. . . . . . . . . 2-2.74
    4.   MOVING THE MENU BAR AND MAKING
         SELECTIONS . . . . . . . . . . . . . 2-2.75
    5.   MAIN MENU SELECTIONS . . . . . . . . 2-2.78
         5.1  Voice . . . . . . . . . . . . . 2-2.78
         5.2  Config Files. . . . . . . . . . 2-2.79
         5.3  Frames. . . . . . . . . . . . . 2-2.79
         5.4  Macro . . . . . . . . . . . . . 2-2.79
         5.5  Enhance . . . . . . . . . . . . 2-2.80
         5.6  Search. . . . . . . . . . . . . 2-2.80
         5.7  Goto. . . . . . . . . . . . . . 2-2.81
         5.8  Place Markers . . . . . . . . . 2-2.81
    6.   THE NEXT STEP. . . . . . . . . . . . 2-2.81
1.  INTRODUCTION
 
    This chapter, and the preceding chapter on cursor movement and
screen reading, are companion chapters.  They introduce concepts and
terms that are used throughout the remainder of this manual.  If you
have not read the preceding chapter, then you should do so before
continuing to read the present chapter.  This chapter describes the
structure of the JAWS Menu System and introduces the uses of menu
system functions.  Full descriptions of each sub menu and their
functions are fully described in the remaining chapters of PART TWO
of the manual.
 
    The JAWS Menu System is user friendly.  It coordinates the
activities of JAWS into a highly organized and simple to use system of
menus and sub menus that can be used by blind or sighted users. 
Activities carried out through the JAWS Menu System can be classified
into three general categories:  level adjustment, search/goto functions,
and JAWS utilities.  Level Adjustment refers to menu selections that
change the setting of a parameter such as speech rate.  For example, if
you change the setting for speech rate, then JAWS will either speak
slower or faster, depending on the number you select.  Search/Goto
Functions refer to several menu selections that examine the screen
and/or move the JAWS Cursor.  Search/goto functions include searches
for text strings and screen enhancements, and the movement of the
JAWS Cursor to specific screen locations.  JAWS Utilities refer to
menu selections that activate additional JAWS software and/or issue
DOS commands.  The JAWS macro manager, frame manager, dictionary
manager, and configuration manager are all JAWS utilities.
 
 
2.  ACTIVATING THE JAWS MENU SYSTEM
 
    As soon as the JAWS software is loaded and speech begins, the
JAWS Menu System is ready for use.  The menu system can be used at
any time, and while using any application software program.  It is
normally accessed by pressing CONTROL + / (forward slash).  JAWS
says, "JAWS main menu" when the menu system is activated.  The
JAWS main menu is the highest menu level, and sub menus are said
to descend from the main menu.  The CONTROL + / is often referred to
as a Hot Key, because it activates what appears to be a separate
software program.  An alternative hot key can be used to activate the
menu system when the CONTROL + / is in conflict with the keys used
by application software programs.  The procedure for duplicating and
relocating JAWS macros is described in the chapter on the macro
manager.
 
    As discussed in the preceding chapter on cursor movement and
screen reading, your video card or screen display should be in a
standard display mode (non graphic) for monochrome, CGA, EGA, or
VGA.  This is usually 80 columns or more by 25 lines or more.  If the
monitor is in a graphic mode or a 40 column text mode, the menu
system may not function properly.  If you are using application
programs that use these non standard display modes, then you either
should set up the application software to use a standard display mode,
if possible, or you should not use the JAWS Menu System.  JAWS will
work properly with screen displays that exceed 25 lines by 80
characters, but JAWS may not always recognize these larger displays. 
If you are using a display that is larger than 25 lines by 80 columns,
and JAWS does not recognize this situation, then follow the suggestions
regarding large display size in the chapter on the frame manager in
PART TWO of this manual.
 
 
3.  MENU SYSTEM DISPLAY
 
    The menu system display occupies the top four lines of the screen. 
It contains three lines of text that are enclosed by a double line border. 
The figure that follows shows the JAWS Menu System display as it
appears at the top of the screen when it is first displayed.

** begin figure **
 
JAWS Main Menu
Voice  Config files  Frames  Macro  Enhanced  Search  Goto  Place markers
Adjust all voice parameters

** end figure ** 

    The title of the current menu is displayed on row 1 of the screen,
and is flanked on either end with a double line border.  We will refer to
this first line as the Title Line.  The title line changes as menu
selections are made, and sub menus are displayed.  Sub menus are
lower level groupings of related selections that are collected within
general categories.  For example, if "Voice" is selected from the JAWS
main menu, then a new sub menu with seven sub menu choices is
displayed.  Each of these seven menu options can be used to control
different aspects of synthesizer speech.  These seven sub menus lead to
additional sub menus where the speech characteristics are actually
adjusted.
 
    Row 2 contains the listing of menu selections for the current
menu that is identified on the title line.  We refer to row 2 as the
Selection Line.  The selection line uses highlighted text to identify the
current menu selection.  The PC Cursor follows the highlighted text so
that the currently highlighted word can be easily read with the Say
Word function.  At certain times, the selection line may also display a
Prompt that asks you to provide input by typing information or making
choices, such as when you are searching for a text string or a screen
color.
 
    The third line of the menu display provides information about the
highlighted item that appears on the selection line (row 2).  We call the
third line the Help Line, because it either provides helpful information
that describes the general function of the highlighted menu selection or
it offers specific instructions about using the sub menu selection.
 
 
4.  MOVING THE MENU BAR AND MAKING SELECTIONS
 
    When the menu system is invoked, (displayed on the screen) the
PC Cursor is automatically activated.  It works together with screen
highlighting to identify menu options and to guide the entering of
information.  The JAWS Cursor can always be used to read the menu
system display, but you cannot use the JAWS Cursor to make menu
selections.  The PC Cursor is automatically activated when the menu
system is invoked, and the previous cursor status is restored when you
exit the JAWS Menu System.  Thus if the JAWS Cursor was active, it
will be activated again once you leave the menu system.
 
    The Say Line function (INSERT + UP ARROW) reads all the
choices on the selection line.  The Read Top Line (INSERT + END)
reads the title line of the menu, while the Read Bottom Line (INSERT
+ PAGE DOWN) reads the help line.  
 
    JAWS automatically speaks menu selections as the highlighted
menu bar is moved from one selection to another.  The Say Prior/Next
Character functions and the Say Prior/Next Word functions move the
highlighted menu bar to the left or right along the selection line.  The
Say Word function speaks the highlighted menu item, and items can be
selected by pressing ENTER or the DOWN ARROW.  
 
    If the left most item on the selection line is highlighted and either
the Say Prior Character/Word is pressed, then the highlight bar will
Wrap Around to the item on the right end of the selection line. 
Similarly, if the right-most item is highlighted and you move the menu
bar to the right, then the menu bar will wrap around to the item on the
left.  JAWS will beep each time the menu bar wraps from one end to the
other.  The ability to wrap from one end to another is present on most
menus, but it is not always present in the lowest level menus such as
those that display settings for speech rate and other level adjustments. 

 
    New JAWS users will find that it is easy to roam around in the
menu system.  They  should have little difficulty exploring the various
menus and reading the help line information as they explore.  Once new
users become familiar with the menu system and the options that are
available, then a quicker method for making menu selections can be
used.
 
    You also can select menu options in the JAWS Menu System by
pressing letters that represent menu options.  This method of using the
various menus requires that you know where you are going and what
keys must be pressed to get there.  When you closely examine the menu
options on the selection line, you will notice that each option only has
one uppercase letter.  This uppercase letter is called the Selection
Character.  This uppercase selection character represents the menu
option.  If you press the alphabet key that matches the selection
character, then this will select the menu option.  When pressing a letter,
it is not necessary for the highlighted menu bar to be on the menu
option; the menu bar can be anywhere on the selection line.
 
    The selection character is usually the first letter of the menu
choice.  In some menus, however, two menu choices may begin with the
same letters, and it is therefore necessary to specify a different selection
character.  As a result, selections are made by pressing whatever letter
is displayed in uppercase print.  If the first letter of a menu selection is
not the selection character, then often the last letter will be used.  Thus
"N" is used for "oN", "F" is used for "ofF", and "T" is used for "smarT". 
JAWS will speak the uppercase letter of a menu selection whenever the
selection is highlighted and the INSERT + 5 (Say Character) is pressed,
because the PC Cursor is always placed on the selection character.
 
    When a menu selection is made, one of three things can happen. 
The menu bar could descend to a sub menu where additional selections
could be made.  Second, the selection line could be replaced by a prompt
that asks you to enter information that is needed to execute a JAWS
function or command.  Last, your menu selections could immediately
lead to the adjustment of a JAWS setting or lead to the immediate
execution of a command.  Some menu selections will automatically cause
JAWS to exit the menu system, as when doing a search, while others
allow you to stay in the menu system, such as when the macro manager
is being used.  When the menu system is exited, the original screen
contents and cursor are restored.
 
    Either the "X" key or the Say Prior Line (UP ARROW) can move
the menu bar up to a higher menu selection, if one exists.  If you are in
the JAWS main menu, the highest level of the menu system, then
pressing "X" or UP ARROW will exit the menu system.  If you are being
asked to provide information specific to a function and you decide not to
perform the function, then pressing "X" or UP ARROW will return you
up to the menu level from which you descended when you started the
function.  
 
    The "Z", "PAGE UP", or "ESCAPE" will exit you from the menu
system when you are several levels down, or when you just wish to
abort your current activity.  If you are being prompted for information,
then these exit keys will immediately cause most menu activities to
stop, cause the menu system to be exited, and restore the application
software to its original status.  Partially completed commands will be
discarded when the menu system is exited in this way.  The "X" and "Z"
will not perform the exit function when you are in an activity that
requires you to type text.  For example, if you are typing a string of text
that is to be used for a search or for an entry in the dictionary, then you
must use the "PAGE UP", or "ESCAPE" to abort the activity.
 
 
5.  MAIN MENU SELECTIONS
 
    When you press the menu hot key (CONTROL + /) from DOS or
from within an application program, the JAWS Menu System is
immediately displayed.  The JAWS Menu System is always available for
use even if it is not displayed on the screen.  JAWS macros often use
menu system functions when doing various tasks, but do not cause the
menu system to be displayed.  When the hot key is pressed, the first
menu that appears is the JAWS main menu.  The seven main menu
selections are described below.  Complete information on the function of
each menu selection is available in the indicated chapters.
 
5.1 Voice
 
    Selecting "Voice" from the JAWS main menu causes the Voice
Sub Menu to be displayed.  These sub menus are used to adjust the
levels of voice parameters and to adjust the manner in which characters
and words are spoken.  Among other things, volume, rate, and pitch can
be adjusted; filtering of unimportant characters can be adjusted or
disabled; and the sensitivity to upper and lower case letters can be
enabled or disabled.  Voice sub menu selections include:  "global",
"keyboard", "screen", "speech pad", "JAWS Cursor", "universal", and
"extra".  The dictionary manager is part of the universal sub menu, and
is the utility that manages the pronunciation of words that are
mispronounced by speech synthesizers.  Functions of the voice menu are
discussed in Chapter 3 of PART TWO.
 
5.2 Config Files
 
    Selecting "Config files" brings up the Configuration Manager. 
This JAWS utility can be used to load configuration files, save newly
modified configurations, and determine when configurations are to be
automatically loaded.  The sub menus of Config files are:  "load", "save",
and "autoload".  Information on the configuration files menu is
presented in Chapter 8 in PART TWO of this manual.
 
5.3 Frames
 
    Selecting "Frames" brings up the Frame Manager.  The menu
selections in this JAWS utility manage activities related to the use of
rectangular sections of the screen.  The frame manager is used to
"speak", "activate", "quiet", "revise", and "monitor" frames.  The menu
selection of "Smart Screen" is used to manage the activities of JAWS
Smart Screen functions.  Information on the frame manager is presented
in Chapter 5 of PART TWO of this manual and information on the
Smart Screen manager is presented in Chapter 6 of PART TWO.
 
5.4 Macro
 
    Selecting "Macro" brings up the Macro Manager.  This JAWS
utility manages activities linked to the creation and arrangement of
macros.  Selecting the macro manager allows you to:  create or revise
macros with the JAWS macro editor, duplicate or erase macros, and to
verify the existence of macros.  You can customize the macros in the
standard JAWS configuration with the macro editor to improve your
access to the application software programs you use.  The menu
selections of the macro manager are:  "revise", "duplicate", "erase",
"identify", and "auto macros".  The "revise" menu selection activates the
JAWS macro editor.  Chapter 7 in PART TWO of this manual provides
detailed information on the use of each sub menu selection.  Appendix
3 in the disk files contains a complete list of macro functions and
describes their usage.
 
5.5 Enhance
 
    Selecting "Enhance" brings up one of the search/goto functions. 
The Enhancement Search Menu is used to locate screen attributes
such as monochrome enhancements and colors.  Enhancement searches
allow you, for example, to search for blinking text or red text, and then
to read the text that is displayed with the desired screen attribute.  You
can specifically search for one of the five monochrome enhancements or
any combination of the sixteen foreground and background colors.  You
can repeat the most recent search for a screen attribute, search for an
enhancement different from the one at the cursor, or check to see what
attribute is at the cursor.  The enhancement sub menus are:  "different",
"find", and "repeat".  Chapter 4 in PART TWO of this manual presents
information about searching for enhancements.
 
5.6 Search
 
    Selecting "Search" brings up the String Search Function.  The
string search function allows you to search the screen for text and
graphic characters.  Searches can be done in various directions and
within the boundaries of frames.  If a search is successful, then JAWS
speaks the string of characters that it finds.  The search menu selection
does not have sub menus, but it does have a two step system for
requesting input for the completion of the search.  Information on string
searches is contained in Chapter 4 in PART TWO of this manual.
 
5.7 Goto
 
    Selecting "Goto" initiates a function designed to move the JAWS
Cursor to a specified location on the screen.  The Goto Function
searches for a specific row and column location on the screen and places
the JAWS Cursor at that location.  Goto is commonly used to place the
JAWS Cursor at a screen location where the JAWS user routinely needs
to read information.  The goto function does not have sub menus; it has
a single prompt that asks for row and column numbers.  Information on
goto is contained in Chapter 4 of PART TWO of this manual.
 
5.8 Place Markers
 
    Selecting "Place Markers" brings up a search/goto function with
two menu selections.  The Place Markers Function is used to mark
screen locations of the cursor with labels, and to move the JAWS Cursor
to the labeled locations.  The place markers function does not ask the
user to indicate row and column coordinates, instead, this function
marks the current location of the active cursor, and asks the user to
label the location with a letter.  The lettered locations can then be used
as targets for moving the appropriate cursor to specific points on the
screen.  The place markers menu has two sub menus:  "go to" and "set". 
Information on place markers can be found in Chapter 4 in PART TWO
of this manual.
 
 
6.  THE NEXT STEP
 
    The remaining chapters in PART TWO contain the specific
information you will need to use each of the JAWS main menu
selections that were introduced in this chapter.  The remaining chapters
in PART TWO need not necessarily be read in the order of their
appearance, but the chapters were written with the assumption that
readers will understand the concepts that were presented in preceding
chapters.  Regardless of the reading order, we strongly recommend that
you still read each chapter in this part of the manual, and that you take
time to practice using each of the menus, sub menus and functions that
are described.  The JAWS Training Tapes that have been included with
your JAWS program package also can be very helpful for guiding your
learning as you practice using the features of JAWS.
 
