PART TWO:  Chapter 3
VOICE CONTROL
(Also contained in the disk file "23VOICE.MAN".)
 
 
(Last revision:  November 1993.)
 
 
 
CONTENTS OF CHAPTER 3
 
    1.   INTRODUCTION TO THE VOICE MENU . . . 2-3.83
    2.   GLOBAL . . . . . . . . . . . . . . . 2-3.86
         2.1  Volume. . . . . . . . . . . . . 2-3.87
         2.2  Rate. . . . . . . . . . . . . . 2-3.87
         2.3  Pitch . . . . . . . . . . . . . 2-3.87
         2.4  Tone. . . . . . . . . . . . . . 2-3.88
         2.5  Standby . . . . . . . . . . . . 2-3.89
    3.   KEYBOARD . . . . . . . . . . . . . . 2-3.89
         3.1  Echo. . . . . . . . . . . . . . 2-3.89
         3.2  Volume, Rate, Pitch, Tone . . . 2-3.90
         3.3  Interruptable . . . . . . . . . 2-3.90
         3.4  Key Repeat. . . . . . . . . . . 2-3.91
    4.   SCREEN . . . . . . . . . . . . . . . 2-3.91
         4.1  Echo. . . . . . . . . . . . . . 2-3.92
         4.2  Volume, Rate, Pitch, Tone . . . 2-3.92
    5.   SPEECH PAD . . . . . . . . . . . . . 2-3.92
         5.1  Volume, Rate, Pitch, Tone . . . 2-3.92
         5.2  Interruptable . . . . . . . . . 2-3.93
    6.   JAWS CURSOR. . . . . . . . . . . . . 2-3.93
    7.   UNIVERSAL. . . . . . . . . . . . . . 2-3.94
         7.1  Numbers . . . . . . . . . . . . 2-3.94
         7.2  Symbols . . . . . . . . . . . . 2-3.95
         7.3  Line Pause. . . . . . . . . . . 2-3.97
         7.4  Case. . . . . . . . . . . . . . 2-3.97
         7.5  Filter. . . . . . . . . . . . . 2-3.98
         7.6  Acronyms. . . . . . . . . . . . 2-3.99
         7.7  Dictionary. . . . . . . . . . .2-3.100
    8.   DICTIONARY EDITOR. . . . . . . . . .2-3.100
         8.1  Add a Pronunciation Rule. . . .2-3.101
         8.2  Change a Pronunciation Rule . .2-3.104
         8.3  Delete a Pronunciation Rule . .2-3.105
         8.4  Bytes Available for Rules . . .2-3.105
    9.   EXTRA. . . . . . . . . . . . . . . .2-3.106
    10.  SAVING VOICE AND DICTIONARY
         CONFIGURATIONS . . . . . . . . . . .2-3.106
1.  INTRODUCTION TO THE VOICE MENU
 
    This chapter describes each of the menu selections within the
Voice Menu.  To display the voice menu, you begin by pressing
CONTROL + / (or your equivalent hot key) to invoke the JAWS Menu
System.  You can then either press V (for voice) or press DOWN
ARROW, to enter the voice sub menu.  The voice menu display should
appear very similar to the following illustration.
 
** begin figure **

JAWS voice menu
Global  Keyboard  Screen  speech Pad  JAWS cursor  Universal  Extra
Adjust voice parameters for keyboard, screen, and speech pad

** end figure **
  
    As a reminder, if you change any of the settings in the voice
menu, the new settings will not be permanent unless you save the
changes with the JAWS configuration manager.  Saving voice menu
changes is briefly described at the end of this chapter, and a full
discussion of configuration files is presented in the chapter on the
configuration manager in PART TWO of this manual.  It should also be
noted that, if you are updating your JAWS software to version 2.3, then
your old voice configuration and environment configuration files will not
be compatible with this version.  If you try to use the old voice and
environment files, then you will get a message that says these files are
not compatible.  If any configuration files of this type were in the
directory where JAWS 2.3 was installed, then these files will be
automatically converted to the new structure.  Otherwise, you can
re-adjust the voice parameters to meet your needs, and then save the
new voice configuration with the configuration manager.  If you have a
large number of configuration files that were not located in the directory
where you installed JAWS, then you may wish to use the conversion
program "J_CVT23.EXE" to convert your JAWS 2.2 files.  Files that
predate JAWS 2.2 cannot be converted with this program.  You can do
the conversion when in DOS by changing to the directory that contains
your configuration files and then type J_CVT23.
 
    The JAWS voice menu provides the means to adjust the
parameters that control synthesizer speech.  Most of the choices offered
by the voice menu adjust the level of various speech parameters.  The
rate of speech, the volume of speech, the pronunciation of upper case
letters, the slight pauses to indicate punctuation, etc.  are all set by the
level adjustment sub menus of the voice menu.  The general function of
the voice sub menu selections are listed below.  Complete descriptions
of each voice sub menu selection and its corresponding sub menus are
presented in the remaining sections of this chapter.
 
 
Global
Adjust speech parameters for keyboard, screen, and speech pad.
 
Keyboard
Adjust voice parameters for keyboard echo.  
 
Screen
Adjust voice parameters for screen echo.
 
Speech Pad
Adjust voice parameters for the speech pad.
 
JAWS Cursor
Adjust the levels to be used when the JAWS Cursor is active.
 
Universal
Dictionary, numbers, symbols, line pause, case, filter, etc.
 
Extra
Adjust voice characteristics specific to your speech synthesizer model.
 
 
    Each of the above voice menu selections lead to additional sub
menus.  However, before we can begin to describe the use of these
menus and sub menus, we must define a few concepts and terms.
 
    The keyboard, screen, speech pad, and JAWS Cursor are each
Sources of Speech.  By source of speech, we mean that the activity of
your keyboard, screen, speech pad and the JAWS Cursor can each cause
speech to be produced by the speech synthesizer.  The personal
preferences of JAWS users and their requirements for using many
different types of application software creates the need to precisely
control how and when speech is produced.  Thus, JAWS provides
selective control over each source of speech output through these menu
selections.
 
    The term Echo is used to indicate that speech output is being
produced in reaction to what is occurring on the keyboard, speech pad,
and screen.  For example, if you type the word "LOVE" and press space
bar, then JAWS will interpret the actions of the keyboard to mean that
the word "love" should be spoken.  Of course this assumes that the
setting for "keyboard echo" is set to "words".  Output can also be echoed
from the screen.  Output from the screen is automatically spoken by
JAWS when output comes through your PC's BIOS.  The BIOS is part
of the PC that is involved in the processing and displaying of
information on the screen.  For example, if you are working in DOS and
you type a command followed by ENTER, then the response that DOS
displays on the screen is automatically echoed to your speech
synthesizer and spoken.  When screen echo is on and you are working
in DOS, then JAWS speaks everything that is displayed on the screen. 
In some situations you may wish to turn off screen echo while leaving
keyboard and speech pad echo in one of several active modes.  The
JAWS voice sub menus provide the tools to support this level of speech
control.
 
    Many of the voice sub menus adjust the level of parameters such
as volume, rate, and pitch.  When descending into a voice sub menu, you
will notice that the current setting of the level you are adjusting is
highlighted.  The highlighted selection is always spoken when you enter
a menu, and newly highlighted settings are spoken as the menu bar is
moved to the left or right.  For example, selecting "volume" from the
global sub menu moves you down into a menu where you can adjust
volume.  If, for example, the selection line has the numbers 1 through
10 displayed on it, and the volume is currently set at level "5", then the
number "5" on the selection line would be highlighted.  You can use the
Say Prior Character or Say Prior Word to decrease the volume a level
at a time or use the Say Next Character or Say Next Word to increase
the volume a level at a time.  The volume will be decreased or increased
as you move the menu bar to new settings.  When the volume is correct,
you can press ENTER or DOWN ARROW to make your new selection. 
If you know that volume level "7" is your ideal level, and the current
level is "3", then you can simply type the number "7" and press ENTER. 
The volume is set to "7" and JAWS says "seven" to confirm your
selection.
 
    Several of the sub menu selections have an option called Toggle. 
For example, the menu selection for "key repeat" within the keyboard
menu has three settings:  "on", "off", and "toggle".  "Toggle" is not a
setting, it is a way of switching the current setting to a different setting. 
Thus, if key repeat is set to "on", and you press "T" for toggle, then the
setting is switched (toggled) to "off", or vice versa.  The toggle function
is very useful within macros, as will be explained in the chapter on
JAWS macros.
 
 
2.  GLOBAL
 
** begin figure **
  
JAWS global voice menu
Volume  Rate  Pitch  Tone  Standby
Adjust the level

** end figure **
  
    Selecting "Global" from the JAWS voice menu will cause the
Global Menu selections to be displayed on the selection line.  These
choices allow you to simultaneously adjust common speech parameters
that are used for the keyboard, screen, speech pad and JAWS Cursor. 
Each of these sources of speech can be also separately adjusted from
within their respective sub menus, but the global selection offers greater
speed for making general changes.  The global sub menu does not
include all possible settings for keyboard, screen, speech pad, and JAWS
Cursor, because other voice sub menus have menu options that are
unique to their respective type of speech control.  The sub menu
selections under global are described below.
 
2.1 Volume
 
    This selection is used to adjust the Volume Level of speech
output for the keyboard, screen, speech pad and JAWS Cursor.  Higher
numbers increase the level of speech volume, while lower numbers
decrease the loudness of output.  To adjust global volume:  press the
menu hot key, then press V for voice followed by G for Global and V for
volume.  Now you can use the LEFT ARROW and RIGHT ARROW to
change the number of the volume level.  Once you are finished trying
different volume settings, you can press ESCAPE to restore the original
volume setting and exit the JAWS menus, or you may wish to press
ENTER followed by ESCAPE to keep the new volume selection you have
made.  The introductory chapter on quick start up in PART ONE of this
manual provides several important hints for adjusting volume.
 
2.2 Rate
 
    This selection is used to adjust the Rate Level or Speech Rate
of speech output generated from the keyboard, screen, speech pad, and
JAWS Cursor.  Higher numbers increase the rate at which words are
spoken, while lower numbers decrease the number of words that are
spoken per minute.  To adjust the speech rate:  press the menu hot key,
press V for voice, G for global, and R for rate.  Now you can use the
LEFT ARROW and RIGHT ARROW to change the rate of speech output. 
Once you have finished trying different rates, you can press ESCAPE to
restore the original speech rate setting and exit the JAWS menus.  If
you wish to keep a new rate level, then press ENTER followed by
ESCAPE.
 
2.3 Pitch
 
    This selection is used to adjust the Pitch Level for the keyboard,
screen, speech pad, and JAWS Cursor.  In musical terms, a bass singer
has a very low pitch voice while a soprano sings very high musical
notes.  Lowering the setting for pitch makes the synthesizer sound more
like a bass, while increasing the setting makes the speech output sound
more like a soprano.  Raising the pitch level to the top of its range may
give the synthesizer certain childlike qualities.  To change the pitch
level:  press the menu hot key, press V for voice, G for global, and P for
pitch.  The LEFT ARROW and RIGHT ARROW can be used to adjust
the pitch.  Once you are finished experimenting with various pitch
settings, you can press ESCAPE to restore the original pitch level and
exit the JAWS menus, or you may wish to press ENTER followed by
ESCAPE to keep a new pitch level.
 
2.4 Tone
 
    This selection is used to adjust the Tone Level for the keyboard,
screen, speech pad, and JAWS Cursor.  The term tone is difficult to
describe in words, but can generally be thought of as the relative
placement of a person's voice within their body as they speak.  Some
people have a nasal sound in their voice, while the voices of other people
seem to come from deep within their chest.  Changing the tone of the
synthesizer gives the JAWS user the ability to make the vocal output of
their synthesizer more pleasing to the ear.  The best way to understand
the concept of synthesizer tone is to play with the settings.  Press the
menu hot key, then press V for voice, G for global, and T for tone.  Now
listen to the changes in tone that occur when you use the LEFT ARROW
and RIGHT ARROW to move the menu bar from one tone setting to
another.  After you have listened to the different tone qualities of your
synthesizer, you can press ESCAPE to restore the original tone setting
and exit the JAWS menus, or you can press ENTER followed by
ESCAPE to select a new tone setting.
 
    Some synthesizers, such as the family of DECtalk synthesizers
will have a setting for selecting "voices" and will not have an option for
setting Tone.  Other synthesizers cannot have their tone adjusted, and
this is the case with the Echo synthesizers.
 
2.5 Standby
 
    Standby, or Sleep Mode, is used to stop the normal operation of
JAWS.  Standby temporarily suspends all speech functions until the
normal operational state of JAWS is restored.  This function is useful
when a sighted person wants to use a PC that is running JAWS, and
they do not want to hear speech output.  Selecting Standby mode does
not remove JAWS from memory, it only deactivates JAWS.  JAWS can
be placed into Standby mode and removed from Standby mode at any
time.  To place JAWS into Standby, press the menu hot key, press V for
voice, press G for Global, and press S for Standby.  JAWS will not speak
again until the CONTROL + / or your menu hot key is pressed.  Standby
can also be invoked from the DOS prompt or from within a DOS batch
file by using the "J_UNLOAD.EXE" program with a "/S" command line
parameter.  Regardless of how Standby is invoked, the CONTROL + /
restores standard JAWS operation.
 
 
3.  KEYBOARD
 
** begin figure
 
JAWS keyboard voice menu
Echo  Volume  Rate  Pitch  Tone  Interruptable  Key repeat
Set keyboard echo

** end figure **
 
    Selecting "Keyboard" from the JAWS voice menu will bring you
to the JAWS Keyboard Menu.  These selections allow you to alter the
way data typed on the keyboard is spoken.  The sub menu selections
are:
 
3.1 Echo
 
    The selection of "Echo" is used to determine the type of Keyboard
Echo.  Three settings are offered to control speech output that is
generated from the pressing of keys on the alphabet section of the
keyboard.  The menu choices are:  "characters", "words", and "off".  The
"characters" selection causes each letter or number that is typed to be
spoken as soon as it is typed.  Selecting "words" causes full words to be
spoken whenever the space bar is pressed.  Selecting "off" prevents
keyboard output from being sent to the speech synthesizer and spoken.
 
3.2 Volume, Rate, Pitch, Tone
 
    The "Volume", "Rate", "Pitch", and "Tone" menu selections are
used to specifically set levels for keyboard output.  The process of
adjusting levels for these menu selections is identical to that which was
described earlier in the section on "global".
 
3.3 Interruptable
 
    Selecting "Interruptable" is designed to toggle Interruptable
Speech "on" or "off".  When speech interruptability is set to "on", then
JAWS can interrupt or stop speech output whenever a key is pressed. 
The menu for setting interruptability for keyboard output contains the
selections of:  "on", "off", and "toggle".  For example, while typing within
a word processor, you might want to have individual characters echoed
as they are typed and have keyboard interruptability set to "on", so that
JAWS can keep up with fast typing.  In this way, the speaking of
previously typed letters will be interrupted by the most recently typed
letter.  Interruptability also works with keyboard echo set to "words", so
that as soon as you press SPACE BAR, JAWS speaks the word even if
it must interrupt the speaking of a previously typed word.
 
    A sub menu setting for interruptability is available for both the
keyboard and speech pad menus.  Keyboard interruptability affects the
letter and number keys on the typewriter section of the keyboard, and
speech pad interruptability affects the speech pad keys.  You could, for
example, set speech pad interruptability to "on", and have the ability to
read around the screen quickly.  You could simultaneously set keyboard
interruptability to "off", and hear every letter you type even if you type
fast.
 
3.4 Key Repeat
 
    This selection turns Key Repeat "on" or "off".  Selecting "key
repeat" brings you to a menu where automatic key repeat can be turned
"on", "off", or "toggled".  If key repeat is set to "on", then holding down
a key for more than a second will cause that character or cursor
movement to be repeatedly entered until you let go of the key.  Setting
key repeat to "on", can be useful if you wish to enter a large number of
the same characters in a row.  Setting key repeat to "off", can be helpful
for new PC users who may accidentally hold a key for more than a
second, and end up typing more characters than they had intended.
 
 
4.  SCREEN
  
** begin figure **
 
JAWS screen voice menu
Echo  Volume  Rate  Pitch  Tone
Toggle screen echo on or off
 
** end figure **
  
    Selecting "Screen" from the JAWS voice menu will bring you to
the JAWS screen menu.  Choices here, allow you to adjust parameters
that control how Screen Output is to be spoken.  Text that appears on
the screen may be spoken automatically, or it may appear without being
noticed by JAWS; it all depends on the method that is used by the
software application program to display information on the screen. 
Some application software programs write directly to the screen, and
JAWS does not automatically speak this information.  Other programs
write to the screen through a part of the PC called the BIOS.  Words,
letters, and numbers that are processed through the BIOS before being
displayed on the screen may be automatically spoken in their entirety. 
The menu selections under the screen sub menu all affect the manner
in which screen output is spoken.  The choices offered by this menu are:
 
4.1 Echo
 
    This selection controls Screen Echo.  The choices here are:  "on",
"off", and "toggle".  The selection of "on", indicates that any output that
is sent to the screen, and that can be automatically spoken by JAWS,
will in fact be spoken.  The setting of "off" is used to prevent all
automatic speech output, so that if you were to be working in DOS and
you were to enter a command, then you would not hear a response, even
though one has been displayed on the screen.
 
4.2 Volume, Rate, Pitch, Tone
 
    The "Volume", "Rate", "Pitch", and "Tone" menu selections are
used to specifically set levels for screen output.  The process of adjusting
levels for these menu selections is identical to that which was described
earlier in the section on setting "global" parameters.
 
 
5.  SPEECH PAD
 
** begin figure **
 
JAWS speech pad voice menu
Volume  Rate  Pitch  Tone  Interruptable
Adjust the level

** end figure **
  
    Selecting "Speech Pad" from the JAWS voice menu will bring you
to the speech pad menu.  The choices in this voice sub menu allow you
to adjust the parameters that control Speech Pad Output.  This is
output that is caused by pressing the speech pad keys.  The choices
offered are:  
 
5.1 Volume, Rate, Pitch, Tone
 
    The "Volume", "Rate", "Pitch", and "Tone" menu selections are
used to specifically set levels for speech pad output.  The process of
adjusting levels for these menu selections is identical to that which was
described earlier in the section on "global".
 
5.2 Interruptable
 
    This speech pad menu selection is used for controlling Speech
Pad Interruptability.  As was described within the discussion of
keyboard interruptability, presented earlier, this function allows the
user to control how the pressing of speech pad keys affects speech
output.  Speech pad interruptability has three selections:  "on", "off", and
"toggle".  If speech pad interruptability is set to "off", then you can read
around the screen, hearing every item you encounter, because key
strokes will not interrupt speech.  You could also set keyboard
interruptability to "on" so that the speaking of characters or words will
never lag behind your cursor movements.  If speech pad interruptability
is turned "on", then speech will be interrupted whenever a speech pad
key is pressed.  For example, if you quickly press the Say Next Line
function several times in a row, then you will likely only hear the first
few words of each line as the cursor moves down the screen.  JAWS has
interrupted the speaking of the first line in order to begin reading the
next line.  If interruptability is set to "off", then each line would be fully
spoken without regard to how fast you press the DOWN ARROW.  You
may wish to refer to the discussion of keyboard interruptability that was
presented earlier in the section on "keyboard" for additional information
on this feature.
 
 
6.  JAWS CURSOR
  
** begin figure **
 
JAWS cursor voice menu
Volume  Rate  Pitch  Tone                                     
Adjust the level, active when JAWS Cursor is on                
  
** end figure **
  
    Selecting "JAWS Cursor" from the voice menu will bring you to
a menu where you can adjust the parameters that control the
characteristics of speech output when the JAWS Cursor is active.  These
characteristics can be set so that speech produced by movements of the
JAWS Cursor can have a different "volume", "rate", "pitch", and "tone"
than speech produced from other sources of speech output.  In this way,
you can have an auditory reminder of which cursor is active and is being
used to read the screen.  Commonly, the JAWS Cursor is given a pitch
setting that is slightly higher than other pitch settings.  The speech
synthesizer also could be made to speak faster or slower when the
JAWS Cursor is active depending on your needs.  If you are using a
synthesizer from the DECtalk family of synthesizers, then you could use
one of the distinct voices for the JAWS Cursor.  Setting these
parameters is done according to the instructions that were presented
earlier in this chapter.
 
 
7.  UNIVERSAL
  
** begin figure **
 
JAWS universal voice menu
Dictionary  Numbers  Symbols  Line pause  Case  Filter  Acronym
Adjust the speaking of numbers
 
** end figure **
  
    Selecting "Universal" from the voice menu allows you to alter the
settings for the Universal Speech Parameters described below.
 
7.1 Numbers
 
    Selecting "Numbers" allows you to adjust Number
Pronunciation.  You can specify the way that JAWS speaks numbers
to improve the readability of numbers.  Numbers can be spoken in
several ways, ranging from individual digits to full words.  The number
pronunciation options are:  "off", "digits", "pairs", and "full numbers". 
For example, if numbers are to be spoken as "digits", the expression
"123" is spoken as "one two three".  On the other hand, if numbers are
spoken as full numbers, then the expression "123" would be spoken as
"one hundred twenty-three".  
 
    If "digits" is selected then numbers are spoken as individual
numerals.  If "pairs" is selected, then numbers are pronounced in pairs. 
Paired number pronunciation would result in the expression "2550"
being pronounced as "twenty-five fifty".  "Full numbers" causes each
group of connected numbers to be spoken as if they were words.  The
number "88,270" would then be pronounced as "eighty eight thousand
two hundred seventy".  Selecting "off" does not turn off the speaking of
numbers, rather, this option causes JAWS to pass numbers through to
the synthesizer without alteration.  It is then up to the synthesizer to
determine how to best pronounce the numbers.  The "Full numbers"
setting is supported on most synthesizers, but not on all synthesizers. 
If you select "full numbers" and your synthesizer still speaks strings of
single digits, then this is probably related to the capabilities of your
speech synthesizer.  The various DECtalk synthesizers the Accent
synthesizers, Audapter, Braille 'n Speak and a few others handle the
speaking of full numbers properly.
 
7.2 Symbols
 
    This selection is used to determine which punctuation symbols
and other special characters are to be spoken.  Selecting "Symbols" from
the universal voice menu brings you to the symbols sub menu.  These
selections allow you to specify whether punctuation marks and other
graphic symbols should be spoken.  The choices offered by this menu
are:  "all", "most", "some", "none", and "off".
 
 All Symbols
    Selecting "All" causes JAWS to speak each punctuation mark and
special character when text is read.  This mode is useful when proof
reading a document for proper punctuation and spelling.  JAWS will say
the punctuation symbols when reading a character or word at a time,
and when typing.  If "symbols" is not set to "all", then a portion of the
symbols that appear on the screen will not be spoken when lines and
sentences are read.
 
Most Symbols
    Selecting "Most" causes JAWS to speak all symbols except for
some common punctuation marks.  This mode is useful when using a
word processor or other program to read a letter, manual, or other
document and you do not need to hear the synthesizer say the words
"period", "comma", etc.  as you read.  JAWS will still pause to reflect the
presence of common punctuation marks that are not being spoken as
text is read.
 
Some Symbols
    Selecting "Some" causes JAWS to speak a limited number of
punctuation and special symbols.  The decision to select this setting, as
with other symbols settings, in large part is determined by your
preferences and needs.  JAWS pauses when this setting is used to
reflect the presence of common punctuation marks as it also does when
you select "most".
 
None (no symbols)
    Selecting "None" eliminates the speaking of punctuation and other
special characters.  JAWS will actually strip them out of the output
string that is sent to the speech synthesizer.  Thus, symbols are not
spoken and JAWS does not pause to indicate their presence.
 
Off (do not manipulate symbols)
    Some speech synthesizers make their own special use of symbols
and punctuation.  We provide the "off" choice to prevent the normal
processing of symbols by JAWS, and let the synthesizer handle the
speaking of symbols.
 
    Some speech synthesizers have their own level adjustment for the
speaking of symbols.  Menus for setting synthesizer punctuation rules
are found in the voice sub menu called "Extra".  Naturally the
availability of additional controls for punctuation vary according to the
features of synthesizers, so we will not further discuss symbols and their
control here.  Please read the information about your synthesizer
contained in Installation Reference 3 of the disk files for information
about these settings, or just experiment with the menu selections under
"extra".  Remember, you should have "symbols" in the universal menu
set to "off" if you are going to be using the punctuation controls in the
"extra" menu.  If "symbols" is set to any other setting, then you may
have two different systems trying to affect the speaking of symbols,
which can result in symbols being spoken twice.
 
7.3 Line Pause
 
    This menu selection is used to adjust Line Pauses that occur
when lines of text are read.  Some synthesizers seem to pause, or
hesitate, when they start to speak a line of text, which gives the
impression of a "period".  JAWS normally inserts this slight pause at the
end of each line, whether it is the end of a sentence or not.  The pause
is useful in situations where the sense of line breaks is important for
understanding the text display.  The selections for line pause are:  "on",
"off", and "toggle".  If you turn line pauses to "off", then JAWS will
pause only at the appropriate punctuation symbols, and not at the end
of lines.  This makes the speech output sound more natural.  The setting
of "off" for line pauses is especially useful if you have a DECtalk, Multi
Voice, KPR, Prose or other natural sounding synthesizer.  These
synthesizers tend to pause longer than is needed when encountering
groupings of connected words without spaces, or when reading long
phrases without sentence breaking punctuation.  In some cases, they
even appear to lock up.  Selecting "off" improves the handling of this
problem, so that text flows together more naturally.
 
7.4 Case
 
    This menu is used to determine how JAWS will handle
Uppercase Character Identification.  Selecting "Case" brings you to
a menu which allows you to choose three modes for uppercase character
identification.  The choices are:  "emphasize", "say caps", and "off".  If
"emphasize" is selected, then JAWS will differentiate between upper and
lowercase letters by speaking uppercase letters in a higher pitch.  Thus
when you use the Say Previous/Next Character functions or the Say
Character function, then JAWS speaks uppercase letters in a higher
pitch.  JAWS will not indicate the presence of uppercase letters when
reading full words or lines when case is set to "emphasize".  If case is
set to "say caps", then JAWS says "cap" before it speaks a word that
begins with an uppercase letter.  If the whole word is capitalized, then
JAWS says "cap cap".  If an unusual situation is encountered such as
the name "McDonald", which combines upper and lower case letters,
then JAWS says "cap cap cap" to indicate the unusual situation or to
indicate the possible existence of a capitalization error.  If case is set to
"off", then JAWS does not provide any indication of uppercase
characters.  
 
    As you probably know, if you have the Caps-Lock status of your
keyboard set to "on", and press the shift key while typing a letter key,
then the letter you type will be lowercase.  This may be what you want,
but usually this results in an accidental capitalization error.  JAWS
monitors the occurrence of SHIFT being used with Caps-Lock, and beeps
whenever it notices this unusual situation.  The beep is a friendly
reminder that Caps-Lock is still on.
 
7.5 Filter
 
    This menu selection limits the speaking of multiple identical
characters by being a Character Filter.  Selecting "Filter" from the
JAWS universal menu takes you to the filter sub menu.  Choices allow
you to adjust the manner in which strings of identical characters are
spoken.  The character filtering menu has choices that allow the user to
determine how many times the same character is to be spoken when it
appears in an unbroken string.  Choices include:  "1" through "6" and
"all".
 
    The most common characters used in continuous strings of
identical characters are the period, asterisk (*), and the underline
symbol.  For example, strings of periods are often used in a table of
contents to provide a sense of visual connection between chapter titles
and corresponding page numbers.  When this type of text display is read
with character filtering set to "all", then each period is individually
spoken.  Most people find it annoying to hear the word "dot" spoken 30
or 40 times in a row.  the character filter menu allows the user to
determine how many multiple identical characters should be spoken to
indicate the presence of a long string.  The entire string can be
pronounced as when filter is set to "all", or they can be filtered down to
a representative number of repeated characters.  Setting character
filtering to "3" characters, still gives the sense of a string without
offering a significant delay.
 
    It should be noted that character filtering does not work if there
are spaces between repeated characters.  Sometimes there is a space
between each period or asterisk, in what appears to be a string.  In this
situation, JAWS does not filter characters, because JAWS can only filter
an unbroken character string.  Therefore, a string of the same
characters, each of which is separated by one or more spaces, is a
broken character string, and each character is read as if it were a
separate word.  When a broken string is composed of periods, the word
"period" is spoken to identify these punctuation marks, but if the periods
are side-by-side in a character string, then JAWS says "dot".  This offers
a quick way of distinguishing between unbroken and broken strings of
periods.
 
7.6 Acronyms
 
    This menu selection is used to activate a mode that spells
acronyms when text is being read.  Acronyms are words that have been
formed from the first letters of other words or from parts of other words. 
They usually do not include periods and are usually printed in
uppercase characters.  "USA" and "JAWS" are both acronyms.  The
acronyms menu can be set to:  on, off, toggle.  Setting acronyms to "on"
causes JAWS to spell any combination of letters that are all in
uppercase.  If acronyms is set to off and you encounter "USA", then
JAWS might say something that sounds like "ussah" instead of saying
the letters "U S A".  Some speech synthesizers also have built in
abbreviation rules that are controlled through the "extra" menu.  These
built in rules will also cause some acronyms and common abbreviations
to be pronounced properly.  You may wish to examine the menu
selections in your version of the "extra" menu or to read the
documentation for your specific synthesizer to determine if you have
additional control over the pronunciation of abbreviations.  Installation
Reference 3 in the disk files also contains information about individual
synthesizers and features that are controlled through the "extra" menu.
 
7.7 Dictionary
 
    The "Dictionary" menu option displays the Dictionary Manager.
The menu of the Dictionary Manager is used to activate or deactivate
the use of dictionary configuration files.  A dictionary configuration file
is used to control how words with unusual pronunciations will be spoken
by the speech synthesizer.  The dictionary menu also has a menu option
called "revise".  The "revise" menu option is use to activate the
Dictionary Editor.  The JAWS Dictionary Editor is used to create,
modify, or delete word pronunciation rules.  Section 8 in this chapter
describes the various functions of the Dictionary Editor.
 
 
8.  DICTIONARY EDITOR
 
    The Dictionary Editor is unlike any of the other menus contained
within the universal menu or the voice menu.  The Dictionary Editor
is a JAWS utility that manages the process of adding, changing, and
deleting pronunciation rules.
 
    Each model of speech synthesizer has a different ability to
properly pronounce words that do not conform with standard rules of
English.  Speech synthesizers are designed to correctly pronounce
common English words, but there always will be a few words that a
synthesizer will fail to pronounce correctly.  If your documents include
unusual surnames, non English words, or technical and scientific
terminology, then some of these names and words will be
mispronounced.  If you frequently  use a certain set of names and terms
that are mispronounced, then you may wish to use the Dictionary Editor
to create pronunciation rules to correct the mispronunciations.
 
    Words that are mispronounced by a speech synthesizer are called
"exceptions".  The term Exception is used to describe any character,
word, or phrase that is mispronounced, because the pronunciation does
not follow standard English pronunciation rules.  The Pronunciation
Rules you create describe how a character, word, or phrase should be
spoken by the speech synthesizer.  This means you can use the
Dictionary Editor to tell JAWS which words are problematic for your
synthesizer (exceptions), and then tell JAWS how you want to have the
word properly spoken (rules).
 
    Once you have created pronunciation rules with the Dictionary
Editor, then JAWS uses these rules to correct the pronunciation of what
it reads.  JAWS watches for the exceptions as it speaks text, and when
it finds a word that matches one of your exceptions, then it uses your
pronunciation rule to correctly speak the word or phrase.
 
    When you select "revise" from the dictionary menu, you are
activating an on-line utility program that contains the menu options of: 
"add", "change", or "delete".  You can stop the process of adding,
changing, or deleting a pronunciation rule at any time by pressing
ESCAPE.
 
IMPORTANT!  You Must Save Your Pronunciation Rules.
    When you add, change, or delete pronunciation rules, you are only
changing the set of rules that exist in your computer's memory.  In
order for the rules to be permanently saved, you must save them with
the configuration files menu.  Instructions for saving a dictionary
configuration file is described in Section 10 of this chapter.
 
8.1 Add a Pronunciation Rule
 
    Adding pronunciation rules is done by selecting "add" from the
Dictionary Editor menu.  When you make this selection, you will be first
prompted to enter the "exception", which is the character, word, or
phrase that your synthesizer is mispronouncing.  You can use your
cursor movement keys as you would normally when typing and editing
your entry.  Press ENTER when you are done.  The exception can
contain letters, numbers, spaces, and graphic characters.  If you wish to
use a graphic character, then you must enter its decimal equivalent.
 
    Once you have entered the exception, you are then prompted for
the pronunciation rule.  The "rule" is the new way that you want your
speech synthesizer to speak the exception.  Type the text of the rule and
then use the ALT + UP ARROW to speak the rule.  If the rule is not
spoken correctly, then modify it again and listen to its pronunciation. 
When you have successfully created the rule, then press ENTER to
complete the process.
 
    Sometimes getting the synthesizer to speak the word or phrase
correctly takes some creativity in the way you enter the rule.  You may
have to use letters in unusual combinations, and sometimes divide
words with spaces to achieve the proper pronunciation.  You can save
yourself some time by typing the rule and then reading it with the Say
Line function (INSERT + UP ARROW) before you press ENTER.  By
doing this, you can hear if the rule sounds right, and if it does not sound
quite right, then you can modify the rule again.  It is important to take
the time to be sure the rule sounds right, because if it does not sound
correct when you are in the Dictionary Editor, then it will not sound
correct when you are reading a document.
 
    Many speech synthesizers, for example, mispronounce the word
"flatbed".  The absence of a pronunciation rule for this word lets some
speech synthesizers mistakenly say "flabed" instead of "flat bed".  To
create a rule for this exception, you would begin by selecting "add" from
the Dictionary Editor menu.  You would then type "flatbed" and press
ENTER (your entries should not include the quote marks).  Now you are
ready to type the rule.  Type "flat bed" (the quote marks should not be
included in the pronunciation rules you type).  After you type the rule,
then use the INSERT + UP ARROW to speak the rule.  If it sounds
correct, then press ENTER.  JAWS will acknowledge the addition of
your rule and return you to the Dictionary Editor menu.
 
    If you are, for example, working in the pharmaceutical industry,
then you may not be satisfied with your synthesizer's pronunciation of
the word "pharmaceutical".  You might use a pronunciation rule such as
"farmasuticle"  to improve the pronunciation of this word.  Of course,
some synthesizers may correctly pronounce pharmaceutical and you will
not need to create a pronunciation rule.
 
    If you want to create a pronunciation rule for a graphic character
such as these,     , then you must use the decimal value for the
character when entering the exception.  Pronunciation rules for graphic
characters are entered in decimal form, that is, a "\" (back slash)
immediately followed by the three digit number that represents the
character.  For example, if you wish to have the graphic symbol for a
right arrow  to be identified by the words "right arrow", then you
would enter "\026" as the exception, and you would enter "right arrow"
as the rule.  You can also use a string of graphic characters for the
exception.  The graphic representation of the "enter" symbol  is
actually composed of three graphic symbols.  This triple symbol
exception would be entered as "\017\196\217", and the rule would be
"enter".  The three digit numbers for graphic characters and other
ASCII characters can usually be found in a DOS reference manual or in
the appendices of some word processing software manuals.
 
    It is sometimes valuable to create pronunciation rules for
abbreviations and acronyms.  For example, you could use "Mr." as the
exception, and create the rule "mister".  This could make the
pronunciation of names flow more smoothly.  Without this rule, the
expression "Mr." would be spoken as "m r period".  It is very important
when creating pronunciation rules for abbreviations and acronyms to
think about the undesirable duplications that might result.
 
    If you take the exception "Dr." and create the rule "doctor", then
JAWS will say "doctor jones" when it encounters "Dr. Jones".  However,
JAWS will also say "122 Shady Woods doctor" when it encounters the
mailing address "122 Shady Woods Dr.".  Similarly, a pronunciation rule
could be created for the abbreviation "st.".  The problem with the
abbreviation "st." is that it could stand for "state", "street", "stanza",
"stone", "statute", or "saint".  Thus, you may wish to avoid creating
pronunciation rules for abbreviations that have several uses.  If you are
working in a technical field, such as law, and "St." usually means
"statute", then you may wish to create a rule for "st.". 
 
    Remember, if you create pronunciation rules and you want to
keep those rules for future use, then you must save your configuration
files.  Use the process described later in this chapter to save your
configuration files.  If you do not save your configuration files, then the
rules you create will be lost when you turn off your computer.
 
8.2 Change a Pronunciation Rule
 
    Changing a pronunciation rule is similar to the process of adding
a new rule.  Once you select "change" from the Dictionary Editor menu,
you will be prompted to find the exception that you wish to change.  You
can find the exception by using the left and right arrow keys to search
through the existing list of exceptions, or you can begin to type the
exception.  As soon as you start typing, the Dictionary Editor will show
you the first exception that matches your typing.  The technique of
letting the pronunciation editor search for exceptions that match your
typing is most useful when you have a large number of exceptions.  As
you type the character, word, or phrase that you wish to change, the
pronunciation editor will scroll through the list and try and match your
typing with all the exceptions.  The list is alphabetized, and each letter
you type will bring you closer to the entry you desire.  You can stop
typing at any time, and start to use the LEFT ARROW and RIGHT
ARROW to continue scrolling through the list to find the exact entry you
need.
 
    When you find the exception that you wish to change, then all you
need to do is press ENTER.  The existing pronunciation rule will then
be displayed and you can edit the rule.  You can modify this rule and
test it as much as you wish until it sounds correct.  You can use any of
the cursor movement keys as well as the backspace and the delete when
editing.  Once you have completed your editing, then press ENTER and
JAWS will acknowledge the acceptance of your modified rule.
 
    Remember, if you change pronunciation rules and you want to
keep the new rules for future use, then you must save your
configuration files.  Use the process described in Section 10 of this
chapter to save your configuration files.
 
8.3 Delete a Pronunciation Rule
 
    The process of deleting a pronunciation rule is very similar to the
process for changing a rule.  When you select "delete" from the
pronunciation editor, you are presented with a prompt that asks you to
find the rule to be deleted.  You can use the arrow keys, as would be
done when changing a rule, or type the first few letters of the exception
that you wish to remove.  When you find the entry that you wish to
remove from the list, then press ENTER.  You will be asked to confirm
your intention to delete the entry by pressing "Y" (for yes).  If you agree,
and press  "Y", then the entry is removed from the list.
 
    Remember, you must save your configuration files if you want
the existing set of pronunciation rules to be saved for future use.  Use
the process described in Section 10 of this chapter to save your
configuration files.
 
8.4 Bytes Available for Rules
 
    At the right end of the selection line of the Dictionary Editor
menu you will find a number.  The number is preceded by the notation
"Bytes Available".  This number is the amount of space that is still
available for storing additional pronunciation rules.  The amount of
memory space that is available for pronunciation rules is 2K (about 2000
characters).  You can increase the amount of space for pronunciation
rules by using a command line parameter.  You can also use the same
parameter to eliminate the allocation of memory for the pronunciation
rules, which will prevent the rules from being used and will free up 2K
or more of RAM memory.  Please see Appendix 4 in the disk files for a
discussion of the command line parameter that can be used with the
Dictionary Buffer.
 
 
9.  EXTRA
 
    Many speech synthesizers offer features that are unique to a
limited number of speech synthesizers.  We have developed a customized
menu called "Extra" that only contains the menu selections that are
needed to adjust the features of the synthesizer that you identified when
you installed JAWS.  You can learn about these features by examining
the menu selections under "extra", and by reading the information about
your synthesizer that is included in Installation Reference 3 of the disk
files, where equipment is discussed.
 
 
10. SAVING VOICE AND DICTIONARY CONFIGURATIONS
 
    If you have made voice parameter changes or have modified
pronunciation rules with the Dictionary Editor, and you wish to save
these changes, then follow the steps below.  You may also want to read
the chapter on managing configuration files contained in PART TWO of
this manual for additional information.
 
a.  Press CONTROL + / (to activate the JAWS Menu System).
 
b.  Press C (for config files).
 
c.  Press S (for save).
 
d.  Press V (to save voice configurations).
    Or press D (to save dictionary configurations).
 
e.  Press ENTER (to accept the default file name for the voice
    configuration or dictionary configuration file).
 
f.  Press ESCAPE (to exit the menu system).
 
