PART TWO:  Chapter 6
SMART SCREEN MANAGER
(Also contained in the disk file "26SMART.MAN".)
 
 
(Last revision:  November 1993.)
 
 
CONTENTS OF CHAPTER 6
 
    1.   INTRODUCTION . . . . . . . . . . . .2-6.147
    2.   AUTOMATIC READING STRATEGIES . . . .2-6.148
    3.   SMART SCREEN MENU. . . . . . . . . .2-6.149
    4.   ACTIVATING SMART SCREEN. . . . . . .2-6.150
    5.   SMART FOCUS. . . . . . . . . . . . .2-6.151
    6.   CONTROLLING SMART SPEAKING . . . . .2-6.153
         6.1  Smart Level . . . . . . . . . .2-6.154
         6.2  Color Bar . . . . . . . . . . .2-6.156
         6.3  Smart Options . . . . . . . . .2-6.157
                   Left/Right
                   Up/Down
                   Single
                   Combine
                   Data Only
                   Attribute
                   Screen Echo
    7.   SUMMARY OF SMART SCREEN KEYS . . . .2-6.162
    8.   ABOUT THE SMART SPEAK MACRO. . . . .2-6.162
1.  INTRODUCTION
 
    Smart Screen takes the planning and preparation out of PC use,
and makes it possible to automatically access almost any text oriented
software display within minutes.  This chapter explains how the Smart
Screen Manager is used to regulate the process of automatically
reading the most important information from menus, pop-up windows,
and other structured screen displays.  It can be a tool that provides
immediate access to new and unfamiliar software programs, or it can be
the long term solution for reading screen displays that cannot be easily
accessed with the features described in the preceding chapters.
 
    As a starting point, Smart Screen can read information on a
screen in situations where you are completely unfamiliar with the
screen layout.  It can identify and automatically speak the important
screen changes when you do not know what should be spoken.  As a long
term solution, it can be a permanent tool for screen access with some
application software programs.  It can work with spell checkers, read
menu options, and announce error messages.
 
    Smart screen is most useful with software programs that limit the
movement of the PC Cursor and therefore limit the ability to read the
screen.  This is usually because these programs use the PC Cursor in
unusual ways or because they turn off the PC Cursor and use a color
bar to guide the activities of the PC user.  A Color Bar generally refers
to the distinctive use of a screen attribute to show which item in a menu
will be selected when you press ENTER.  A color bar can also identify
the process or mode of operation that is active, and sometimes is used
to show where data should be entered.
 
    A software program, for example, might use red text on a blue
background to indicate the current menu choice and use white text on
a blue background for other menu selections.  A program could use
blinking reverse video to highlight an error message and intense video
to show where data is to be entered.
 
    If you are using a program that uses a color bar, and you
routinely hear beeps whenever you try to move the PC Cursor with the
arrow keys, then you might need Smart Screen.  If you can use the
JAWS Cursor to read everything on the screen, but still can't move the
PC Cursor, then you very likely need to use Smart Screen to achieve
efficient screen access.
 
 
2.  AUTOMATIC READING STRATEGIES
 
    JAWS provides several strategies to make an application software
program speak when the application program's standard mode of
operation prevents cursor movement or speech output.  Smart Screen is
the quickest and easiest strategy to use, because it does not require
special setup.  However, auto macros can ultimately provide the best
level of performance and user control.
 
    Both Smart Screen and auto macros can perform automatic screen
reading, but they require different levels of preparation.  Creating a set
of auto macros to automatically read screen changes may require
significant work by the PC user to conduct a detailed screen analysis
and to write macros that can handle a variety of specific situations. 
Smart Screen, on the other hand, is designed to provide easy screen
access with minimal work and maximum efficiency.
 
    Many JAWS users find that they use Smart Screen when they
first start using a new program, as a way of learning their way around
the program.  As they become more familiar with the functioning of the
application software, then they may add macros to enhance the
performance of Smart Screen and to meet their individual needs.  They
continue to add macros and fine tune Smart Screen performance while
working with the application.  In some cases, extensive sets of macros
and frame monitoring systems are developed and the use of Smart
Screen may no longer be needed.  The use of Smart Screen depends on
the characteristics of the application software program and the needs of
the PC user.
 
    With some software programs, sets of macros can definitely out-
perform Smart Screen, however, this superior performance is usually
achieved after many hours of macro testing.  We have, for example,
provided several sets of high quality macros that can be used with
popular programs such as WordPerfect, Lotus 1-2-3, and FirstChoice;
and we believe these specific macro sets provide superior performance
to Smart Screen.  If you are using a software program for which we
have not provided a macro set, then it is best to use Smart Screen before
trying to develop a set of screen reading macros.  The chapter on the
configuration manager explains how sets of macros can be loaded for use
with application programs, and the chapter on macros explains how to
create macros.  As a rule, you should first try to use Smart Screen,
before developing macros, because in many situations, Smart Screen can
offer you all the screen reading power you need.
 
 
3.  SMART SCREEN MENU
 
** begin figure **
 
JAWS Smart Screen Settings
smart Screen  smart Level  Color bar  smart Focus  smart Options
Toggle Smart Screen on or off

** end figure **
  
    You can display the Smart Screen menu by invoking the JAWS
Menu System.  Press F for frames, and T for smart.  The function of
each menu selection is summarized below.
 
Smart Screen
Toggle Smart Screen, on or off.
 
Smart Level
Adjust the level of speaking, higher numbers mean less speaking.
 
Color Bar
Toggle color bar tracking, on, off, or automatic
 
Smart Focus
Toggles Smart Focus on or off, limits JAWS Cursor to Smart Screen
Changes.
 
Smart Options
Left/Right, Up/Down, Attribute, Single, Combine, Data Only, Screen
Echo.
 
 
4.  ACTIVATING SMART SCREEN
 
    Smart Screen is ready for immediate use when you use the
default JAWS configuration.  To toggle Smart Screen "off" or "on", you
can invoke the JAWS Menu System, press F for frames, T for smart,
and S for Smart Screen.  The menu selections are:  "on", "off", and
"toggle".  As a quicker alternative to using the menu system, you can
toggle Smart Screen on and off from the keyboard by using the INSERT
+ S macro key.  When you use Smart Screen, you are activating a
special frame monitoring function, which observes the screen and
reports certain types of changes in the screen display.  When a change
in screen color, monochrome enhancement or text occurs, then the
Smart Screen macro is triggered and screen changes are read.
 
    The Smart Screen macro function is called Smart Speak, and it
examines the screen each time something changes and speaks the new
information.  By default, the Smart Speak macro (INSERT + R) is tied
to frame 1, which encloses the entire screen.  Thus, the entire screen is
monitored for changes when Smart Screen is "on".
 
    If you only need to monitor a portion of the screen, then you can
use the frame manager to revise the size of frame 1.  You also could
define a new frame and tie the Smart Speak macro to the new frame. 
The method for adjusting the size of a frame is described in the chapter
on the frame manager, and frame monitoring is fully described in the
section on auto macros in the macros chapter. 
 
    When Smart Screen is "on" and a change is sensed, then Smart
Speak evaluates the new information, determines how much of it to
speak, and speaks the appropriate level of changes.  The Smart Speak
macro (CONTROL + R) reads the newest information according to the
parameters that have been set in the menus of the Smart Screen
manager.  These menus can be used to set a collection of parameters
that control the amount of information that is to be spoken when the
Smart Speak macro is triggered.  Smart Speak could read all screen
changes any time the application software program modifies the screen
display, or Smart Speak could select the most important word or phrase
from the screen changes and then only speak that information.  For
example if you are using a pull-down menu with a highlighted menu bar
that does not speak when you press the arrow keys, then the Smart
Speak macro could read the newly highlighted word each time you move
the menu bar.  If you wanted to have more information automatically
spoken, such as a help line that describes the highlighted menu
selection, then you could lower the level of screen reading restriction so
that the help line would be spoken at the same time the new menu
selection is spoken.
 
    It is always up to the user to determine how much information
should be spoken.  The amount of automatic speech output can be
changed at any time with a few quick key strokes, so that you can find
the optimal level of automatic screen reading you need for a specific
software application.  Being able to easily change the level of screen
output allows you to have all screen changes spoken in situations where
you are unfamiliar with a new program, and then to gradually reduce
the amount of reading down to a point where you are only hearing a few
specific words.
 
 
5.  SMART FOCUS
 
    When Smart Focus is "on", then the JAWS Cursor is only shown
the last set of changes that were spoken by Smart Speak.  When Smart
Focus is "off" then the JAWS Cursor can read anything that is on the
screen as usual.  For example, if you are using a program with a vertical
menu display and you press a down arrow to move to the next menu
selection, then Smart Speak will speak the new menu selection.  If you
didn't understand what was spoken, then you could use the Smart
Speak macro (INSERT +R) to reread the last screen change, or you
could activate Smart Focus.
 
    When Smart Focus is active, then the movement of the JAWS
Cursor is restricted to the area of the screen that changed, which is
composed of the words and characters that have just been read by
Smart Speak.  This means that if only one word was spoken by Smart
Speak, then the JAWS Cursor can only move from the beginning of that
word to the end of that word.  If only one character was spoken by
Smart Speak, then the JAWS Cursor cannot be moved from that
character while Smart Focus is "on".  If you hear a beep when you try
to move the JAWS Cursor, then this means that you have reached the
edge of the changed information that can be read while Smart Focus is
active.  If there were changes on line 1, 6, and 20, then the JAWS
Cursor moves between the blocks of newly modified text on those lines,
and does not read anything in between.  The following list summarizes
the functions of the cursor keys when they are used to read the blocks
of text displayed by Smart Focus.
 
UP ARROW and DOWN ARROW
Moves the JAWS Cursor to the previous or next block of data that was
spoken by Smart Speak, which is not necessarily up or down a line.  
 
PAGE UP and PAGE DOWN
Moves the JAWS Cursor to the top or bottom of the changed
information, which is not necessarily the top or bottom of the screen.
 
HOME and END
Moves the JAWS Cursor to the left or right edge of a block of text.
 
Previous /Next Character and Previous/Next Word
Moves the JAWS Cursor left or right within the changed area.
 
 
6.  CONTROLLING SMART SPEAKING
 
    As has been discussed in previous chapters, it is always important
to control what is being spoken and when it is spoken.  Thus far, the
screen reading functions that have been described in previous chapters
could be described as manual screen reading functions.  These functions
have been under the immediate and direct control of the PC user; when
something is to be read, then a key is pressed.  It is important to
understand that automatic screen reading functions may not give you
the same sense of control that you may have experienced when using
manual screen reading techniques.  
 
    Since Smart Screen is an automatic screen reading process, and
is not under your immediate control, then you cannot tell it what to
speak each time you want to read the screen.  Instead, you regulate
what Smart Screen speaks by setting parameters to guide its automatic
decision making and screen reading.  Your control over the flexible
screen reading power of Smart Screen comes through the skilled setting
of Smart Screen parameters, and not from the rapid pressing of keys.
 
    The menus described in this section are used to set parameters
that regulate the amount of speech output that is generated by Smart
Screen.  In some cases, these parameters also help Smart Speak to
interpret the screen display, which improves the accuracy of speech
output.  The goal, when setting these parameters, is to select settings
that give you the specific information that you need -- no more and no
less.  Finding the "best" combination of settings is usually done through
a process of trial and error.  This approach is necessary, because each
software application uses a different combination of screen attributes,
graphic characters, and text arrangement to give their screen displays
a distinctive appearance.  The screen display of Lotus 1-2-3, for example,
is easily distinguished from the screen display of other spread sheet
programs, even though they both display data on a grid of rows and
columns.
 
    The visual impression of a software program is rigidly controlled
by most software producers because they each want their products to
have a unique "look and feel".  The unique appearance of a software
program is a benefit to software marketing efforts, but the radically
different use of attributes and screen layouts used with each software
program increases the complexity of screen access for blind customers. 
As a result, Smart Screen users may have to set parameters to fine tune
Smart Screen performance when it reads the screen displays used by
some application software programs.
 
    The remaining sections in this chapter describe Smart Screen
parameters that are used to improve the performance of Smart Speak. 
These parameters work in combination with one another, so that if you
change one parameter, then you may also need to re-adjust other
parameters to compensate for performance changes.  Experimentation
and experience will ultimately tell you how to set the parameters for
specific types of screen displays to obtain optimal performance.
 
6.1 Smart Level
 
    The Smart Level menu selection is used to determine the amount
of information that is to be spoken by Smart Speak.  When you select
"Smart Level" from the Smart Screen menu and set a Smart Level, then
you are determining how much information is to be spoken each time
the screen changes.  You can enter a smart level of:  "1" through "8", or
"A".  The Smart Level you select can allow Smart Speak to:  read all
screen changes, reduce screen reading to a few words, or eliminate
automatic screen reading altogether.
 
    Smart Screen assigns an importance level of "1" through "8" to
each screen change.  These Importance Levels correspond with Smart
Level settings.  Thus, if you set the Smart Level at "3", then Smart
Speak reads any screen change that has an importance level of "3" or
higher.  If you set Smart Level at "1", then Smart Speak could
potentially read all screen changes.  If you set the level at "8", then only
the most important changes would be spoken, or speech output might
be prevented altogether, if a level of "8" was not assigned.
 
    You can set the Smart Level from the Smart Screen Menu by
selecting "Smart Level".  You can use the arrow keys to highlight one of
the numbers and press ENTER to make your selection.  The default
value for the Smart Level is "2".  You can also just press one of the
numbers (1 through 8) or type the letter "A" to make your selection.
 
    The Smart Level of "A" stands for "auto" and allows Smart Speak
to read the screen changes that it believes should be read.  When Smart
Level is set to "auto", then Smart Speak will always speak something,
but it only speaks the highest level changes.  This setting is useful when
you are using a new program and you do not know what is happening
on the screen.  For example, if 5 changes are evaluated, and Smart
Screen assigns a level of "5" to 3 of the changes and a level of "1" to the
remaining changes, then Smart Screen will only speak the screen
changes that were assigned the value of "5".
 
    You can avoid using the menu system when changing the Smart
Level by using the Smart Level macro key, INSERT + E.  When you
press INSERT + E, then JAWS asks you to enter a Smart Level.  You
can press the numbers "0" through "8".  The selection of "0" sets the
Smart Level to "auto", and means that you don't want to select a Smart
Level, rather, you wish to let Smart Screen make its own decisions
about what to speak.  It is not necessary to press ENTER after you
press a number, because the Smart Level macro only waits for one key
stroke.  If you decide not to change the Smart Level after pressing
INSERT + E, then you can just press ENTER to retain the previous
Smart Level.  The Smart Level change takes effect immediately after
the new value is entered.
 
    When trying to determine the optimal Smart Level, you may wish
to follow these steps:
 
a.  Begin by trying the default Smart Level of "2".  Does this setting
    produce too much speech output or too little?
 
b.  If the setting of "2" produces too much speech output, then try the
    setting of "A" (for auto).
 
c.  If the setting of "A" does not produce enough speech output, then
    try using Smart Level settings that are higher than 2.  Continue
    changing Smart Level settings and working with the application
    program until you get the level of speech output that best meets
    your needs.  It is quite possible that none of the Smart Level
    settings will give you exactly what you need.  If this is the case,
    then you should try adjusting the additional parameters that will
    be described.
 
6.2 Color Bar
 
    Selecting "Color Bar" from the Smart Screen menu brings up
three choices:  "on", "off", and "auto".  These selections are used to
determine whether JAWS should track (follow) movements of the PC
Cursor or movements of a color bar.  If color bar is set to "auto", then
JAWS will decide whether to track the color bar or the PC Cursor.  If it
is set to "on" then it tracks the color bar, and if it is set to "off", then it
tracks the PC Cursor.  Sometimes, however, it is necessary to manually
set color bar tracking to either "on" or "off" in situations where Smart
Screen cannot determine what to do.  Smart Screen may have difficulty
determining whether to track a cursor or a color bar, because of the
various ways that color bars and cursors are used in application
software programs.
 
    Software programs sometimes turn off the PC Cursor and only
use color bars to indicate the current menu selection or the location for
data entry.  Other programs do not turn the cursor off, but leave it in
a fixed screen location while they use a color bar.  Still other programs
use a combination of treatments for the PC Cursor; sometimes they use
the cursor, sometimes they don't, and sometimes they use them
together.  This means that the color bar option of "auto" may not always
perform correctly.  You may, as a result, have to turn color bar tracking
"on" or "off" to achieve best performance.
 
    If you are using a software application program and both Smart
Screen and the PC Cursor are active, and it seems like the menu
selections are not being spoken properly, such as when two menu
choices are being spoken together or you are hearing an error beep each
time you press an arrow key, then the color bar setting may need to be
changed.  If the color bar is set to "auto", then set it to "on" and see if
the performance improves.  Accurate color bar tracking also depends on
Smart Speak's ability to find and speak the color bar, and therefore
color bar tracking is also affected by smart level, and the other Smart
Screen adjustments.
 
    You can use the color bar macro, INSERT + C, to change the color
bar setting.  The INSERT + C macro rotates the color bar setting to the
next selection each time it is pressed.  It moves from "on" to "off" to
"auto".
 
6.3 Smart Options
 
    The Smart Options Menu is used to set several special
parameters that are designed to fine tune smart speaking.  Each
parameter changes the way JAWS determines the relative importance
of screen changes.  This means you can tell Smart Screen which types
of screen changes are more important or less important, which in turn
affects whether the screen changes will be spoken.
 
    The goal in setting parameters in the smart options menu is to
select the combination of parameters that will give you the best screen
reading performance.  Again, this means you will have to try various
combinations of settings to see which ones work best.  Fortunately,
these parameters are directly related to the characteristics of the
application program's screen display.  If you examine your screen
display with the JAWS Cursor and survey the use of screen attributes
with the Say Screen Attribute function (INSERT + 5), then you should
quickly be able to decide which of these parameters must be activated.
 
Left/Right
    This setting should usually be turned "on" if you are using an
application program that uses a vertical menu system where selections
are stacked in a vertical arrangement, and the color bar moves up and
down from one selection to another.  Turning "left/right" to "on"
increases the relative value assigned to a block of text when a different
screen attribute appears on the left and right of a changed block of text. 
When the Smart Level assigned to the block of data is increased through
setting "left/right" to "on", then the screen change can be separated from
other similar screen changes and read separately.  The successful
functioning of this option depends on the manner in which the
application program uses attributes, and it does not always improve
screen reading.
 
Up/Down
    This option is set to "on" when working with a menu display that
places several menu selections side-by-side.  In this type of menu, the
color bar moves left or right along the line of choices.  Selecting "on"
from the "up/down" menu instructs Smart Screen to assign a higher
relative value to a block of text when it detects a different attribute
above and below the block of text that has just changed.  As with
"left/right", this increase in the Smart Level separates the color bar on
the menu selection from other changes that may have a similar
appearance so they can be read separately.  Once again, the successful
functioning of this option also depends on the manner in which the
application program uses attributes, and it does not always improve
screen reading.
 
Single
    When "Single" is set to "on" it prohibits the speaking of single
character changes.  This can be used to quiet clock displays or to quiet
status lines that change each time the cursor moves.  You can also quiet
these types of changes through the use of the frame manager in
situations where you want to hear some of the single character changes.
 
Combine
    Turning "Combine" to "on" combines certain types of screen
changes that physically touch one another, so that they will be spoken
as one unit.  This option is used when menu selections are displayed
with two different screen attributes.  Sometimes the first letter of a
menu selection will be displayed with an attribute that is different from
the rest of the word or phrase.  This leading character is often called the
selection character and usually indicates that you can select that menu
item by pressing that character.  If "combine" is set to "off" then some
screen changes might be spoken as two separate units, or perhaps only
half of the screen change might be spoken.
 
    Let's say you had the word "File" as the highlighted menu
selection and the "F" was displayed in red and the "ile" was displayed
in white.  If "combine" is turned "off", then this menu option might be
spoken as "f ile".  If this parameter is set to "on", then the two parts of
the word are brought together and JAWS will say "File".
 
Data Only
    Smart Screen normally assigns a relative value to each screen
change on the basis of how the screen attributes change.  When "Data
Only" is set to "on", then changes in words and characters are assigned
the highest importance level.  Thus, if screen attributes do not change
when menus pop up or certain kinds of new information is displayed,
then this option will focus Smart Screen's attention on text changes.  
 
    For example, if you are working with a word processing program
and you activate a pull down menu that displays its menu options with
the same screen attributes that are being used to display the text of
your document, then Smart Screen may not respond to the change if
"data" is set to "off".  If it is set to "on", then Smart Screen will give
primary attention to data changes and will speak the new information.
 
Attribute
    This option is used to tell Smart Screen that you want it to track
the specific screen attribute that you have identified.  When you turn
"Attribute" to "on", then you are telling Smart Screen to assign a Smart
Level of "8" to the screen attribute that you have defined for tracking. 
This elevates all screen changes that are displayed with the specified
attribute to the highest Smart Level, regardless of what Smart Screen
believes is the most important screen change.  This is very useful for
tracking a specific color when you are sure of the attribute that should
be assigned the highest Smart Level and given primary importance. 
This, for example, can be useful in a data base program where many
changes are taking place, or in a spell-checker program.
 
    The default setting for "Attribute" is "off".  It must be set to "on"
for JAWS to track a specific screen attribute.  However, before an
attribute can be tracked it must be identified or "defined".
 
    The Define Smart Attribute function is used to identify the
screen attribute that is to be tracked.  To define a Smart Attribute,
activate the JAWS Cursor and place it on a character that is displayed
with the attribute you want to track, then press INSERT + D.  The
INSERT + D is the define attribute macro.  When you press it, it
identifies the screen attribute at the cursor and elevates that attribute
to the highest Smart Level.  
 
    The Smart Attribute is always assigned a Smart Level of 8, and
can, therefore, be tracked and spoken separately by setting the Smart
Level to 8.  If the Smart Level is set lower than 8, then Smart Speak
will speak the preferred screen changes, and speak all other screen
changes that are equal to or higher than the specified Smart Level
setting.
 
Screen Echo
    When "Screen Echo" in the smart options menu is turned "on",
then the automatic functions of Smart Screen, frame monitoring, and
auto macros all function normally, and information that is displayed on
the screen through the PC's BIOS is also spoken.  When this setting is
set to "off", then automatic screen reading is prevented, and only BIOS
produced screen changes are spoken.
 
    Before further describing the use of this setting, we must
differentiate between "BIOS screen changes" and "Direct screen
changes".  When you are working in DOS, for example, the information
that is displayed on the screen in response to your commands, is being
sent to the screen through the PC's Basic Input-Output System (BIOS). 
These BIOS Screen Changes are spoken because JAWS is designed to
speak screen changes that are generated through the BIOS.  Direct
Screen Changes that bypass the BIOS, and that are sent directly to
the screen, are not automatically spoken, and therefore, must be read
with the JAWS screen reading keys or by Smart Screen or auto
macros/frame monitoring.
 
    Changes that are written to the screen through the BIOS are
normally spoken without interruption, and as a result, these same
screen changes could also be read by Smart Screen and auto
macros/frame monitoring when these functions are active.  To prevent
the possibility of speaking the same changes twice, you can turn screen
echo to "off" in the Smart Screen menu.
 
    It is important to note, that the screen echo setting in the Smart
Screen menu is different than the screen echo setting in the JAWS voice
menu.  When screen echo in the voice menu is set to "off", then
information that is written to the screen through the BIOS is not
spoken, and automatic screen reading functions will perform as usual. 
However, when the screen echo setting in the smart options menu is set
to "off", then screen changes that would be read by the automatic screen
reading functions are not spoken, and information displayed on the
screen through the BIOS is spoken.  If you were to turn both types of
screen echo to "off", then you would be preventing speech output that is
generated from both automatic screen reading functions and the BIOS.
 
    You might turn off screen echo, in the voice menu, when you don't
want BIOS speech output to interfere with the automatic speaking of
information by Smart Screen and auto macros/frame monitoring.  You
might turn off screen echo, in the Smart Screen menu, when you want
to prevent automatic screen reading functions from reading screen
changes, so that you can listen to the information that is only displayed
through the BIOS.  Some programs, like Procomm Plus, display
information on the screen by writing through the BIOS and by writing
directly to the screen.  For programs that write to the screen with both
methods, it is valuable to have both types of screen echo turned to "on".
 
 
7.  SUMMARY OF SMART SCREEN KEYS
 
INSERT + S = Smart Screen
Toggle Smart Screen on/off.
 
INSERT + R = smart speak
Read the contents of the screen with smart speak when Smart Screen
is active.  This macro is usually tied to frame 1, and is triggered by the
frame monitoring/auto macro function.
 
INSERT + F = smart focus
Toggle smart focus on and off.
 
INSERT + E = smart level
Enter smart level 0 through 8.
 
INSERT + D = attribute
Define smart attribute by placing the active cursor on the desired screen
attribute and pressing the SPACE BAR to select the attribute.
 
INSERT + C = color bar
Toggle the setting for color bar to "on", "off" and "auto".
 
 
8.  ABOUT THE SMART SPEAK MACRO
 
    If you are familiar with the JAWS Macro Editor, you can examine
the contents of the Smart Speak Macro (INSERT + R).  You will notice
that the macro contains the Smart Screen Toggle function.  This
function is a "software flag", that is used to remind JAWS that Smart
Screen is active.  Software Flags are used in software programs as a
way of determining whether or not an activity should be completed.
 
    Software flags are like a flag on a mail box.  If the flag is raised,
then the mail carrier stops and picks up whatever is inside the box,
otherwise, the mail carrier will only stop if there is something to be
delivered.  The smart screen toggle works in a similar manner.  If the
smart screen toggle (the flag) is present, then JAWS will notice it, and
perform the smart speak function when the screen changes, otherwise,
smart speak does not speak.  JAWS is always monitoring the screen for
changes, but it can only speak the changes when the smart screen toggle
is active, i.e., when the flag is up.

