PART TWO:  Chapter 8
CONFIGURATION MANAGER
(Also contained in the disk file "28CONFIG.MAN".)
 
 
(Last revision:  November 1993.)
 
 
 
CONTENTS OF CHAPTER 8
 
    1.   INTRODUCTION . . . . . . . . . . . .2-8.203
    2.   CONFIGURATION MANAGER. . . . . . . .2-8.205
         2.1  Load. . . . . . . . . . . . . .2-8.206
         2.2  Save. . . . . . . . . . . . . .2-8.207
         2.3  Autoload. . . . . . . . . . . .2-8.208
    3.   COMMAND LINE LOADING OF
         CONFIGURATION FILES. . . . . . . . .2-8.211
1.  INTRODUCTION
 
    You may recall, when you installed JAWS, that you were asked
if you wanted to also have various sets of configuration files
installed. 
If you agreed to have these files loaded, then your JAWS directory
or
JAWS program disk now contains a variety of configuration files. 
These
files contain specially designed sets of functions that make it
possible for
you to begin using software programs without having to spend time
to
create your own set of macros, frames, etc.  The configuration
files are
ready to be used, as soon as you are ready to use them.  The disk
files
for PART FOUR of this manual describe some of the configuration
files
that we have developed.  These sets of configuration files or more
simply
configurations have been designed to blend with the normal
operation
of the application software programs you use.  This allows JAWS
users
to focus their attention on using application software programs,
and to
not think about using JAWS.  Most JAWS users, in fact, find that
once
they have become familiar with using their software application
program and have their configurations set up to their liking, then
they
almost never think about JAWS.  They don't enter the JAWS Menu
System, they don't define new frames, and they rarely revise
macros;
which of course, is what JAWS is all about.
 
    As has been discussed in preceding chapters, you can customize
JAWS to work with a wide variety of software application programs
by
defining frames, using macros, adjusting volume and pitch levels,
etc. 
It is not possible for anyone else, other than you, to know your
personal
needs and preferences when it comes to setting up JAWS for the work
you are doing.  Only you know, for example, how fast your
synthesizer
should speak, whether you want to hear uppercase characters
specifically identified, and when or if information in pop-up
windows
should be spoken.  JAWS can virtually do anything that is needed to
provide screen access, as long as you tell it what and when to do
it.  The
preceding chapters presented the information you needed to make
decisions about setting up JAWS for your specific applications. 
This
chapter addresses various methods that are available to you for
managing the custom setups that you will use with different
software
programs.  The disk chapters in PART FOUR of the manual describe
some of the configurations that we have developed to work with the
more popular software programs.  
 
    It is probably obvious by now, that it does take time and some
level of experimentation to get everything setup exactly as you
need. 
For this reason it is important to be able to save the adjustments
and
settings you make in JAWS, so that you can use the same setup when
you next load JAWS.  Saving configuration files, for example,
avoids
your need to revise twenty-five frames, record a dozen macros, and
change the volume of the keyboard, the pitch of the screen, and the
rate
of speech for the speech pad each time you use a software program
such
as Lotus 1-2-3 or WordPerfect.  The ability to load configuration
files
that you have saved, gives you the opportunity to use a custom
configuration for each of your application programs.  
 
    Configuration Files are computer files that are saved on a hard
disk or floppy disk.  These files contain copies of each voice
setting,
frame definition, dictionary pronunciation, macro command, etc. 
that
were in use at the time you saved the files.  Once you have saved
everything in the form of configuration files, then it is all
available for
future use whenever you need it.
 
DEFAULT CONFIGURATIONS
 
    When JAWS is launched or first started, the configuration files
named JAWS.J?F are loaded.  This set of files is the Default
Configuration that JAWS uses.  These files are kept in the
directory
with your JAWS program files, which means they can be found in the
default JAWS sub directory.  The JAWS.J?F files are the default
configuration files.  They contain the information that is used to
initially
set up JAWS when you boot your PC.
 
    JAWS configuration files can be saved or loaded through the
JAWS Menu System, from the DOS command line, or from within a
batch file.  They also can be loaded automatically when you load
other
software programs.  For example, JAWS watches the activity of your
PC, and if you start to load WordPerfect, then JAWS automatically
loads the appropriate set of configuration files to accompany your
use of
this word processing program.  The work of managing configuration
files
primarily rests on the configuration manager contained within the
JAWS Menu System.
 
 
2.  CONFIGURATION MANAGER
 
** begin figure **
 
JAWS configuration files menu
Load  Save  Autoload
Load configuration data to a disk file

** end figure **
  
    Selecting "Config Files" from the JAWS main menu brings you to
the Jaws configuration menu.  Choices allow you to load or save
configuration files and to set the status of autoload.
 
    There are 5 different types of configuration files and each
contains
information about a different group of JAWS functions.  The
different
kinds of configuration files in a set can all use the same file
name, and
are distinguished by their file name extensions which must be
different. 
The following list shows the set of five default configuration
files of
JAWS as they would be saved on a disk.  The purpose of each file is
indicated for your reference.
 
JAWS.JMF = JAWS Macro File (contains macros, on/off settings, and
    monitored frames)
JAWS.JFF = JAWS Frames File (contains frame definitions)
JAWS.JEF = JAWS Environment File (contains environment
    information, smart options, and smart attribute)
JAWS.JVF = JAWS Voice File (contains voice settings)
JAWS.JDF = JAWS Dictionary File (contains dictionary
pronunciations)
 
2.1 Load
 
    Selecting "Load" from the JAWS configuration files menu allows
you to load configuration files from disk storage.  After selecting
load,
a six item sub menu is displayed that offers loading options.
 
** begin figure **
 
JAWS configuration file menu
Macro  Frames  Environment  Voice  Dictionary  All
Load the appropriate data file
 
** end figure **
  
    At this point, you must decide which configuration files you
want
to load.  The preceding illustration shows your six options.  The
last
item on the selection line is "All".  If you select this option,
then each of
the configuration file types that are listed will be loaded.  You
would
typically choose to load all files when routinely loading a set of
configuration files.  If there only happens to be two or three
files in the
set of configuration files, then this selection will load the ones
that are
found by JAWS.
 
    If you select "All", or any of the other five entries, and
press
ENTER, then you are prompted for a file name.  The selection line
displays the prompt "Enter file name:".  The most recently used
file
name will be referenced by being displayed after the prompt.  If
this is
the file name you want, then press ENTER.  If you want to load a
different file, then type in the file name and press ENTER.  You do
not
need to include the file name extension; JAWS will add the
appropriate
file name extensions after you press ENTER.  You also do not have
to
type in the DOS path to the JAWS default (home) sub directory. 
JAWS
knows that its files are kept in the sub directory from which it
was
launched, and automatically uses the appropriate path to find them. 

 
    If you need to use a disk drive name or directory name that is
different from the default selections, then you can do so by typing
the
full path description and the file name when you make your entry. 
The
syntax of the path and file name follows standard DOS file naming
conventions.  For example, if you wish to change to the "D" drive
and
the "TEST" subdirectory, and to load a set of configuration files
named
"TRIAL", then enter the following:
 
    D:\TEST\TRIAL
 
    The general rule is that configuration files with the same name
are used together as a set.  Sets of configuration files were
probably
installed with your JAWS program files (assuming you chose to
install
configuration files) when you used the installation program.  These
configuration files are designed to handle many of the unique
problems
that are presented by specific software programs.  The files in a
set all
have the same name, with the exception of the file name extension
which is different.  For example, all the Word Perfect files would
have
the name "WP", with the extensions of ".J?F".  
 
    If you just want to load a particular configuration file, then
just
select one of the five file types listed on the selection line,
such as
"Macro", and press ENTER.  JAWS displays the prompt, "Enter file
name:" and you next can either press ENTER to accept the referenced
file name or you can type a different file name and press ENTER. 
JAWS should respond by saying "OKay" to indicate that the
configuration has been loaded.  All you then need to do is exit the
JAWS
Menu System and you are ready to use JAWS with the new
configuration.  Other ways of loading configuration files are
described
later in this chapter, under autoload and command line loading.
 
2.2 Save
 
    Selecting "Save" from the JAWS config files menu begins the
process of copying information such as voice settings, frame
definitions,
macros, and dictionary pronunciations from your PC's memory to a
hard
disk or floppy disk.  When you select save, the selection line
displays six
options that are identical to the ones displayed when you select
load. 
They are:  macro, frame, environment, voice, dictionary, all.  Once
you
select one of these options, then the prompt "Enter file name:"
appears
on the selection line.  The selection line also references the name
of the
last file that was saved or loaded.  Press ENTER to accept the
referenced file name, or type in a different file name and press
ENTER. 
JAWS responds by saying "OKay" to indicate that the files have been
successfully saved.
 
    Files can be saved individually or collectively saved in sets. 
You
can use "all" to save each of the five types of configuration files
shown
on the selection line at the same time by entering one command and
one
file name.  JAWS adds the appropriate file name extension to
distinguish the files from one another as they are saved.  It is
important
to note, that JAWS will add the appropriate file name extensions
and
directory path for you when you press ENTER.  The process of using
the
save menu is identical to that of using the load menu, and
additional
points about using the configuration manager for saving files can
be
obtained by reading the section about the load option that was
presented
earlier.  Please remember, if you want to revise a configuration
file, you
should begin by first loading the file or files you wish to revise
with the
configuration manager, make the changes you need, and then save
your
changes with the configuration manager.  This is similar in concept
to
editing a letter.  If you want to change the salutation and date of
the
letter, first you load the letter, make the change, and then save
it.
 
 2.3Autoload
 
    This feature is not used to directly load configuration files
when
you select it from the configuration menu, rather, it is used to
set the
stage for loading configuration files at an appropriate future
time.  This
feature causes JAWS to automatically load the proper set of
configuration files whenever you load an application software
program. 
JAWS makes note of the Signature Name used to launch a software
program, and then automatically uses this cue to initiate the
loading of
the corresponding set of configuration files.  The "signature name"
is not
necessarily the same as the name you type when starting a software
program.  You might type "first" to start FirstChoice, but the
command
"first" actually causes other software to be loaded which has the
signature name of "first1".  Thus when JAWS notices that you have
entered "WP" to start WordPerfect or "123" to start Lotus, then
JAWS
looks in the subdirectory it was launched from and loads all
configuration files that match the signature name.  In the case of
WordPerfect, "WP" starts the program and "WP" is also used as the
signature name.  Thus, when you type "WP", then JAWS loads all
configuration files with the name "WP".  
 
    If JAWS cannot find any matching configuration files, then JAWS
keeps the default files it was using.  If you were loading Lotus
123 and
there were two configuration files named, 123.JMF and 123.JFF, then
JAWS would load these two files and also load the other remaining
default JAWS.J?F configuration files.  JAWS.JEF, JAWS.JVF, and
JAWS.JDF would be loaded to complete the set of files.  
 
    When autoload is set to "on" which is the default setting, JAWS
remembers all of the programs you are using.  Thus, if you use the
DOS
Shell function of an application software program to temporarily
exit
the program and go to DOS, then JAWS will attempt to load up the
appropriate configuration files.  Many programs allow you to
temporarily freeze the program and to exit to DOS through what is
called a DOS shell.  The shell function is provided to allow users
to
complete DOS activities and to run utility programs.  Once work in
DOS
is complete, then the user can return into the shell of the
application
software program and continue to work.  When you exit to DOS
through
the shell, with an application program residing in memory, then
JAWS
loads a set of configuration files called "COMMAND.J?F".  These
configuration files are only loaded in this situation so that you
have the
flexibility to modify these special configurations to handle unique
activities.  Once you enter a utility program, for example, then
JAWS
loads the appropriate set of configuration files for that program. 
When
you exit the utility program and return to DOS, "Command.J?F" files

are loaded, and when you re-enter the original application program,
the
appropriate configuration files are loaded.  You can shell into and
out
of programs up to sixteen levels deep, and JAWS will remember when
to reload the appropriate files.  When you exit the application
program,
and no other programs in resident in memory, then the default
JAWS.J?F files are loaded.
 
    If you load a software program, and corresponding configuration
files cannot be found, then JAWS loads up the default JAWS.J?F file
set.  It loads the default files, but references the name of the
software
program you are now using.  Thus, when you use the JAWS
configuration manager while in the new application to save a new
set
of configuration files, then JAWS automatically offers you the
signature
name of the software program you are using as the configuration
file
name.  This means that all you have to do to create a new set of
configuration files for a software program is to select "save",
select "all",
and press ENTER.  The configuration files are saved with the
appropriate file name that is needed to trigger autoload in the
future
whenever you use the software program.  When you use this
technique,
you will be assured of getting the correct signature name for the
application program, which insures the newly created configuration
files
will be automatically loaded in the future.
 
    Users of older JAWS versions should note that autoload can only
work if the names of the configuration files are an exact match
with the
name of the software program being loaded.  Therefore, the
convention
we used on older versions of JAWS to name configuration files is
now
incompatible with autoload.  For example, the "WPJ51.J?F" files for
WordPerfect 5.1 will not be recognized by autoload; they must be
renamed to "WP.J?F".
 
    The default for autoload is set to "on".  The autoload setting
cannot be saved as part of a configuration file, it must be
manually
turned on or off by the user from within the configuration menu, or
with
the INSERT + A (letter "A") keyboard macro.  It is possible to turn
off
autoload through the use of a command line parameter.  You can use
the "/O" command line parameter so JAWS will boot up with autoload
set to off.  If autoload is set to off in this manner, then it can
only be
turned on manually.  Also, if you use the J_LOAD program to load
your
configuration files, as could be done from within DOS batch files,
then
autoload is set to "off".  Autoload stays off until you manually
set it to
on, with the INSERT + A or with the autoload choice in the Config
Files
menu.  Use of the "/O" command line parameter is discussed in the
disk
file for Appendix 4, and use of the J_LOAD command is described
below.
 
 
3.  COMMAND LINE LOADING OF CONFIGURATION FILES
 
    The configuration manager provides a convenient and friendly
way to load configuration files.  There are times, however, when it
is
desirable to load configuration files from the command line or from
a
batch file.  A batch file is a special type of DOS file that
contains
commands that are automatically executed when you type the name of
the file at the DOS prompt.  The commands are passed from the file
to
DOS, as if they were being individually typed.  Any version of the
DOS
user's manual and reference guide contains one or more chapters on
batch files and batch file programming.  If, for example, you
normally
use a batch file to perform some preparatory work and to load a
software application program, then there might also be situations
where
you might want to override the autoload feature described  This
could
be done in situations where the name of your configuration files do
not
match the signature name of the application software you are using.

You could in this situation, enter the "J_LOAD.EXE" command at the
DOS prompt or include it in a batch file prior to typing the
command
that starts the application program.
 
    If you had two sets of configuration files for use with
WordPerfect,
for example, then you could either store the files in two separate
subdirectories and use the same signature name "WP", or you could
use
different names and keep the files in the same subdirectory.  Let's
assume you have a general purpose set of WordPerfect files "WP" and
a specialized set of files "WP-MATH" that are used with the
WordPerfect math and equations features, and you keep both sets of
files in your default JAWS subdirectory.  Autoload would load the
general purpose "WP" configuration files as usual when you type
"WP". 
To use the "WP-MATH" configuration, you could use the configuration
manager to load these files after you are in WordPerfect, or you
could
use the "J_LOAD" program to load the files before entering
WordPerfect. 

 
    The "J_LOAD" command requires one argument; which is the
name of the configuration files you wish to load.  An argument
expresses
the intent of the command and must be present in order for the
command to be processed.  In this case the command is "J_LOAD" and
the argument is the name of the configuration files that are to be
loaded.  The argument can also include drive and path
specifications. 
The syntax (form) of the load command, and a sample of the command
are shown below.  The brackets "[]" shown in the example indicate
that
the enclosed items are optional.  The brackets would not be entered
as
part of the command when it is entered.  The second example could
be
used to load the "WP" configuration files described above.
 
    J_LOAD [drive:][\path\][filename]
 
    J_LOAD WP-MATH
 
    The file name extensions should not be specified, because this
command loads all of the configuration files with the name that is
stated
in the command argument.  In this way, J_LOAD works like the "all"
menu option in the configuration files sub menu.  Remember, if you
keep the J_LOAD.EXE program and your configuration files in a
location different from the default JAWS subdirectory, then you
will
need to help JAWS find these files.  If "Drive:\JAWS" is not in the
DOS
PATH command of your AUTOEXEC.BAT file then you must specify the
drive and path information so that JAWS can find the files and
execute
the command.  As stated above, the use of this command will turn
off
autoload, and autoload remains off until you manually turn it on
with
either the INSERT + A macro or by using the "autoload" menu of the
configuration manager to turn it on.
 
 
