PART THREE:  Appendix 3
MACRO FUNCTIONS
(Only contained in the disk file "33MACRO2.MAN".
Also see Chapter 7 in PART 2:  "27MACRO1.MAN".)
 
 
(Last Revision:  April 1993.)
 
 
 
CONTENTS OF APPENDIX 3
 
     1.   INTRODUCTION
     2.   DESCRIPTION OF MACRO FUNCTIONS
          2.1  Autoload
          2.2  Backspace
          2.3  Beep
          2.4  Beep on Routing
          2.5  Caps Lock Status
          2.6  Color Bar
          2.7  Color Flag
          2.8  Cursor Position-Active
          2.9  Cursor Position-Inactive
          2.10 Delete
          2.11 Else
          2.12 End
          2.13 Endif
          2.14 Fields
          2.15 Help Label Start
          2.16 Help Mode
          2.17 Hole Size Get
          2.18 Home
          2.19 Home-Row
          2.20 If
          2.21 Insert
          2.22 JAWS Cursor
          2.23 Jump Macro
          2.24 Label Begin
          2.25 Label End
          2.26 Margin Bell
          2.27 Menus
          2.28 Menu-Flag
          2.29 Next Character
          2.30 Next Field
          2.31 Next Line
          2.32 Next Paragraph
          2.33 Next Sentence
          2.34 Next Unit
          2.35 Next Word
          2.36 Not
          2.37 Num Lock Status
          2.38 On/Off Toggle
          2.39 Page Down
          2.40 Page Up
          2.41 Pass Key Through
          2.42 Pause Macro
          2.43 PC Cursor
          2.44 Perform Macro
          2.45 Prior Character
          2.46 Prior Field
          2.47 Prior Line
          2.48 Prior Paragraph
          2.49 Prior Sentence
          2.50 Prior Unit
          2.51 Prior Word
          2.52 Read Line X
          2.53 Restore JAWS Cursor
          2.54 Route JAWS to PC
          2.55 Route PC to JAWS
          2.56 Save JAWS Cursor
          2.57 Say All
          2.58 Say Character 1
          2.59 Say Character 2
          2.60 Say Color
          2.61 Say Date
          2.62 Say Field
          2.63 Say From To
          2.64 Say Line
          2.65 Say Next Character
          2.66 Say Next Field
          2.67 Say Next Line
          2.68 Say Next Paragraph
          2.69 Say Next Sentence
          2.70 Say Next Unit
          2.71 Say Next Word
          2.72 Say On or Off
          2.73 Say Paragraph
          2.74 Say Prior Character
          2.75 Say Prior Field
          2.76 Say Prior Line
          2.77 Say Prior Paragraph
          2.78 Say Prior Sentence
          2.79 Say Prior Unit
          2.80 Say Prior Word
          2.81 Say Sentence
          2.82 Say Time
          2.83 Say Unit
          2.84 Say Version
          2.85 Say Word 1
          2.86 Say Word 2
          2.87 Scroll Lock Status
          2.88 Set Character Units
          2.89 Set Field Units
          2.90 Set Line Units
          2.91 Set Paragraph Units
          2.92 Set Sentence Units
          2.93 Set Word Units
          2.94 Singles/Controls
          2.95 Smart Attribute
          2.96 Smart Focus
          2.97 Smart Level
          2.98 Smart Speak
          2.99 Smart Screen Toggle
          2.100     Spell Mode Toggle
          2.101     Spell Word
          2.102     Standby
          2.103     Success Flag
          2.104     Synth1
          2.105     Then
          2.106     Toggle Units
          2.107     User Flag 1 through User Flag 5
          2.108     Wait for ENTER
          2.109     Wait for Key
1.   INTRODUCTION
 
     Chapter 7 in PART TWO of this manual discussed the macro
manager and described the use and creation of macros.  This appendix
describes the macro functions which are available for use within a
macro.  This appendix is written with the assumption that the chapter
on the macro manager has been read in its entirety.
 
 
2.   DESCRIPTION OF MACRO FUNCTIONS
 
     Each macro function that is displayed in the JAWS Function
Window of the Macro Editor is described in the following sections.  In
many cases, sample macros are displayed to illustrate how the macro
function could be used.  As a quick reminder, alphabet keys, function
keys (F1 through F12), number keys, punctuation keys, and cursor keys
can be included in macros simply by pressing one of these keys while in
the Macro Revise Window.  Macro functions, however, are selected from
the JAWS Function Window.
 
     It is important to understand that the cursor movement keys that
can be placed in a macro by pressing keyboard keys are not the same as
the cursor movement functions listed in the JAWS Function Window. 
A LEFT ARROW placed in a macro, for example, will move the PC
Cursor to the left.  The Prior Character function also moves the PC
Cursor to the left, but it additionally can move the JAWS Cursor to the
left.  The Prior Character function moves whichever cursor is active,
while the LEFT ARROW can only move the PC Cursor.  JAWS macro
functions may have the same names as cursor keys that can be entered
directly into the Macro Revise Window, but the JAWS macro functions
often perform additional activities.  Thus, it is usually best to select
cursor movement functions from the JAWS Function Window to obtain
the expanded capabilities, unless you are sure you need one of the
standard cursor keys to perform without enhancement.
 
     Brackets "[]" are used in the sample macros as dividers, and
separate the names of macro functions from keys that are entered from
the keyboard.  The spaces that separate pairs of brackets and the spaces
that separate keys are only included to improve the readability of the
macros.  These spaces would not be included within a macro when it is
being created.  True "spaces" that are placed in a macro will be treated
as if they were meant to be there, unless the spaces are contained
within a label.  Spaces not contained within a label will be executed and
used just as if they were any other key stroke.
 
2.1  Autoload
     Load configuration files automatically, toggle on or off.
 
     This function toggles Autoload on and off.  The Autoload feature
causes JAWS to automatically load configuration files that are designed
for use with the application software program being loaded.  When you
run or launch an application program , JAWS senses this, looks at the
application to get its "signature name", then looks on the disk in the
JAWS default subdirectory for any configuration files that match the
application program's name.  If they are found, then it will load them. 
This function can be toggled in the configuration files menu, or with the
INSERT + A macro.  The use of the "J_Load.EXE" program for loading
configuration files turns Autoload to "off".  Autoload stays off until it is
turned on again.
 
[Macro Key:  INSERT + A]
[Label begin] Autoload [Label end] [Autoload] [Say on or off]
 
2.2  Backspace
     Do a "backspace", then say the letter deleted.
 
     This function reads the character to the left of the cursor, then
sends a "backspace" key to the keyboard buffer, to let the application
program perform its standard backspace process, which is usually to
move the cursor to the left and delete the character.
 
[Macro Key:  Backspace]
[Help label start] backspace, says the character deleted [Label end]
 
2.3  Beep
     Make the PC beep.
 
     When this function is placed in a macro, the computer will beep
when the macro processor gets to this point.  This can be useful to
indicate an error or a search failure when an "if-then-else" statement is
used.  In the example below the macro will beep if the JAWS menus are
displayed, otherwise it will search for the first file name of a DOS
directory listing.  If it is successful, it will read it, otherwise it beeps. 
This macro is the CONTROL + UP ARROW macro in the default
JAWS.JMF macro file.
 
[Macro Key:  CONTROL + UP ARROW]
[If] [Menu-flag] [Then] [Beep] [Else] [Route JAWS to PC] [Menus] s
directory {Space} o f {Enter} c {Enter} [If] [Success flag] [Then] [Home]
[Next line] [Say next line] [Else] [Beep] [Endif] [Endif]
 
2.4  Beep on Routing
     Toggle cursor routing beeps on or off.
 
     Whenever you use the Route PC to JAWS function, you will hear
a beep for each line or column that the PC Cursor moves over.  If you
are using the Say All function and you press the silence key, then you
will hear a beep for each line the cursor passes over.  If you do not want
the beeps, then you can create a macro with this function, followed by
the Say On/Off function, and toggle this setting to "off".
 
[Macro Key:  Alt + B]
[Beep on routing] [Label begin] beep on routing [Label end] [Say on or
off]
 
2.5  Caps Lock Status
     Say the on/off status of caps lock.
 
     Speaks "on" or "off" depending on the status of the CAPS LOCK
key.  The CAPS LOCK macro is a BIOS macro, it toggles caps lock just
as if JAWS were not loaded, then it speaks a label followed by the on/off
status of the key.
 
[Sample Caps Lock BIOS macro]
[Label begin] caps lock [Label end] [Caps lock status]
 
2.6  Color Bar
     Toggle Smart Screen Color Bar tracking on or off.
 
     When Smart Screen is active and Color Bar is turned on, then
JAWS will not speak the line or character that it usually does in
response to arrow keys.  JAWS watches for Color Bar movements which
are spoken by Smart Screen.  If the screen changes in response to an
arrow key, then  Smart Screen will speak  the screen change.
 
     If Color Bar is off, then the arrow keys perform as usual; they
speak lines and characters.  If Smart Screen is on and the screen
changes in response to the movement of the arrow keys, then you may
also hear screen changes spoken by Smart Screen.  If the combination
of Smart Screen's reading of the moving Color Bar and the speaking of
arrow key movements is a problem, then turn Color Bar on. 
 
     If Color Bar is set to "Auto", then JAWS looks to see if the
application program has turned off the cursor, which usually means that
it wants to move a Color Bar.  If so, JAWS will act just like Color Bar
is on.  Sometimes in the Auto setting JAWS cannot tell that the cursor
is off.  Then you will hear the usual reading of the line or character that
the cursor is on and the response from Smart Screen, just as when Color
Bar is off.  Sometimes the cursor is off but no Color Bar moves, in which
case you will hear nothing in response to the arrow keys.
 
     You can use Smart Attribute and other Smart Options to improve
the Color Bar tracking and get the results you want.
 
[Macro Start]{Insert+C} [Label begin] Color Bar [Label end] [Color Bar]
 
2.7  Color Flag
     Use in "If" statements to determine color or monochrome.
 
     This flag is set "true" if running with a color video card or "false"
if monochrome video card.  It is checked by the "If" statement, to
determine if a color enhancement or a monochrome enhancement should
be looked for.  This technique lets one macro work for either color or
monochrome.  The example below is the spell check macro from the
Word Perfect 5.1 macro file.  If Color Flag is true it looks for blue from
the top of the screen, otherwise it looks for reverse video.  If it finds the
correct attribute it says the word, which is the misspelled word. 
Otherwise it reads a message.
 
[Macro Key:  CONTROL + MINUS]
[If] [Color Flag] [Then] [Menus] e f b l t {Enter} [Else] [Menus] e f r t
{Enter} [Endif] [If] [Success flag] [Then] [Say word 2] [Else] [Label
begin] find the misspelled word [Label end] [Endif]
 
2.8  Cursor Position-Active
     Say the position of the "on" cursor.
 
     This speaks the row and column numbers of the active cursor,
either JAWS Cursor or PC Cursor.
 
[Macro Key:  speech pad DELETE]
[Cursor position-active] [Help label start] position of active cursor,
[Label end] [If] [JAWS Cursor] [Then] [Label begin] JAWS [Label end]
[Else] [Label begin] PC [Label end] [Endif]
 
2.9  Cursor Position-Inactive
     Say the position of the "off" cursor.
 
     This speaks the row and column numbers of the cursor that is not
on.
 
2.10 Delete
     Do a DELETE, and say next letter.
 
     This function sends a DELETE key to the keyboard buffer, waits
for the application to process the key stroke, then says the character at
the cursor.  It expects the application to do the DELETE and then move
a new character into that spot.  It is the new character that gets spoken. 
Naturally if the application does not delete the current character, or
does something else unexpected, then the character you hear will not be
the new character.
 
[Macro Key:  ALT + DELETE]
[Delete] [Help label start] delete [Label end]
 
2.11 Else
     Use in "if-then-else" statements.
 
     This is optional, not every "If" statement needs an "else".  It
follows the "If" and is followed by the keys/functions to be performed if
the "If" statement is not true.  The following sample macro reads line 3
when in the JAWS menus, otherwise it does a Say All.
 
[Macro Key:  INSERT + DOWN ARROW]
[If] [Menu-flag] [Then] [Read line x] c [Else] [Say all] [Endif] [Help label
start] say all the text, from the cursor down [Label end]
 
2.12 End
     Do a speech pad END
 
     This function replaces the function of the cursor pad END key,
and is usually assigned to the END key.  If the PC Cursor is active, it
acts just as if JAWS were not loaded, i.e.  it sends an END key
command to the keyboard buffer.  If the JAWS Cursor is on, it moves
the JAWS Cursor to the end of the current line.
 
[Macro Key:  END}
[End] [Label begin] end [Label end] 
 
2.13 Endif
     Required to terminate an "if-then-else" statement.
 
     Every "If" statement must have a corresponding "Endif" to
indicate that the influence of the "If" has been terminated.  If you have
an "Else" with your "If" then the "Endif" should come after the "Else". 
The example below does not contain the "Else".  The description of the
"Else" function (presented later) shows how it is used.
 
[Macro Key:  INSERT +R (Monitor Frame]]
[If] [Smart toggle] [Then] [Smart speak] [Endif] [Help label start] repeat
smart read [Label end] 
 
2.14 Fields
     Toggle prior/say/next word to prior/say/next color field.
 
     It is sometimes useful to read blocks of text (fields) that are
displayed in units or blocks of the same screen attribute.  This helps
with the identification of highlighted data, such as in a menu, or to read
the enhanced print in a word processing document.  When you turn on
"Fields", then the "Word" keys move and read by color field instead of
words.  The Say Word function reads all the data that is the same
contiguous color at the cursor.
 
2.15 Help Label Start
     Mark the beginning of a Help Mode label, requires "Label End".
 
     A "Help label" gets spoken only when Help Mode is on.  To add
a help label to a macro, insert a Help Label function followed by the
words or phrase you want spoken as the help label, and then follow by
the text with a "Label end" function.
 
[Macro Key:  UP ARROW 
[Say Prior line] [Help label start] move to and say the prior line [Label
end]
 
2.16 Help Mode
     Toggle Help Mode on or off.
 
     PART ONE of the manual describes Help Mode.  When it is "on",
then the macro keys will say their help labels or their regular labels
that start with the Label Begin function.  Keys that are not macros will
say their label, like "a" for the letter a, or "F1" for function key 1, but
these key strokes will not be passed on to the application software
program.  The application program remains unaware that keys are
being  pressed.  This function is very useful for learning a keyboard
layout or for learning about a set of macros used with an application. 
This function does not need any extra "Labels" in the macro.
 
[Macro Key:  INSERT + 1]
[Help mode] 
 
2.17 Hole Size Get
     Smart Screen function, expects input from keyboard.
 
     This is an advanced Smart Screen feature that is used to
determine the size of the text unit that is monitored by Smart Screen
when it analyzes and speaks screen changes.  The hole size is usually
set to "2".  The range is "1" through "9".  To input a new hole size,
simply create a macro with this function.  When you invoke the macro
it will say the current hole size and wait for you to enter one digit
representing the new hole size.  To abort press any key besides a digit.
 
[Sample Macro Key:  ALT + H}
[Label begin] enter smart screen hole size [Label end] [Hole size get]
 
2.18 Home
     Do a speech pad HOME
 
     This function replaces the standard cursor pad HOME key, and
is usually attached to the HOME key in a macro.  If the PC Cursor is
"on", then it acts as if JAWS was not loaded, and sends a HOME key to
the keyboard buffer.  If the JAWS Cursor is active, then it moves the
JAWS Cursor to the beginning of the line it is currently on.
 
[Macro Key:  HOME]
[Home] [Label begin] home [Label end] 
 
2.19 Home-Row
     Toggle Home Row mode on or off, a new level of macro keys.
 
     When Home Row is on, then all the keyboard keys are raised to
a new level of macro keys.  This is especially useful for the alphabet
keys.  In this way, the "K" could be defined to read the current line
when Home Row is "on", and when Home Row is toggled "off" it could
become a "K" again.  
 
[Macro Key:  ALT + SPACE BAR]
[Home-row] [Label begin] home row [Label end] [Say on or off]
 
2.20 If
     Start of an "if-Then-Else" function.
 
     This is one of the most powerful features of JAWS.  The "If"
statement can allow your macros to make decisions so you can
concentrate on more important things.  First, it can test the on/off or
true/false status of a "flag" or function in JAWS.  This means, for
example,  it can determine whether the JAWS Cursor is active, whether
a certain word was found during a string search or if the cursor is on a
red screen attribute.  Second, depending on the test results, JAWS can
perform one of two alternative sets of instructions.  The sample macro
displayed under the discussion of "Cursor position-active" checks to see
which cursor is active and speaks the name of the active cursor before
announcing the cursor's location.  The sample macro for "Color Flag"
determines whether a color or monochrome computer is being used and
then uses this information to search for either a color or monochrome
screen attribute.  After the search it uses the Success Flag to see if the
search was successful.  Many of the other examples in this chapter use
the "if-Then-Else" structure, and will provide additional insight 
 
2.21 Insert
     Do a cursor pad INSERT
 
     This simulates the original INSERT key.  When JAWS is loaded,
the INSERT key becomes a special JAWS key, to maximize keyboard
functionality.  The Insert function performs the original function of the
INSERT key.  Usually this function is invoked or executed by the ALT
+ INSERT key combination.
 
2.22 JAWS Cursor
     Activate JAWS Cursor, can be used in macro "If" statements.
 
     This function activates the JAWS Cursor and turns off the PC
Cursor.  It also re-positions the visible cursor on the screen.
 
2.23 Jump Macro
     Leave a macro to execute a second macro, does not return to first
     macro.
 
     This causes control to pass to the macro key whose name follows
this function.  To record this function in your macro you must go to the
Macro Identify Window in the Macro Editor, move the cursor to the key
you want to jump to, and then press CONTROL + SHIFT + F7.  You
cannot simply select this function from the JAWS Function Window as
you do the other functions, because it must be tied to another macro
key.
 
[Macro Key:  ALT + speech pad 5]
[Jump macro] {Alt+End} [Macro End]
 
2.24 Label Begin
     Mark the start of a label, requires "Label end".
 
     This is used to add a label to a macro.  The label is spoken when
the macro is used.  This function is followed by any combination of keys
you want to have sent directly to the synthesizer.  The label could
include words, or it could include special setup strings of characters that
change the synthesizers performance.  The label is terminated with the
"Label end" function.
 
2.25 Label End
     Mark the end of a label or a help label.
 
     Used to terminate labels started by "Label begin" or "Help label
start".  The characters between the beginning and the end of the label
are sent to the synthesizer where they are either spoken or executed.
 
2.26 Margin Bell
     Beep when cursor hits the margin.
 
     When the Margin Bell is "on", then JAWS will beep when your
typing causes the PC Cursor to move past the column that was set for
the bell.  To set the Margin Bell, move the cursor to the column where
you want the margin bell to beep, and then press this macro key.  If the
Margin Bell was "off" then it will be turned "on" and record the column
position.  If it was "on" then it will be turned "off".  
 
[Macro Key:  INSERT + B]
[Margin Bell] [Label begin] Margin Bell [Label end] [Say on or off]
[Cursor position-active]
 
2.27 Menus
     Invoke the JAWS Menu System.
 
     This function invokes the JAWS Menu System as is done with the
CONTROL + / (slash) macro.  This function is often used within macros
to perform more complex activities that involve string searches and
enhancement searches.
 
2.28 Menu-Flag
     Used to determine if the JAWS Menu System is active. 
 
     Sometimes a macro needs to know if the JAWS Menu System is
active, in order to do one set of instructions instead of another.  The
following example reads line 3 if the menus are invoked, otherwise it
reads line 25.
 
[Macro Key:  INSERT + PAGE DOWN]
[Save JAWS Cursor] [If] [Menu-flag] [Then] [Read line x] c [Else] [JAWS
Cursor] [Page down] [Say line] [Endif] [Restore JAWS Cursor] [Help
label start] read bottom line [Label end] 
 
2.29 Next Character
     Move the cursor to the next character, does not speak.
 
     This function works with either cursor.  If the JAWS Cursor is
active, it moves it.  If the PC Cursor is active, then it sends the
appropriate command to the keyboard buffer requesting the application
software program to move the cursor.
 
2.30 Next Field
     Move the cursor to the next color field, does not speak.
 
     It makes note of the screen color or monochrome attribute at the
active cursor, then it moves to the right and searches for a different
attribute.  If it finds one on the current line, then it moves the cursor
there, otherwise it moves the cursor to the right side of the screen.  The
search for the different attribute is limited to the current line.  Pressing
this key again causes it to wrap to the next line.
 
2.31 Next Line
     Move the cursor to the next line, does not speak.
 
     It works with either cursor.  If the JAWS Cursor is active, it
moves it, and if the PC Cursor is on then it sends the appropriate
command to the keyboard buffer, which requests the application to move
the cursor.
 
2.32 Next Paragraph
     Move the cursor to the start of the next paragraph, does not
     speak.
 
     The cursor moves forward from the current position of the active
cursor ad looks for the start of the next paragraph.  Paragraph
boundaries are identified by a blank line, not by tab stops or indented
text.
 
2.33 Next Sentence
     Move the cursor to the start of the next sentence, does not speak.
 
     The active cursor moves forward from its current position to the
start of the next sentence.  Sentence boundaries are identified by a
blank line or a period, question mark, or exclamation mark.
 
2.34 Next Unit
     Move the cursor to the next unit of text, does not speak.
 
     A unit of text can be a character, word, line, sentence, or
paragraph.  If Unit is set to lines, sentence, or paragraph, then this
function moves the cursor forward by one of these units.  If unit is set
to characters or words, then it moves down one line, anticipating that
you want to read down through a column of characters or words.  Use
"Toggle Units" to select the unit of text.
 
2.35 Next Word
     Move the cursor to the next word, does not speak.
 
     This function works with either cursor.  If the JAWS Cursor is
active, then it moves to the next word.  If the PC Cursor is active, then
it sends the appropriate command to the keyboard buffer, which
requests the application program to move the cursor.  When the PC
Cursor is active and Singles are "on", then JAWS moves the cursor one
character at a time to the beginning of what it believes is the next word. 
Otherwise, JAWS sends a CONTROL + RIGHT ARROW to the keyboard
buffer which requests the application program to move to the next word. 
Some applications do not support this function, so it is best to leave
Singles on and let JAWS control the cursor movement.
 
2.36 Not
     Use to reverse the meaning of an "if-then-else" statement.
 
     Sometimes it may be convenient to check to see if something is
not on or is not successful.  The Not will reverse the true/false status,
i.e.  if it was true then the result will be false, and vice versa.  The
sample below tests to see if the JAWS Cursor is "not active".
 
[If] [Not] [JAWS Cursor] [Then] ...
 
2.37 Num Lock Status
     Say the on/off status of num lock.
 
     This is similar to Caps Lock Status, except that it checks
Numbers lock, to see if the numeric pad or the cursor pad is on.  The
sample below is the definition of the NUM LOCK key.
 
[BIOS Macro Key:  NUM LOCK]
[Label begin] num lock [Label end] 
[Num lock status] 
 
2.38 On/Off Toggle
     Toggle or set menu items, like screen echo.
 
     This macro function provides a way of setting or changing menu
items without going into the menus.  The example below first speaks the
label or item to be toggled, then performs the On/Off Toggle function
followed by its parameters:  "S" for screen echo, "2" for toggle.  The Say
On/Off function completes the macro by saying if it is "on" or "off".
 
     The On/Off Toggle function must be followed by two parameters,
the first parameter is a letter that represents the item to be toggled or
set:  A=acronyms, D=dictionary, I=keyboard interruptable, L=line pause,
P=speech pad interruptable, R=key repeat, S=screen echo, U=autoload. 
The second parameter is the setting:  0=on, 1=off, 2=toggle.  Zero is used
for "On", even though this is not routine usage.
 
[Macro Key:  ALT + S]
[Label begin] screen echo [Label end] [On/Off Toggle] S 2 [Say on or off]
 
2.39 Page Down
     Do a speech pad PAGE DOWN
 
     This function replaces the standard Page Down function and is
usually attached to the speech pad PAGE DOWN key.  If the PC Cursor
is active, it acts just as if JAWS were not loaded, i.e.  it sends a Page
Down command to the keyboard buffer.  If the JAWS Cursor is active,
then it moves the JAWS Cursor to the top of the screen or active frame.
 
2.40 Page Up
     Do a speech pad PAGE UP
 
     This function replaces the standard PAGE UP key, and is usually
attached to the speech pad PAGE UP key.  If the PC Cursor is active,
then it acts just as if JAWS were not loaded, i.e.  it sends a Page Up
command to the keyboard buffer.  However, if the JAWS Cursor is
active, then it moves the JAWS Cursor to the bottom of the screen or
active frame.
 
2.41 Pass Key Through
     Allow next key to pass through to the application.
 
     This is useful if you are using a key for a JAWS macro that you
occasionally also need for an application program.  If you press the Pass
Key Through function key, then press a macro key; the original key
stroke will be passed through to the application program.  The default
key combination for this function is INSERT + PAGE DOWN.  
 
[Macro Key:  INSERT + PAGE DOWN]
Label begin] press the key to pass through [Label end] [Pass key
through]
 
2.42 Pause Macro
     Pause a macro for one-tenth of a second.
 
     This is used in a macro to make it pause or wait slightly.  This is
sometimes needed to give the application program time to move the
cursor or update the screen in response to a previous command executed
from the same macro.  If you find that your macro is saying things that
it shouldn't, like reading the item the cursor is on and then moving to
the next item, then this macro can be used after the "move" command
and before the "speak" function to make the macro wait.
 
2.43 PC Cursor
     Activate the PC Cursor, can also be used in "If" statement.
 
     This activates the PC Cursor and turns off the JAWS Cursor.  If
you use it in an "If" statement, the statement will be true if the PC
Cursor is on.
 
[Macro Key:  PLUS]
[PC Cursor] [Label begin] PC Cursor on [Label end]
 
2.44 Perform Macro
     Leave first macro to execute a second macro, then return to first
     macro. 
 
     This causes a second macro to be performed during the execution
of a macro.  This is similar to the Jump Macro function except that the
remainder of the first macro is executed after the Perform Macro
function finishes its work.  To record this function in your macro you
must use the Macro Identify Window in the Macro Editor.  Highlight the
name of the macro key you want to have performed, and then press
CONTROL + SHIFT + F6.  You cannot simply select this function as
you do the other functions, because it must be tied to another macro
key.
 
[Macro Key:  ALT + speech pad 5]
[Perform macro] {Alt+End} [Macro End] 
 
2.45 Prior Character
     Move the cursor to the prior character, does not speak.
 
     This is just like Next Character, except that it moves left rather
than right.
 
2.46 Prior Field
Move the cursor to the prior color field, does not speak.
 
     This is just like Next Field, except that it moves left rather than
right.
 
2.47 Prior Line
     Move cursor to the prior line, does not speak.
 
     This is just like Next Line, except that it moves up rather than
down.
 
2.48 Prior Paragraph
     Move cursor to start of prior paragraph, does not speak.
 
     This is similar to Next Paragraph, except that it moves up rather
than down.  If the cursor is not at the beginning of a paragraph it will
be moved to the beginning of the current paragraph.  Otherwise the
cursor will be moved to the start of the previous paragraph.
 
2.49 Prior Sentence
     Move cursor to start of prior sentence, does not speak.
 
     This is similar to Next Sentence, except that it moves left and up. 
If the cursor is not at the beginning of a sentence it will be moved to the
beginning of the sentence it is currently in.  Otherwise it will move to
the start of the previous sentence.
 
2.50 Prior Unit
     Move the cursor to the prior unit of text, does not speak.
 
     This is just like Next Unit, except that it moves left and up rather
than right and down.
 
2.51 Prior Word
     Move cursor to prior word, does not speak.
 
     This is just like Next Word, except that it moves left rather than
right.
 
2.52 Read Line X
     Read the line specified by a letter "A-Y" or 2 digits.
 
     This function reads the line on the screen that you specify.  It
expects either a letter, 2 digits, or 1 digit and the enter key.  The letter,
like digits, represent the line number:  A=1, B=2, ...  Y=25.
 
[Macro Key:  CONTROL + SPACE BAR]
 [Label begin] read line [Label end] [Read line x] [Help label start] x,
enter a letter or 2 digits [Label end] 
 
2.53 Restore JAWS Cursor
     Move cursor to its "saved" position and on/off status.
 
     Use this after the Save JAWS Cursor function.  It will move the
JAWS Cursor back to the row and column where it was saved, and turn
it on or off depending on the status it had when it was saved.
 
[Macro Key:  INSERT + PAGE DOWN]
[Save JAWS Cursor] [If] [Menu-flag] [Then] [Read line x] c [Else] [JAWS
Cursor] [Page down] [Say line] [Endif] [Restore JAWS Cursor] [Help
label start] read bottom line [Label end] 
 
2.54 Route JAWS to PC
     Move the JAWS Cursor to the PC Cursor
 
     This moves the JAWS Cursor to the row and column position of
the PC Cursor, and activates the JAWS Cursor.  Naturally, it also turns
off the PC Cursor.
 
2.55 Route PC to JAWS
     Move the PC Cursor to the JAWS Cursor if possible.
 
     This function moves the PC Cursor to the position of the JAWS
Cursor, and then activates the PC Cursor.  Notice the phrase "if
possible", this means that JAWS will not always be able to move the PC
Cursor to the JAWS Cursor, because movement of the PC Cursor
depends on the cooperation of the application program.  If the routing
function fails, then you will here the error tone from the computer.  If
it succeeds, then you will hear a "happy" tone.  You may also hear a lot
of beeps, one for each line or column that is traversed.  The beeping is
controlled by the Beep on Routing function.  If you do not want to hear
the beeps every time you Route PC to JAWS (or when you press the
ALT key during Say All) then create a macro with the Beep on Routing
function and turn it off.  Be sure to save the macro configuration file so
that this setting will stay off.
 
2.56 Save JAWS Cursor
     Save the position and the on/off status of the JAWS Cursor.
 
     This function saves the row and column position of the JAWS
Cursor, and records whether it was active.  This information is used by
the Restore JAWS Cursor function.  Please read the section on Restore
JAWS Cursor for additional information on this function.
 
2.57 Say All
     Automatically speak all text until the cursor stops moving.
 
     This function is used for continuous reading of text on the screen
or for reading a complete document in a word processor.  If the JAWS
Cursor is active, then this function reads from its current position to the
bottom of the screen or active frame.  When the PC Cursor is active, it
will read until the cursor stops moving down or the screen stops
scrolling, as when reading a long document in a word processor.  The
Say All function is not limited by screen boundaries when the PC Cursor
is active.  Movement of the cursor and the reading of text can be stopped
by pressing the CONTROL key.  Pressing the silence key (usually the
ALT key) stops speech output while the cursor continues to skip ahead
through the text.  Speaking resumes when the silence key is pressed a
second time.  If you do not want to hear the beeps when speech is
temporarily silenced by the silence key, then refer to the discussion of
the Route PC to JAWS function for tips about turning off the beeps. 
Refer to the other descriptions of Say All elsewhere in this manual for
details on special features that can be used with Say All speaking.
 
2.58 Say Character 1
     Say the character the cursor is on, can change to phonetic spell.
 
     This speaks the current character without moving the cursor. 
The current character is the one that the active cursor is on.  If you
access this macro function twice within one second then it will
phonetically speak the name of the character, e.g.  "Alpha", "Bravo",
"Charlie", ...  "Zulu".  This function is usually attached to the speech pad
5 key, or to the SHIFT + END on a Toshiba Laptop.
 
2.59 Say Character 2
     Say the character the cursor is on, does not change to phonetic
     spell.
 
     This does not perform the phonetic spell function of Say Character
1, so it can be used in macros that may be performed repeatedly, as
when you want just the letter to be spoken.
 
2.60 Say Color
     Say the color or video enhancement the cursor is on
 
     This function speaks the foreground and background screen color
or monochrome enhancement at the active cursor.  
 
[Macro Key:  INSERT + 5 (numbers row)]
[Label begin] screen color, [Label end] [Say color] [Help label start] video
enhancement at the cursor [Label end] 
 
2.61 Say Date
     Say the current date.
 
     If you want a macro to speak the date then this function can be
placed in a macro.  If the date is not correct when it is read with this
function, then you will need to change the system date of your PC.  Type
"date" at the DOS prompt, then type in the correct date.
 
2.62 Say Field
     Say the text in the color field the cursor is in.
 
     This speaks a contiguous block of characters which are displayed
with the same screen attributes on the current line.  It does not read
beyond the beginning or the end of the line.
 
2.63 Say From To
     Read from one column to another, excludes "to" column.
 
     This requires two parameters, the start column and the end
column.  It will read from the start column up to but not including the
end column.  Instead of numbers to represent either start or end you
can use "C" for the column the cursor is in.  The following example is
the Read Up To Cursor key (INSERT + HOME) on the default JAWS
macro file.
 
[Macro Key:  INSERT + HOME}
[Say from to] 1 {Space} c [Help label start] say up to cursor [Label end]
 
     The following example is "Read from cursor, INSERT + PAGE UP. 
Note that it reads up to column 81, thus it will actually read the
character in column 80.
 
[Macro Key:  INSERT + PAGE UP]
[Say from to] c {Space} 8 1 [Help label start] say from cursor to end of
line [Label end] 
 
2.64 Say Line
     Say the line the cursor is on
 
     This reads all the data from the left to the right side of the screen
or between the edges of the active frame on the current line.  It reads
the current line at the active cursor and does not move the cursor left
or right.
 
2.65 Say Next Character
     Move to and speak the next character.
 
     This  works like a combination of Next Character and Say
Character 2, it moves and speaks.
 
2.66 Say Next Field
     Move to and speak the text in the next color field.
 
     This is like a combination of Next Field and Say Field.
 
2.67 Say Next Line
     Move to and speak the next line.
 
     This is like a combination of Next Line and Say Line, it moves
and speaks.
 
2.68 Say Next Paragraph
     Move to and speak the text of the next paragraph.
 
     This is like a combination of Next Paragraph and Say Paragraph,
it moves and speaks.
 
2.69 Say Next Sentence
     Move to and speak the text of the next sentence
 
     This is like a combination of Next Sentence and Say Sentence, it
moves and speaks.
 
2.70 Say Next Unit
     Move to and speak the contents of the next unit of text.
 
     This is like a combination of Next Unit and Say Unit, it moves
and speaks.
 
2.71 Say Next Word
     Move to and speak the next word.
 
     This is like a combination of Next Word and Say Word 2, it moves
and speaks.
 
2.72 Say On or Off
     Say the on/off status of the last flag toggled.
 
     This function says "On" or "Off" depending on the last flag that
was turned on or off.  Some JAWS functions can be specifically set "on"
or "off", and others toggle settings "on" if they are "off" and  vice versa. 
If you want to know if a setting is "on" or "off", then this function can
be added to a macro.  It can be used with any function that is toggled,
such as the Fields, Home Row, Singles/Controls, Autoload, User Flags
1 through 5, Screen Echo, etc.
 
[Macro Key:  INSERT + A
[Label begin] autoload [Label end] [Autoload] [Say on or off] 
 
2.73 Say Paragraph
     Speak the paragraph the cursor is in.
 
     This function speaks the text that is found between two blank
lines.  A blank line above and below a block of text defines a paragraph. 
This function also uses the top or bottom of the screen as a boundary for
the JAWS Cursor, when it is active, and uses the top or bottom of the
document when the PC Cursor is active.  This function can scroll the
text of a word processing program if the application program cooperates.
 
2.74 Say Prior Character
     Move to and speak the prior character.
 
     This is like a combination of Prior Character and Say Character
2, it moves and speaks.
 
2.75 Say Prior Field
     Move to and speak the text in the prior color field.
 
     This is like a combination of Prior Field and Say Field, it moves
to and speaks the prior field.
 
2.76 Say Prior Line
     Move to and speak the prior line.
 
     This function moves the cursor up a line and speaks the line.  It
is like a combination of Prior Line and Say Line.
 
2.77 Say Prior Paragraph
     Move to and speak the text of the prior paragraph.
 
     This is like a combination of Prior Paragraph and Say Paragraph,
it moves and speaks.
 
2.78 Say Prior Sentence
     Move to and speak the text of the prior sentence.
 
     This is like a combination of Prior Sentence and Say Sentence, it
moves and speaks.
 
2.79 Say Prior Unit
     Move to and speak the contents of the prior unit of text.
 
     This is like a combination of Prior Unit and Say Unit, it moves
and speaks.
 
2.80 Say Prior Word
     Move to and speak the prior word.
 
     This is like a combination of Prior Word and Say Word 2, it moves
and speaks.
 
2.81 Say Sentence
     Speak the sentence the cursor is in.
 
     The sentence boundaries are a period, question mark,exclamation
mark, or a blank line.  It also uses the top or bottom of the screen as a
boundary when the JAWS Cursor is active, and uses the top or bottom
of the document when the PC Cursor is active.  It will scroll the text if
the application program cooperates when the PC Cursor is active.  It
will usually leave the cursor at the place in the text where it was
located before the function is used, but with very long sentences, it may
lose count of the exact location.
 
2.82 Say Time
     Speak the current time.
 
     This function can be placed in a macro and it will speak the time
that your computer is using.  If the time is not correct, then it must be
changed at the DOS prompt.  Type "time" at the DOS prompt, then type
in the correct time.
 
2.83 Say Unit
     Speak the contents of the current unit of text.
 
     A "Unit" of text can be a character, word, field, line, sentence or
paragraph.  This function simply changes the selection, you must still
use the Say Unit function to actually speak the unit of text you wish to
read.
 
[Macro Key:  ALT + U]
[Label begin] units set to [Label end] [Toggle units]
 
2.84 Say Version
     Speak the version number of the JAWS program you are using.
 
     Speaks the version of the JAWS program you are currently using,
e.g.  "JAWS version 2.3".
 
[Macro Key:  INSERT + V]
[Say version]
 
2.85 Say Word 1
     Speak the word the cursor is on, can change to spell word.
 
     This says the word the active cursor is on, or "space" or "graphic"
if it is on a space or graphic character.  If the macro key is pressed twice
within one second, then it will spell the word.  A word is bounded by a
space or by certain punctuation symbols.  Some symbols, like the left
parenthesis, are not a boundary if encountered on the left side of the
word but they are if on the right side.  Therefore some symbols are
spoken with the word if they are on the left, some if on the right, and
some are only spoken by themselves.
 
[Macro Key:  INSERT + speech pad 5]
[Say word 1] [Help label start] say or spell the current word [Label end]
 
2.86 Say Word 2
     Speak the word the cursor is on, does not change to spell word.
 
     This is just like Say Word 1, except that it will not spell the word
if pressed twice in one second.  This is useful in macros that move-and-
speak or search-and-speak, and which are likely to be pressed
repeatedly.  The sample below is from our WordPerfect macros; it uses
the CONTROL + BACKSPACE to delete a word, and then uses the Say
Word 2 function to speak the new word at the cursor.  We may want to
put a Pause Macro function before the Say Word 2 to be sure the screen
is updated before JAWS speaks.
 
[Macro Key:  CONTROL + BACKSPACE}
 [Say word 2]
 
2.87 Scroll Lock Status
     Say the on/off status of Scroll Lock.
 
     This is similar to Caps Lock Status, except that it checks the
status of Scroll Lock, which can be used by application programs for
various things.  The sample below is the definition of the Scroll Lock
macro. 
 
BIOS Macro [Macro Key:   SCROLL LOCK]
[Label begin] Scroll Lock [Label end] [Scroll Lock Status]
 
2.88 Set Character Units
     Set text units to characters.
 
     Instead of using the Toggle Units function, you can use this
function to set units to "Characters".  
 
2.89 Set Field Units
     Set text units to a field of color.
 
     Instead of using the Toggle Units function, you can use this
function to set Units to "Fields".
 
2.90 Set Line Units
     Set text units to lines.
 
     Instead of using the Toggle Units function, you can use this
function to set Units to "Lines".
 
2.91 Set Paragraph Units
     Set text units to paragraphs.
 
     Instead of using the Toggle Units function, you can use this
function to set Units to "Paragraphs".
 
2.92 Set Sentence Units
     Set text units to sentences.
 
     Instead of using the Toggle Units function, you can use this
function to set Units to "Sentences".
 
2.93 Set Word Units
     Set text units to words.
 
     Instead of using the Toggle units function, you can use this
function to set Units to "Words".
 
2.94 Singles/Controls
     Use arrow keys or CONTROL + arrow keys for word movements.
 
     This controls the way the Next Word and the Prior Word
functions  perform.  If the JAWS Cursor is active, then JAWS uses its
own logic to decide what is a word, and moves the JAWS Cursor
accordingly (Singles mode).  However, when the PC Cursor is active,
then JAWS must ask the application program to move the cursor
(Control mode), and the application program does not always cooperate
with this request.
 
     When Singles/Controls is "on" then JAWS decides where the next
or prior word is and then asks the application to move the cursor there
by repeatedly giving it RIGHT ARROW or LEFT ARROW keys.  The
cursor is moved one key at a time until it reaches its destination.  This
is the preferred method, so JAWS can decide not only where the word
is but how much of the text to speak as a word.
 
     If Singles/Controls is set to "off", then JAWS simply gives the
application program a CONTROL + an arrow key to move the cursor to
the next or prior word.  Most applications recognize this, some do not. 
Few application programs are as intelligent as JAWS about deciding
how much of the text to include in a word and where is the next or prior
word.  So if you let the application move the cursor with control+arrow
keys and then ask JAWS to speak the current word, then some text,
punctuation marks, and hyphenated words may be missed, or some text
may be repeated.
 
[Macro Key:  INSERT + 7 (numbers row)]
[Label begin] singles [Label end] [Help label start] / controls [Label end]
[Singles/Controls] [Say on or off]
 
2.95 Smart Attribute
     Use the attribute at the active cursor for the smart attribute. 
 
     If too much information is being spoken when Smart Screen is
active, or not enough text is being spoken, then this function may help. 
This function modifies the functioning of Smart Screen and tells it to
speak only text that matches the selected attribute or color.  To set the
attribute, move the cursor to the color desired and press the macro key
that includes this function.  The INSERT + D is the default macro key
for this function.  It will say "Define Smart Attribute, press space bar."
When you press the space bar it will say the color or monochrome
enhancement at that position, and record it as the Smart Attribute.  You
may want to use the Say Attribute at Cursor function beforehand to
confirm that you are on the correct attribute.
 
     Next you must be sure that "Attribute" in the Smart Options
menu is turned "on".  Invoke the JAWS menus, then press F for
Frames, T for smarT, O for Options, A for Attribute, N for "oN", and Z
to exit the menu system.  Now Smart Screen will speak only data on the
screen that has changed and matches the Smart Attribute.  If you decide
that is not what you want then turn Smart Attribute "off" in the Smart
Options menu.
 
[Macro Key:  INSERT + D]
[Label begin] define smart attribute, press space bar [Label end] [Smart
attribute]
 
2.96 Smart Focus
     Focus Cursor reading/movement on Smart Screen changes only.
 
     When Smart Screen is "on" it will speak data on the screen that
has changed and meets certain other criteria.  These changes are
frequently imbedded in the middle of other text, like a pull down menu. 
If you want to review the data spoken by Smart Screen, then turn on
Smart Focus.  As you review the screen with the JAWS Cursor it will
move to and read only the text that was previously spoken by Smart
Screen.  It will ignore the unimportant text surrounding the changes.
 
[Macro Key:  INSERT + F]
[Smart focus] [Label begin] smart focus [Label end] [Say on or off]
 
2.97 Smart Level
     Set speaking level for Smart Screen.
 
     If Smart Screen is speaking too much text, or not speaking
enough, then you can adjust it.  This function accepts a number from 1
to 8, the higher the number the more critical JAWS becomes and thus
speaks less text.  It will also accept "A" for Automatic; JAWS will adjust
the Smart Level automatically so at least some text is spoken but not
too much.  There is no way to tell ahead of time what setting works
best, it varies according to the application program.  Trial and error will
determine what works best for you.  You can also adjust the Smart
Level in the Smart Screen menu.
 
2.98 Smart Speak
     Automatically define and speak Smart Screen.
 
     This function is the heart of Smart Screen.  Figuratively speaking
it takes a picture of the screen and compares it to the picture it took the
last time it was invoked.  It will speak data on the screen that has
changed and meets certain other criteria.  The amount of text and type
of text spoken can be adjusted by other smart menu functions such as
"Smart Level" and "Smart Options".  Smart Options includes
"Left/Right", "Up/Down", "Attribute", "Single", "Combine", "Data Only",
and "Screen Echo".  Since it can only compare the current picture with
the last picture it took, it is important that this function be invoked
each time the screen changes.  This is best done with an Auto Macro
(same as Frame Monitoring).  The default JAWS configuration files has
the INSERT + R defined as the auto macro that performs Smart Speak. 
It monitors frame 1, which is defined as the entire screen.  If Smart
Screen is turned on, then each time something changes on the screen,
the Smart Speak function is performed.  If the changes meet the criteria
that have been set, then the screen changes are spoken.
 
[Macro Key:  INSERT + R]
[If] [Smart screen toggle] [Then] [Smart speak] [Endif] [Help label start]
repeat smart read [Label end]
 
2.99 Smart Screen Toggle
     Turn Smart Screen on or off.
 
     This is a simple flag that is used to control Smart Screen.  If the
flag is up, then the INSERT + R macro in the default JAWS
configuration triggers Smart Speak.  This flag is toggled by the INSERT
+ S macro or by a menu selection in the Smart Screen menu.
 
2.100Spell Mode Toggle
     Change Say Word or Say Field to Spell Mode when on.
 
     This is another way to spell a word or field.  When this function
is turned "on", then the Say Word 1 and Say Field functions will spell
the respective units of text.
 
2.101Spell Word
     Spell the word the active cursor is on.
 
     This method of spelling a word is useful in spell checkers where
you may want to automatically say and spell the word.
 
2.102Standby
     Turn off JAWS; press CONTROL+ SLASH to turn back on.
 
     If a sighted person wants to use a PC that is using JAWS, then
Standby can be used to have JAWS disappear until further notice. 
Press CONTROL + / (slash) to bring JAWS back to life.  Standby can
also be found in the global menu under the JAWS voice menu.
 
2.103Success Flag
     Use in "If" statement, true if previous function was successful.
 
     This flag is set to "true" or "false" whenever JAWS functions are
turned on or off, or whenever JAWS functions "succeed" or "fail" to
achieve their intended result.  The Success Flag can then be checked by
the "if-then-else" statement to determine whether the item is "on" or
"off", or whether the previously performed function or task was
successful.
 
     The example below searches for the color red.  If it finds red, then
it speaks the field.  If it is not successful, then  it says "Error".
 
[Macro Key:  ALT + X]
[Menus] e f r {Enter} [If] [Success flag] [Then] [Say field] [Else] [Label
begin] Error [Label end] [Endif]
 
2.104Synth1
     Adjust a special parameter for this synthesizer.
 
     If you look in the Synthesizer Appendix under the name of your
speech synthesizer or if you look in the "extra" voice menu in your
JAWS voice menu, then you will fine the parameters that are specific to
your synthesizer.  You can adjust the items in the "extra" menu to
change synthesizer operation, or  you can use the Synth1 function to
make these changes from within a macro.  The letter following the
"Synth1" function in the following example, represents the item to be
changed.  The digit that follows the letter tells the synthesizer what to
do:  0 = on, 1 = off, 2 = toggle.  This is similar to the On/Off Toggle
function.  All synthesizers do not have Synth1 parameters.
 
[Macro ALT + A]
[Synth1] a 2 [Label begin] abbreviations [Label end] [Say on or off]
 
2.105Then
     Required for "if-Then-Else" statements.
 
     The "Then" must follow the subject in an "If" statement.  It
precedes the tasks to be performed.  
 
[Macro Key:  INSERT + DOWN ARROW]
[If] [Menu-flag] [Then] [Read line x] c [Else] [Say all] [Endif] [Help label
start] say all the text, from the cursor down, or read the menu help line
[Label end]
 
2.106Toggle Units
     Toggle text units between characters, words, lines, etc.
 
     This function toggles or changes the text units from characters to
words, fields, lines, sentences, paragraphs, and then back to characters. 
It does not read the unit.  Say Unit is used to speak the unit.
 
2.107User Flag 1 through User Flag 5
     Toggle User Flag on or off, used in "If" statements.
 
     These functions toggle User Flag 1 through 5 "on" or "off", and
can be used in "if-Then-Else" statements to create your own switches. 
The first example below is from the Lotus 1-2-3 configuration (123.JMF). 
It is a key that turns "on" the "Sheet Cursor".  Note that it first checks
to see if it is "on", if so it does nothing, otherwise it toggles it to "on". 
When the Sheet Cursor is "on", then JAWS speaks the highlighted cell
pointer whenever it is moved by an arrow key.
 
[Macro Key:  INSERT + NUM LOCK]
[If] [User flag 1] [Then] [Else] [User flag 1] [Endif] [Label begin] Sheet
Cursor on [Label end] 
 
     The next example is also from 123.JMF.  All the arrow keys are
like this one, if the Sheet Cursor, i.e.  "User Flag 1" is "on" then the
macro jumps to another macro which finds and speaks the cell pointer
or highlighted menu item.  If the Sheet Cursor is not "on", then the
arrow key performs as usual, moving and reading with the active cursor.
 
[Macro Key:  RIGHT ARROW]
[If] [User Flag 1] [Then] {Right Arrow} [Jump macro] {Insert+X} [Else]
[Say next character] [Endif] [Help label start] read next character or cell
[Label end]
 
2.108Wait for ENTER
     Stop macro for data entry; press ENTER to continue. 
 
     A macro can be temporarily stopped to allow data to be entered
from the keyboard.  This is commonly done when the macro needs to
provide the application program with data or when information such as
a search string is needed by a JAWS macro.  The macro will continue
as soon as the ENTER key is pressed.  The ENTER key signifies the end
of data entry.  If an ENTER is needed after the typing of data to notify
the application program that you have finished the entry, then place an
"ENTER" in the macro after the Wait For ENTER function as is shown
below.
 
[Macro ALT + W]
[Label begin] enter the 8 digit serial number and press enter [Label end]
[Wait for enter] {Enter} [Label begin] okay [Label end]
 
2.109Wait for Key
Stop the macro for one key; macro continues after a key is pressed.
 
     This is similar to the Wait for ENTER function, but this function
only waits for one key to be pressed before the macro continues.  Since
it is meant to be a way to enter data within a macro it expects you to
press a non-macro key.
 
[Macro Key:  ALT + K]
[Label begin] enter your middle initial [Label end] [Wait for key] [Label
begin] okay [Label end]
 
