PART THREE:  Appendix 4
COMMAND LINE SWITCHES
AND PROGRAM FILES
(Only contained in the disk file "34COMAND.MAN".)
 
 
(Last revision:  November 1993.)
 
 
 
CONTENTS OF APPENDIX 4
 
    1.   COMMAND LINE PARAMETERS
         1.1  Communication Port Selection:  /COM=#
         1.2  LPT Selection:  /LPT=#
         1.3  Keyboard Support:  /E
         1.4  Toshiba Keyboard Support:  /T
         1.5  Color or Monochrome:  /C or /M
         1.6  Size of Macro Buffer:  /M=#
         1.7  Size of Dictionary Buffer:  /D=#
         1.8  Frame Monitoring Delay Factor:  /F=#
         1.9  Broken Words and Cursor Errors:  /I=#
         1.10 Indexing Related Lock Ups: 
              /INDEX=####
         1.11 Hardware Cursor and BIOS Cursor:  /H
         1.12 Silence key:  /S=X
         1.13 Base Port Address: /BASE:=#
         1.14 Interrupt Request Number:  /IRQ=#
         1.15 Echo Synthesizer Silencing:  /L
         1.16 DOS Busy:  /N
         1.17 Deactivate Indexing:  /NI
         1.18 Autoload: /O
         1.19 Network Path:  /P="path"
         1.20 Quick Start up:  /Q
         1.21 Rewind Number of Words:  /R=#
         1.18 Watch Dog: /W
         1.19 Pre Initialization String:  /Y="string"
         1.20 Post Initialization String:  /Z"string"
    2.   JAWS PROGRAM FILES
         2.1  JAWS.JNF
         2.2  J_FUNCT.TXT
         2.3  J_(SYNTHESIZER-NAME).BIN
         2.4  J_MREV.EXE
         2.5  J_FREV.EXE
         2.6  J_MDUP.EXE
         2.7  J_MERASE.EXE
         2.8  J_MIDENT.EXE
         2.9  J_AUTO.EXE
         2.10 J_LOAD.EXE
         2.11 JAWS.JMF
         2.12 JAWS.JDF
         2.13 JAWS.JVF
         2.14 JAWSDESK.JMF
         2.15 JAWSTOSH.JMF
    3.   UNLOADING JAWS WITH A BATCH FILE
         3.1  J_UNLOAD.EXE
         3.2  J_DELAY.COM
    4.   CONVERTING VOICE AND ENVIRONMENT
         FILES WITH J_CVT23.EXE
         4.1  Converting Files to JAWS 2.3
         4.2  Non English Synthesizers
    5.   PRINTING A COPY OF MACROS WITH
         J_MTEXT.EXE
    6.   ERRORLEVELS WITH BATCH LOADING
    7.   INTERRUPT 9 SCAN CODE TABLE
1.  COMMAND LINE PARAMETERS
 
    A variety of special switches, or parameters can be used to set
various options when you load JAWS.  These Command Line
Switches, or Command Line Parameters can be thought of as special
codes or flags, that are entered on the same line as the command
which
launches JAWS.  These command line parameters or command line
switches tell JAWS to do something such as to use a particular
communications port, keyboard layout, or monitor type.  These 
specific
instructions are designed to improve the performance of JAWS and to
precisely match the characteristics of JAWS to your computer's
hardware.
 
    When you type "JAWS" at a DOS prompt, this command executes
a batch file called "JAWS.BAT" which contains the command line that
loads JAWS.  The command line parameters are typed on the same line
with the "JAWS" command.  A space is needed to separate the command
from its parameters.
 
    If you examine the contents of the JAWS.BAT file you will find
that the batch file uses a special command to activate the version
of
JAWS you need for the specific speech synthesizer you are using. 
The
command that actually loads JAWS begins with the following two
characters "J_".  Since a batch file is used to enter commands that
you
could type yourself, this means you could type the name of the
specific
JAWS program that is used with your speech synthesizer.  For
example,
if you have an Accent PC, and you want to use "LPT8" to communicate
with the synthesizer, then you would enter this command at a DOS
prompt:
 
    J_ACNTPC LPT8
 
    The first part of the above command "J_ACNTPC" is the name of
the JAWS program file and the second part "LPT8" is the switch that
makes JAWS use LPT8 for its communication.  The switch always
follows the name of the JAWS program that is used with your
synthesizer.  You can use as many switches as you need to set up
JAWS
to meet your needs.  All switches must be entered on the same line
with
the JAWS program name.  Switches must be separated from one
another by a space, a "/" (forward slash), or a "-" (dash) as is
shown
below.
 
    JAWS -COM2 b8 D3
    J_DOUBLE /lpt=4 /E
    J_BNS/T/S=C
 
    You will notice in the preceding examples that an equal sign
(=)
is used within some of the switches (/LPT=4 /S=C).  Some switches
require you to specify additional information for the switch, but
this is
not true for all switches.  The equal sign is an optional part of
switches
that can be used to show the separation between the switch name and
the information that you add to the switch.  Thus, "/LPT=4" and
"/LPT4"
are equivalent expressions.
 
1.1 Communication Port Selection:  /COM=#
 
    The complete form of this command line parameter is shown
below.  If you only need to specify the communication port number,
then
you do not need to specify any of the information that appears
after the
colon.
 
    COM#:(baud rate),(parity),(databits),(stopbits)
 
    The "#" in the preceding illustration is replaced by the number
of
the COM port you wish to use.  COM1 through COM4 can be used.  If
you wish to specify the baud rate, parity, data bits, or stop bits,
then
these numbers must be included in their proper sequence and must be
separated by commas.  Blank spaces are not allowed within this
expression.  If a number for a parameter is left out, then JAWS
will use
the synthesizer's default setting.  If you leave out a setting,
then you
still must include the commas to show where the setting would have
appeared. A typical COM port setting follows:
 
    com2:9600,e,7,1
 
    You must use com1 or com2 if you have a synthesizer that uses
indexing.  The indexing codes must be sent back to JAWS, and this
requires an IRQ that is only effective on com1 or com2.  At this
time,
indexing synthesizers include:  Accent synthesizers, the DECtalk
family
of synthesizers, Kurzweil synthesizers, most Braille 'n Speak 640K
models, and Audapter.  Other synthesizers will be included in this
list
as hardware improvements are made.
 
1.2 LPT Selection:  /LPT=#
 
    The default LPT port used for internal synthesizers is LPT3. 
You
can specify a different LPT number by using the /LPT=# command line
parameter.  Substitute the LPT number for the "#" symbol.  LPT
ports
3 through 8 can be used.  If you use a different LPT number, then
you
may also have to set the LPT number that is used by the internal
synthesizers software driver.
 
    J_DOUBLE lpt=4
 
1.3 Keyboard Support:  /E
 
    A command line parameter can be used to expand or modify the
functioning of the keyboard.  When a 101-key keyboard is used with
the
default configuration, the keys of the cursor keypad will duplicate
functions of the speech pad.  It is possible to sever the
connection
between these keys so that they can perform different activities. 
The
command line parameter /E, is used to make the keys of the cursor
keypad (4 cursor-cross keys and the 6 keys above them) distinct
from
the speech pad keys.  The JAWS.BAT file automatically includes the
/E
parameter so that these two sets of keys will perform different
functions.  Removing the /E parameter from the JAWS batch file or
not
using /E when you activate JAWS by typing the name of the JAWS
program file for your synthesizer will cause the keys of the cursor
keypad to perform the functions of the speech pad.
 
    J_ACNTPC /E
 
    When the /E is used, you will be able to create new/different
key
functions for the cursor keys and the speech pad keys.  You also
could
leave the cursor keys in their "natural" state so that they only
perform
functions for your application programs.  If you define a macro key
on
the cursor key pad, then it will be identified as a "home row"
macro key
by the JAWS macro editor.
 
1.4 Toshiba Keyboard Support:  /T
 
    If you have a Toshiba computer you should use the "/T" command
line parameter to obtain independant use of the "extended keys". 
This
parameter is very similar to the /E parameter except that the
INSERT
key retains its special function for JAWS.  The use of this
parameter
also solves an arrow key related problem that was introduced by
Toshiba when they designed their T1800/1850 models.  If you are
using
a Toshiba computer and your arrow keys cause a lock up, then it is
best
to use the /T parameter.  You should use the /T even if you are
using an
external numeric keypad and your Toshiba is locking up.
 
1.5 Color or Monochrome:  /C or /M
 
    These parameters may be necessary in situations when JAWS
cannot determine whether the computer has a color or monochrome
video board.  Including one of these parameters on the command line
forces JAWS to use a specific video mode.  /C forces JAWS into
color
mode.  /M forces JAWS to use a monochrome display mode.
 
 
1.6 Size of Macro Buffer:  /M=#
 
    The macro buffer is an allocation of memory in which your
macros
are kept.  The buffer must be large enough to contain the set of
macros
you are using.  If you have been adding new macros to the original
set
of macros, then you will eventually need to expand the size of the
macro
buffer you are using.  If the size of the macro file is larger than
the
allocation of memory for the macro buffer, then JAWS will not be
able
to load the macros.  The default macro buffer size is 4k or
approximately
four thousand characters.  It can be expanded up to 8k or down to
2k. 
To specify the size of the macro buffer, you can use the /B=X
command
line parameter, where "X" is the size of the macro buffer in K
(1024
bytes).  If you try to load a macro file that is larger than the
amount of
memory that has been reserved for it, then JAWS will give you an
error
message.  You should remember that the larger the buffer size, the
greater the amount of memory that will be occupied by JAWS.  To
expand the macro buffer to 8k, then use a command like the one
shown
below.
 
    J_ACNTSA /B=8
 
1.7 Size of Dictionary Buffer:  /D=#
 
    The amount of memory reserved to contain the contents of the
JAWS pronunciation file is determined by the /D=# parameter. This
parameter is used to specify a file size that ranges from 0 to 8
K-bytes 
(1024 bytes).  The default is 2K.  If you specify zero K-bytes,
then you
will disable the pronunciation feature and your pronunciation file
will
not be used.  If you try to load a dictionary file that is larger
than the
amount of memory that has been reserved for it, then JAWS will give
you an error message.  You should remember that the larger the
buffer
size, the greater the amount of memory that will be occupied by
JAWS. 
When you load a dictionary file from the configuration files menu
or let
Autoload load it, or you use the J_LOAD command, then the
dictionary
will be automatically turned on.  It is not necessary to manually
activate
the dictionary after it is loaded.  If you do not use a
pronunciation file
and you totally rely on the pronunciation power of your speech
synthesizer, then you can use a buffer size of zero as is shown in
the
following example.
 
    J_ACNTPC /D=0
 
1.8 Frame Monitoring Delay Factor:  /F=#
 
    The /F=# command line parameter is used to set the delay
factor for frame monitoring, where "#" is replaced by a value of 1
through 999.  When low values are used, then the screen is
frequently
checked for changes.  When large values are set, then the screen is
checked less often.  The trade off is that higher values allow
application
programs to work more quickly, but you will be informed of screen
changes less quickly.  When lower values are used, then JAWS will
respond quickly to screen changes, but your application program may
slow down.  If you are using a fast computer processor, then you
will in
most cases not be aware of a reduction in processing time when low
values such as 2 through 5 are used.  Experiment with different
values
for the /F parameter to determine the setting that will be optimal
for
your computer and application software.  The default value is 5,
and 19
is equal to a delay of 1 second between screen checks.
 
1.9 Broken Words and Cursor Errors:  /I=#
 
    This parameter controls a certain type of automatic speaking
that
occurs when text is sent to the computer's BIOS and then is
displayed
on the screen.  This "screen echo" is automatically spoken as soon
as it
moves through the BIOS.  Sometimes, for example, if data is being
sent
to the monitor at a very slow rate, as when a slow modem is
receiving
data and displaying it on the screen, then pronunciation problems
may
result.  In this situation, pieces of words may be automatically
spoken
before the whole word is displayed on the screen.  This parameter
also
could be used to correct a situation involving a software program
that
moves the cursor very slowly, and as a result, causes an error beep
each
time the cursor is moved.
 
    The /I=# parameter adjusts the time interval (number of
time-out
ticks) that JAWS waits before it checks the status of the screen. 
For
example, when you press an arrow key, JAWS waits a certain amount
of time to allow the computer to respond before it speaks the new
information at the cursor.  If you are using a slow computer and
JAWS
needs to wait longer to avoid producing an error beep, then you
should
increase the waiting time.  The "#" in the parameter /I=# can be a
number from 1 to 255.  The default for /I is 16, and a value of 19
is
approximately equal to a time interval of one second.
 
    J_DECTLK /I=20
 
 
1.10Indexing Related Lock Ups:  /INDEX=####
 
    Sometimes when the JAWS Say All function is used for reading
large documents in a word processing program, you may encounter an
unexpected pause where speech totally stops. This situation occurs
with
indexing synthesizers like the DECtalk PC or Kurzweil, when the
menu
setting for "Line Pauses" is turned off.  When this setting is off,
then the
synthesizer produces more natural sounding reading.  However, if a
string of 25 or more words is encountered and the string of words
does
not contain periods or commas, then your synthesizer could stop
speaking for no apparent reason.  Your computer system has not
locked
up, rather, the synthesizer is just waiting for a "end of phrase"
signal,
(punctuation)  before it starts to speak, and JAWS is waiting for
a signal
from the synthesizer before it tells the synthesizer to speak
additional
words.  This system of closely synchronized communication between
JAWS and these synthesizers helps produce more natural reading
inflection, but this system is not foolproof.
 
    The standoff that can occur between a synthesizer and JAWS can
be broken by pressing the ALT or CONTROL; however, it is more
desirable to pursue a strategy which prevents this situation from
occurring.  The waiting problem can be prevented through the use of
the
"/index" command line switch.  When this switch is used, you can
reduce
the number of words that JAWS sends out before it forces the
synthesizer to speak.  Remember, this problem only occurs when the
Line Pauses menu is set to off, and you are using an indexing
synthesizer.
 
    The form of the index command line switch is "/INDEX####".  A
pair of two digit numbers is used to replace the number signs
(####)
when the switch is used.  The first two digits indicate the maximum
number of index marks to allow between adjustments in cursor
position. 
The second pair of digits indicates the number of words that JAWS
will
send out to the synthesizer before it sends a "start speak"
command. 
JAWS counts the number of words being sent to the synthesizer, and
if
a phrase ending punctuation mark is not present within the string
of
text it sends, then JAWS initiates speech by sending a start speak
command.  You can use "00" for either the first or second pair of
digits
if you wish to use the default settings.
 
    If your synthesizer is waiting in the way described, then you
could
reduce the number of "words" that JAWS will count before it sends
a
start speak command, (the second pair of digits).  This will stop
the
waiting problem, but may sometimes cause the synthesizer to sound
like
it has reached the end of a phrase before a phrase actually ends. 
You
also could increase the maximum number of indexes, the first pair
of
digits.  This would provide natural sound even for the longest
phrases,
but it may not prevent all waiting.  If the first pair of digits is
too large,
then this will cause a buffer overflow, which would mean lost
characters
or a loss of the ability to quickly silence speech. 
 
    The symptoms and solutions being discussed are dependent on the
specific synthesizer being used and the text being read.  Even
though
the DECtalk, DECtalk PC, DECtalk Portable, MultiVoice, Kurzweil
Personal Reader and Kurzweil Reading Edge all use the DECtalk
voice,
they have different communication parameters and will therefore
behave
differently.  If you are not satisfied with the performance of your
synthesizer, then experiment with minor changes in the /INDEX
settings until you find the right compromise.  The maximum number
of
index marks is usually about 25 or 30, and the number of words that
are counted between the sending of start speak commands is usually
about 20.  The default or built-in values for each synthesizer
version of
JAWS 2.3 will be defined in the "CHANGES" file on your JAWS update
diskette.  Please refer to it before you make any changes with the
/INDEX command line parameter.
 
 
1.11Hardware Cursor and BIOS Cursor:  /H
 
    By default, JAWS tracks the hardware cursor used by your
computer.  This cursor should not be confused with the PC Cursor or
the
JAWS Cursor which are not being discussed here.  The hardware
cursor
and the BIOS cursor are used by your computer and monitored by
JAWS.  JAWS uses the information obtained from one of these cursors
when it speaks the information on the screen.  If problems result
from
dealing directly with the video hardware (hardware cursor), such as
when JAWS cannot accurately follow the movement of the cursor, then
you should try using the /H switch. This command line switch turns
off
hardware cursor tracking and turns on BIOS cursor tracking.
 
    J_ECHO /H
 
1.12Silence key:  /S=X
 
    The ALT key is usually used to silence the synthesizer when it
is
in the process of speaking.  Other keys can be used for this same
function in situations where a different key would be more
convenient. 
Use /S=X to change the silence key from the ALT key to a different
key. 
Use /S=C for the CONTROL key, or /S=S for the LEFT SHIFT key.  You
can also use the scan code in decimal digits (1 to 3 digits) to
represent
any other key.  Scan code numbers can be found in the scan code
table
at the end of this chapter.  This is the interrupt 9 scan code
table and
it may be different than other published scan code tables.
 
    JAWS /S=C
    J_ACNTPC /S=58
 
1.13Base Port Address: /BASE:=#
 
    The /BASE:=# command line parameter is used to specify a base
port address for a synthesizer.This parameter is used when the port
address that is assigned to an internal synthesizer is conflicting
or
interfering with other devices such as a disk drive controller card
or a
joy-stick, or when you are working on a network.  When the dip
switches
on the internal synthesizer card are changed to a new address, then
the
/BASE: command line parameter is used to inform JAWS of the new
address.  If a hexadecimal number is used, then a "0X" is placed
between the colon (:) and the number.
 
    /BASE:=0X308 (hex base address)
    /BASE:671 (decimal base address)
 
1.14Interrupt Request Number:  /IRQ=#
 
    Sometimes it is necessary to change the IRQ (interrupt request
line) that is used for an internal synthesizer to avoid a conflict
with
other internal circuit boards.  This change is done with the /IRQ=#
command line parameter.  The "#" can be an IRQ number of  2 through
15.
 
    J_PROSE /IRQ=15
 
1.15Echo Synthesizer Silencing:  /L
 
    The /L switch is used with internal models of Echo synthesizers
to assist with silencing speech output.
 
    J_ECHO /L
 
1.16DOS Busy:  /N
 
    This command line switch might be used in situations where two
or more memory resident software programs are being used or when
JAWS is being used with some types of terminal emulation software
programs.  Some programs such as terminal emulators may leave DOS
in a "busy" state even when they are not active.  The busy state of
other
programs prevents JAWS from being able to load any of its external
programs, such as the pronunciation editor, and will prevent
configuration files from being loaded or saved.  The /N switch
permits
nesting of these programs, which may solve the "DOS busy" error
problem.  This switch should be used as a last resort, because it
could
cause other problems in certain situations.
 
    J_SONIX /N
 
1.17Deactivate Indexing:  /NI
 
    Indexing is generally associated with the use of the Say All
function for continuous reading, however indexing also is used in
several
other ways within JAWS to manage speech output.  There may be
situations when indexing must be turned off, such as when it
disrupts
the activity of a synthesizer or when there is an unresolvable IRQ
conflict. Using the /NI switch on the command line will turn off
indexing
on synthesizers where indexing is used.
 
    J_DECTLK /NI
 
1.18Autoload: /O
 
    In the default configuration, JAWS will automatically load the
configuration files that have been designed to work with specific
application software programs.  If you do not want to have these
configuration files loaded automatically, then you should include
the /O
command line switch to turn off this feature.  If this switch is
used, then
you will need to manually load configuration files when you wish to
use
them.
 
    JAWS /O
 
1.19Network Path:  /P="path"
 
    This command line parameter is use with network computer
systems where several JAWS users are using the same set of JAWS
program files.  Use of the /P="path" parameter can enable each user
to
maintain his/her own set of configuration files so that settings
such as
speech rate can be permanently saved.  Normally, when JAWS is
loaded,
it always looks in the directory from which it was launched
(started) to
find configuration files.  Since configuration files have names
that match
the names of application programs, it is not possible to
automatically
maintain two or more sets of configuration files for several users
within
the same directory.  The use of this parameter allows configuration
files
to be stored in separate directories.  To do this, you must create
a
separate directory, copy the desired configuration files into that
directory, then include the /P="path" parameter when you load JAWS.

The word "path" in the parameter is replaced by the path that
describes
the location of the configuration files.  The quotation marks must
be
used to enclose the path.
 
    J_ACNTSA /P"c:\JAWS\MARY"
 
1.20Quick Start up:  /Q
 
    When JAWS is loaded, it normally displays its logo and
copyright
information and then displays a DOS prompt.  Sometimes it is
desirable
to read the information that was displayed on the screen just
before
JAWS was loaded.  This could be useful when you suspect that an
error
message of some type has been displayed.  When the /Q switch is
used,
you will have the ability to re-display the previous screen of
information. 
When quick start up is used, the logo and copyright information are
displayed as usual, but the previous screen of information is
redisplayed
as soon as a key is pressed.
 
    WSD /Q
 
1.21Rewind/Fast Forward Number of Words:  /R=#
 
    When you use the Say All function for continuous reading, you
have the ability to backup and skip ahead as you read by either
pressing
the MINUS key or PLUS key.  This parameter determines the number
of words that the cursor will move back (rewind) when the MINUS is
pressed.  It also determines how many words will be skipped (fast
forward) when the PLUS is pressed.  The "#" in the parameter is
replaced by the desired number of words. You may set this parameter
to 1 through 999 words.  As a practical matter settings in the
range of
7 to 25 words will probably be most useful.
 
    J_ACNTSA /R=10
 
1.18Watch Dog: /W
 
    A watchdog interrupt handler is available for users who lose
keyboard control when running some terminal emulation packages or
memory resident software.  The /W command line switch will turn on
the watchdog feature.  This feature will help users who use
programs
that "steal" the Interrupt 9 (keyboard) vector from JAWS. 
Unfortunately, the method used in this feature is not foolproof,
and it
will not work in all situations, but  if you are having this
problem, then
it may be the solution that works for you.
 
    WS /W
 
1.19Pre Initialization String:  /Y="string"
 
    This is used to send a string of data to the synthesizer before
JAWS is loaded.  The information that is to be sent must be
enclosed
within quote marks.  The form of the command is /Y"string" where
"string" is replaced by the data that is to be sent to the
synthesizer.  The
user's manual for your synthesizer will provide a list of commands
that
can be sent to the synthesizer in this manner.
 
1.20Post Initialization String:  /Z"string"
 
    This parameter is used to send a string of data to the speech
synthesizer after JAWS has been loaded.  This might be done in
situations where a special feature of the synthesizer cannot be set
up
from within the JAWS menu system. The information that is to be
sent
to the synthesizer must be enclosed within quotation marks.  The
form
of the command is /Z"string" where "string" is replaced by the data
that
is to be sent to the synthesizer.  The user's manual for your
synthesizer
will provide a list of commands that can be sent to the synthesizer
in
this manner.
 
 
2.  JAWS PROGRAM FILES
 
If you examine the contents of the directory where your JAWS files
are
stored, you will discover that the directory contains a variety of
data
files and executable program files.  The functions of many of these
files
are identified and described in this section.
 
2.1 JAWS.JNF
 
    This is the JAWS name file, it contains the name and address of
the JAWS owner.  The information in this file is displayed on the
screen
when JAWS is loaded.  This file is required for JAWS to function in
its
full form.  If this file cannot be found, then JAWS will perform
like a
demo version.  If you have a licensed version of JAWS and if you
are
shown the message that this is a demo version, then you need to
copy
the "JAWS.JNF" file into the JAWS subdirectory.
 
2.2 J_FUNCT.TXT
 
    This is a text file that contains the names and numbers of all
the
JAWS functions.  These functions are accessed through the JAWS menu
system.  Do not change or alter this file unless you know what you
are
doing!  If you alter this file, then be sure to keep a backup copy
of the
file handy.  This file must be in the JAWS subdirectory when you
load
JAWS.
 
2.3 J_(SYNTHESIZER-NAME).BIN
 
    This is the menu file for the specific synthesizer you are
using. 
For example, if you have the Accent PC version of JAWS, which is
named "J_ACNTPC.EXE" then the menu file will be named
"J_ACNTPC.BIN".  This is the binary version of the menu file.  It
must
be in the JAWS subdirectory when you load JAWS.
 
2.4 J_MREV.EXE
 
    This is the JAWS Macro Editor, known as macro revise.  It is a
separate executable file that can be run from DOS or loaded through
the
JAWS macro menu.  It must be in the default JAWS subdirectory when
JAWS is loaded.
 
2.5 J_FREV.EXE
 
    This is the JAWS frame editor, known as frame revise.  It is a
separate executable file that can be run from DOS or loaded through
the
JAWS frame menu.  It must be in the default JAWS subdirectory when
you load JAWS.
 
2.6 J_MDUP.EXE
 
    This is the JAWS macro duplicator, known as macro duplicate. 
It is a separate executable file that can be run from DOS or loaded
through the JAWS macro menu.  It must be in the default JAWS
subdirectory when JAWS is loaded.
 
2.7 J_MERASE.EXE
 
    This is the macro erase function.  It is used to erase
individual
macros that you no longer need.  It is a separate executable file
that can
be run from DOS or loaded through the JAWS macro menu.  It must be
in the default JAWS subdirectory when JAWS is loaded.
 
2.8 J_MIDENT.EXE
 
    This is the macro identification function.  It displays the
names
of the current set of macro keys.  It is a separate executable file
that can
be run from DOS or loaded through the JAWS macro menu.  It must be
in the default JAWS subdirectory when you load JAWS.
 
2.9 J_AUTO.EXE
 
    This is the auto macro program.  When it is used, it asks for
the
frame to monitor, the macro key to perform, and a delay factor.  It
is a
separate executable file that can be run from DOS or loaded through
the
JAWS macro menu.  It must be in the default JAWS subdirectory when
JAWS is loaded.
 
2.10J_LOAD.EXE
 
    In addition to loading configuration files from within the JAWS
menu system or letting JAWS load configuration files automatically,
you
can load JAWS configuration files from the DOS command line or from
within a batch file.  If, for example, you wish to load all of your
WordPerfect configuration files (macros, frames, voice settings,
etc.)
from within a batch file, then you could include this command in a
batch
file or type it at a DOS prompt.  The following command loads all
the
configuration files that have the filename "wp" and a valid
configuration
filename extension of JMF, JFF, JEF, JVF, and JDF.
 
    \JAWS\J_LOAD \JAWS\wp
 
2.11JAWS.JMF
 
 
    This is the default JAWS macro file.  It defines the keys to be
used when JAWS first boots up or loads.  It must be in the JAWS
subdirectory when JAWS is loaded.
 
2.12JAWS.JDF
 
    This is the default JAWS pronunciation file.  It defines the
words
that have unusual pronunciations.  This file is used when JAWS is
initially loaded.  It must be in the JAWS subdirectory when you
load
JAWS.
 
2.13JAWS.JVF
 
    This is the default JAWS voice file.  It contains the setting
for the
speech synthesizer.  This file is used when JAWS is first loaded,
and
must be in the JAWS subdirectory when you load JAWS.
 
2.14JAWSDESK.JMF
 
    This is the JAWS macro file for desk top computers that have a
numeric pad on the keyboard.  This may be the same as "JAWS.JMF",
or can be copied into a file named "JAWS.JMF" if you want it to be
automatically loaded when you load JAJAWS.
 
2.15JAWSTOSH.JMF
 
    This is the default JAWS macro file for Toshiba lap top
computers.  Toshiba computers have an unusual keyboard layout, and
this file is designed for that keyboard.  This may be the same as
"JAWS.JMF", or you can copy it into a file named "JAWS.JMF" if you
want it to be loaded automatically when you load JAWS.
 
 
3.  UNLOADING JAWS WITH A BATCH FILE
 
3.1 J_UNLOAD.EXE
 
    This program is used to unload JAWS from memory.  This
command can be typed at a DOS prompt or it can be included within
a
batch file.  The command can be used with JAWS version 2.2 (or
later
releases).  If JAWS is not loaded in memory, when it is used, then
it will
report an error.  JAWS also can be removed from memory with a
keyboard command:  press ALT + SHIFT + F1.
 
    A "/S" command line switch can be used with this command to
place JAWS into standby mode. The /S is used with this command
within a batch file or at the DOS prompt.  Standby mode temporarily
suspends speech and other JAWS activities without removing JAWS
from memory.  JAWS can be reactivated by pressing CONTROL +
SLASH (/).  Standby mode can also be invoked from within the JAWS
menu system.
 
    J_UNLOAD /S
 
3.2 J_DELAY.COM
 
    This command is used within a batch file along with the
J_UNLOAD command.  It is used when one or more additional
commands follow the J_UNLOAD command.  When it is used, it should
be placed on the line immediately after the J_UNLOAD command.  This
command will cause the batch file to wait for JAWS to be completely
removed from memory before continuing.
 
 
4.  CONVERTING VOICE AND ENVIRONMENT FILES WITH
    J_CVT23.EXE
 
    This utility is used to convert JAWS version 2.2 voice
configuration files and environment configuration files to JAWS 2.3
format.  It is also used to prepare enviroment files for use with
non
English synthesizers.
 
4.1 Converting Files to JAWS 2.3
 
    The voice and environment files for JAWS version 2.2 that are
in
your default JAWS subdirectory will be automatically converted to
JAWS 2.3 format when you install JAWS 2.3 to that same
subdirectory. 
If you need to manually convert these files, then enter the command
with a standard path name at a DOS prompt.
 
    J_CVT23.EXE [drive]\[directory]
 
    You can also limit the conversion to either environment files
or
voice files.  The "/E" switch is used to only convert environment
files,
and the "/V" is used to only convert voice files.
 
4.2 Non English Synthesizers
 
    If you will be using JAWS with languages other than English,
then you will need a foreign language synthesizer such as Infovox,
Apollo, or Prose 4000.  Special synthesizer drivers are required
for these
synthesizers.
 
    Many non English languages utilize characters that are normally
not spoken by JAWS, because they are not used in English words.  If
you will be using foreign languages, then you will probably want
these
additional characters to be spoken.  In order to enable the
speaking of
these characters, you will need to make a modification to the JAWS
environment file.
 
    To modify the JAWS environment files, you will need to use the
"J_CVT23.EXE" program and use the "/F" command line parameter. 
When this is done, the environment files will be reset and the
needed
non English characters will be spoken.  The "/A" command line
parameter is used with the "J_CVT23" program, to convert
environment
files for use with English language synthesizers. 
 
    Even though JAWS version 2.3 supports foreign language
synthesizers it does not do so 100%.  Labels that are spoken when
keys
are pressed such as "ENTER" and "PAGE UP" will still be spoken in
English.  The punctuation symbols also will be spoken in English.
 
    A partial solution to the punctuation problem involves setting
the
symbols menu in the universal voice menu to "off".  When this menu
is
set to "off", JAWS passes through each punctuation symbol to the
synthesizer without translation.  In general, this works fine, but
when
punctuation symbols are typed or individual characters and words
are
read, then JAWS still tries to translate the symbols to English
pronunciation.  A simple solution to this situation involves adding
a few
pronunciation rules to the Dictionary.  For example, if you are
using
Spanish, then you could add a rule where the symbol "period" will
be
spoken as "punto".  When this is done, then JAWS will send out the
desired pronunciation for the punctuation character.
 
 
5.  PRINTING A COPY OF MACROS WITH J_MTEXT.EXE
 
    This command is used to print the contents of a macro
configuration file.  This is a file that has the filename extension
"JMF". 
When the command is used it generates a new DOS text file that can
be
printed or read with a word processor.  The program is used as
follows:
 
    J_MTEXT [filename.JMF]
 
    When this command is used, it will create a new text file with
the
same filename as the origional file, but with the "JMT" filename
extention.  If you use this program without a filename, then a list
of
program  options will be displayed.
 
 
6.  ERRORLEVELS WITH BATCH LOADING
 
    If you create your own batch files for loading JAWS, then you
can
use the DOS "ERRORLEVEL" command.  JAWS returns an
ERRORLEVEL value after it loads, and this value can be checked as
the
batch file finishes its execution.  The following ERRORLEVELS do
not
correspond to error messages that may be displayed on the screen
when
JAWS loads.
 
ERRORLEVEL 0
    JAWS loaded without error.
 
ERRORLEVEL 1
    JAWS did not understand the syntax of the command line.
 
ERRORLEVEL 2
    JAWS was already loaded and you tried to load it again.
 
ERRORLEVEL 3
    There is not enough memory for JAWS to be loaded. 
 
ERRORLEVEL 4
    JAWS could not create the JAWSMEM.IMG file in the default
    directory.  This could be caused by insufficient disk space, a
disk
    error, or the disk is write protected.  
 
7.  INTERRUPT 9 SCAN CODE TABLE
 
00 (NULL)
01 Escape
02 1
03 2
04 3
05 4
06 5
07 6
08 7
09 8
10 9
11 0
12 -
13 =
14 Backspace
15 Tab
16 Q
17 W
18 E
19 R
20 T
21 Y
22 U
23 I
24 O
25 P
26 [
27 ]
28 Enter
29 Control
30 A
31 S
32 D
33 F
34 G
35 H
36 J
37 K
38 L
39 ;
40 '
41 `
42 Left Shift
43 Backslash \
44 Z
45 X
46 C
47 V
48 B
49 N
50 M
51 ,
52 .
53 Slash /
54 Right Shift
55 Print Screen
56 Alt
57 Space
58 Caps Lock
59 F1
60 F2
61 F3
62 F4
63 F5
64 F6
65 F7
66 F8
67 F9
68 F10
69 Num Lock
70 Scroll Lock
71 Home
72 Up Arrow
73 Page Up
74 Pad -
75 Left Arrow
76 Pad 5
77 Right Arrow
78 Pad +
79 End
80 Down Arrow
81 Page Down
82 Insert
83 Delete
84 (NULL)
85 (NULL)
86 (NULL)
87 F11
88 F12
 
 
