PART FIVE:
Installation Reference 2
EXTERNAL SYNTHESIZERS,
AND
HARDWARE CONFLICTS
(Only contained in the disk file "52EXTERN.MAN".)
 
 
(Last revision:  1992.)
 
 
CONTENTS OF INSTALLATION REFERENCE 2
 
    1.   INTRODUCTION
    2.   YOUR PC's PORTS
    3.   SERIAL CABLES
    4.   PORT SIZES & POSITIONS
    5.   WHICH PORT IS COM1?
    6.   WHAT IF I CAN'T FIND A COM PORT THAT
         WORKS?
         6.1  The DOS Test
    7.   HARDWARE CONFLICTS
         7.1  Changing the COM Port Number
         7.2  Changing the IRQ
         7.3  Changing the Base Address
1.  INTRODUCTION
 
    A serial synthesizer is one that connects to one of the serial ports
on your PC.  Synthesizers of this type are the Braille 'n Speak, Accent
SA, Audapter, DECtalk, Kurzweil-DECtalk, and others.
 
 
2.  YOUR PC's PORTS
 
    The serial ports on the back of the PC are also called
"communication" or "COM ports", and are usually referred to as COM1,
COM2, COM3, and COM4.  These are "male" ports, as opposed to
"female" ports.  This refers to the fact that they have pins instead of
sockets.  Because these ports have pins, they feel rough to the touch,
and the female ports feel smooth.  The female ports are usually parallel
ports, such as those for printers.  These descriptions are general, for
there are often other connecters on the back of a PC that feel rough, and
they are not necessarily serial ports.
 
 
3.  SERIAL CABLES
 
    The synthesizer must be connected to the PC by a serial cable. 
There is no "standard" serial cable.  These are sometimes referred to as
"RS-232," which specifies what wires might be inside the cable.  Besides
needing the wires and connections inside the cable, you need to be sure
that each end of the cable is the correct gender, male or female, so that
it can be connected to the synthesizer and the PC.  Here are some tips:
 
Accent SA:  Straight-through modem cable, male/female
 
Kurzweil Personal Reader:  Straight-through modem cable, male/female
 
DECtalk:  Null-modem cable, female/female
 
 
4.  PORT SIZES & POSITIONS
 
    The serial ports also come in two different sizes, DB25 and DB9,
which refers to the number of pins or separate connections.  Some
computers have the COM ports situated horizontally, in which case
there are two rows of pins, with 12 pins in one row and 13 pins in the
other.  If the port is situated vertically, then there are two columns,
with 12 or 13 pins in each column.  Naturally, if it is a 9-pin port, then
each row/column has 4 or 5 pins.  One side of the port is longer than the
other; it is trapezoidal in shape, and therefore the cable can only go on
one way.  When you are connecting a cable, if it does not go on one way,
then flip it over.  This is assuming that you have the sexes right, female
on the cable connecting to male on the PC, etc.
 
 
5.  WHICH PORT IS COM1?
 
    It is generally easy to determine which ports are serial ports, But
if there is more than one of them, it is difficult to determine which is
COM1, which is COM2, etc.  Some computer manufacturers will label
them with words or pictures, but this is not always done.  Additionally,
if your computer has been repaired and/or reassembled, then the labels
may not always conform to the physical setup of the ports.  Generally
speaking, there is no way to tell which is which unless you have specific
documentation for your computer or you have diagnostic software.  Since
most PC's will only have two or at most four COM ports, then you can
use a bit of trial-and-error to find the port you need.
 
    JAWS and WordScholar automatically assume that you want to
use COM1, so if you connect the synthesizer to COM1 and it works,
then that is all you need to do.  If you connect it to COM2, then it will
not work unless you instruct your software to use COM2.  If you want
to use COM2, COM3, or COM4, then you must inform WordScholar or
JAWS of your intention to use a specific COM port. This is done by
using a command line parameter.  Most users, however,  should be able
to use the default COM1.  Installation Reference 3 in the JAWS manual
and Appendix E in the WordScholar manual present information about
working with specific synthesizers.  Appendix 4 in the JAWS manual
and Appendix F in the WordScholar manual present information about
using the command line parameters you will need when changing COM
ports.
 
 
6.  WHAT IF I CAN'T FIND A COM PORT THAT WORKS?
 
    If the WordScholar or JAWS logo appears on the screen but the
synthesizer remains silent, or the speech is garbled, then go through the
steps on the following check list.  Please do not think that we are
insulting your intelligence with the questions we will ask.  Sometimes
very simple things prevent speech synthesizers from speaking.  If the
software logo does not appear on the screen, or you get the DOS error
message "Bad Command or File Name", then your problem is not going
to be addressed by this list.  Your problem is likely related to the
inability of DOS to find the WordScholar or JAWS program files.  If this
is your situation, then please reread Chapter 2 that discusses software
installation.
 
a.  Is the synthesizer turned on?  Be sure it is plugged in or the
    batteries are installed.  Most serial synthesizers will say
    something when you turn them on.
 
b.  Maybe the synthesizer is on but you cannot hear it.  Does it
    require a speaker or headphones, like the portable DECtalk? 
    Maybe the headphones are installed but you do not have them
    turned on.  Maybe they are plugged into the wrong socket.  If you
    plug a mono speaker into a stereo jack, you may not be able to
    hear it.  Remember step one:  It should say something when you
    turn it on.
 
c.  Are you using the right cable?  If we provided the cable with the
    synthesizer, then it is probably the correct one, but not
    necessarily -- even we make mistakes.  However, if a friend or a
    supervisor provided the cable, then you should seriously consider
    whether you have the right cable. There is no standard RS-232
    serial cable.  They can be, and usually are, very different. 
    Contact us if you need to buy the correct cable.
 
d.  Is the cable firmly connected at each end?  Be sure it is plugged
    in all the way and then secured with the screws on each side of
    the connector.  Do not force it or over tighten it, but be firm.
 
e.  Is it connected to the correct COM port?  Maybe it isn't connected
    to a COM port at all.  Use the "DOS test" explained below to be
    sure you know which port it is connected to and that the port is
    working.
 
f.  Maybe the synthesizer is set to the wrong baud rate.  This is also
    known as the data transfer rate, or bits per second.  If the
    synthesizer is speaking garbage, then you are connected to the
    right port, but you likely have a rate problem.  Refer to the
    information about your synthesizer to set it correctly.  It could
    also be a parity problem or a problem related to data bits or stop
    bits.
 
6.1 The DOS Test
 
    To confirm that the synthesizer is working, the cable is correct
and connected, and that the COM port is working, we need to use DOS
to output some information to the synthesizer.  If DOS can send data to
the synthesizer and make it talk, and WordScholar or JAWS cannot do
so, then we have one of the conflicts discussed below.  Follow these steps
for the DOS test.
 
a.  Set the baud rate, parity, data bits, and stop bits with the
    "MODE.COM" program.  If your synthesizer is running at 9600
    baud, even parity, 7 data bits, 1 stop bit, then you would enter
    the following command at the DOS prompt.   
 
    MODE COM1:9600,E,7,1
 
 
    The preceeding command is commonly used with Accent SA, most
DECtalk and KPR-DECtalk models, and the Braille 'n Speak.  If you are
using COM2, then make the appropriate substitution.  If you know that
your speech synthesizer is using different parameters (baud rate, parity,
etc.), then make the appropriate substitutions.  If when you use the
MODE command, you get the error message "Bad command or
filename," then DOS could not find the MODE.COM program.  Be sure
it is on your disk and give DOS a "path" to it by preceding the file name
with the subdirectory name, e.g.:
 
    \DOS\MODE COM2:9600,E,7,1
 
b.  When the command has been executed successfully, it will put a
    message on the screen, repeating the parameters.  If you get this
    far successfully, then tell DOS to send some data out the correct
    COM port to the synthesizer.  Enter the following command.
 
    DIR/W >COM1
 
         If you want COM2 then change the 1 to a 2.  This
    command will cause DOS to send all the file names listed in the
    current directory out to the COM port, and hopefully to the
    synthesizer.  At this point the synthesizer should start talking.  
    
         If the synthesizer begins to talk, then proceed to the next
    section on serial port conflicts to get WordScholar working.  If it
    does not start to speak, then you have a more fundamental
    problem.  Review the DOS Test and the six steps presented
    earlier in this section to be sure you have tried all of the
    suggestions.  It is of course also possible that the synthesizer is
    broken and no amount of work with the computer can resolve the
    problem.
 
 
7.  HARDWARE CONFLICTS
 
    Now we get down to the heart of the matter.  The most common
problem with serial synthesizers is conflicts with other serial devices
installed in the PC.  Besides COM ports, you may have an internal
modem, mouse port, or some other device that uses the same IRQ, or
Interrupt Request line.  The COM ports use IRQ 3 or 4.
 
    If there is a conflict, that is, if another device is using the same
IRQ that the synthesizer/COM port is using, then you will notice some
problems:  
 
    The data may not get spoken at all.  The synthesizer may speak
a little, then pause.  The computer may lock up or freeze completely, or
the synthesizer and computer may develop other unique symptoms.  If
you notice strange things like this happening, then you need to take
steps to correct the situation, because things will not get better on their
own.
 
    The most obvious solution is to use a different COM port. 
Connect the cable to one of the other COM ports, reload WordScholar
with the correct parameters for the new COM port and see if it works.
 
    If you cannot change COM ports, then you must take steps to
resolve the conflict.  This is done by removing other devices that may be
causing the conflict.  The term "device" refers to another circuit board,
like an internal modem or another serial port board.  If you have an
internal modem in your PC, then remove it.  If you have an extra serial
port circuit board installed, then remove it.  If you have an internal
synthesizer installed, like a Sounding Board or a Symphonix board, then
remove it.  The removal of these boards is not intended to be a
permanent solution, but rather they are steps along the way to
discovering what is causing the problem.  We must first identify the
source of the problem before we can devise a remedy.  
 
    Once the other devices are removed and WordScholar or JAWS
starts to work properly, then we definitely know that we had a
hardware conflict.
 
    The next step is to isolate the specific device that caused the
problem. There is a lot of trial and error involved in doing this.  The
basic strategy is to systematically reinstall the devices one-at-a-time
until JAWS or WordScholar stops working. The last device reinstalled
will then be the culprit.  This description is very general by necessity. 
Each computer with its devices is a unique environment and possesses
unique solutions to conflicts.  Once you have isolated the problematic
device, then you can reinstall the other devices that did not cause
problems.  If you still wish to use the troublesome device, then you will
need to find a solution that will enable it to be used.  You may need to
reconfigure your arrangement of COM ports.  You may need to buy a
different version of that device or only use that device when you are not
using the serial synthesizer.  The manual for the device may have
information which may also help you to resolve conflicts.
 
    If WordScholar seems to work fine in most situations, but the
"Say All" feature does not work, then you can be sure there is an IRQ
conflict.  Most screen reading commands send data out to the
synthesizer and do not expect data in return from the synthesizer. 
However, the Say All feature depends on getting back "index markers"
which allows JAWS and WordScholar to stop on the last word spoken.
 
7.1 Changing the COM Port Number
 
    If you have fixed the problem by removing the offending device,
you may want to put it back in the PC.  To prevent the same problem
from developing again, you should try changing the COM number.  You
may change it to COM3 or COM4 or higher.
 
7.2 Changing the IRQ
 
    You may find that you cannot change the COM port number, so
try changing the IRQ.  Refer to the manual of the offending device to see
how to do this.  If it is a serial device like a modem, then you are pretty
well limited to IRQ 3 or 4.  If it is an internal synthesizer, you can
probably use IRQ 2 or 7.  For other devices, the manual may have some
suggestions.  There may not be a solution, you may just have to decide
which is more important and go with it.
 
7.3 Changing the Base Address
 
    A base address or I/O address conflict is less likely, but it does
happen.  This is different than an IRQ conflict, but just as debilitating,
maybe even more so.  In this case, it will probably not speak at all. 
Again, you must look at your unique situation and decide which devices
may be causing the problem, and remove them.  Then refer to the
manual of the offending device to see how to change its base address. 
The manual will probably have some suggestions as to which ones to
use.  Any time you change this, you run the risk of conflicting with some
other device installed in the computer, so be careful.  You may solve the
synthesizer problem only to discover that your network no longer works. 
See the specific Appendix or Installation Reference that contains
information about specific synthesizers and presents information that
will help you change a base address.
 
