PART FIVE:
Installation Reference 3
SPEECH SYNTHESIZERS
AND RELATED EQUIPMENT
 
 
(Last revision:  April 1993.)
 
 
 
CONTENTS OF INSTALLATION REFERENCE 3
 
    1.   INTRODUCTION
    2.   GENERAL INFORMATION FOR ALL SPEECH
         SYNTHESIZERS
    3.   ACCENT SYNTHESIZERS
         3.1  Accent PC 
         3.2  Accent MC (Micro Channel)
         3.3  Accent Mini
         3.4  Accent for Toshiba Laptop Computers
         3.5  Accent SA (stand alone)
         3.6  Changing Ports with Internal Accents
         3.7  Network Systems
         3.8  HARDWARE CONFLICTS
         3.9  Extra Menu Settings
         3.10 Synth1 Parameters
    4.   AUDAPTER
         4.1  Extra Menu Settings
         4.2  Synth1 Parameters
    5.   BRAILLE 'N SPEAK, TYPE 'N SPEAK, AND
         BRAILLE BLAZER
         5.1  Extra Menu Settings
    6.   DECTALK FAMILY OF SYNTHESIZERS
         6.1  DECtalk DTC01
         6.2  Portable DECtalk 
         6.3  Kurzweil Personal Reader (KPR)
         6.4  Kurzweil PCKPR
         6.5  DECtalk PC (internal)
         6.6  Extra Menu Settings
    7.   DOUBLETALK SYNTHESIZERS 
    8.   ECHO SYNTHESIZERS
         8.1  Echo PC (external)
         8.2  Echo PC+ (internal)
         8.3  Echo PCII(2)
         8.4  Extra Menu Settings
    9.   PROSE, CALLTEXT, AND VERT PLUS 
         SYNTHESIZERS
         9.1  I/O Address Map
         9.2  Interrupt or IRQ Matrix
         9.3  Interrupt Line Input Impedances
         9.4  Prose Installation
         9.5  Extra Menu Settings
         9.6  Synth1 Parameters
    10.  SOUNDING BOARD
         10.1 Extra Menu Settings
         10.2 Synth1 Parameters
    11.  SYMPHONIX SYNTHESIZERS  AND
         VOTALKER
         11.1 Symphonix 200, 220, and VoTalker
         11.2 Symphonix 210/215
         11.3 Porttalk
         11.4 IRQ Number
    12.  RELATED EQUIPMENT FOR JAWS USERS
         12.1 Keyboards
         12.2 Speakers and Headphones
         12.3 Voice Input
         12.4 Completing Pre-printed Forms
1.  INTRODUCTION
 
    The JAWS installation program automatically configures JAWS
to work with most speech synthesizers, but unforseen situations may
result in a need for quick access to basic synthesizer related
information.  Appendix 1 is designed to provide enough basic
information to help you get your synthesizer and JAWS talking.  The
speech synthesizer user's manual should be consulted as the source
of
comprehensive information.  If your synthesizer is not discussed in
this
appendix, then you may still be able to use it with JAWS.  

   In most cases, the JAWS installation programs assumes that your
speech synthesizer is using its default settings.  If the
synthesizer that
you are about to use with JAWS has had its dip switches changed so
that it is no longer configured as it was when it was first
manufactured,
then these switches may need to be returned to their original
positions. 
If your synthesizer is new, then in most cases, it is ready for
use.  If you
have been using your synthesizer with an older version of JAWS that
precedes version 2.3, and have not changed the configuration of
your PC,
then the synthesizer should work properly with JAWS 2.3.
 
    Chapter 2 in PART ONE of this manual describes the use of the
JAWS installation program, which is used to automatically install
and
set up JAWS to work with your PC and synthesizer.  Chapter 3 in
PART
ONE presents quick start up information that is used to become
familiar
with the use of JAWS and your synthesizer.  The chapters in PART
FOUR offer various types of troubleshooting related information to
solve
problems related to synthesizer installation and performance.  The
three
chapters, in PART FOUR, on command line switches, installing
internal
synthesizers, and on installing external synthesizers will be
valuable for
solving synthesizer related installation problems.
 
    Some of the information in this appendix is technical, and in
certain instances is written for those who already possess
knowledge
about hardware set up.  This appendix will either help blind PC
users
solve synthesizer installation problems, or will help those who are
assisting JAWS users to solve installation problems.  We recommend
that the next section be read by everyone who is not familiar with
speech synthesizers and their installation regardless of the
synthesizer
that is being installed.
 
 
2.  GENERAL INFORMATION FOR ALL SPEECH
    SYNTHESIZERS
 
    An External Speech Synthesizer is one which is placed outside
of the PC and is connected to the PC by a cable.  An Internal
Speech
Synthesizer is one which is plugged into a slot within the PC.  In
some
cases an internal synthesizer may have a cable that connects it to
a port
on the outside of the PC.  Many internal synthesizers also require
the
use of a software driver.  A Software Driver is an additional piece
of
software that must be loaded before the JAWS software is loaded. 
The
Driver works with JAWS to make the synthesizer speak.  The software
driver is usually loaded automatically by your CONFIG.SYS file or
by
your AUTOEXEC.BAT file.  The JAWS installation program will explain
more about software drivers if your synthesizer needs one.
 
    Several of the sections in this appendix discuss cables and
cable
connections that are used when attaching equipment to a PC.  We
will
review some of the more commonly used terminology related to cables
and communication between hardware devices in the following
paragraphs.
 
    A Port is a place on the back of the PC where you plug-in a
cable. 
These ports either have a series of tiny holes or pins that are
arranged
in rows.  Cables can connect speech synthesizers, printers,
monitors,
modems, and other devices to a PC.  The type of ports that are
commonly used for equipment which produce synthesized speech are
usually (but not always) communication ports.  Communication ports
may also be called "COM ports" or "serial ports".  Ports that are
used for
printers are usually (but not always) Parallel Ports.  Parallel
ports
may also be call "printer ports" or referred to as an "LPT". 
Parallel
ports and communication ports use different methods for sending and
receiving information between the PC and hardware devices.  It is
important to use the proper type of port when connecting a speech
synthesizer.  If you don't use the proper port, then JAWS cannot
communicate with the synthesizer, and it will not speak.
 
    Ports are assigned numbers, because in many situations, there
may be more than one communication port and more than one parallel
port.  The expression "COM1" refers to communication port one. 
some
PC's can have up to four communication ports.  The expression
"LPT2"
refers to the second of two parallel ports.  Devices that are
installed
inside a PC may utilize the circuitry of a COM port or an LPT even
though a port is not visible on the outside of the PC.  An internal
speech
synthesizer could, for example, be assigned the use of "LPT3" even
though a port is not visible on the outside of the PC.  Sometimes
these
ports are labeled on the back of a PC, but this is often not the
case.  For
this reason we must often rely on physical appearance of ports when
determining their function.  This is not always foolproof, but it
does
narrow down the possible functions of most ports.  Special software
utility programs (not included with JAWS) can be used to identify
the
use and number of a PC's ports.
 
    If you examine the ports on the back of a PC, you will notice
that
there are two general types; ones that have tiny holes and ones
that
have tiny pins.  The ports may be of different sizes, but the size
of the
holes and pins are all quite small.  Ports that have a rough feel
are male
ports.  The roughness that is felt is the tips of the protruding
pins. 
Male Ports are usually used as communication ports.  Ports that
feel
smooth to the touch are Female Ports.  Female ports consist of a
flat
surface with tiny holes, and are usually used as parallel ports.
 
    The cable that plugs into a male communication port must have
a female connector (plug).  Similarly, a female port requires a
cable with
a mail connector.  COM ports commonly are of two sizes; 25-pin and
9-
pin.  A 25-pin COM port has 25 pins arranged in two rows and a
9-pin
COM port has 9 pins arranged in two rows.  Adapters can be used to
connect cables to ports when one has 25 pins and the other has 9
pins. 
Parallel ports use 25-pin connectors.
 
    All cables are not the same.  Even though two cables may both
have 25 pin female connecters at both ends, the wires within the
cables
may be connected differently.  Thus if you are instructed to use a
specific type of cable, then you must use that specific cable.  In
some
situations, a "gender changer" (gender bender) can be used to
convert
the connecter at the end of a cable from a male connector to a
female
connector or vice versa.  The use of a gender changer does not
affect the
way in which the wires have been connected within the cable. 
Gender
changers may allow a cable to be connected to the specific ports
you
wish to use, but the proper connection will only be achieved if the
cable
itself was properly manufactured.  The connection point on the
external
speech synthesizer may be male, female, or be of a different
design.  For
this reason, and to combat problems that commonly arise from the
use
of an improper cable, most speech synthesizer manufacturers now
include the appropriate cable with their products.
 
    The terms "BAUD rate", "data bits", "stop bits", and "parity"
are
known as Communication Parameters.  Communication Parameters
describe or determine the manner in which information flows between
the PC and other devices such as speech synthesizers.  The JAWS
installation program will usually use the default settings for each
device.  JAWS and the speech synthesizer must use the same
communication parameters.  If they are not set to use the same
parameters, then they cannot communicate properly, and speech
output
will be disrupted.  It should not be necessary to understand how
these
parameters are used, the point is that the parameters used by JAWS
must match those used by the speech synthesizer.  The following
examples show the form of the syntax used to set communication
parameters, and shows an example which could be used with one of
the
DECtalk family of synthesizers.  The command is similar to the DOS
MODE command, but spaces cannot be inserted after the colon.  the
brackets "[]" are not part of the command, but the colon and the
commas, must be included as shown.  
 
    [JAWS Program Name] [COM or LPT port number]:[BAUD
    rate],[parity odd/even/non],[data bits 7 or 8],[stop bits 1 or
2] 
 
    J_DECTLK COM1:1200,O,7,1
    (uses communication port 1, sends data at 1200 BAUD, parity =
    Odd, data bits = 7, and stop bits = 1.
 
    J_ACNTPC LPT4:9600,n,8,1
 
    Many of the synthesizers that will be described have special
features that can be used to improve the performance of that
specific
synthesizer.  JAWS can adjust many of these features through
settings
in the "extra" menu which is a sub menu of the voice menu. 
Settings
listed in the extra menu are only for the synthesizer you selected
when
you installed JAWS.  Other synthesizers will have different menu
selections in the extra menu, and some synthesizers do not have any
extra menu selections.  Information about the selections in the
extra
menu are presented in the section for your synthesizer under the
heading "Extra Menu Settings".  You also can use a special JAWS
macro
function to set or toggle some of the parameters in the extra menu.

These "Synth1" Parameters are listed after the information on the
extra settings for each synthesizer.  The discussion in the macro
functions chapter explains how the synth1 parameters can be used to
adjust synthesizer performance.
 
    Several speech synthesizers that will be discussed are known as
"indexing synthesizers".  They work with JAWS to regulate the
movement of the cursor as text is being read.  This  means that
when
the Say All function is used for continuous reading of text, these
synthesizers can communicate with JAWS so that the cursor can be
placed on the last work spoken when the Stop Speech key (CONTROL
key) is pressed.  Synthesizers that do not support indexing will
leave the
cursor far below the last word that was read when Say All reading
is
stopped by the user.  Synthesizers that support indexing will be
individually identified.
 
 
3.  ACCENT SYNTHESIZERS
 
    Accent synthesizers from Aicom Corporation can be grouped into
internal and external models.  Internal models must be installed
inside
your PC and external models usually plug into a serial port in the
back
of your PC.  There are two different versions of JAWS that have
been
designed to work with these different types of synthesizers.  All
Accent
synthesizers are "indexing synthesizers".
 
    "J_ACNTPC.EXE" is the name of the JAWS version that is used
    with internal Accent synthesizers.
 
    "J_ACNTSA.EXE" is the name of the JAWS version that is used
    with the external (stand alone) Accent SA synthesizers.
 
3.1 Accent PC 
 
    The Accent PC is an internal synthesizer that uses a device
driver
to communicate with JAWS.  The Accent PC should be installed in
your
PC, a speaker or headphones should be connected to the output jack
of
the synthesizer, and the volume knob should be turn to a middle
range
position.  When you turn on the PC, it should say "Accent Ready". 

 
    The device driver that is use with this synthesizer is a file
named
"SPKACNT.DVC".  This file is located on the Accent disk that came
with
your synthesizer.
 
    The JAWS installation program will provide the proper
information for the CONFIG.SYS file, but you must copy the software
driver to the proper location.  The software driver file must be
copied
into the JAWS subdirectory of your boot disk.  If you did not allow
the
installation program to modify your CONFIG.SYS file, then you must
add the following line of information to the CONFIG.SYS file.
 
    device=\JAWS\spkacnt.dvc
 
    If the software driver is copied to the proper location, then
the
synthesizer should say "Accent Ready" twice when you turn on your
PC. 
Its first announcement should be heard as soon as power is turned
on. 
The second announcement is heard when the software driver is
loaded. 
The Accent Mini and Toshiba models only say "accent ready" once. 
If
you do not hear the proper ready message, then you have a problem
that
must be addressed before JAWS can speak.
 
    JAWS and internal Accent synthesizers will communicate through
LPT3 as the default.  If you want to use another parallel port,
then refer
to the section on changing ports presented later in the section on
Accent
synthesizers.
 
3.2 Accent MC (Micro Channel)
 
    This synthesizer is very similar to the Accent PC, as far as
JAWS
is concerned.  The section above on the Accent PC provides
information
for this synthesizer.  It uses (SPKACNT.DVC) as the software
driver.
 
3.3 Accent Mini
 
    This is similar to the Accent PC discussed above, but it uses
a
different software driver, "SPKMINI.DVC".  Some versions may use
"SPKEMS.DVC".  The Accent manual will identify the name of the
proper driver for your accent model.  
 
3.4 Accent for Toshiba Laptop Computers
 
    This internal synthesizer is designed for use with Toshiba
laptop
computers.  It uses a device driver, similar to the Accent PC. 
Refer to
your Accent manual to see which device driver file you should use
with
your specific synthesizer.  It is most likely "SPKEMS.DVC".  The
chapter in PART FOUR of this manual presents detailed information
on
the use of several Toshiba computers.  It is important to use the
"/T"
command line parameter with Toshiba PC's, to properly configure
JAWS
for use with their unique keyboards.  Information presented earlier
about the Accent PC is also relevant to this synthesizer.
 
3.5 Accent SA (stand alone)
 
    The Accent SA is a separate external unit that is connected to
a
serial port.  The default port is Com1.  You should use the cable
we
provide, or use a straight-through modem cable.  You should check
to be
sure that the dip switches on the back of the Accent are all turned
"off",
except for switches 4 & 8, which should be in the "on" position. 
The
switches toggle up and down, but unfortunately different accent
models
have different positions for "on" and "off".  If you have an Accent
SA
Version 4.0 with an on/off switch on the front of the unit, then
you push
the dip switches down to set them to "on".  Older versions that
have the
on/off switch on the back of the unit, will have the dip switches
reversed, so that when a switch is in the up position, it is turned
"on". 
These switch settings set the communications parameters to 9600
BAUD, No parity, 7 data bits, 1 stop bit (COM1:9600,N,7,1).
 
    When you turn on the accent, it should say "Accent Ready".  If
it
does not, then check to be sure the volume knob is turn up.
 
3.6 Changing Ports with Internal Accents
 
    The "SETACNT" program on the Accent disk is used to tell the
device driver to use a different port.  Instructions for using this
Accent
utility program are in the Accent manual.  If you change the device
driver to a port different from the one selected when you installed
JAWS, then you must also tell JAWS to use the new port.  This is
done
by changing the information in the batch file that is usually used
to load
JAWS(JAWS.BAT).  You can used LPT1 through LPT8 for internal
Accent synthesizers.  If you were to change your LPT number from
"3"
to "4", then you would change the LPT number shown below to "4".
 
    J_ACNTPC LPT4
 
3.7 Network Systems
 
    If you are trying to use an internal synthesizer on a network
you
may encounter a hardware conflict.  Many networks claim LPT3 and
sometimes other printer ports for use with network printers.  In
this
situation, the networks capture all information going out the LPT
port
and send it to the network printer.  This hardware conflict must be
resolved before the Accent and JAWS can talk.  The solution is to
either
re-configure the network (your work station) so it will not use
LPT3, or
you can setup JAWS and Accent to use another printer port, as
discussed above.
 
3.8 HARDWARE CONFLICTS
 
    Even though the Accent PC is a very compatible board and is
usually very easy for a PC to work with, occasionally a conflict
will
develop.  The most common problem is a base address conflict. 
Sometimes the hard disk controller will be configured to use the
same
base address or I/O address as the Accent.  When this occurs you
will
observe the following behavior sequence.
 
1.  When the computer is turned on it will say "Accent Ready" as it
    should.
2.  When the Accent driver file is loaded it will say "Accent
Ready"
    as it should.
3.  The computer will act and perform normally, you can even run
    the Accent demo program and it will perform properly.  
4.  However, when you load JAWS, it will not announce its active
    status or say the user's name and registration number, as it
    should, and the system will be locked up.  The Accent may speak
    a few characters now and then, but it will be obvious that
    something is wrong.
 
    If you experience the above behavior, then you need to change
the
base address of the Accent.  The I/O Address, or Base Address, is
controlled by Switch #2, which is about 1.5 inches from the bottom
of
the board, directly above the left edge of the edge connector. 
"On" is up,
"off" is down, therefore up =0, down =1.  Switches are numbered 1
through 8 from left to right.
 
    When changing these switch settings, we recommend that you
hold the board upside-down, so that up = "on" or "1", and the most
significant digit is on the left (8-1 from left to right).  These
switches
represent bits in a binary number, but you have to add two zeroes
on
the right side (least significant) in order to convert correctly to
binary
or hexadecimal.  Take switches 8, 7, 6, 5, 4, 3, 2, 1; add two
zeroes; then
convert to hex, based on this binary number.  Default is 1010101000
binary, equals 2A8 hex.  Do not forget that the two zeroes on the
right
are always zero and that there are no physical switches to
represent
that position.
 
 
    You should not use the address 2DX, for this is the address of
the
hard disk controller (x represents 1 digit).  Do not use 2Fx, 32x,
33x,
37x, 38x.  100 through 1ff hex is reserved for output use only, and
these
addresses should not be used.  39x is the highest available
address.  
 
    300 hex is used by the Prose 4000.  To set this address for the
Accent PC, first convert to binary:  300 hex = 1100000000.  To
convert
to the proper switch pattern drop off the 2 zero's on the right,
remember
to turn the card upside-down, then first digit on left matches
first switch
on left, and up = 1, down = 0.  The first two switches on left
should be
up, the rest down.  
 
    After changing the switches on the synthesizer board you must
use "SETACNT" to change the device driver:  Type "SETACNT
SPKACNT.DVC" and press ENTER.  If it cannot find the device driver,
then check to be sure you are using the correct disk or
subdirectory, or
that you have a path defined.  Select "2" from the menu, and enter
the
address in hex, e.g "300" or "2A8".  This address value must match
what
the board is set to.  then press 5 and Y to exit the program.
 
    The following chart shows the conversion between binary and
hexadecimal numbers.  It shows the hex address on the left and the
position of each switch.  "o" means "on", "f" means "off".  Since
the
numbers of the switches shown on the chart run from 1 through 8 the
synthesizer should not be turned upside down when setting the
switches
from this chart.
 
 
Accent PC Switches
 
Address    1  2  3  4  5  6  7  8 
-------    -  -  -  -  -  -  -  -
200-203    O  O  O  O  O  O  O  F
204-207    F  O  O  O  O  O  O  F
208-20B    O  F  O  O  O  O  O  F
20C-20F    F  F  O  O  O  O  O  F
250-253    O  O  F  O  F  O  O  F
254-257    F  O  F  O  F  O  O  F
258-25B    O  F  F  O  F  O  O  F
25C-25F    F  F  F  O  F  O  O  F
260-263    O  O  O  F  F  O  O  F
264-267    F  O  O  F  F  O  O  F 
268-26B    O  F  O  F  F  O  O  F 
26C-26F    F  F  O  F  F  O  O  F 
270-273    O  O  F  F  F  O  O  F 
280-283    O  O  O  O  O  F  O  F 
284-287    F  O  O  O  O  F  O  F 
288-28B    O  F  O  O  O  F  O  F 
28C-28F    F  F  O  O  O  F  O  F 
290-293    O  O  F  O  O  F  O  F 
294-297    F  O  F  O  O  F  O  F 
298-29B    O  F  F  O  O  F  O  F 
29C-29F    F  F  F  O  O  F  O  F 
2A0-2A3    O  O  O  F  O  F  O  F 
2A4-2A7    F  O  O  F  O  F  O  F 
2A8-2AB    O  F  O  F  O  F  O  F 
2AC-2AF    F  F  O  F  O  F  O  F 
2B0-2B3    O  O  F  F  O  F  O  F 
2B4-2B7    F  O  F  F  O  F  O  F 
2B8-2BB    O  F  F  F  O  F  O  F 
2BC-2BF    F  F  F  F  O  F  O  F 
2C0-2C3    O  O  O  O  F  F  O  F 
2C4-2C7    F  O  O  O  F  F  O  F 
2C8-2CB    O  F  O  O  F  F  O  F 
2CC-2CF    F  F  O  O  F  F  O  F 
300-303    O  O  O  O  O  O  F  F 
304-307    F  O  O  O  O  O  F  F 
308-30B    O  F  O  O  O  O  F  F 
30C-30F    F  F  O  O  O  O  F  F 
310-313    O  O  F  O  O  O  F  F 
314-317    F  O  F  O  O  O  F  F 
318-31B    O  F  F  O  O  O  F  F 
31C-31F    F  F  F  O  O  O  F  F 
 
3.9 Extra Menu Settings
 
Fast Processing
    When "Fast Processing" is "on", then Accent takes the first 2
or
3 words it receives and starts speaking them immediately to be more
responsive.  When fast processing is "off", then Accent waits until
it
receives the end of a sentence or phrase, looks at the whole
section of
text, and then provides some natural inflection as it speaks.  The
responsiveness of the synthesizer is slower with fast processing
"off".
 
Intonation
    Adjusting the "intonation" level changes the way the Accent
speaks.  It can speak with a monotone voice, with a lively voice,
or
somewhere in between.  The selection you make is up to your
personal
preference.  You have five choices or levels from which to select. 
"1" =
monotone and "5" = animated.
 
Abbreviations
    Accent has many built-in pronunciation rules for speaking words
in place of abbreviations.  For example, "TX" is spoken as "Texas"
when
the "TX" abbreviation it encountered and "abbreviations" is set to
"on". 
One possible draw back with turning abbreviations "on" is that what
you
hear may not be exactly what appears on the screen.  If you need to
know exactly what is on the screen i.e.  when a word is abbreviated
or
when it is fully written, then you probably want to turn
abbreviations
"off".
 
Single Stress
    If this is "on", then letters that appear by themselves will be
emphasized.  Consider the phrase, "Suite C on the third floor". 
The
letter "C" stands alone and will receive additional verbal emphasis
depending on the context.
 
Hard "A"
    The letter "A" can be pronounced "ay" or "ah".  If you want the
letter to sound like "ay", then this setting should be turn "on". 
Otherwise the Accent will decide for itself how to speak "A" based
on
context.
 
Punctuation on/off
    This selection turns on or off the speaking of a certain set of
symbols.  Normally JAWS translates some of the symbols before they
are sent to the Accent, which bypasses the need for the accent to
use its
own system for speaking symbols.  If you want to experiment with
Accent handling the speaking of its own punctuation, then be sure
that
the JAWS symbols setting in the universal sub menu is set to "off".

Otherwise you may get some symbols spoken twice.  The default for
Accent's Punctuation on/off is "off".
 
Punctuation all/some
    This is similar to Punctuation on/off, discussed above, except
that
it affects a different set of symbols.  The default is "on".
 
Word Pause
    This adjusts the length of time that JAWS will pause between
the
speaking of words.  Selecting pause brings you to a menu that
allows
you to select settings that range from 0 to 8.  A pause of 0 means
that
there will not be a noticeable pause between words, except for
punctuation related pauses.
 
3.10Synth1 Parameters
 
F = Fast processing
S = Single stress
A = Abbreviations
H = Hard A
O = Punctuation on/off
P = Punctuation all/some
 
 
4.  AUDAPTER
 
    The name of the JAWS Program for the Audapter synthesizer
from Personal Data Systems is "J_AUDAPT.EXE".
 
    The Audapter is an external serial device which connects to
your
PC with a serial cable.  You will need a null-modem cable for this. 
Be
sure the Audapter is turned off to avoid any electrical damage to
the
synthesizer that might occur when you connect the cable.  You can
use
any of the COM ports.  The Audapter will normally default to COM1,
9600 BAUD, No parity, 8 data bits, 1 stop bit (COM1:9600,N,8,1). 
If the
default setting have been changed, then you must either change it
back
to the default settings, or instruct JAWS to use the new settings
of the
Audapter.  The Audapter is an "indexing synthesizer".
 
4.1 Extra Menu Settings
 
Punctuation
    This brings up a sub menu with the choices "all", "most",
"some",
or "none".  Normally JAWS translates some of the symbols before
they
are sent to the Audapter, which bypasses the need for the Audapter
to
use its own system for speaking symbols.  If you want to experiment
with the Audapter handling its own punctuation then be sure that
the
JAWS symbols setting in the universal sub menu is set to "off". 
Otherwise you may get some symbols spoken twice.  The default for
Audapter's Punctuation is "most".
 
Hard "A"
    The letter "A" can be pronounced "ay" or "ah".  If you want
"ay",
then turn this setting to the "on" position.  The synthesizer will
otherwise decide for itself about how to speak "A" according to
context.
 
4.2 Synth1 Parameters
 
H = Hard "A" (0, 1, 2)
 
 
5.  BRAILLE 'N SPEAK, TYPE 'N SPEAK, AND BRAILLE
    BLAZER
 
    The JAWS program for the Braille 'n Speak, Type 'n Speak, and
the Braille Blazer is "J_BNS.EXE".  To use these devices from
Blazie
Engineering, Inc. with JAWS as a speech synthesizer, you must use
"Speech Box" mode.  Newer devices should use "enhanced Speech Box"
mode, which produces smoother flowing speech output.  
 
    Enhanced speech box mode for the newer Braille 'n Speak models
is set up by pressing a dots 123456-cord followed by "L".  Regular
speech
box mode for the Braille 'n Speak can be set up by using the steps
which
follow.  Please refer to your user's manual for information about
setting
up other Blazie Engineering devices for use with JAWS.
 
1.  Connect the serial interface cable that was supplied with the
    Braille 'n Speak (BNS) by connecting the small end of the cable
    into the left side of the BNS and the large end of the cable
into
    COM1 of your PC.  You will probably need the gender changer,
    provided with the kit, to change the gender of the cable
connector
    so that it will connect properly.  Both the COM port on the PC
    and the interface cable are usually male, therefore, you need
the
    female to female gender bender.  You may also need a 9 pin to
25
    pin adaptor, depending on the size of the COM port on your
    computer.
 
2.  Perform a "warn reset" on the BNS by pressing all 7 keys at the
    same time.  The BNS will say "warm reset, please verify?". 
Press
    all 7 keys again to verify your command.  This will reset the
    communication parameters to their default, or original
settings. 
    The default settings for the BNS are:  9600 BAUD, No parity, 8
    data bits, 1 stop bit (COM1:9600,n,8,1).  Other communication
    parameters can be used if needed.
 
3.  Turn on Xon/Xoff handshake, and press a "P-cord".  The BNS will
    say "enter parameter".  Press "H", and the BNS says "enter
    Hardware, Software, or None".  Press "S", and the BNS says
    "okay".  If you did each step properly, then the Xon/Xoff
software
    handshake is active.
 
4.  Turn on the BNS speech box mode.  Press dots 345-cord, and the
    BNS will say "set speech parameters".  Press all 6 dot keys,
and
    the BNS will say "speech box mode on".  Press an E-cord, and
the
    BNS says "exit".
 
 
5.  You are ready to load JAWS.  The Braille 'n Speak should start
    to speak within ten or twenty seconds after you start to load
    JAWS.  You should set the BNS punctuation to "no punctuation"
    and its number processing to "full numbers" to avoid conflicts
    with JAWS.
 
    Some Blazie Engineering product support indexing and other do
not.  The newer Braille 'n Speak and Type 'n Speak support
indexing. 
Older BNS models and the Braille Blazer do not support indexing,
and
you should use the "/NI" command line parameter when loading JAWS. 
If your BNS model does not support indexing, then you will likely
hear
unusual noises coming from the BNS when it is working with JAWS.
 
    JAWS is designed to control the volume, rate, pitch, and tone
of
the BNS.  This works fine with the newer BNS, but not with some of
the
older models.  You must upgrade your BNS if you want this
capability. 
You can, however, adjust these parameters with the BNS as usual.
 
5.1 Extra Menu Settings
 
Punctuation
    This takes you to another menu with the choices for speaking
punctuation.  Normally JAWS translates some of the symbols before
they are sent to the BNS, which bypasses the need for the BNS to
use
its own system for speaking symbols.  If you want to experiment
with
the BNS handling its own punctuation then be sure that the JAWS
symbols setting in the universal sub menu is set to "off";
otherwise you
may get some symbols spoken twice.  The default for Punctuation is
Most.
 
 
6.  DECTALK FAMILY OF SYNTHESIZERS
 
(including DECtalk external AND internal synthesizers, Multi Voice,
and
KURZWEIL products.)
 
    The JAWS program for  most DECtalk models, all Multi Voice
synthesizers, and all Kurzweil synthesizers is "J_DECTLK.EXE".  The
JAWS
program for the DECtalk PC internal card is "J_DECPC.EXE".  The
default
communication parameters for JAWS and members of the DECtalk family
of
synthesizers are usually COM1 and 9600 baud, no parity, 8 data
bits, 1 stop
bit.  JAWS will default to these values and set the port when it is
loaded. 
All DECtalk synthesizers are indexing synthesizers
 
6.1 DECtalk DTC01
 
    This is the original DECtalk from the Digital Equipment
Corporation.  It is the large box with a built-in speaker and two
serial
ports.  Connect the serial cable to the communication port on the
back
of the DECtalk.  This is the outside port, the one nearest the
corner.  A
null-modem cable is required, with female connectors at each end. 
The
standard DECtalk cable from DEC will work fine.  Its model number
is
#BC22D-10, and it may also have "#47746" printed on the label. 
Many
different configurations of null-modem cables work, so if you have
a
null- modem try it.  You could also use a straight-through modem
cable
with a null-modem adaptor, available from most computer stores, or
from the Braille 'n Speak interface kit.  You can also buy an
appropriate
cable from us or use the following cable specs to build your own
cable.
 
1.  2-3 crossed, 6-20 crossed, 7 straight through, 4&5 crossed to
8. 
    (These cables are symmetrical, and it does not matter which end
    goes where.)
 
2   2-3, 3-2, 4&5 jumpered, 7-7, 6&8 jumpered.
 
3.  2-3, 3-2, 4-5, 5-4, 6&8-20, 7-7, 20-6&8;
 
6.2 Portable DECtalk 
 
    The Portable DecTalk, from Children's Hospital, is a newer
external DecTalk.  It is smaller, lighter, and faster.  It requires
an
external speaker or plug-in headphones.  It uses a straight-
through
modem cable, no wires crossed, male on one end and female on the
other.  It speaks a message when it is turned on.
 
6.3 Kurzweil Personal Reader (KPR)
 
    To set up the KPR from Kurzweil for use with JAWS, you need
to have the proper cable, and to set KPR communication parameters.
 
    The proper cable for the KPR is a RS-232 cable with a female
connector at one end and a male connector at the other end.  This
should be a modem cable, preferably one with at least eight wires
or
pins inside.  The wires or pins should not be crossed or jumpered. 
They
should be straight-through.  Do not use a null-modem cable.
 
1.  Connect the male end to the back of the KPR.  There is a female
    connector on the back of the KPR.
 
2.  Connect the female end of the cable to a COM port.  The PC may
    have a 25-pin connector like the KPR, or it could have a 9-pin
    connector.
 
    The KPR communication parameters should be set to 9600 baud,
no parity, 8 data bits, 1 stop bit, Xon/Xoff hand shake and block
transfers.  The steps for setting the KPR communication parameters
are:
 
1.  Change key pad to the communications setup key pad:  On the
    KPR key pad, press the key above the nominator three times
    (fourth row from top, far left key).  It should say
    "Communications setup key pad".  
 
2.  Press the key on the third row, far left, eight times.  It
should say
    "restore factory communications settings".  
 
3.  Go back to the key pad key (fourth row, far left) and press it
    three times.  It should say "reading key pad".
 
4.  Press the key to the right of that (fourth row, second key from
the
    left) seven times, or until it says, "DECtalk input".
 
6.4 Kurzweil PCKPR
 
    This DECtalk synthesizer sold by Kurzweil is an internal card,
that is installed inside a PC.  It is connected by a short serial
cable to
one of the serial ports, on the back of the PC.  Default
communications
parameters are:  9600 BAUD, no parity, 8 data bits, 1 stop bit,
Xon/Xoff
hand shake.
 
6.5 DECtalk PC (internal)
 
    The DECtalk PC is a true internal synthesizer.  It is not
connected to an external COM port with a cable.  
 
    Once the DECtalk has been installed in the PC you must install
the DECtalk software driver.  The DECtalk installation disk
contains
a program to set up the DECtalk and to copy the software driver to
the
appropriate subdirectory.  Place the DECtalk disk in your floppy
drive,
type the floppy drive name followed by "INSTALL", and press ENTER. 
For example type:
 
    A:\INSTALL  or  B:\INSTALL
 
    You should install the DECtalk software driver before you
install
the JAWS software so that when these installation programs modify
the
AUTOEXEC.BAT file, they will make the modifications in the correct
sequence.  If don correctly, the AUTOEXEC.BAT file will first load
the
DECtalk software driver before it loads JAWS.  If the programs are
not
loaded in this order then JAWS and DECtalk will not speak.  If you
choose to not let the DECtalk installation program modify your
AUTOEXEC.BAT file, then you can load the software driver by typing
"DT.BAT" and pressing ENTER while at the DOS prompt.  For
additional information about this synthesizer, you may wish to read
the
file on the dectalk disk which is currently called "COMMAND.TXT".
 
6.6 Extra Menu Settings
 
Comma Pause
    This is used to adjust the length of the pause given after a
comma
when text is being read.  This will take you to a new menu with
eight
choices representing longer or shorter lengths of time.  The
largest
number provides the longest pause.
 
Period Pause
    This is similar to "comma pause", but it adjusts the length of
the
pause given between sentences.
 
 
7.  DOUBLETALK SYNTHESIZERS 
 
    DoubleTalk synthesizers from RC Systems are available as
internal and external models.  The JAWS Program file for the
DoubleTalk is the same for each; it is "J_DOUBLE.EXE".
 
    When JAWS begins to load, it searches to find the synthesizer. 
Thus it is not necessary to specify which of the synthesizers are
being
used, or the location of the synthesizer.  You can specify a COM
port for
the external DoubleTalk LT with the "/COM" command line parameter,
but this is not necessary.  The DoubleTalk does not have "extra
menu
settings".  The DoubleTalk is not an indexing synthesizer.
 
 
8.  ECHO SYNTHESIZERS
 
    The JAWS program for use with the external and external Echo
synthesizers from Street Electronics is "J_ECHO.EXE".  The Echo
synthesizers cannot perform indexing.
 
8.1 Echo PC (external)
 
    Be sure you have an Echo PC, which is a small box (5 inches by
4 inches by 1.5 inches) that connects to the computer with a serial
cable. 
The cable must have a female (smooth surface) connector.  If the
cable
has a male (rough surface) connector it is probably an Echo GP. 
The
synthesizer is the same but the cable is wrong.  The simplest
solution
for connecting the synthesizer is to ask the manufacturer to send
you
the proper cable.  
 
    The 4 dip switches on the bottom of the Echo should usually be
set to "on", "on", "on", "off".  This means, if you hold the
synthesizer with
the cables pointing up and the dip switches facing you, then the
switches starting on the left and going to the right should be up,
up, up,
down.  The newer Echo synthesizers (manufactured after about March
1990) have the switches in the reverse orientation from that
described
above, so hold the synthesizer with the cables pointing down when
setting these switches.  It is possible that other switch settings
may be
used to obtain the default communication parameters.  Please
consult
your Echo user's manual to be sure its parameters are set to 9600
BAUD, no parity, 7 data bits, 1 stop bit (COM#:9600,N,7,1).
 
    After booting up JAWS you may notice a squeak each time you
press a key.  This is the "interruptable speech" feature of JAWS. 
You
can disable the interrupting of speech by:  invoking the JAWS Menu
System and turning off both "keyboard interruptability" and "speech
pad
interruptability".
 
    The newer version of the Echo PC offers a wide range of speech
rates which can be set from the JAWS voice menu.  The older Echo
synthesizers have two speech rates; slow and fast.  The speech rate
menu which JAWS uses is for the newer Echo and no longer can be
used
to set the speech rate for the older Echo.  It may still be
possible to set
the speech rate, but this must be done with a JAWS macro.
 
8.2 Echo PC+ (internal)
 
    The Echo PC+ is an internal speech synthesizer that requires
the
use of a software driver.  It also requires the use of headphones
or a
external speaker which is plugged into the mini jack on the rear
(external portion) of the synthesizer.
 
    The software driver for the Echo PC+ is "TALK.EXE", though
some synthesizers use "SPEAK.EXE".  If you have either of these
drivers on the software disk that came with your Echo, then copy
the
driver to the subdirectory or floppy disk you use for booting your
PC
according to the instructions provided by the JAWS installation
program.  The driver is usually loaded from the AUTOEXEC.BAT file
or can be loaded from the DOS prompt.  It, however,  must be loaded
before JAWS is loaded.
 
    If the Echo does not speak, then you may wish to run the Echo
demo software program on the Echo disk to be sure the board is
working
properly.  If you are using this synthesizer with a network, then
there
is a possibility that the network may take control of the LPT port
being
used by the ECHO which prevents it from speaking.  The steps in the
section on networks presented in the discussion of Accent
synthesizers
also applies to the internal Echo synthesizers.  Some internal Echo
synthesizers do not respond properly when you silence speech
output. 
You should try the "/L" command line parameter  to improve
performance.  In some cases, this parameter may cause the PC to
lock
up.  If this happens then you will have to discontinue the use of
the "/L"
parameter.
 
8.3 Echo PCII(2)
 
    The Echo PCII is a newer internal Echo synthesizer.  It
requires
the use of two software drivers which can both be loaded from the
AUTOEXEC.BAT file or from the DOS prompt.  The driver
"ECHOPCII.COM" is to be loaded first and "TALK.EXE" is loaded
second.  Both drivers are needed and both drivers should be loaded
before JAWS.  The JAWS installation program provides information
about copying these software drivers to the proper subdirectory.
 
 
    If the Echo does not speak, then you may wish to run the Echo
demo software program on the Echo disk to be sure the board is
working
properly.  If you are using this synthesizer with a network, then
there
is a possibility that the network may take control of the LPT port
being
used by the ECHO which prevents it from speaking.  The steps in the
section on networks presented in the discussion of Accent
synthesizers
also applies to this synthesizer.  Some internal Echo synthesizers
do not
respond properly when speech output is silenced.  You should try
the
"/L" command line parameter  to improve performance.  In some
cases,
this parameter may cause the PC to lock up.  If this happens then
you
will have to discontinue the use of the "/L" parameter.
 
8.4 Extra Menu Settings
 
Punctuation
    This takes you to another menu with the choices for speaking
punctuation.  Normally JAWS translates some of the symbols before
they are sent to the Echo which bypasses the need for the Echo to
use
its own system for speaking symbols.  If you want to experiment
with
the Echo handling its own punctuation then be sure that the JAWS
symbols setting in the universal sub menu is set to "off";
otherwise you
may get some symbols spoken twice.
 
 
9.  PROSE, CALLTEXT, AND VERT PLUS  SYNTHESIZERS
 
    The JAWS program that is used with the Prose 4000, Prose 2000,
and CallText synthesizers from Centigram is "J_PROSE.EXE".  If you
have a VERT Plus synthesizer from TeleSensory Systems Inc., then
this
version of JAWS will also work with your synthesizer; use the
"J_PROSE.EXE" program instead of the VERT software.  Each of these
synthesizers will perform the indexing function.
 
    If your Prose synthesizer has had its Interrupt or Base Address
changed, then you must notify JAWS of this change when you load
JAWS.  The following commands show how changes in these parameters
are made when loading JAWS.
 
    J_PROSE IRQ=3
    J_PROSE BASE=### (decimal number)
    J_PROSE BASE=0X### (hexadecimal number)
    J_PROSE IRQ=7 BASE=###
 
    The number signs (#) represent the base address, which must be
presented in decimal number form.   If you wish to use the
hexadecimal
number for the base address, then place a "0X" (zero X) between the
equal sign and the hexadecimal number.  If your Prose does not work
after being installed in a PC you may have an IRQ conflict or base
address conflict.  The defaults are IRQ=2 and Base=768.  We suggest
changing the IRQ to 7, if that does not work then change the base
address to 784 (310 hex).  If these changes do not work try a few
more,
or take an educated guess depending on the type of equipment
installed
in your PC.  The information presented below provides the base
switches
and IRQ jumper settings.  You may also have a conflict, because of
a
problem with the interrupt resistor.  You may need to change this
resistor to suit your PC.
 
9.1 I/O Address Map
 
    The IBM PC leaves the I/O address range 300H through 31FH
available for prototype cards.  The PC uses the range 320H through
32FH for its fixed disk.
 
    For proper operation of the Prose 4000 board, select one of the
following Base Addresses, by setting the proper switches on/off in
switch
bank 2 (found just above the edge connector on the board):  
 
 
DECIMAL HEX     BASE ADDRESS        SWITCH SW2 POSITION  
 
                                  1   2   3   4   5   6   7   8  
 
  768             300H            ON  ON  ON  ON  ON  OFF OFF  X 
  776             308H            OFF ON  ON  ON  ON  OFF OFF  X 
  784             310H            ON  OFF ON  ON  ON  OFF OFF  X  
  792             318H            OFF OFF ON  ON  ON  OFF OFF  X  
  800             320H*           ON  ON  OFF ON  ON  OFF OFF  X  
  808             328H*           OFF ON  OFF ON  ON  OFF OFF  X  
 
 
    The "X" used in the above table indicates "don't care about the
setting".  The Base Addresses 320H and 328H may be used provided
there is no fixed disk.  Of course, any one of the above Base
Addresses
can be used provided there is no other device with the same
address. 
Note that position number 8 of switch # 2 is not used.
 
9.2 Interrupt or IRQ Matrix
 
    The following is the jumper table to connect Text-to-Speech
Converter Status Change or/and RS232C's Transmitter Ready (TxRDY)
to connect any of the IBM PC I/O channel interrupt lines IRQ2 to
IRQ7. 

 
IBM PC         IBMPC       TEXT-TO-SPEECH     RxRDY      TxRDY 
INTERRUPT     INTERRUPT 
               JUMPER  
 
 IRQ2         E72-E73        E60-E61        E74-E75     E76-E77  
 IRQ3         E62-E63        E60-E61        E74-E75     E76-E77   
 IRQ4         E64-E65        E60-E61        E74-E75     E76-E77   
 IRQ5         E66-E67        E60-E61        E74-E75     E76-E77   
 IRQ6         E68-E69        E60-E61        E74-E75     E76-E77   
 IRQ7         E70-71         E60-E61        E74-E75     E76-E77   
 
 
    In cases concerning JAWS and changing the IRQ, refer to the
jumpers named in the first column above, under the heading "IBM PC
Interrupt Jumper".  For example, to enable IRQ 7 place the jumper
(wire coupling) so it connects pins 70 and 71.
 
9.3 Interrupt Line Input Impedances
 
    Different IBM PC compatible computers have different input
impedances on their interrupt lines.  To accommodate these
differences,
the Prose 4000 board is shipped with three different Single In-line
Package register packages (SIP).
 
    The factory configuration comes with a 10 K-ohms pull-down SIP
in location RN12 near the edge connector.  The SIP is installed
into a
solderless socket on the board.  To meet your particular computer
requirement, find the appropriate SIP in the table below and follow
the
installation directions.  Note that no change is required if your
computer
is an IBM PC, PC/XT or PC/AT, or is manufactured by Columbia,
Compaq or Sperry.  
 
 
PC MANUFACTURER-MODEL                  SIP TYPE
 
IBM-PC, PC/XT, PC/AT,                   10 K-ohms SIP
COLUMBIA, COMPAQ, SPERRY
 
ATT-PC                                 470 Ohms SIP
 
IBM-EXPANSION  CHASSIS                   1 K-ohms SIP
ITT XTRA PC, IBM PS-2 model 30-286
 
For the IBM PS2-30-286, you need to change the resistor, put in
the 1k resistor supplied in the resistor pack.  For ATT computers
and NEC computers you will probably need to change the resistor, 
we suggest trying it first, then if need be change to the 1 k- 
ohm, then the 470 ohm.  
 
 
    If your computer is not mentioned above, and you have tried
several IRQ lines and addresses (described above), and you are
still
having trouble with your Prose synthesizer, then try a different
resistor
to see if that cures the problem.
 
9.4 Prose Installation
 
1.  Remove the SIP installed in sockets at location RN12.  
 
2.  Find the replacement SIP in the plastic bag shipped with the
    Prose 4000 card and plug it into the sockets at location RN12. 
    Note that the pin #1 of the SIP (the one marked with a dot)
    should be placed toward the right side of the board.  (i.e.,
toward
    the bracket).
 
9.5 Extra Menu Settings
 
Minus
    Toggles the speaking of the minus sign.
 
Full Numbers
    Toggles the speaking of numbers as words.
 
Spell Acronyms
    Toggles the pronunciation of acronyms from spell to speak.
 
 
Abbreviations
 
    Toggles the expansion and speaking of abbreviations into the
full
word represented by the abbreviation.
 
Monotone Pitch
    Toggles monotone synthesizer speech on/off.
 
Fast Processing
    Toggles fast processing of text to speech on/off.  
 
State and Zip
    Toggles the special pronunciation of the names of states and
zip
codes so that abbreviated state names are spoken as full words.
 
Quick
    Toggles very high speech rate on/off.  When "on" the rate of
speech will be approximately doubled.
 
Scan
    Toggles fast scan on/off.  Stops the pronunciation of
consonants
which follow vowels to increase speech rate.  Reduces speech
quality and
increases speed.
 
9.6 Synth1 Parameters
 
M = Minus Sign (0, 1, 2)
N = Full Numbers (0, 1, 2)
S = Spell Acronyms (0, 1, 2)
A = Expand Abbreviations (0, 1, 2)
I = Monotone Pitch (0, 1, 2)
P = Fast Processing (0, 1, 2)
 
 
10. SOUNDING BOARD
 
    The JAWS program for the Sounding Board from GW Micro is
"J_SB.EXE".  The Sounding Board does not perform the indexing
function.
 
    The Sounding Board is an internal synthesizer that must be
installed inside a PC.  If you have a Toshiba 1200 there is a slot
that it
fits into.  If you have a Toshiba 1000 you must take the computer
apart,
which is not recommended for new PC users.
 
    The Sounding Board requires extra software to be used in
addition to JAWS.  This software is provided with the Sounding
Board. 
These files are called "SBLOAD.COM" and "SB.COM", be sure you have
them, because the Sounding Board requires them for proper
operation. 
Copy them into your JAWS subdirectory as instructed by the JAWS
installation program.
 
    To use JAWS with the Sounding Board you first run "SBLOAD",
then "SB", then "J_SB" as is done within the JAWS.BAT file.
 
    The "/k0" command line parameter tells SB to not take over the
function keys.  We also suggest that you read the Sounding Board
manual for an explanation of more of its features.
 
10.1Extra Menu Settings
 
Numbers
    Allows the SB to handle the speaking of numbers.
 
Punctuation
    This setting will allow the SB handle the speaking of
punctuation
symbols.  Normally JAWS translates some of the symbols before they
get to the Sounding Board.  If you want to experiment, and let the
Sounding Board handle its own punctuation, then be sure that
"symbols"
in the universal voice menu is set to "off".  Otherwise, some
symbols
may be spoken twice and others may not be spoken at all.  
 
Sentence
    Adjusts the pause between sentences.
 
Hyper
    When this option is turned "on", the Sounding Board skips over
any words that are 4 characters or less in length, as it speaks. 
This
speeds up reading, for rapid scanning through text.
 
 
Case
    Beeps if upper case letter.
 
Format
    Beeps for blank spaces.
 
Alpha
    Short for Alpha/Numeric, spells if word contains digits.
 
Date Time
    Gets you to a sub-menu so you can ask it for the date or the
time.
 
10.2Synth1 Parameters
 
N = Numbers (0, 1, 2)
H = Hyper Text (0, 1, 2)
C = Capitalization Alert, beep if upper case (0, 1, 2)
F = Format Alert
A = Spell If Word Contains Digits (0, 1, 2)
 
 
11. SYMPHONIX SYNTHESIZERS  AND VOTALKER
 
    The Symphonix synthesizers from Artic Technologies are
available
in several different models.  The 200, 210, and 215 are for desk
top PC's. 
The 220 and 225 are for the Toshiba 1200 family of laptop PC's. 
There
are also models for micro channel circuit boards.  Each of the
Symphonix synthesizers is an internal card that is installed inside
the
PC.  A cousin to the Symphonix synthesizers, is the VoTalker From
Votrax.  The external VoTalker is very similar to the Symphonix
model
200 and its instructions will also apply to the VoTalker.  The JAWS
program that is used with all of these synthesizers is
"J_SONIX.EXE". 
These synthesizers are not indexing synthesizers.
 
11.1Symphonix 200, 220, and VoTalker
 
    The older models like the 200 are supplied with "SONIX.COM"
and "TTS.COM" software.  These must be loaded before JAWS.  When
Sonix loads, it says "Hello", and when TTS loads, it says "Text to
speech
is running".  If you do not hear these messages, then the software
has
not been loaded successfully.  The detailed instructions in the
Symphonix manual may help you if there have been changes made to
the IRQ number or base address.  The JAWS installation program will
create a batch file which loads the appropriate software for the
Symphonix synthesizers before it loads JAWS.
 
11.2Symphonix 210/215
 
    The 210 is supplied with "SONIXTTS.COM".  The 215 may not be
supplied with this program, and you may have to buy it from Artic
Technologies.  The "VEST" program cannot be used with JAWS since
Artic has not permitted other screen readers to work with this
software. 
Once you have obtained the appropriate software, then use the JAWS
installation program and you will receive instructions about
copying it
to the appropriate subdirectory.  The JAWS installation program
will
also create a batch file which loads the appropriate software
before it
loads JAWS.  If you do not hear a verbal message confirming the
proper
loading of the software, then refer to the Symphonix manual for
trouble-shooting suggestions.
 
11.3Porttalk
 
    JAWS version 2.14 and later versions do not need PortTalk.  You
only need to load the Sonix and TTS files mentioned above before
loading JAWS.
 
11.4IRQ Number
 
    If you have changed your interrupt jumper on the circuit board
you must run Sonix with the /i=# option where the # is the IRQ
number. 
If, for example, the IRQ line has been changed to 7, then the
command
for loading JAWS would be "J_SONIX /i=7".
 
 
12. RELATED EQUIPMENT FOR JAWS USERS
 
    Everyone has a somewhat different set of needs for accessing a
PC.  Screen reading software fulfills part of those needs, but
other
software and equipment may be also needed.  
 
12.1Keyboards
 
    Keyboards can be configured to meet individual needs.  If you
need a keyboard that, for example, has the speech pad (numeric
keypad)
on the left side of the keyboard rather than on the right side,
then you
may wish to obtain a keyboard that can be reconfigured.  Some
keyboards are composed of individual components that can be
assembled
to meet your individual requirements.
 
    Software is also available to prevent unintentional pressing of
keys.  This is useful for persons who have restricted hand and
finger
control.  
 
12.2Speakers and Headphones
 
    Speakers and headphones with volume controls are available for
use with speech synthesizers.
 
