' THE MARVELOUS WORLD OF EAMON DELUXE v5.0 ͻ
'                  by Frank Black Productions                    
'                                                                
'      Originally based upon the classic Eamon                   
'              computerized fantasy role-playing system          
'                                                                
'                EAMON DELUXE ADVENTURE EDITOR 5.0               
'                                                                
'  by Frank Black                          Revision: 13 MAY 2013 
'                                            Update: 12 MAY 2014 
'                                                                
' ALL NON-COMMERCIAL DISTRIBUTION ENCOURAGED ͼ
'
' Copyright (C) 2014 Frank Black Productions
'
' This program is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'
'// EDX Adventure Editor - 5.0 Revision and Upgrade
' Rewrote nearly every routine from the ground up. Improved user interface.
' Expanded the built-in tips and charts for all data types. Added more
' support for VI Mode (still not as compatible as it -should- be).
' Revised the EDX Advanced Text Input SUB (formerly "LIB6.BAS") and fixed
' some ancient restrictions/bugs in it. Adjusted all default values for new
' data entry - we're getting as close to a "Standards System" as Eamon
' will ever have ;-) - Removed pointless "User" data types and obsolete
' menu selections. Added Append Directions to Room Names option to the Extras
' menu. Lots of other neat stuff. (This program took FOREVER to finish...)

DECLARE SUB EDX.Select.Adventure (c, a$)
DECLARE SUB EDX.Select.Multi.Adventure (c, a$)
DECLARE SUB EDXMenuM (c, c1, be, en, tc1, tc2)

DECLARE SUB EAdd ()
DECLARE SUB EEdit ()
DECLARE SUB EList ()
DECLARE SUB EDuplicate ()
DECLARE SUB ESpecial ()
DECLARE SUB EditRoom ()
DECLARE SUB EditArtifact ()
DECLARE SUB EditMonster ()
DECLARE SUB EditEffect ()

DECLARE SUB ECenter (a$)
DECLARE SUB EHeader ()
DECLARE SUB EHeader1 ()
DECLARE SUB ESelect ()
DECLARE SUB ESelectNo ()
DECLARE SUB GetKey ()
DECLARE SUB NumInput ()
DECLARE SUB TextInput (i$, tl)
DECLARE SUB ReadRoom ()
DECLARE SUB ReadArtifact ()
DECLARE SUB ReadMonster ()
DECLARE SUB ReadEffect ()
DECLARE SUB WriteRoom ()
DECLARE SUB WriteArtifact ()
DECLARE SUB WriteMonster ()
DECLARE SUB WriteEffect ()

ON ERROR GOTO ErrHandler
CHDIR "..\DD"

TYPE ADV
   aname AS STRING * 78: NUMBER AS INTEGER
END TYPE
DIM SHARED ADV AS ADV

TYPE DESC
  TEXT AS STRING * 255
END TYPE
DIM SHARED DS AS DESC

TYPE ROOM
  RNAME AS STRING * 79: d1 AS INTEGER: d2 AS INTEGER: D3 AS INTEGER
  D4 AS INTEGER: D5 AS INTEGER: D6 AS INTEGER: D7 AS INTEGER: D8 AS INTEGER:
  D9 AS INTEGER: D10 AS INTEGER: LIGHT AS INTEGER
END TYPE
DIM SHARED RM AS ROOM

TYPE ARTIFACT
  aname AS STRING * 35: AD1 AS INTEGER: AD2 AS INTEGER: AD3 AS INTEGER:
  AD4 AS INTEGER: AD5 AS INTEGER: AD6 AS INTEGER: AD7 AS INTEGER:
  AD8 AS INTEGER
END TYPE
DIM SHARED ART AS ARTIFACT

TYPE MONSTER
  MNAME AS STRING * 35: MD1 AS INTEGER: MD2 AS INTEGER: MD3 AS INTEGER:
  MD4 AS INTEGER: MD5 AS INTEGER: MD6 AS INTEGER: MD7 AS INTEGER:
  MD8 AS INTEGER: MD9 AS INTEGER: MD10 AS INTEGER: MD11 AS INTEGER
  MD12 AS INTEGER: MD13 AS INTEGER
  END TYPE
DIM SHARED MON AS MONSTER

DIM SHARED dly#, CC1#, CC2#, CC3#, s%(10), BORT
OPEN "SETTINGS.DAT" FOR INPUT AS #1
    INPUT #1, dly#, CC1#, CC2#, CC3#: FOR x = 1 TO 10: INPUT #1, s%(x): NEXT
CLOSE
's%(4) = 1

DIM SHARED n%(4), n1%(4), aname$, nd, ver, dungeons, adj1, adj2, adj3, adj4
DIM SHARED nd1, no, nw, up, ty, na$, de$, i$, q$, a$, c, c$
'DIM SHARED pt  '<-- Obsolete printer support disabled May, 2013
q$ = CHR$(34)

' Choose Your Own Adventure...
' ----------------------------
c = 3: a$ = "DD"
CALL EDX.Select.Adventure(c, a$): CHDIR ".."
IF a$ = "" OR c = 0 THEN
  PRINT "None selected..."; : CALL GetKey: CHDIR "DD": RUN "DDMENU"
END IF
CHDIR a$: OPEN "NAME.DAT" FOR INPUT AS #1
INPUT #1, n%(1), n%(2), n%(3), n%(4), aname$, nd, ver, dungeons
FOR x = 1 TO 4: n1%(x) = n%(x): NEXT: nd1 = nd
IF dungeons > 1 THEN
  DIM SHARED dn$(dungeons), dn%(dungeons, 9)
  FOR a = 1 TO dungeons
     LINE INPUT #1, dn$(a): FOR m = 1 TO 9: INPUT #1, dn%(a, m): NEXT
  NEXT: CLOSE
  adj1 = 0: adj2 = 0: adj3 = 0: adj4 = 0
END IF
IF dungeons > 1 THEN
  c = 0: a$ = ""
  CALL EDX.Select.Multi.Adventure(c, a$)
  n%(1) = dn%(c, 1): n%(2) = dn%(c, 2): n%(3) = dn%(c, 3): n%(4) = dn%(c, 4)
  adj1 = dn%(c, 5) - 1: adj2 = dn%(c, 6) - 1: adj3 = dn%(c, 7) - 1
  adj4 = dn%(c, 8) - 1: nd = dn%(c, 9)
  aname$ = dn$(c)
END IF
CLOSE

' Load this, Init that...
' -----------------------
OPEN "ROOMS.DAT" FOR RANDOM AS #1 LEN = 101
OPEN "ARTIFACT.DAT" FOR RANDOM AS #2 LEN = 51
OPEN "MONSTERS.DAT" FOR RANDOM AS #3 LEN = 61
OPEN "ROOMS.DSC" FOR RANDOM AS #10 LEN = 255
OPEN "ARTIFACT.DSC" FOR RANDOM AS #11 LEN = 255
OPEN "MONSTERS.DSC" FOR RANDOM AS #12 LEN = 255
OPEN "EFFECT.DSC" FOR RANDOM AS #13 LEN = 255
' Rooms
DIM SHARED rd%(11), a%(8), t$(4), d$(10)
FOR a = 1 TO 4: READ t$(a): NEXT: FOR a = 1 TO 10: READ d$(a): NEXT
' Artifacts
READ a: DIM SHARED ty$(a), f$(a, 3), df(a, 3)
FOR a = 0 TO a
   READ ty$(a): FOR a2 = 0 TO 3: READ f$(a, a2), df(a, a2): NEXT
NEXT
' Monsters
DIM SHARED m%(13), mf$(13), md(13)
FOR a = 1 TO 13: READ mf$(a), md(a): NEXT
' Menu Options
DIM SHARED em0: RESTORE EDXMenuStrings: READ em0: DIM SHARED em$(em0)
FOR x = 1 TO em0: READ em$(x): NEXT: em$(0) = CHR$(13) + CHR$(13) + CHR$(27)

'
'        Adventure Editor 5.0 - Main Menu
'       ----------------------------------
Menu:
CALL EHeader: COLOR 4: PRINT "  Editing: "; : COLOR 12: PRINT aname$: PRINT
CALL EHeader1: PRINT : nw = 0

c = 0: c1 = 6
CALL EDXMenuM(c, c1, 1, 6, 7, 0)
IF c1 = 3 AND s%(4) = 1 THEN c1 = 1: c = 6
IF c1 <> 1 OR BORT = 5 THEN BORT = 0: GOTO Menu
' Do stuff
' --------
IF c = 1 THEN CALL EAdd: GOTO Menu
IF c = 2 THEN CALL EEdit: GOTO Menu
IF c = 3 THEN CALL EList: GOTO Menu
IF c = 4 THEN CALL EDuplicate: GOTO Menu
IF c = 5 THEN CALL ESpecial: GOTO Menu
' Don't do stuff
' --------------
CLOSE
IF up = 1 THEN
  IF dungeons > 1 THEN
    FOR x = 1 TO 4: n%(x) = n1%(x): NEXT: nd = nd1
  END IF
  OPEN "NAME.DAT" FOR OUTPUT AS #1
     PRINT #1, n%(1), n%(2), n%(3), n%(4): PRINT #1, aname$
     PRINT #1, nd, ver, dungeons
     IF dungeons > 1 THEN
       FOR a = 1 TO dungeons
          PRINT #1, dn$(a): FOR m = 1 TO 9: PRINT #1, dn%(a, m): NEXT
       NEXT
     END IF
  CLOSE
END IF
CHDIR "..\DD": RUN "DDMENU"

'
'  Fancy Error Pit
' -----------------
ErrHandler:
CLS : LOCATE 5: COLOR 15: PRINT "UH-OH! A PROGRAM ERROR JUST POPPED UP! ";
PRINT "(CODE"; STR$(ERR); ")": PRINT
RESUME ErrHandler0
ErrHandler0:
ON ERROR GOTO ErrHandler1
PRINT "  Hit any key to exit...": k$ = INKEY$: k$ = ""
DO
  k$ = INKEY$
LOOP UNTIL k$ <> ""
PRINT : CHDIR "..": RUN "EAMONDX"
ErrHandler1:
CLS : LOCATE 5: COLOR 14: PRINT : PRINT "HMM... CAN'T SEEM TO RECOVER."
COLOR 15: PRINT : PRINT "  Hit any key to quit..."; : k$ = INKEY$: k$ = ""
DO
  k$ = INKEY$
LOOP UNTIL k$ <> ""
PRINT : SYSTEM: END

'   ROOM DATA
DATA Room,Artifact,Effect,Monster
DATA North,South,East,West,Up,Down,Northeast,Northwest,Southeast,Southwest
'
'   ARTIFACT DATA, DEFAULT VALUES
DATA 16
DATA Gold,User #5,0,User #6,0,User #7,0,User #8,0
DATA Treasure,User #5,0,User #6,0,User #7,0,User #8,0
DATA Weapon,Weapon Odds,5,Weapon Type,5,Number of Dice,1,Dice Sides,6
DATA Magic Weapon,Odds,15,Type,5,Dice,1,Sides,10
DATA Container,Key#,0,Open/Closed,0,# of items inside,0,# of items can hold,5
DATA Light,Counter,250,User #6,0,User #7,0,User #8,0
DATA Drinkable,Heal amount,10,# of uses,3,Open/Closed,1,User #8,0
DATA Readable,1st effect,1,# of effects,1,Open/Closed,1,User #8,0
DATA Door/Gate,Room beyond,1,Key#,0,Open/Closed,1,Hidden?,0
DATA Food,Heal amount,10,# of uses,4,Open/Closed,1,User #8,0
DATA Bound Monster,Monster#,1,Key #,0,Guard#,0,User #8,0
DATA Wearable,Armor class,0,Type,0,User #7,0,User #8,0
DATA Disguised Monster,Monster #,1,Number of first effect,0,Total # of effects,0,User #8,0
DATA Dead Body,GET status,0,User #6,0,User #7,0,User #8,0
DATA USER TYPE#1,User #5,0,User #6,0,User #7,0,User #8,0
DATA USER TYPE#2,User #5,0,User #6,0,User #7,0,User #8,0
DATA USER TYPE#3,User #5,0,User #6,0,User #7,0,User #8,0
'
'   MONSTER DATA, DEFAULT VALUES
DATA Hardiness,15,Agility,15,Group Member Count,1,Courage,100,Room,0
DATA Combat Code,0,Armor,1,Weapon #,0,Weapon Dice,1,Weapon Sides,6
DATA Friendliness,1,User #1,0,User #2,0

EDXMenuStrings:
DATA 18
' (01-06)
DATA "  Add a new Room, Artifact, Monster or Effect     "
DATA "  Edit a Room, Artifact, Monster or Effect        "
DATA "  List Rooms, Artifacts, Monsters or Effects      "
DATA "  Duplicate a Room, Artifact, Monster, or Effect  "
DATA "  Special functions  "
DATA "  Quit  "
' (07-11)
DATA "  Room      "
DATA "  Artifact  "
DATA "  Effect    "
DATA "  Monster   "
DATA "  (Exit)    "
' (And the rest...)
DATA "  Decrease Number of Rooms, Artifacts, Monsters or Effects  "
DATA "  Increase Number of Rooms, Artifacts, Monsters or Effects  "
DATA "  Generate Dummy Artifacts  "
DATA "  Generate Dead Bodies  "
DATA "  Add Directions to Room Names  "
'DATA "  Turn Printer On  "
DATA "  (not used)  "
DATA "  (not used)  "

SUB EAdd
'//      Add Something New or "Electric ADD 5.0"
'/

IF dungeons > 1 THEN
  CLS : LOCATE 5: COLOR 15: IF s%(4) <> 1 THEN SOUND 350, .5
  PRINT "This is a multi-adventure database -- New entries cannot be added to it."
  LOCATE 10: COLOR 2: PRINT "Hit any key..."; : CALL GetKey: EXIT SUB
END IF

c$ = "add": CALL ESelect
IF ty = 0 OR (n%(ty) > 999 AND ty <> 3) THEN EXIT SUB
n%(ty) = n%(ty) + 1: no = n%(ty): up = 1: na$ = "": de$ = ""

' Add Room
IF ty = 1 THEN
  FOR a = 1 TO 11: rd%(a) = ABS(a = 11): NEXT: CALL EditRoom: CALL WriteRoom
END IF

' Add Artifact
IF ty = 2 THEN nw = 1: CALL EditArtifact: CALL WriteArtifact

' Add Effect:
IF ty = 3 THEN CALL EditEffect: CALL WriteEffect

' Add Monster
IF ty = 4 THEN
  FOR a = 1 TO 13: m%(a) = md(a): NEXT: CALL EditMonster: CALL WriteMonster
END IF
END SUB

SUB ECenter (a$)
'//      The Center of Attention
'/

IF a$ = "SPORK" THEN COLOR 15: PRINT "[Special values:]": COLOR 7: EXIT SUB
IF LEN(na$) > 0 AND LEN(a$) + LEN(na$) < 75 THEN
  a$ = a$ + "  (" + UCASE$(LEFT$(na$, 1)) + MID$(na$, 2) + ")"
END IF
a$ = SPACE$(INT((79 - LEN(a$)) / 2)) + a$
IF LEN(a$) < 80 THEN a$ = a$ + SPACE$(80 - LEN(a$))
CLS : COLOR 15: IF s%(4) <> 1 THEN COLOR 10, 1
PRINT a$: COLOR 7, 0: LOCATE 4
END SUB

SUB EditArtifact
'//      Arts and Crafts Department
'/

GOSUB ArtHead: COLOR 2: PRINT "Artifact name:": CALL TextInput(na$, 35)
COLOR 2: PRINT "Artifact description:": CALL TextInput(de$, 255)
GOSUB ArtHead
FOR x = 0 TO 6
  PRINT " "; x; "= "; ty$(x);
  LOCATE CSRLIN, 40 + (x > 2): PRINT x + 7; "= "; ty$(x + 7)
NEXT

PRINT : a$ = "Artifact Type": aa = 2: IF nw = 1 THEN a%(2) = 1: a%(4) = 0
GOSUB EdArt: IF a%(2) < 0 OR a%(2) > 13 THEN a%(2) = 1
tp = a%(2)
' Pre-set defaults for NEW artifacts (LET "Type" prompt now come first...)
IF nw = 1 THEN
  a%(1) = 25: a%(3) = 25
  IF tp = 1 THEN a%(1) = 25: a%(3) = 15
  IF tp = 2 THEN a%(1) = 25: a%(3) = 25
  IF tp = 3 THEN a%(1) = 35: a%(3) = 15
  IF tp = 4 THEN a%(1) = 0: a%(3) = 999
  IF tp = 5 THEN a%(1) = 8: a%(3) = 10
  IF tp = 6 THEN a%(1) = 35: a%(3) = 6
  IF tp = 7 THEN a%(1) = 5: a%(3) = 10
  IF tp = 8 THEN a%(1) = 0: a%(3) = -999
  IF tp = 9 THEN a%(1) = 0: a%(3) = 15
  IF tp = 10 THEN a%(1) = 0: a%(3) = 999
  IF tp = 11 THEN a%(1) = 10: a%(3) = 8
  IF tp = 12 THEN a%(1) = 0: a%(3) = 180
  IF tp > 12 THEN a%(1) = 0: a%(3) = 175
END IF
a$ = "Value": aa = 1:  GOSUB EdArt

GOSUB ArtHead
PRINT "(Encumbrance factors should be added to standard weight values: e.g. a bow by"
PRINT " itself=25, while a bow with arrows should=35 or more. Small items usually"
PRINT " average around 1-10, with medium sized items averaging 10-15, and large and/or"
PRINT " complex equipment averaging 25-35 or more. Refer to the Eamon Deluxe Adventure"
PRINT " Design Manual for a detailed chart and more information)": PRINT
COLOR 15: PRINT "[Special weight codes:]": COLOR 7
PRINT "  999 .............. "; q$; "Don't be absurd!"; q$; "     (Heavy furniture/giant objects)"
PRINT " -999 .............. "; q$; "You can't get that."; q$; "  (Doors/buildings/statues)"
PRINT : PRINT : a$ = "Weight": aa = 3: GOSUB EdArt

GOSUB ArtHead
COLOR 15: PRINT "[Special "; q$; "room"; q$; " codes:]": COLOR 7
PRINT " -1 ................. Carried by player"
PRINT " -999 ............... Worn by player"
PRINT " -[Monster#] - 1 .... Carried by [Monster #] (-2 = Monster #1, -3 = Monster #2)"
PRINT " -[Monster#] -1000 .. Worn by [Monster#] (-1006 = Monster #6)"
PRINT " [Artifact#] + 1000 . Inside [Artifact#] (1009 = Inside Artifact #9)"
PRINT " [Room#] + 2000 ..... Embedded in [Room#] (2001 = Embedded in Room #1)"
PRINT : a$ = "Room": aa = 4: GOSUB EdArt: GOSUB ArtHead

FOR ar = 5 TO 8
   IF nw = 1 THEN a%(ar) = df(tp, ar - 5)
   IF tp = 2 OR tp = 3 THEN
     IF ar = 6 THEN
       GOSUB ArtHead: GOSUB ArtHead1
       PRINT " 1 = Axe  2 = Bow  3 = Club  4 = Spear  5 = Sword"
       PRINT " Projectile weapons (guns, etc.) = 2; small sharp weapons (daggers, etc.) = 4"
     END IF
     IF ar = 7 THEN
       GOSUB ArtHead1: PRINT " Number of dice and dice sides are used to compute the potential damage amount"
       PRINT " a weapon is capable of causing during combat. e.g. If the number of dice = 1"
       PRINT " and the number of dice sides = 8 then that weapon is capable of doing 1D8 (or"
       PRINT " from 1 to 8 points) of damage. A static amount can also be created by setting"
       PRINT " the dice sides to = 1 and then setting the number of dice to the desired"
       PRINT " amount. (A 12D1 weapon will always do 12 points of damage.)"
     END IF
     PRINT
   END IF
   IF (tp = 4 AND ar = 5) OR (tp = 8 AND ar = 6) THEN
     GOSUB ArtHead1
     PRINT " -1 = Artifact cannot never be unlocked or forced open through normal means"
     PRINT
   END IF
   IF (tp > 5 AND tp < 10 AND ar = 7) OR (tp = 4 AND ar = 6) THEN
     x$ = "Open = 1,  Closed = 0": IF tp = 8 THEN x$ = "Open = 0,  Closed = 1"
     GOSUB ArtHead1: PRINT x$
     IF tp = 4 OR tp = 8 THEN
       PRINT "1000 + [Damage Points] = May be forced open (1025 = 25 damage points to open)"
     END IF
     PRINT
   END IF
   IF tp = 8 AND ar = 8 THEN
     PRINT "0 = Normal ("; q$; "[Artifact] blocks the way."; q$; ")  1 = Hidden ("; q$; "You can't go that way!"; q$; ")"
     PRINT
   END IF
   IF tp = 4 AND ar = 8 THEN
     GOSUB ArtHead1
     PRINT " 0 = Nothing can ever be PUT inside of the artifact through normal means"
     PRINT
   END IF
   IF tp = 5 AND ar = 5 THEN
     GOSUB ArtHead1: PRINT " -1 = Unlimited light source (counter never runs out)": PRINT
   END IF
   IF tp = 11 THEN
     IF ar = 5 THEN
       GOSUB ArtHead1
       PRINT " 0 = Clothing           4 = Chain mail armor"
       PRINT " 1 = Shield             6 = Plate mail armor"
       PRINT " 2 = Leather armor": PRINT
     END IF
     IF ar = 6 THEN
       PRINT " 0 = Armor & shields      5 = Jewelry"
       PRINT " 1 = Overclothes          6 = Undergarments"
       PRINT " 2 = Shoes, Boots         7 = Shirts"
       PRINT " 3 = Gloves               8 = Pants"
       PRINT " 4 = Hats, Headwear": PRINT
     END IF
   END IF
   IF tp = 13 AND ar = 5 THEN
     GOSUB ArtHead1: PRINT " 0 = Normal body (generally ignored)  1 = Special (can GET it, carry it, etc..)"
     PRINT
   END IF
   COLOR 2: PRINT f$(tp, ar - 5) + ": ";
   i$ = LTRIM$(STR$(a%(ar))): CALL NumInput: a%(ar) = INT(VAL(i$))
   IF a%(ar) > 9999 THEN a%(ar) = 9999
   IF a%(ar) < -9999 THEN a%(ar) = -9999
NEXT
EXIT SUB

EdArt:
COLOR 2: PRINT a$ + ": "; : i$ = LTRIM$(STR$(a%(aa))): CALL NumInput
a%(aa) = INT(VAL(i$)): RETURN

ArtHead:
a$ = "EDITING ARTIFACT #" + LTRIM$(STR$(no)): CALL ECenter(a$): RETURN
ArtHead1:
a$ = "SPORK": CALL ECenter(a$): RETURN
END SUB

SUB EditEffect
'//      Special Effects Department
'/

na$ = "": a$ = "EDITING EFFECT #" + LTRIM$(STR$(no)): CALL ECenter(a$)
COLOR 2: PRINT "Enter/Edit Text:": CALL TextInput(de$, 255)
END SUB

SUB EditMonster
'//      Your Friendly Neighborhood Monster Editor
'/

GOSUB MonsterHead: COLOR 15
PRINT "Enter ALL group monsters using singular names. (e.g. "; q$; "Orc"; q$; " instead of "; q$; "10 Orcs"; q$; ")"
PRINT : COLOR 2: PRINT "Monster name:": CALL TextInput(na$, 35)
COLOR 2: PRINT "Monster Description:": CALL TextInput(de$, 255)

FOR m = 1 TO 13
   IF m <> 13 THEN GOSUB MonsterHead
   IF m < 3 OR m = 4 OR m = 7 OR m = 9 OR m = 10 THEN GOSUB MonInfo
   IF m = 3 THEN
     GOSUB MonsterHead1: PRINT
     PRINT " [Number of members] .. Group of Monsters. ("; q$; "8 Thugs"; q$; ")"
     PRINT " 1 .................... Standard-- Single monster. ("; q$; "Thug"; q$; ")"
     PRINT
   END IF
   IF m = 5 THEN
     PRINT "Enter the room number where the monster is initially located, or a special"
     PRINT "(user programmed) room code as needed. Note: the standard room code value for"
     PRINT q$; "Bound"; q$; " and "; q$; "Disguised"; q$; " monsters is 0."
     PRINT
   END IF
   IF m = 6 THEN
     PRINT "This code is used during combat rounds only. Standard setting = 0, skilled"
     PRINT "fighters and other versatile combatants = -1, monsters with natural weapons that"
     PRINT "can't "; q$; "lunge/tear/claw"; q$; " (e.g. snakes, bats, etc.) = 1. "
     PRINT : GOSUB MonsterHead1
     PRINT "  0 .. Standard: monster uses artifact OR natural weapons, with combat verbs."
     PRINT "  1 .. Combat text reads "; q$; "[monster] attacks..."; q$; " instead of random combat verbs."
     PRINT " -1 .. Will use "; q$; "natural weapons"; q$; " if no valid weapons are available."
     PRINT " -2 .. Passive - Will not fight under any circumstances.": PRINT
   END IF
   IF m = 7 THEN
      GOSUB MonInfo: GOSUB MonsterHead1
      PRINT " 0 = None,  1 = Leather,  2 = Chain,  3 = Plate,  4+ = Special/Magical"
      PRINT
   END IF
   IF m = 8 THEN
      GOSUB MonsterHead1: PRINT
      PRINT "  0 ................. Monster uses natural weapons by default."
      PRINT " -1 ................. Uses weapons, but does not have one readied."
      PRINT " [Artifact #] ....... Uses [Artifact #] for its readied weapon."
      PRINT
   END IF
   IF m = 11 THEN
     GOSUB MonsterHead1: PRINT
     PRINT "   1 ................... Enemy"
     PRINT "   2 ................... Neutral"
     PRINT "   3 ................... Friend"
     PRINT "  [100 + percentage] ... Random factor. (150 = 50% chance of friendliness.)"
     PRINT
   END IF
   IF m = 12 THEN
     COLOR 15: PRINT
     IF m = 12 THEN
       PRINT q$; "User"; q$; " data fields are provided to make programming special event easier."
       PRINT "They may be used for whatever purpose the author desires (or simply ignored.)"
       PRINT
     END IF
   END IF
   COLOR 2: PRINT mf$(m) + ": ";
   i$ = LTRIM$(STR$(m%(m))): CALL NumInput: m%(m) = VAL(i$)
   IF m%(m) > 9999 THEN m%(m) = 9999
   IF m%(m) < -9999 THEN m%(m) = -9999
   IF m = 3 AND m%(m) < 1 THEN m%(m) = 1
NEXT
EXIT SUB

MonInfo:
LOCATE 3: PRINT "Weak monsters: Rats, wimps, kobolds..."
PRINT "Medium monsters: Orcs, petty thugs, goblins..."
PRINT "Tough monsters: Trolls, skilled warriors, giants..."
PRINT "Exceptional monsters: Dragons, demons, special characters...": PRINT
COLOR 15: PRINT "           Weak       Medium     Tough    Exceptional"
PRINT "---------------------------------------------------------"
IF m = 1 THEN PRINT "Hardiness:   2-8        9-15     16-30       31-60"
IF m = 2 THEN PRINT "  Agility:   5-9       10-16     17-24       25-30"
IF m = 4 THEN PRINT "  Courage:  80-90%     95-100%    200%        200%"
IF m = 7 THEN PRINT "    Armor:    0         1         2-3         3-7+"
IF m = 9 OR m = 10 THEN
  PRINT "   Damage: 1D2-1D5    1D6-1D10  1D10-2D6      2D8+"
END IF
COLOR 7: PRINT
IF m <> 4 THEN
  PRINT "(Group monsters (such as "; q$; "6 Orcs"; q$; ") should be scaled down as weaker than usual"
  PRINT " because up to 5 members of a group may attack during a single combat round.)"
END IF
IF m = 4 THEN
  PRINT "Courage is a percentage (1%-100%) factor used to determine if a monster will"
  PRINT "flee from a combat round and/or pursue a fleeing player. If a monster is injured"
  PRINT "(or the member count of a "; q$; "group monster"; q$; " has been reduced) then that courage"
  PRINT "factor is reduced by 5% (or 10% if the wounds are approaching fatal.)": PRINT
  PRINT "A monster with a courage factor of 200% will ALWAYS pursue the player and fight"
  PRINT "to the death."
END IF
IF m = 9 OR m = 10 THEN
  PRINT : PRINT q$; "Damage"; q$; " is caused either by natural weapons or the dice and sides of the"
  PRINT "monster's readied weapon. An static damage amount can be created by setting"
  PRINT "Number of Dice=[damage], Dice Sides=1. (10D1 will always do 10 damage points.)"
  PRINT : PRINT "(Enter values for natural weapons, even if the monster uses an artifact weapon.)"
END IF
PRINT : RETURN

MonsterHead:
a$ = "EDITING MONSTER #" + LTRIM$(STR$(no)): CALL ECenter(a$): RETURN
MonsterHead1:
a$ = "SPORK": CALL ECenter(a$): RETURN
END SUB

SUB EditRoom
'//      A Room of Juan's Own
'/

GOSUB RoomHead: COLOR 2: PRINT "Room name:": CALL TextInput(na$, 79)
GOSUB RoomHead: COLOR 2: PRINT "Room name:": COLOR 7: PRINT na$: PRINT
COLOR 2: PRINT "Room Description:": CALL TextInput(de$, 255)
FOR d = 1 TO nd
   IF d = 1 OR d = 7 THEN
     GOSUB RoomHead
     PRINT "(Enter the connecting room number for each direction the player can move in.)"
     PRINT : GOSUB RoomHead1
     PRINT " 0 .................... No connection. ("; q$; "You can't go that way!"; q$; ")"
     PRINT " -999 ................. Exit to the Main Hall."
     PRINT " 1000 + [Artifact#] ... [Artifact#] is used as door/gate/etc. (1006=Artifact #6)"
     PRINT " [negative numbers] ... Trigger for special (user programmed) events/connections"
     PRINT
   END IF
   COLOR 2: PRINT d$(d) + ": ";
   i$ = LTRIM$(STR$(rd%(d))): CALL NumInput: rd%(d) = INT(VAL(i$))
NEXT
GOSUB RoomHead: PRINT : GOSUB RoomHead1
PRINT " 1 = Standard room (descriptions will be printed and contents listed.)"
PRINT " 0 = Dark room (descriptions and contents are not printed), limited command set)"
COLOR 2: PRINT : PRINT "Natural Light Level: ";
i$ = LTRIM$(STR$(rd%(11))): CALL NumInput: rd%(11) = INT(VAL(i$)): EXIT SUB

RoomHead:
a$ = "EDITING ROOM #" + LTRIM$(STR$(no)): CALL ECenter(a$): RETURN
RoomHead1:
a$ = "SPORK": CALL ECenter(a$): RETURN
END SUB

SUB EDuplicate
'//      The Local Clonatorium
'/

c$ = "duplicate": CALL ESelect: IF ty = 0 OR n%(ty) < 1 THEN EXIT SUB
c$ = "Duplicate from": CALL ESelectNo: Dup1 = no
c$ = "create": CALL ESelectNo: IF no > 1000 AND ty <> 3 THEN EXIT SUB
Dup2 = no: no = Dup1: PRINT

IF Dup2 <= n%(ty) THEN
  COLOR 15: PRINT "Overwrite "; t$(ty); " #"; LTRIM$(STR$(Dup2));
  PRINT "? (Y/N):"; : COLOR 7: CALL GetKey: IF a$ <> "Y" THEN EXIT SUB
END IF
IF Dup2 > n%(ty) THEN
  IF dungeons > 1 THEN CALL EAdd: EXIT SUB
  n%(ty) = n%(ty) + 1: up = 1
END IF

PRINT : PRINT : COLOR 10: PRINT "Placing a " + UCASE$(t$(ty));
PRINT " into the Clonatorium...": FOR c# = 1 TO dly# * 8: NEXT

IF ty = 1 THEN CALL ReadRoom: no = Dup2: CALL EditRoom: CALL WriteRoom
IF ty = 2 THEN
  CALL ReadArtifact: no = Dup2: CALL EditArtifact: CALL WriteArtifact
END IF
IF ty = 3 THEN CALL ReadEffect: no = Dup2: CALL EditEffect: CALL WriteEffect
IF ty = 4 THEN
  CALL ReadMonster: no = Dup2: CALL EditMonster: CALL WriteMonster
END IF

END SUB

SUB EDX.Select.Adventure (c, a$)
'/// Eamon Deluxe Adventure Selection
' (Updated for VI Mode support 11 JAN 2012)
'
' Codes passed to SUB:
'  c=0 - Start from EAMONDX directory
'  c=1 - Back up one directory before starting
'  c=2 - Start from EDX, load designs names also
'  c=3 - Back up one, load designs
'   a$ - Name of directory to return to, if a$ = "" then no return is made
'
' Codes returned from SUB:
'    c - Number of adventure selected (0=None, -1=Design 1, -2=Design 2)
'   a$ - Name of adventure directory

'            Load adventure names
IF c = 1 OR c = 3 THEN CHDIR ".."
OPEN "ADVENTRS" FOR RANDOM AS #2 LEN = 90
   GET #2, 1, ADV: numadv = ADV.NUMBER: numadv1 = numadv
   REDIM advn$(numadv + 2)
   FOR x = 2 TO numadv + 1
      GET #2, x, ADV
      advn$(x - 1) = LEFT$(LTRIM$(RTRIM$(ADV.aname$)), 38)
   NEXT
CLOSE

'            Load design names
IF c = 2 OR c = 3 THEN
  CHDIR "dd"
    OPEN "DGNDIR.DAT" FOR INPUT AS #1: INPUT #1, d1, d2: CLOSE
  CHDIR ".."
  IF d1 = 1 THEN
    CHDIR "DGN-1"
      OPEN "NAME.DAT" FOR INPUT AS #1: INPUT #1, x, x, x, x, k$: CLOSE
      numadv = numadv + 1: advn$(numadv) = LEFT$(k$, 26) + "  (Design 1)"
    CHDIR ".."
  END IF
  IF d2 = 1 THEN
    CHDIR "DGN-2"
      OPEN "NAME.DAT" FOR INPUT AS #1: INPUT #1, x, x, x, x, k$: CLOSE
      numadv = numadv + 1: advn$(numadv) = LEFT$(k$, 26) + "  (Design 2)"
    CHDIR ".."
  END IF
END IF
'             Return to current directory
IF (c = 1 OR c = 3) AND a$ <> "" THEN CHDIR a$

' VI Mode Numeric Menu
GetAdvCVI:
IF s%(4) = 1 THEN
  CLS : l = 0: PRINT "Please select an adventure:"
  FOR c = 1 TO numadv
     VI$ = LTRIM$(RTRIM$(STR$(c))) + ": " + advn$(c)
     IF c < 100 THEN VI$ = " " + VI$: IF c < 10 THEN VI$ = " " + VI$
     PRINT VI$: l = l + 1
     IF l = 20 THEN
       PRINT "Hit any key to continue...";
       DO
       LOOP UNTIL INKEY$ <> ""
       l = 0
     END IF
  NEXT
  PRINT : LINE INPUT "Enter the number of your choice (0 to Exit):"; VI$
  c = INT(VAL(VI$))
  IF c < 0 OR c > numadv THEN CLS : GOTO GetAdvCVI
  IF c = 0 THEN EXIT SUB
  k = 2: GOTO SelectADV2
END IF

' Standard Menu
keyz$ = CHR$(27) + CHR$(13) + CHR$(73) + CHR$(81) + CHR$(71) + CHR$(79)
keyz$ = keyz$ + CHR$(72) + CHR$(80) + CHR$(75) + CHR$(77)
min = VAL(MID$(TIME$, 4, 2)) - 2 '<-- Force time display

SelectADVa:
GOSUB SelectADV0

SelectADV:
IF c < be THEN c = en
IF c > en THEN c = be
x = ABS(c > be + 20): v = 3 + (c - be) - 21 * x: h = 2 + 39 * x
LOCATE v, h: COLOR 0, 3: PRINT advn$(c);

DO
  COLOR 7, 1
  IF VAL(MID$(TIME$, 4, 2)) <> min THEN
    hr = VAL(LEFT$(TIME$, 2)): min = VAL(MID$(TIME$, 4, 2))
    IF (hr = 0 OR hr = 24) AND min = 1 THEN GOSUB SelectADV0
    k = hr - 12 * ABS(hr > 12) + 12 * ABS(hr = 0): x = 52 - ABS(k > 9)
    LOCATE 25, x: COLOR 7, 1: PRINT SPACE$(13); : LOCATE 25, x
    PRINT "  "; STR$(k);
    PRINT MID$(TIME$, 3); " "; MID$("a.m.p.m.", 4 * ABS(hr > 12) + 1, 4);
  END IF
2 LOCATE 25, 60: PRINT RIGHT$(TIME$, 2); : k$ = INKEY$
  k = INSTR(keyz$, RIGHT$(k$, 1)): IF k > 2 THEN k = k * ABS(LEN(k$) > 1)
LOOP UNTIL k$ <> "" AND k > 0

LOCATE v, h: COLOR 3, 0: PRINT advn$(c);

'         Set arguments and exit
SelectADV2:
IF k < 3 THEN
  k$ = LTRIM$(RTRIM$(STR$(c))): a$ = LEFT$("E000", 4 - LEN(k$)) + k$
  IF c = numadv1 + 2 OR (c = numadv1 + 1 AND d1 = 0) THEN a$ = "DGN-2": c = -2
  IF c = numadv1 + 1 THEN a$ = "DGN-1": c = -1
  IF k = 1 THEN c = 0: a$ = ""
  VIEW PRINT 1 TO 25: CLS : EXIT SUB
END IF

'          Pg up/down
IF k = 3 AND be > 1 THEN be = be - 42: GOTO SelectADVa
IF k = 4 AND en < numadv THEN be = be + 42: GOTO SelectADVa
'          Home/end
IF k = 5 THEN c = be
IF k = 6 THEN c = en
'         Up/down/left/right
IF k > 8 AND c < be + 21 AND c + 21 > en THEN k = k - 2
IF k = 7 THEN c = c - 1
IF k = 8 THEN c = c + 1
IF k = 9 THEN c = c - 21 + 42 * ABS(c < be + 21)
IF k = 10 THEN c = c + 21 - 42 * ABS(c > be + 21)
GOTO SelectADV

'       Set up screen
SelectADV0:
VIEW PRINT 1 TO 25: COLOR 7, 0: CLS : COLOR 7, 1
PRINT "    <Enter=Accept>    <Escape=Exit>    <Page Up/Page Down=More Options>         "
COLOR 2, 0: PRINT "Select adventure to edit:": COLOR 7, 1
LOCATE 25, 1:
PRINT " <Use Arrow keys, Home, or End to select>"; SPACE$(29);
PRINT MID$(DATE$, 4, 2); "-"; : k = VAL(LEFT$(DATE$, 2)) - 1
PRINT MID$("JanFebMarAprMayJunJulAugSepOctNovDec", k * 3 + 1, 3); "-";
PRINT RIGHT$(DATE$, 2); : PRINT SPACE$(81 - POS(0)); : COLOR 3, 0
'       Display choices
SelectADV1:
IF be < 1 THEN be = 1
IF be > numadv THEN be = numadv
en = be + 41: IF en > numadv THEN en = numadv
VIEW PRINT 3 TO 23: CLS 2: v = 3: h = 2
FOR x = be TO en
   LOCATE v, h: PRINT advn$(x); : v = v + 1: IF v = 24 THEN v = 3: h = 41
NEXT
c = be: RETURN
END SUB

SUB EDX.Select.Multi.Adventure (c, a$)
'/// Eamon Deluxe Multi-Adventure Selection
' (Updated for VI Mode support 09 JAN 2012)

IF dungeons = 1 THEN c = 1: a$ = aname$: EXIT SUB
'            Load adventure names
REDIM advn$(dungeons)
FOR x = 1 TO dungeons
   advn$(x) = LEFT$(LTRIM$(RTRIM$(dn$(x))), 38)
NEXT
numadv = dungeons
' VI Mode numeric menu
GetMAdvCVI:
IF s%(4) = 1 THEN
  CLS : l = 2: PRINT "Please select an adventure:"
  FOR c = 1 TO dungeons
     VI$ = LTRIM$(RTRIM$(STR$(c))) + ": " + dn$(c)
     IF c < 10 THEN VI$ = " " + VI$
     IF c < 100 THEN VI$ = " " + VI$
     PRINT VI$: l = l + 1
     IF l = 20 THEN
       PRINT "Hit any key to continue...";
       DO
       LOOP UNTIL INKEY$ <> ""
       l = 0
     END IF
  NEXT
  PRINT : LINE INPUT "Enter the number of your choice (0 to Exit):"; VI$
  c = INT(VAL(VI$))
  IF c < 0 OR c > dungeons THEN CLS : GOTO GetMAdvCVI
  IF c = 0 THEN RUN
  a$ = dn$(c): EXIT SUB
END IF

' Standard Menu--
keyz$ = CHR$(27) + CHR$(13) + CHR$(73) + CHR$(81) + CHR$(71) + CHR$(79)
keyz$ = keyz$ + CHR$(72) + CHR$(80) + CHR$(75) + CHR$(77)
min = VAL(MID$(TIME$, 4, 2)) - 2 '<-- Force time display

mSelectADVa:
GOSUB mSelectADV0

mSelectADV:
IF c < be THEN c = en
IF c > en THEN c = be
x = ABS(c > be + 20): v = 3 + (c - be) - 21 * x: h = 2 + 39 * x
LOCATE v, h: COLOR 0, 3: PRINT advn$(c);

DO
  COLOR 7, 1
  IF VAL(MID$(TIME$, 4, 2)) <> min THEN
    hr = VAL(LEFT$(TIME$, 2)): min = VAL(MID$(TIME$, 4, 2))
    IF (hr = 0 OR hr = 24) AND min = 1 THEN GOSUB mSelectADV0
    k = hr - 12 * ABS(hr > 12) + 12 * ABS(hr = 0): x = 52 - ABS(k > 9)
    LOCATE 25, x: COLOR 7, 1: PRINT SPACE$(13); : LOCATE 25, x
    PRINT "  "; STR$(k);
    PRINT MID$(TIME$, 3); " "; MID$("a.m.p.m.", 4 * ABS(hr > 12) + 1, 4);
  END IF
  LOCATE 25, 60: PRINT RIGHT$(TIME$, 2); : k$ = INKEY$
  k = INSTR(keyz$, RIGHT$(k$, 1)): IF k > 2 THEN k = k * ABS(LEN(k$) > 1)
LOOP UNTIL k$ <> "" AND k > 0

LOCATE v, h: COLOR 3, 0: PRINT advn$(c);

'         Set arguments and exit
IF k < 3 THEN
  a$ = dn$(c): VIEW PRINT 1 TO 25: CLS : EXIT SUB
END IF

'          Pg up/down
IF k = 3 AND be > 1 THEN be = be - 42: GOTO mSelectADVa
IF k = 4 AND en < numadv THEN be = be + 42: GOTO mSelectADVa
'          Home/end
IF k = 5 THEN c = be
IF k = 6 THEN c = en
'         Up/down/left/right
IF k > 8 AND c < be + 21 AND c + 21 > en THEN k = k - 2
IF k = 7 THEN c = c - 1
IF k = 8 THEN c = c + 1
IF k = 9 THEN c = c - 21 + 42 * ABS(c < be + 21)
IF k = 10 THEN c = c + 21 - 42 * ABS(c > be + 21)
GOTO mSelectADV

'       Set up screen
mSelectADV0:
VIEW PRINT 1 TO 25: COLOR 7, 0: CLS : COLOR 7, 1
PRINT "    <Enter=Accept>    <Escape=Exit>    <Page Up/Page Down=More Options>         "
LOCATE 25, 1:
PRINT " <Use Arrow keys, Home, or End to select>"; SPACE$(29);
PRINT MID$(DATE$, 4, 2); "-"; : k = VAL(LEFT$(DATE$, 2)) - 1
PRINT MID$("JanFebMarAprMayJunJulAugSepOctNovDec", k * 3 + 1, 3); "-";
PRINT RIGHT$(DATE$, 2); : PRINT SPACE$(81 - POS(0));
LOCATE 2, 1: COLOR 2, 0: PRINT aname$; ":": COLOR 3
'       Display choices
mSelectADV1:
IF be < 1 THEN be = 1
IF be > numadv THEN be = numadv
en = be + 41: IF en > numadv THEN en = numadv
VIEW PRINT 3 TO 23: CLS 2: v = 3: h = 2
FOR x = be TO en
   LOCATE v, h: PRINT advn$(x); : v = v + 1: IF v = 24 THEN v = 3: h = 41
NEXT
c = be: RETURN
END SUB

SUB EDXMenuM (c, c1, be, en, tc1, tc2)
'// Compact Eamon Deluxe Selection Menu 5.0           Revision 2: 20 JUN 2012
'    User locatable, two colors, single rowed choices with no error checking
'
'  Passed to SUB:
'     c - Vertical cursor position to begin at (0=CSRLIN)
'    c1 - Horizontal cursor position to begin at  (0=POS)
'    be - Location in em$ array to begin at
'    en - Location in em$ array to end
'   tc1 - Text foreground color of menu
'   tc2 - Text background color of menu
'
'  Returned:
'     c - The number of the choice relative to the amount of choices
'    c1 - This holds the exit key code (Standard:1=Enter,2=Space,3=Escape)
'    en - The actual array number of em$() that was chosen

' VI Mode ------
EDXMenuMMXII:
IF s%(4) = 1 THEN
  FOR c = be TO en
     x = c - be + 1
     k = k * ABS(x > 1): k$ = SPACE$(ABS((x < 100) + (x < 10)))
     k$ = k$ + LTRIM$(STR$(x)) + ": " + LTRIM$(RTRIM$(em$(c)))
     PRINT k$: k = k + 1
     IF k >= 22 AND c < en THEN
       PRINT : PRINT "Hit any key to continue...": k$ = INKEY$
          DO
            k$ = INKEY$
          LOOP UNTIL k$ <> ""
       CLS : k = 0
     END IF
  NEXT
  PRINT : PRINT "Enter choice number (0 to exit):"; : LINE INPUT ""; k$:                                 k$ = k$ + " "
  c = INT(VAL(k$)): k = ASC(k$): GOSUB EDXMenuMB
  c1 = c + (be - 1): IF c = 0 AND INSTR(k$, "0") > 0 THEN c1 = 3: EXIT SUB
  IF c1 < be OR c1 > en THEN CLS : GOTO EDXMenuMMXII
  en = c1: c1 = 1: EXIT SUB
END IF

' EDXMenuM ------
' Standard Menu
IF c = 0 THEN c = CSRLIN
IF c1 = 0 THEN c1 = POS(0)
v = c: v1 = c: h = c1: c = be: c1 = 0: ad = en - (en - be) - 1: COLOR tc1, tc2
FOR x = be TO en: LOCATE v, h: PRINT em$(x); : v = v + 1: NEXT

EDXMenuM:
IF c < be THEN c = en
IF c > en THEN c = be
v = c - ad + v1 - 1
LOCATE v, h: COLOR tc2, tc1: PRINT em$(c);
DO
  k$ = INKEY$
LOOP UNTIL k$ <> ""
c1 = INSTR(em$(0), RIGHT$(k$, 1)): k = ASC(RIGHT$(k$, 1))
LOCATE v, h: COLOR tc1, tc2: PRINT em$(c);

IF LEN(k$) > 1 THEN
  IF k = 71 THEN c = be
  IF k = 79 THEN c = en
  IF k = 72 OR k = 75 THEN c = c - 1
  IF k = 80 OR k = 77 THEN c = c + 1
  GOTO EDXMenuM
END IF
GOSUB EDXMenuMB: IF c1 = 0 THEN GOTO EDXMenuM
LOCATE en - ad + v1 - 1: PRINT : en = c: c = c - be + 1: EXIT SUB
'
' Make sure input is a valid ANSI code, else recode in ASCII (=SPOT)
EDXMenuMB:
IF k = 98 AND BORT = 0 THEN BORT = 2: SOUND 250, .5:
IF k = 111 AND BORT = 2 THEN BORT = 3: SOUND 350, .5:
IF k = 114 AND BORT = 3 THEN BORT = 4: SOUND 450, .5:
IF k <> 116 OR BORT <> 4 THEN RETURN:  ELSE BORT = 5: SOUND 550, .5:                                         EXIT SUB                                                                                                     'B O R T = S P O T
END SUB

SUB EEdit
'//   Edit Rooms, Artifacts, Effects or Monsters
'/

c$ = "edit": CALL ESelect: IF ty = 0 OR n%(ty) < 1 THEN EXIT SUB
CALL ESelectNo: nw = 0
IF ty = 1 THEN CALL ReadRoom: CALL EditRoom: CALL WriteRoom
IF ty = 2 THEN CALL ReadArtifact: CALL EditArtifact: CALL WriteArtifact
IF ty = 3 THEN CALL ReadEffect: CALL EditEffect: CALL WriteEffect
IF ty = 4 THEN CALL ReadMonster: CALL EditMonster: CALL WriteMonster
END SUB

SUB EHeader
'//   Standard 5.0 Menu Eye Candy
'/

SCREEN 0: WIDTH 80: CLS : COLOR 1, 0: PRINT " "; STRING$(65, ""); ""
PRINT " "; SPACE$(15); : COLOR 2: PRINT "THE MARVELOUS WORLD OF EAMON DELUXE ";
COLOR 1: PRINT SPACE$(14); "": PRINT " "; SPACE$(19); : COLOR 2
PRINT " Adventure Design Editor 5.0"; : COLOR 1: PRINT SPACE$(18); ""
PRINT " "; : PRINT STRING$(65, ""); "": PRINT
END SUB

SUB EHeader1
'//   Display Database Totals by Type
'/

FOR t = 1 TO 4
   COLOR 3: PRINT "  "; t$(t); "s"; ":"; : COLOR 2: PRINT n%(t);
NEXT: PRINT : PRINT
END SUB

SUB EList
'//   Simple (i.e. slightly crude) subroutine to quick-list database entries
'/

c$ = "list": CALL ESelect: CLS : l = 1: IF ty = 0 THEN EXIT SUB
IF n%(ty) = 0 THEN
  CALL EHeader: COLOR 15: PRINT : a$ = "There's no data of that type to list!"
  l = 25: GOSUB EList3: EXIT SUB
END IF

IF ty = 1 THEN
  COLOR 2: a$ = "LISTING ROOMS:": GOSUB EList3: COLOR 7: PRINT
  FOR no = 1 TO n%(1)
     CALL ReadRoom: GOSUB EList2: IF l = -1 THEN no = n%(1)
  NEXT
END IF
IF ty = 2 THEN
  COLOR 2: a$ = "LISTING ARTIFACTS:": GOSUB EList3: COLOR 7: PRINT
  FOR no = 1 TO n%(2)
     CALL ReadArtifact: GOSUB EList2: IF l = -1 THEN no = n%(2)
  NEXT
END IF
IF ty = 3 THEN
  COLOR 2: a$ = "LISTING EFFECTS:": GOSUB EList3: COLOR 7: PRINT
  FOR no = 1 TO n%(3)
     CALL ReadEffect: COLOR 15: a$ = "Effect #" + LTRIM$(STR$(no)) + ":"
     GOSUB EList3: COLOR 7: IF l = -1 THEN no = n%(3): de$ = ""
EList1:
     IF LEN(de$) > 80 THEN
       a$ = LEFT$(de$, 80): de$ = MID$(de$, 81): GOSUB EList3
       IF l = -1 THEN no = n%(3): de$ = ""
       GOTO EList1
     END IF
     a$ = de$: GOSUB EList3: a$ = "": GOSUB EList3: IF l = -1 THEN no = n%(3)
  NEXT
END IF
IF ty = 4 THEN
  COLOR 2: a$ = "LISTING MONSTERS:": GOSUB EList3: COLOR 7: PRINT
  FOR no = 1 TO n%(4)
     CALL ReadMonster: GOSUB EList2: IF l = -1 THEN no = n%(4)
  NEXT
END IF
IF l > 0 THEN l = 25: a$ = "": GOSUB EList3
EXIT SUB

EList2:
a$ = SPACE$(2 + (no > 9) + (no > 99)) + STR$(no) + ": " + na$
EList3:
'IF pt = 1 THEN LPRINT a$: RETURN ' <-- Printer support something, something
PRINT LEFT$(a$, 80): l = l + 1: IF l < 22 THEN RETURN
COLOR 8: PRINT : PRINT "Hit any key..."; : CALL GetKey
CLS : COLOR 7: l = (a$ = CHR$(27)): RETURN
END SUB

SUB ESelect
'//   Select type of data to manipulate
'/

CALL EHeader: CALL EHeader1: a$ = "  Select type of data to " + c$ + ":"
COLOR 10: PRINT UCASE$(a$): PRINT : c = 0: c1 = 10
CALL EDXMenuM(c, c1, 7, 10, 7, 0)
ty = c: IF c1 = 3 THEN ty = 0
END SUB

SUB ESelectNo
'//        Select number of [data type] to mess around with
'//
ESelectNo1:
CALL EHeader: CALL EHeader1: COLOR 10
a$ = "  Input number of " + t$(ty) + " to " + c$ + ": "
PRINT UCASE$(a$); : LINE INPUT ""; a$: no = INT(VAL(a$))
IF no < 1 OR no > n%(ty) + ABS(c$ = "create") THEN GOTO ESelectNo1
END SUB

SUB ESpecial
'// "Now he thinks he can drive his bed; he's a little bit special..."
'/                                                       -Stephen Lynch

IF dungeons > 1 THEN
  CLS : LOCATE 5: COLOR 15: IF s%(4) <> 1 THEN SOUND 350, .5
  PRINT "The Special Functions Menu is not available for multi-adventure databases."
  LOCATE 10: COLOR 2: PRINT "Hit any key..."; : CALL GetKey: EXIT SUB
END IF

'    Extras Menu
'   -------------
ESpecial1:
CALL EHeader: COLOR 4: PRINT "  Editing: "; : COLOR 12: PRINT aname$
PRINT : CALL EHeader1: PRINT
' em$(17) = "  Turn printer  " + MID$("offon", ABS(pt=0) * 3 + 1, 3) + "  "
c = 0: c1 = 6
CALL EDXMenuM(c, c1, 12, 16, 7, 0)
IF c1 = 3 THEN EXIT SUB
IF (c = 4 AND n%(4) < 1) OR (c = 5 AND n%(1) < 1) THEN GOTO ESpecial1

'  Decrement
IF c = 1 THEN
  c$ = "delete": CALL ESelect: IF ty = 0 OR n%(ty) < 1 THEN EXIT SUB
  n%(ty) = n%(ty) - 1: up = 1: GOTO ESpecial1
END IF
'  Increment
IF c = 2 THEN
  c$ = "increment": CALL ESelect: IF ty = 0 THEN EXIT SUB
  IF n%(ty) > 999 AND ty <> 3 THEN GOTO ESpecial1
  n%(ty) = n%(ty) + 1: up = 1: GOTO ESpecial1
END IF

'  Artifacts for Dummies...
'  ------------------------
IF c = 3 THEN
  CALL EHeader: CALL EHeader1: PRINT : COLOR 10
  PRINT "How many to generate? (0=Quit):"; : COLOR 7: LINE INPUT ""; a$
  a = INT(VAL(a$)): IF a < 1 OR (a + n%(2) > 1000) THEN GOTO ESpecial1
  FOR x = 1 TO a
     n%(2) = n%(2) + 1
     na$ = "Artifact #" + LTRIM$(STR$(n%(2)))
     FOR c = 1 TO 8: a%(c) = 0: NEXT: a%(2) = 1
     de$ = "You see artifact #" + LTRIM$(STR$(n%(2))) + "."
     no = n%(2): CALL WriteArtifact
  NEXT
  up = 1: GOTO ESpecial1
END IF

'  BRING OUT YER DEAD!
' ---------------------
IF c = 4 THEN
  CALL EHeader: CALL EHeader1: PRINT : COLOR 10:
  PRINT "FIRST monster to create body for? (0=Quit, <ENTER>=1):"; : COLOR 7
  LINE INPUT ""; a$: IF a$ = "" THEN a$ = "1"
  a = INT(VAL(a$)): IF a < 1 OR a > n%(4) THEN GOTO ESpecial1
  CALL EHeader: CALL EHeader1: PRINT : x$ = LTRIM$(STR$(n%(4)))
  COLOR 2: PRINT "Starting with monster #"; LTRIM$(STR$(a)): PRINT : COLOR 10
  PRINT "LAST monster to create body for? (0=Quit, <ENTER>="; x$; "):";
  COLOR 7: LINE INPUT ""; a$: IF a$ = "" THEN a$ = x$
  c = INT(VAL(a$)): IF c < 1 OR c < a THEN GOTO ESpecial1
  IF c > n%(4) OR c + n%(2) > 1000 THEN GOTO ESpecial1
  FOR x = a TO c
     no = x: CALL ReadMonster: n%(2) = n%(2) + 1
     a$ = "'s": IF LCASE$(RIGHT$(na$, 1)) = "s" THEN a$ = "'"
     na$ = na$ + a$ + " body": de$ = "You see " + na$ + "."
     FOR c = 1 TO 8: a%(c) = 0: NEXT: a%(2) = 13: a%(3) = 180
     no = n%(2): CALL WriteArtifact
  NEXT
  up = 1: GOTO ESpecial1
END IF

'  MapQuest Deluxe 5.0
' ---------------------
IF c = 5 THEN
  CLS : LOCATE 5: COLOR 2
  PRINT "This routine will scan all current rooms and append valid directions to the end"
  PRINT "of the room names. "; : COLOR 10
  PRINT "e.g. "; q$; "You are in a room. (N/S/E/W)"; q$: COLOR 2: PRINT
  PRINT "Rooms that already have directions at the end of their names ";
  COLOR 10: PRINT "WILL NOT"; : COLOR 2: PRINT " be"
  PRINT "modified (update those manually). All valid directions, (non-hidden) doors,"
  PRINT "Main Hall exits, etc. will be included in the direction list."
  PRINT : COLOR 15: PRINT "  ARE YOU SURE YOU WANT TO CONTINUE? (Y/N):";
  COLOR 7: CALL GetKey: CLS : LOCATE 5: : IF a$ <> "Y" THEN EXIT SUB
  COLOR 15: PRINT " WORKING.......": COLOR 7: x$ = "N S E W U D NENWSESW"
  FOR c = 1 TO n%(1)
     no = c: CALL ReadRoom: a$ = na$: i = 0: f = (RIGHT$(a$, 1) = ")")
     f = f + (INSTR(a$, " (") > 0 OR INSTR(a$, "  (") > 0)
     IF f > -2 THEN
      FOR x = 1 TO nd
       f = (rd%(x) > 0 AND rd%(x) <= n%(1)) + (rd%(x) = -999)
       IF rd%(x) > 1000 AND rd%(x) <= 1000 + n%(2) THEN
        no = rd%(x) - 1000: CALL ReadArtifact
        f = f + (a%(2) = 8 AND a%(8) = 0 AND (a%(4) = c OR a%(4) = 2000 + c))
       END IF
       IF f < 0 THEN
         i = i + 1: IF i = 1 THEN a$ = a$ + " ("
         IF i > 1 THEN a$ = a$ + "/"
         a$ = a$ + RTRIM$(MID$(x$, x * 2 - 1, 2))
       END IF
      NEXT
      IF i > 0 THEN a$ = a$ + ")"
      no = c: CALL ReadRoom: na$ = a$: CALL WriteRoom
      LOCATE 7: PRINT SPACE$(40): LOCATE 7: PRINT "   Fiddling with ";
      PRINT "room name:"; c: FOR c# = 1 TO dly# * 7: NEXT
     END IF
  NEXT
  LOCATE 9: COLOR 15: PRINT " DONE! "; : COLOR 7: CALL GetKey
END IF

'  This area reserved for: ~~THE EDX OF THE FUTURE~~ (or printer fans)
' ---------------------------------------------------------------------
GOTO ESpecial1

'IF c = 6 THEN pt = ABS(pt = 0): GOTO ESpecial1'<-- Olde Printer Toggle
END SUB

SUB GetKey
'// Get a key press - exit with it UCASE-d and stored in a$ (if SHARED)
'/  - (Accepts ASC 27 and 32-95 only, else default to space, ya dingus)
'/  - VI Mode support added: 22 MAY 2013

bs = POS(0): CC# = 0: a$ = INKEY$
DO
  IF s%(4) <> 1 THEN
    CC# = CC# + 1: IF CC# = CC1# THEN PRINT "/": LOCATE CSRLIN - 1, bs
    IF CC# = CC2# THEN PRINT CHR$(179): LOCATE CSRLIN - 1, bs
    IF CC# = CC3# THEN PRINT "\": LOCATE CSRLIN - 1, bs: CC# = 0
  END IF
  a$ = RIGHT$(UCASE$(INKEY$), 1)
LOOP UNTIL a$ <> ""
IF ASC(a$) = 27 THEN PRINT : EXIT SUB
IF ASC(a$) < 32 OR ASC(a$) > 95 THEN a$ = " "
PRINT a$
END SUB

SUB NumInput
'// Get numeric input, keeping values within INTEGER variable limits
'/

CALL TextInput(i$, 6): x = INT(VAL(i$)): IF x = 0 THEN i$ = "0"
IF x > 32767 THEN i$ = "32767"
IF x < -32768 THEN i$ = "-32768"
END SUB

SUB ReadArtifact
GET #11, no + adj2, DS: de$ = RTRIM$(DS.TEXT): GET #2, no + adj2, ART
na$ = RTRIM$(ART.aname): a%(1) = ART.AD1: a%(2) = ART.AD2: a%(3) = ART.AD3
a%(4) = ART.AD4: a%(5) = ART.AD5: a%(6) = ART.AD6: a%(7) = ART.AD7
a%(8) = ART.AD8
END SUB

SUB ReadEffect
GET #13, no + adj3, DS: de$ = RTRIM$(DS.TEXT)
END SUB

SUB ReadMonster
GET #12, no + adj4, DS: de$ = RTRIM$(DS.TEXT): GET #3, no + adj4, MON
na$ = RTRIM$(MON.MNAME): m%(1) = MON.MD1: m%(2) = MON.MD2: m%(3) = MON.MD3
m%(4) = MON.MD4: m%(5) = MON.MD5: m%(6) = MON.MD6: m%(7) = MON.MD7
m%(8) = MON.MD8: m%(9) = MON.MD9: m%(10) = MON.MD10: m%(11) = MON.MD11
m%(12) = MON.MD12: m%(13) = MON.MD13
END SUB

SUB ReadRoom
GET #10, no + adj1, DS: de$ = RTRIM$(DS.TEXT): GET #1, no + adj1, RM
na$ = RTRIM$(RM.RNAME): rd%(1) = RM.d1: rd%(2) = RM.d2: rd%(3) = RM.D3
rd%(4) = RM.D4: rd%(5) = RM.D5: rd%(6) = RM.D6: rd%(7) = RM.D7
rd%(8) = RM.D8: rd%(9) = RM.D9: rd%(10) = RM.D10: rd%(11) = RM.LIGHT
END SUB

SUB TextInput (i$, tl)
'//              EAMON DELUXE 5.0 ADVANCED TEXT INPUT EDITOR
'//                  by Frank Black - May 13, 2013
'//
'    Variables to set before CALLing subroutine:
'             i$: String to edit-- Use null value ("") for new strings
'             tl: Maximum allowed characters (i.e. string length)
'
'    Other variables used by this SUB
'     csr1, csr2: Original row/column locations
'       row, col: Current cursor location (row/column)
'              i: Current cursor location (within i$ string)
'             sl: Current string (i$) length
'       a, x$, x: Generic variables for routines
'

'     Set starting variables
csr1 = CSRLIN: csr2 = POS(0): IF i$ = "" THEN i$ = " "
row = csr1: col = csr2: sl = LEN(i$): i = 1
LOCATE csr1, csr2: PRINT i$ + STRING$(tl - sl, 196): COLOR 8
'     Display help messages (based on max input length)
IF tl > 20 THEN
  PRINT : PRINT
  PRINT "<ESCAPE> Accept ALL displayed text   <ENTER> Accept text from start to cursor"
  PRINT "<TAB> Insert blank space at cursor   <ARROW KEYS/HOME/END> navigate the cursor"
  PRINT "<DELETE> Remove character at cursor  <BACKSPACE> remove character left of cursor"
  IF tl > 80 THEN
    PRINT "<F1> Toggle extended ASCII (all)     <F2> Toggle extended ASCII (at cursor only)"
  END IF
END IF
IF tl < 21 THEN
  PRINT : PRINT "Press <ESCAPE> to keep the current value"
END IF

'     Main Loop for Input Routine
'    -----------------------------
TextInput1:
sl = LEN(i$): IF sl = 0 THEN i$ = " ": sl = 1: i = 1
COLOR 7: LOCATE csr1, csr2: PRINT i$ + STRING$(tl - sl, 196)
IF col > 80 THEN col = 1: row = row + 1
IF col < 1 THEN col = 80: row = row - 1
IF row < csr1 THEN row = csr1: col = 1
IF row = csr1 AND col < csr2 THEN col = csr2
COLOR 0, 7: IF s%(4) = 1 THEN COLOR 14, 0
LOCATE row, col: PRINT MID$(i$, i, 1); : COLOR 7, 0: x$ = ""
DO
  x$ = INKEY$
LOOP UNTIL x$ <> ""
LOCATE row, col: PRINT MID$(i$, i, 1); : LOCATE row, col
a = ASC(RIGHT$(x$, 1)): x = 0
IF a = 83 AND LEN(x$) > 1 AND i = sl THEN a = 8: x$ = CHR$(a)

'     Sort (key) strokes
'    --------------------
IF LEN(x$) > 1 THEN
  ' Weed out/auto-adjust dingus input...
  x = ((a = 75 OR a = 71) AND i = 1) OR (a = 77 AND i = tl)
  x = x + ((a = 72 AND row = csr1) OR (a = 80 AND row = INT(sl / 80) + csr1))
  x = x + ((a = 79 AND i = tl) OR ((a = 59 OR a = 60) AND tl < 81))
  IF x <> 0 THEN GOTO ErrorRtn
  IF a = 80 AND i + 80 > sl THEN a = 79
 
  '   <LEFT>, <RIGHT>, <UP>, <DOWN>
  IF a = 75 THEN
    IF i = sl AND RIGHT$(i$, 1) = " " THEN i$ = LEFT$(i$, sl - 1)
    col = col - 1: i = i - 1: GOTO TextInput1
  END IF
  IF a = 77 THEN
    IF i = sl THEN i$ = i$ + " "
    i = i + 1: col = col + 1: GOTO TextInput1
  END IF
  IF a = 72 THEN
    i$ = RTRIM$(i$): row = row - 1: i = i - 80: GOTO TextInput1
  END IF
  IF a = 80 THEN
    row = row + 1: i = i + 80: IF i > sl THEN i = sl
    GOTO TextInput1
  END IF
'     <HOME>, <END>, <DELETE>
  IF a = 71 THEN
    i$ = RTRIM$(i$): i = 1: row = csr1: col = csr2: GOTO TextInput1
  END IF
  IF a = 79 THEN
    x = INT(sl / 80): row = csr1 + x: col = sl - x * 80
    i = sl: GOTO TextInput1
  END IF
  IF a = 83 THEN
    i$ = MID$(i$, 1, i - 1) + MID$(i$, i + 1): GOTO TextInput1
  END IF
'     <F1>, <F2>  (Extended character toggles)
  IF a = 59 THEN
    x$ = ""
    FOR a = 1 TO sl
       x = 127: IF ASC(MID$(i$, a, 1)) > 127 THEN x = -x
       x$ = x$ + CHR$(ASC(MID$(i$, a, 1)) + x)
    NEXT
    i$ = x$: GOTO TextInput1
  END IF
  IF a = 60 THEN
    x = 127: IF ASC(MID$(i$, i, 1)) > 127 THEN x = -x
    i$ = LEFT$(i$, i - 1) + CHR$(ASC(MID$(i$, i, 1)) + x) + MID$(i$, i + 1)
    GOTO TextInput1
  END IF
END IF

' More dingus input rejection...
IF LEN(x$) > 1 OR (a = 8 AND i = 1) OR (a = 9 AND sl = tl) THEN GOTO ErrorRtn

'     <BACKSPACE>, <TAB>, <ENTER>, <ESC>
IF a = 8 THEN
  i$ = MID$(i$, 1, i - 2) + MID$(i$, i)
  i = i - 1: col = col - 1: GOTO TextInput1
END IF
IF a = 9 THEN i$ = MID$(i$, 1, i - 1) + " " + MID$(i$, i): GOTO TextInput1
IF a = 13 THEN i$ = LEFT$(i$, i + (i > 1 AND i < tl))
IF a = 13 OR a = 27 THEN GOTO TextInputDone

'     Add valid characters to input string (i$)
'    -------------------------------------------
IF a > 31 AND a < 127 THEN
  IF i = tl THEN i$ = MID$(i$, 1, i - 1) + x$: : GOTO TextInput1
  IF i < sl THEN
    IF i = 1 THEN i$ = x$ + MID$(i$, 2)
    IF i > 1 THEN i$ = MID$(i$, 1, i - 1) + x$ + MID$(i$, i + 1)
  END IF
  IF i = sl THEN i$ = LEFT$(i$, sl - 1) + x$ + " "
  i = i + 1: col = col + 1: GOTO TextInput1
END IF

' Dingus input (invalid characters or cursor moves)
'---------------------------------------------------
ErrorRtn:
IF s%(4) = 1 THEN
  LOCATE csr1, csr2: PRINT STRING$(tl, 32): LOCATE csr1, csr2
  PRINT "ERROR! ERROR!": FOR c# = 1 TO dly# * 10: NEXT
END IF
IF s%(4) <> 1 THEN SOUND 350, .5
GOTO TextInput1

' Display input text, clean up screen and VAMOS!
'------------------------------------------------
TextInputDone:
LOCATE csr1, csr2: PRINT STRING$(tl, 32): PRINT
PRINT STRING$(160 + (240 * ABS(tl > 20)), 32)
LOCATE csr1, csr2: i$ = RTRIM$(i$): PRINT i$: PRINT
END SUB

SUB WriteArtifact
ART.aname = na$: ART.AD1 = a%(1): ART.AD2 = a%(2): ART.AD3 = a%(3)
ART.AD4 = a%(4): ART.AD5 = a%(5): ART.AD6 = a%(6): ART.AD7 = a%(7)
ART.AD8 = a%(8)
PUT #2, no + adj2, ART: DS.TEXT = de$: PUT #11, no + adj2, DS
END SUB

SUB WriteEffect
DS.TEXT = de$: PUT #13, no + adj3, DS
END SUB

SUB WriteMonster
MON.MNAME = na$: MON.MD1 = m%(1): MON.MD2 = m%(2): MON.MD3 = m%(3)
MON.MD4 = m%(4): MON.MD5 = m%(5): MON.MD6 = m%(6): MON.MD7 = m%(7)
MON.MD8 = m%(8): MON.MD9 = m%(9): MON.MD10 = m%(10): MON.MD11 = m%(11):
MON.MD12 = m%(12): MON.MD13 = m%(13)
PUT #3, no + adj4, MON: DS.TEXT = de$: PUT #12, no + adj4, DS
END SUB

SUB WriteRoom
RM.RNAME = LEFT$(na$, 79): RM.d1 = rd%(1): RM.d2 = rd%(2): RM.D3 = rd%(3)
RM.D4 = rd%(4): RM.D5 = rd%(5): RM.D6 = rd%(6): RM.D7 = rd%(7)
RM.D8 = rd%(8): RM.D9 = rd%(9): RM.D10 = rd%(10): RM.LIGHT = rd%(11)
PUT #1, no + adj1, RM: DS.TEXT = de$: PUT #10, no + adj1, DS
END SUB

