' THE MARVELOUS WORLD OF EAMON DELUXE v5.0 ͻ
'                  by Frank Black Productions                    
'                                                                
'      Originally based upon the classic Eamon                   
'              computerized fantasy role-playing system          
'                                                                
'            BASE ADVENTURE PROGRAM 5.0-B (Build 6612)           
'                                                                
'  Eamon 7.0 Demo Adventure              Revision: 15 OCT 2000   
'    by Tom Zuchowski                      Update: 09 JUN 2012   
'                                                                
' ALL NON-COMMERCIAL DISTRIBUTION ENCOURAGED ͼ

' 5.0-B is a direct twin of MAINPGM 5.0 except that it has a
' slightly different Battle subroutine and also some of the text
' differs,  such as SMILE responses, monster health status, and
' other  miscellaneous areas of the game text. These small changes
' are intended to make Classic Eamon v7.x conversions more
' authentic. (Long live Lord Crankhandle!)
'
' This was use to be the standard style of MAINPGM for new Eamon
' Deluxe adventures but, with the Eamon Deluxe 5.0 revision it has
' been replaced with the version which more closely follows the
' style of Donald Brown's original Eamon.

DECLARE SUB Main ()
DECLARE SUB Init ()
DECLARE SUB StatDisplay ()
ON ERROR GOTO ErrHandler

TYPE DESC
  TEXT AS STRING * 255
END TYPE
DIM SHARED DS AS DESC

TYPE ROOM
  RNAME AS STRING * 79: RD1 AS INTEGER: RD2 AS INTEGER: RD3 AS INTEGER
  RD4 AS INTEGER: RD5 AS INTEGER: RD6 AS INTEGER: RD7 AS INTEGER
  RD8 AS INTEGER: RD9 AS INTEGER: RD10 AS INTEGER: RLIGHT AS INTEGER
END TYPE
DIM SHARED rm AS ROOM

TYPE ARTIFACT
  ARTNAME AS STRING * 35: AD1 AS INTEGER: AD2 AS INTEGER: AD3 AS INTEGER:
  AD4 AS INTEGER: AD5 AS INTEGER: AD6 AS INTEGER: AD7 AS INTEGER:
  AD8 AS INTEGER
END TYPE
DIM SHARED art AS ARTIFACT

TYPE MONSTER
  MNAME AS STRING * 35: MD1 AS INTEGER: MD2 AS INTEGER: MD3 AS INTEGER:
  MD4 AS INTEGER: MD5 AS INTEGER: MD6 AS INTEGER: MD7 AS INTEGER:
  MD8 AS INTEGER: MD9 AS INTEGER: MD10 AS INTEGER: MD11 AS INTEGER
  MD12 AS INTEGER: MD13 AS INTEGER
END TYPE
DIM SHARED mon AS MONSTER

TYPE RECORD
  CNAME AS STRING * 40: Status AS INTEGER: A1 AS INTEGER: a2 AS INTEGER
  a3 AS INTEGER: SP1 AS INTEGER: SP2 AS INTEGER: SP3 AS INTEGER
  SP4 AS INTEGER: WA1 AS INTEGER: WA2 AS INTEGER: WA3 AS INTEGER
  WA4 AS INTEGER: WA5 AS INTEGER: ae AS INTEGER: sex AS INTEGER: gold AS LONG
  bank AS LONG: ac AS INTEGER: WN1 AS STRING * 20: WN2 AS STRING * 20
  WN3 AS STRING * 20: WN4 AS STRING * 20: WCOMPLX1 AS INTEGER
  WCOMPLX2 AS INTEGER: WCOMPLX3 AS INTEGER: WCOMPLX4 AS INTEGER
  WTYPE1 AS INTEGER: WTYPE2 AS INTEGER: WTYPE3 AS INTEGER: WTYPE4 AS INTEGER
  WDICE1 AS INTEGER: WDICE2 AS INTEGER: WDICE3 AS INTEGER: WDICE4 AS INTEGER
  WSIDES1 AS INTEGER: WSIDES2 AS INTEGER: WSIDES3 AS INTEGER
  WSIDES4 AS INTEGER
END TYPE
DIM SHARED z AS RECORD

'      Variable table
'
DIM SHARED a0$, a$, a, a2, ac%, adj1, adj2, adj3, adj4, adv, ae%, af%, ar%
DIM SHARED bank, BORT, c, ch%, cz$, d, d2, db, df, die, em%, f, gold, ha%, k$
DIM SHARED k, l, l2, ls%, lt%, m, mc%, na, naf, nc, nd, ne, nh, nm, nr, odds%
DIM SHARED of, q$, r, r2, r3, rl, ro, s, s$, s2$, sex%, sh%, sl, Speed, sy$
DIM SHARED sy, v$, w, wh%, wt, x$, x, x1, x2
DIM SHARED dly#, CC1#, CC2#, CC3#

OPEN "NAME.DAT" FOR INPUT AS #1: INPUT #1, nr, naf, ne, nm, a$, nd

db = 0: nr = 19: naf = 142: nm = 62: ne = 1
adj1 = 99: adj2 = 100: adj3 = 33: adj4 = 51: na = naf + 6: nd = 6

OPEN "HINTDIR.DAT" FOR INPUT AS #2: OPEN "SETTINGS.DAT" FOR INPUT AS #3
READ nc: INPUT #2, nh

' No hints in 7.0 Adventure Demo
nh = 1

'      Array table
'
DIM SHARED a$(na), a%(na, 8), bv$(5, 2), c$(nc), d(50), d%(50), gm$(5)
DIM SHARED h$(nh), h%(nh, 1), m$(nm), m%(nm, 15), NBTL(4), r%(nr, 11), r$(nr)
DIM SHARED rb$(5, 1), s%(10), sa%(8), sex$(1), sm$(3), wa%(5), wp$(5)

FOR a = 1 TO 4: READ wp$(a): NEXT
FOR a = 1 TO nc: READ c$(a): NEXT: CALL Init
FOR a = 0 TO 5: FOR a2 = 0 TO 2: READ bv$(a, a2): NEXT: NEXT
FOR a = 0 TO 5: FOR a2 = 0 TO 1: READ rb$(a, a2): NEXT: NEXT
FOR a = 1 TO 3: READ sm$(a): NEXT: FOR a = 1 TO 5: READ wp$(a): NEXT

'                 ------------------
'                   Start the game
'                 ------------------
CLS : WIDTH 80: COLOR 15: PRINT "(Base Program 5.0-B)": LOCATE 11: COLOR 2
PRINT "     Welcome to the Eamon Deluxe fantasy gaming system!"
PRINT : PRINT SPACE$(18); "Hit any key to begin.": a$ = INKEY$
DO
  a = RND
LOOP UNTIL INKEY$ <> ""
CLS : LOCATE 24: CALL Main

'            -----------------------------
'              Return here when finished
'            -----------------------------
CLOSE : OPEN "GAMEDIR.DAT" FOR OUTPUT AS #1: PRINT #1, -1
FOR m = 1 TO 5: PRINT #1, "(none)": NEXT: CLOSE
FOR m = 1 TO 5
   a$ = "GAME" + LTRIM$(STR$(m)) + ".SAV"
   OPEN a$ FOR OUTPUT AS #1: PRINT #1, "ARGH!": CLOSE : KILL a$
NEXT
OPEN "NEW-MEAT" FOR RANDOM AS #1 LEN = 200: GET #1, 1, z: CLOSE
KILL "NEW-MEAT": CHDIR ".."
r = z.Status: IF r < 1 THEN CHDIR "DD": RUN "DDMENU"

'    Update character & exit
'   -------------------------
IF die <> -1 THEN
  z.CNAME = m$(0): z.A1 = m%(0, 1): z.a2 = m%(0, 2): z.a3 = ch%
  z.SP1 = sa%(5): z.SP2 = sa%(6): z.SP3 = sa%(7): z.SP4 = sa%(8)
  z.WA1 = wa%(1): z.WA2 = wa%(2): z.WA3 = wa%(3): z.WA4 = wa%(4)
  z.WA5 = wa%(5): z.ae = ae%: z.sex = sex%: z.gold = gold: z.bank = bank
  z.ac = ac%: a = a%(1, 0): m = a%(2, 0): k = a%(3, 0): w = a%(4, 0)
  z.WN1 = a$(a): z.WN2 = a$(m): z.WN3 = a$(k): z.WN4 = a$(w)
  z.WCOMPLX1 = a%(a, 5): z.WCOMPLX2 = a%(m, 5): z.WCOMPLX3 = a%(k, 5)
  z.WCOMPLX4 = a%(w, 5): z.WTYPE1 = a%(a, 6): z.WTYPE2 = a%(m, 6)
  z.WTYPE3 = a%(k, 6): z.WTYPE4 = a%(w, 6): z.WDICE1 = a%(a, 7)
  z.WDICE2 = a%(m, 7): z.WDICE3 = a%(k, 7): z.WDICE4 = a%(w, 7)
  z.WSIDES1 = a%(a, 8): z.WSIDES2 = a%(m, 8): z.WSIDES3 = a%(k, 8)
  z.WSIDES4 = a%(w, 8)
END IF
z.Status = 1 + ABS(die = 1): CHDIR "MAIN"
OPEN "PLAYER" FOR OUTPUT AS #2: PRINT #2, r: CLOSE
OPEN "PLAYERS.DAT" FOR RANDOM AS #1 LEN = 200: PUT #1, r, z: CLOSE
IF die <> 1 THEN RUN "MAINHALL"
CHDIR "..": RUN "EAMONDX"

'        ------------
'         Error trap
'        ------------
ErrHandler:
COLOR 15: PRINT : PRINT SPACE$(15);
PRINT "UH-OH, A PROGRAM ERROR JUST POPPED UP! (CODE"; STR$(ERR); ")": PRINT
k$ = "try and continue": IF ERR > 51 THEN k$ = "exit to Main Menu"
PRINT SPACE$(20); "Hit any key to "; k$; "...": k$ = INKEY$: k$ = ""
DO
  k$ = INKEY$
LOOP UNTIL k$ <> ""
PRINT : IF ERR > 51 THEN CHDIR "..": RUN "EAMONDX"
PRINT "ATTEMPTING TO CONTINUE...": PRINT : l = 0: COLOR 7: RESUME NEXT

DATA 42,leather,chain,plate,magic
DATA north,south,east,west,up,down,ne,nw,se,sw,flee,close,drink,drop,eat
DATA examine,get,light,open,put,read,ready,remove,use,wear,attack,blast,free
DATA give,heal,request,smile,inventory,look,say,speed,power,status,hints,save
DATA restore,quit
'
DATA lunges,tears,claws,swings,chops,swings,shoots,shoots,shoots
DATA swings,swings,swings,stabs,lunges,jabs,swings,chops,stabs
'
DATA Missed,Missed,Parried,Missed,Missed,Missed,Parried,Missed,Parried,Missed
DATA Parried,Missed
'
DATA growl,look,smile
'
DATA axe,missile weapon,club,spear,sword

SUB Init
FOR r = 1 TO nh: LINE INPUT #2, h$(r): INPUT #2, h%(r, 0), h%(r, 1): NEXT
INPUT #3, dly#, CC1#, CC2#, CC3#: FOR x = 1 TO 10: INPUT #3, s%(x): NEXT
CLOSE : OPEN "ROOMS.DAT" FOR RANDOM AS #1 LEN = 101
OPEN "ARTIFACT.DAT" FOR RANDOM AS #2 LEN = 51
OPEN "MONSTERS.DAT" FOR RANDOM AS #3 LEN = 61
OPEN "NEW-MEAT" FOR RANDOM AS #4 LEN = 200

FOR r = 1 TO nr
  GET #1, r + adj1, rm: r$(r) = LTRIM$(RTRIM$(rm.RNAME))
  r%(r, 1) = rm.RD1: r%(r, 2) = rm.RD2: r%(r, 3) = rm.RD3: r%(r, 4) = rm.RD4
  r%(r, 5) = rm.RD5: r%(r, 6) = rm.RD6: r%(r, 7) = rm.RD7: r%(r, 8) = rm.RD8
  r%(r, 9) = rm.RD9: r%(r, 10) = rm.RD10: r%(r, 11) = rm.RLIGHT
NEXT
FOR a = 1 TO naf
  GET #2, a + adj2, art: a$(a) = LTRIM$(RTRIM$(art.ARTNAME))
  a%(a, 1) = art.AD1: a%(a, 2) = art.AD2: a%(a, 3) = art.AD3
  a%(a, 4) = art.AD4: a%(a, 5) = art.AD5: a%(a, 6) = art.AD6
  a%(a, 7) = art.AD7: a%(a, 8) = art.AD8
NEXT
FOR m = 1 TO nm
  GET #3, m + adj3, mon: m$(m) = LTRIM$(RTRIM$(mon.MNAME))
  m%(m, 1) = mon.MD1: m%(m, 2) = mon.MD2: m%(m, 3) = mon.MD3
  m%(m, 4) = mon.MD4: m%(m, 5) = mon.MD5: m%(m, 6) = mon.MD6
  m%(m, 7) = mon.MD7: m%(m, 8) = mon.MD8: m%(m, 9) = mon.MD9
  m%(m, 10) = mon.MD10: m%(m, 11) = mon.MD11: m%(m, 14) = mon.MD12
  m%(m, 15) = mon.MD13: m%(m, 12) = m%(m, 3)
NEXT
'              - Character data -
GET #4, 1, z
m$(0) = LTRIM$(RTRIM$(z.CNAME)): stat = z.Status: m%(0, 1) = z.A1
m%(0, 2) = z.a2: ch% = z.a3: sa%(5) = z.SP1: sa%(6) = z.SP2: sa%(7) = z.SP3
sa%(8) = z.SP4: wa%(1) = z.WA1: wa%(2) = z.WA2: wa%(3) = z.WA3
wa%(4) = z.WA4: wa%(5) = z.WA5: ae% = z.ae: sex% = z.sex: gold = z.gold
bank = z.bank: ac% = z.ac: a = naf + 1: m = naf + 2: k = naf + 3: na = naf + 4
a$(a) = z.WN1: a$(m) = z.WN2: a$(k) = z.WN3: a$(na) = z.WN4
a%(a, 5) = z.WCOMPLX1: a%(m, 5) = z.WCOMPLX2: a%(k, 5) = z.WCOMPLX3
a%(na, 5) = z.WCOMPLX4: a%(a, 6) = z.WTYPE1: a%(m, 6) = z.WTYPE2
a%(k, 6) = z.WTYPE3: a%(na, 6) = z.WTYPE4: a%(a, 7) = z.WDICE1
a%(m, 7) = z.WDICE2: a%(k, 7) = z.WDICE3: a%(na, 7) = z.WDICE4
a%(a, 8) = z.WSIDES1: a%(m, 8) = z.WSIDES2: a%(k, 8) = z.WSIDES3
a%(na, 8) = z.WSIDES4: CLOSE : IF m%(0, 1) < 5 THEN m%(0, 1) = 5
IF m%(0, 1) > 500 THEN m%(0, 1) = 500

'  Make stuff into artifacts
'
FOR a = naf + 1 TO na
   a%(a, 0) = 1: a$(a) = LTRIM$(RTRIM$(a$(a)))
   FOR m = 6 TO 8
      IF a%(a, m) < 1 THEN a%(a, m) = 1
      IF m = 6 AND a%(a, m) > 5 THEN a%(a, m) = 5
   NEXT
   IF LCASE$(a$(a)) <> "none" AND a$(a) <> "" THEN
     m = a%(a, 7) * a%(a, 8): a%(a, 2) = 2 + ABS(m > 24)
     a%(a, 1) = 25 * (a%(a, 2) - 1): a%(a, 3) = 5: a%(a, 4) = -1
     IF m > a%(f, 7) * a%(f, 8) THEN f = a
   END IF
NEXT
m%(0, 8) = -1: IF f > 0 THEN m%(0, 8) = f
IF ac% > 15 THEN ac% = 15
a = INT(ac% / 2): x = ABS(ac% / 2 <> a): s = a + ((4 - a) * ABS(a > 4))
IF a > 0 THEN
  na = na + 1: ar% = na: a$(na) = wp$(s) + " armor": a%(na, 5) = a * 2
  a%(na, 1) = a * 100 + 1000 * ABS(a > 3): a%(na, 2) = 11
  a%(na, 3) = 25: a%(na, 4) = -999
END IF
IF x = 1 THEN
  na = na + 1: sh% = na: a$(na) = "shield": a%(na, 5) = 1: a%(na, 1) = 40
  a%(na, 2) = 11: a%(na, 3) = 5: a%(na, 4) = -999
END IF

'   Duplicate name check
'  ----------------------
CheckDup:
FOR a = 1 TO na
   FOR m = a + 1 TO na
      IF LCASE$(a$(m)) = LCASE$(a$(a)) THEN a$(m) = a$(m) + "#": c = 1
   NEXT
NEXT
IF c = 1 THEN c = 0: GOTO CheckDup

ro = 1: r2 = 1: r3 = 1: q$ = CHR$(34): sex$(0) = "Male": sex$(1) = "Female"
FOR a = naf + 1 TO na: wt = wt + a%(a, 3): a%(a, 0) = 1: NEXT
m%(0, 7) = a%(ar%, 5) / 2 + a%(sh%, 5): m%(0, 11) = 3
FOR a = 1 TO 4: sa%(a) = sa%(a + 4): NEXT
IF nd = 6 THEN FOR c = 7 TO 10: c$(c) = "": NEXT
OPEN "ROOMS.DSC" FOR RANDOM AS #2 LEN = 255
OPEN "ARTIFACT.DSC" FOR RANDOM AS #3 LEN = 255
OPEN "MONSTERS.DSC" FOR RANDOM AS #4 LEN = 255
OPEN "EFFECT.DSC" FOR RANDOM AS #5 LEN = 255
END SUB

SUB Main
GOTO Move2

'                         The Main Loop
'                         -------------
Main:
a = ls%: GOSUB Lp1: IF die = 1 THEN GOTO EndGame
IF a > 0 AND a%(a, 5) <> -1 THEN
  a%(a, 5) = a%(a, 5) - 1: IF a%(a, 5) < 1 THEN GOSUB LightOut: GOTO Main
  x$ = " grows dim!": IF a%(a, 5) < 10 THEN x$ = " is almost out!"
  IF a%(a, 5) < 20 THEN a$ = "The " + a$(a) + x$: GOSUB Lp10A
END IF
IF Speed > 0 THEN
  Speed = Speed - 1
  IF Speed = 0 THEN
    m%(0, 2) = m%(0, 2) / 2: a$ = "Your speed spell has expired!": GOSUB Lp10A
  END IF
END IF
FOR s = 1 TO 4
   IF sa%(s) < sa%(s + 4) THEN sa%(s) = sa%(s) * 1.1
   IF sa%(s) > sa%(s + 4) THEN sa%(s) = sa%(s + 4)
NEXT

'    Room name and desc
'   --------------------
Main1:
IF lt% = 0 THEN
  COLOR 8: a$ = "It's too dark to see.": GOSUB Lp10C: GOTO Com1
END IF
COLOR 12: PRINT r$(ro): GOSUB Lp4: l2 = 1
IF r%(ro, 0) = 0 THEN r%(ro, 0) = 1: r = ro: GOSUB DiskRead1

'    Monsters in room
'   ------------------
Main2:
FOR m = 1 TO nm
   IF m%(m, 5) = ro THEN
     IF m%(m, 0) = 0 THEN
       IF l2 = 0 THEN GOSUB Lp1
       m%(m, 0) = 1: r = m: GOSUB DiskRead3: l2 = 3
     END IF
     a$ = LTRIM$(STR$(m%(m, 3))) + " " + m$(m) + "s are here."
     IF m%(m, 3) < 2 THEN a$ = m$(m) + " is here."
     PRINT a$: GOSUB Lp2: IF l2 = 3 THEN GOSUB Lp1
     l2 = ABS(l2 = 3)
   END IF
Main2A:
NEXT
'    Artifacts in room
'   -------------------
Main3:
FOR a = 1 TO na
   IF a%(a, 4) = ro THEN
     IF a > naf THEN
       PRINT "Your "; a$(a); " is here.": GOSUB Lp2: l2 = 0: GOTO Main3A
     END IF
     IF a%(a, 0) = 0 THEN
       IF l2 = 0 THEN GOSUB Lp1
       a%(a, 0) = 1: r = a: GOSUB DiskRead2: l2 = 3
     END IF
     PRINT "You see "; a$(a); ".": GOSUB Lp2
     IF a%(a, 2) = 4 AND a%(a, 6) = 1 THEN COLOR 4: GOSUB Inv4: COLOR 12
     IF l2 = 3 THEN GOSUB Lp1
     l2 = ABS(l2 = 3)
   END IF
Main3A:
NEXT
IF l2 = 0 THEN l2 = 1: GOSUB Lp1
'    Input command
'    -------------
Com0:
GOSUB Lp1: GOSUB Bort1
'
'  ---> Add special events here
'
Com1:
PRINT "Your command?->"; : LINE INPUT ""; a0$: IF a0$ = "" THEN a0$ = cz$
a0$ = RTRIM$(LTRIM$(a0$)): cz$ = a0$: a$ = LCASE$(a0$): l = 1
IF s%(4) = 1 THEN CLS :  ELSE LOCATE CSRLIN - 1, 16

'    Parse command; verb, subject, 2nd subject
'   -------------------------------------------
c = 0: v$ = "": s$ = "": s2$ = "": IF a$ = "" THEN GOTO Err0
a = INSTR(a$, " ")
IF a > 0 THEN
  v$ = LTRIM$(RTRIM$(LEFT$(a$, a - 1))): s$ = LTRIM$(RTRIM$(MID$(a$, a + 1)))
  a$ = s$: a0$ = LTRIM$(RTRIM$(MID$(a0$, a + 1)))
END IF
IF v$ = "" THEN v$ = a$: a$ = "": GOTO Com2
IF v$ = "at" THEN v$ = "a"
a = INSTR(s$, " to ") + INSTR(s$, " on ") + INSTR(s$, " in ") + INSTR(s$, " at ")
IF a > 0 THEN
  s2$ = LTRIM$(RTRIM$(MID$(s$, a + 4))): s$ = LTRIM$(RTRIM$(LEFT$(s$, a - 1)))
END IF
IF s2$ <> "" THEN GOTO Com2
a = INSTR(s$, " from ") + INSTR(s$, " with ") + INSTR(s$, " into ")
IF a > 0 THEN
  s2$ = LTRIM$(RTRIM$(MID$(s$, a + 6))): s$ = LTRIM$(RTRIM$(LEFT$(s$, a - 1)))
END IF
Com2:
FOR k = 1 TO nc
   m = INSTR(c$(k), v$)
   IF m > 0 AND (m = 1 OR RIGHT$(c$(k), LEN(v$)) = v$) THEN c = k: k = nc
NEXT
COLOR 7: PRINT UCASE$(c$(c)); " "; UCASE$(a$): COLOR 3: PRINT
IF c = 0 THEN GOTO Err0
'               --- Branch to command ---
Com3:
FOR a = 0 TO 8: a%(0, a) = 0: NEXT: a$(0) = "": a = 0: m = 0: f = 0
IF c < 12 THEN ON ABS(c = 11) + 1 GOTO Move, Flee
IF c < 38 AND c <> 18 AND c <> 33 AND lt% = 0 THEN GOTO Main
f = INSTR("blastheal_speedpower", c$(c)): s = INT(f / 5 + 1) * ABS(f > 0)
IF s > 0 THEN GOSUB SpellCast: IF odds% = 0 THEN GOTO Pfoe
ON c - 11 GOTO ItemClose, Drink, Drop, Drink, Examine, ItemGet, Light
ON c - 18 GOTO ItemOpen, ItemPut, ItemRead, Ready, Remove, Use, Wear
ON c - 25 GOTO Attack, Blast, Free, Give, Heal, Request, Smile
ON c - 32 GOTO Inv, Look, Say, Speed, Power, Status, Hints
ON c - 39 GOTO SGSave, SGRestore, Quit

'             ----------------------
'              Commands return here
'             ----------------------
Pfoe:
COLOR 3: GOSUB Lp1: m = 0: IF die = 1 THEN GOTO EndGame
NBTL(1) = INT(NBTL(1) * ABS(NBTL(1) > 0)): IF NBTL(1) = 0 THEN GOTO Pfoe3
'
Pfoe0:
m = m + 1: IF m%(m, 5) <> ro OR m%(m, 11) = 2 THEN GOTO Pfoe2A
s = (m%(m, 13) > 0 OR m%(m, 12) < m%(m, 3)) + (m%(m, 13) + 4 >= m%(m, 1))
GOSUB RollDice: rl = rl + ABS(s * 5)
IF rl <= m%(m, 4) OR m%(m, 4) > 99 THEN GOTO SkipFlee

'  Monsters flee
' ---------------
GOSUB CheckNX: rl = m%(m, 3): GOSUB RollDice2: a$ = m$(m)
IF m%(m, 3) > 1 THEN a$ = LTRIM$(STR$(rl)) + " " + m$(m)
IF rl > 1 THEN a$ = a$ + "s"
IF k = 0 THEN
 x$ = " tries ": IF rl > 1 THEN x$ = " try "
 a$ = a$ + x$ + "to flee, but can't find an exit!": GOSUB Lp10A: GOTO Pfoe2A
END IF
'
NBTL(m%(m, 11)) = NBTL(m%(m, 11)) - m%(m, 1) * rl
x$ = " flees": IF rl > 1 THEN x$ = " flee"
IF rl < m%(m, 3) THEN
  m%(m, 3) = m%(m, 3) - rl: a$ = a$ + x$ + "!": GOSUB Lp10A: GOTO SkipFlee
END IF
GOSUB Flee1: m%(m, 5) = r2: IF rl < 5 OR rl > 6 THEN x$ = x$ + " to the"
a$ = a$ + x$ + " " + c$(rl): IF rl = 5 OR rl = 6 THEN a$ = a$ + "ward"
a$ = a$ + "!": GOSUB Lp10A: GOTO Pfoe2A
'
SkipFlee:
mc% = 0: of = m: df = 0
Pfoe1:
mc% = mc% + 1: df = 0: IF mc% > m%(m, 3) OR mc% > 5 THEN GOTO Pfoe2A
'
' Enemies pick foe
'
IF m%(m, 11) = 1 AND NBTL(3) > m%(0, 1) THEN
  FOR x2 = 1 TO nm
     IF m%(x2, 5) = ro AND m%(x2, 11) = 3 THEN
       GOSUB RollDice: IF rl < 35 THEN df = x2: IF rl < 20 THEN x2 = nm
     END IF
  NEXT
END IF
'
' Friends pick foe
'
IF m%(m, 11) = 3 THEN
  FOR x2 = 1 TO nm
   IF m%(x2, 5) = ro AND m%(x2, 11) = 1 THEN
     df = x2: GOSUB RollDice: IF rl < 20 THEN x2 = nm
   END IF
  NEXT
  IF df = 0 THEN GOTO Pfoe2A
END IF
'
'  Send 'em off to war
'
Pfoe2:
GOSUB Battle: IF die = 1 THEN GOTO EndGame
IF NBTL(1) > 0 THEN GOTO Pfoe1
'
Pfoe2A:
IF m < nm THEN GOTO Pfoe0
GOSUB EnemyCheck

'    End of round events
'   --------------------
Pfoe3:
IF NBTL(1) = 0 THEN
  FOR of = 1 TO nm
     IF m%(of, 5) = ro AND m%(of, 8) < 0 THEN GOSUB GetWep
  NEXT
END IF
'
'  --> Add special events here
'
GOTO Main

'             -------------------------------------
'                     COMMANDS START HERE
'             -------------------------------------
Move:
a$ = "You can't turn your back here!"
r2 = r%(ro, c): IF NBTL(1) > 0 AND lt% > 0 THEN GOTO Lp8
'
MoveCheck:
IF r2 > 0 AND r2 <= nr THEN GOTO Move2
a = r2 - 1000: GOSUB CheckDoor
IF f = 1 THEN
  IF d <> 0 THEN r2 = d: GOTO MoveCheck
  a$ = "The " + a$(a) + " blocks the way!": GOTO Lp8
END IF
'
'  --> Add special moves here
'
IF r2 = -999 THEN
  a$ = "You return to the Main Hall.": GOSUB Lp10A: die = 0: GOTO EndGame
END IF
a$ = "You can't go that way!": GOTO Lp8
'
' Change rooms
Move2:
r3 = ro: ro = r2: GOSUB MoveMons: GOSUB EnemyCheck: m%(0, 5) = ro
ls% = ls% * ABS(a%(ls%, 4) = -1): lt% = ABS(r%(ro, 11) > 0 OR ls% > 0)
IF r%(ro, 11) > 0 AND ls% > 0 AND a%(ls%, 5) <> -1 THEN
  PRINT "It's not dark here. "; : GOSUB Af2: IF s$ = "y" THEN ls% = 0
END IF
GOTO Main

'                     Flee
'                    ------
Flee:
IF NBTL(1) = 0 THEN a$ = "Calm down.": GOTO Lp8
GOSUB CheckNX: IF w = 0 THEN a$ = "There's no place to go!": GOTO Lp8
IF s$ <> "" THEN
  FOR k = 1 TO nd
     m = INSTR(c$(k), s$)
     IF m > 0 AND (m = 1 OR RIGHT$(c$(k), LEN(s$)) = s$) THEN c = k: k = nd
  NEXT
END IF
IF c > nd THEN m = 0: GOSUB Flee1: c = rl
x$ = "to the " + c$(c): IF c > 4 AND c < 7 THEN x$ = c$(c) + "ward"
a$ = "Attempting to flee " + x$ + "...": COLOR 15: GOSUB Lp10B
r2 = r%(ro, c): GOTO MoveCheck
'
Flee1:
rl = nd: GOSUB RollDice2: r2 = r%(ro, rl): a = r2 - 1000
GOSUB CheckDoor: IF f = 1 THEN r2 = d
IF r2 = 0 OR r2 = ro OR (m > 0 AND (r2 < 1 OR r2 > nr)) THEN GOTO Flee1
RETURN


' Close
' -----
ItemClose:
GOSUB CheckSub: GOSUB Asearch: IF f <> 1 THEN GOTO Err1
m = a%(a, 2): k = 6 + ABS(m = 8): w = 1 - ABS(m = 8)
IF m = 6 OR m = 7 OR m = 9 OR a%(a, 6 + (m = 4)) = -1 THEN GOTO Err5
IF m <> 4 AND m <> 8 THEN a$ = "You can't close it.": GOTO Lp8
IF m = 8 AND a%(a, 8) = 1 THEN GOTO Err7
IF a%(a, 6 + (m = 4)) = -2 THEN a$ = "You broke it!": GOSUB Lp1: GOTO Lp9A
IF a%(a, k) <> w THEN a$ = "It's not open.": GOTO Lp8
GOSUB Caps: PRINT a$; "closed.": a%(a, k) = 0 + ABS(m = 8): GOTO Lp12

' Drink/Eat
' -----------
Drink:
GOSUB CheckSub: GOSUB Asearch: IF f <> 1 THEN GOTO Err3
m = a%(a, 2): IF m <> 6 AND m <> 9 THEN GOTO Err3
IF a%(a, 7) = 0 THEN GOTO Err2
IF a%(a, 6) < 1 THEN PRINT "There's none left.": GOTO Lp12
a%(a, 6) = a%(a, 6) - 1
IF a%(a, 6) < 1 THEN
  a%(a, 1) = 0
  IF m = 9 THEN GOSUB WTRem: a%(a, 4) = 0: a$ = "You eat it all.": GOSUB Lp10A
END IF
IF a%(a, 5) = 0 THEN PRINT "Ok.": GOTO Lp12
m%(0, 13) = m%(0, 13) - a%(a, 5): IF m%(0, 13) < 0 THEN m%(0, 13) = 0
PRINT "You feel "; MID$("betterworse", ABS(a%(a, 5) < 0) * 6 + 1, 6); "!"
GOSUB Lp4: df = 0: d2 = 0: GOSUB Mstatus: GOTO Pfoe

'  Drop
'--------
Drop:
GOSUB CheckSub: GOSUB Asearch2: d = 0: IF f = 1 THEN GOSUB Drop2: GOTO Pfoe
IF s$ = "all" THEN
  FOR a = 1 TO na
     IF a%(a, 4) = -1 THEN GOSUB Drop2
     IF a%(a, 4) = -999 OR a%(a, 4) = -1 THEN d = d + a%(a, 3)
  NEXT
  wt = d: m%(0, 8) = -1: GOSUB Lp4: GOTO Pfoe
END IF
w = f: GOSUB Asearch3: IF f = 1 THEN GOTO Err6
f = w: a$ = ".": GOTO Err1A
Drop2:
w = a%(a, 3): IF a%(a, 2) = 4 THEN GOSUB ContWT
wt = wt - w: a%(a, 4) = ro: IF wt < 0 THEN wt = 0
IF a = m%(0, 8) THEN m%(0, 8) = -1
GOSUB Caps: PRINT a$; "dropped.": GOSUB Lp4: IF a = ls% THEN GOTO LightOut
RETURN

' Examine
'---------
Examine:
GOSUB CheckSub: IF s$ = "room" THEN GOTO Look
GOSUB Asearch: IF f > 1 THEN GOTO Main
IF f = 0 THEN GOSUB Asearch3: IF f = 0 THEN GOTO Examine1
' Artifacts
IF a%(a, 4) = 2000 + ro THEN a%(a, 4) = ro
IF a%(a, 2) = 8 THEN a%(a, 8) = 0
IF a > naf THEN PRINT "This is your "; a$(a); ".": GOTO Lp12
IF a%(a, 2) = 12 THEN GOSUB ItemGet3: GOTO Main
r = a: GOSUB DiskRead2: a%(a, 0) = 1
IF a%(a, 2) = 6 OR a%(a, 2) = 9 THEN
  s = ABS(a%(a, 6) = 1): d = ABS(a%(a, 2) = 9)
  a$ = "There " + MID$("are is ", s * 4 + 1, 4) + LTRIM$(STR$(a%(a, 6)))
  a$ = a$ + MID$(" swallow bite", d * 8 + 1, 8) + MID$("s", s * 1 + 1, 1)
  a$ = a$ + " left.": GOTO Lp9A
END IF
GOTO Pfoe
' Monsters
Examine1:
GOSUB Msearch: IF f = 0 THEN PRINT "You see nothing special.": GOTO Lp12
df = m: d2 = 0: IF m%(m, 3) > 1 AND m%(m, 13) = 0 THEN df = -df
r = m: GOSUB DiskRead3: GOSUB Mstatus: GOTO Pfoe

'     GET
'    -----
ItemGet:
GOSUB CheckSub
IF s$ = "all" THEN
  m%(0, 8) = 2000 + m%(0, 8): x1 = 0
  FOR a = 1 TO na
     IF a%(a, 4) = ro AND a%(a, 3) < 900 AND a%(a, 3) <> -999 THEN
       IF a%(a, 2) <> 13 OR a%(a, 5) = 1 THEN GOSUB ItemGet3
       IF (a2 = 2 OR a2 = 3) AND a%(a, 4) = -1 THEN
         IF a%(a, 7) * a%(a, 8) > a%(x1, 7) * a%(x1, 8) THEN x1 = a
       END IF
     END IF
  NEXT
  m%(0, 8) = m%(0, 8) - 2000: IF m%(0, 8) > 0 OR x1 = 0 THEN GOTO Pfoe
  a = x1: COLOR 2: GOTO Ready1
END IF
GOSUB Asearch1: IF f <> 1 THEN GOTO Err3A
GOSUB ItemGet3: IF m%(0, 8) > 0 OR a2 < 2 OR a2 > 3 THEN GOTO Pfoe
COLOR 2: GOTO Ready1
'
ItemGet3:
a2 = a%(a, 2)
IF a2 = 12 THEN
  GOSUB Caps: COLOR 15: PRINT a$;
  x$ = "is": IF LCASE$(RIGHT$(a$(a), 1)) = "s" THEN x$ = "are"
  PRINT x$; " alive!": COLOR 3: GOSUB Lp4
  IF a%(a, 6) > 0 THEN
    FOR x = 1 TO a%(a, 7): r = a%(a, 6) + x - 1: GOSUB Effect1: NEXT
  END IF
  a%(a, 4) = 0: m%(a%(a, 5), 5) = ro: GOTO EnemyCheck
END IF
IF a%(a, 3) > 900 THEN PRINT "Don't be absurd.": GOTO Lp4
IF a%(a, 3) = -999 THEN PRINT "You can't get that.": GOTO Lp4
GOSUB Caps: PRINT a$; : w = a%(a, 3): IF a2 = 4 THEN GOSUB ContWT
IF a2 = 13 AND a%(a, 5) <> 1 THEN PRINT "is best if left alone.": GOTO Lp2
IF wt + w > 10 * m%(0, 1) THEN PRINT "is too heavy.": GOTO Lp2
IF a2 = 10 THEN PRINT "must be freed.": GOTO Lp2
'
PRINT "taken.": wt = wt + w: a%(a, 4) = -1
GOTO Lp2

' Light
'-------
Light:
GOSUB CheckSub: GOSUB Asearch: IF f <> 1 THEN GOTO Err1
IF a%(a, 2) <> 5 THEN GOTO Err3
IF a%(a, 5) = 0 THEN PRINT "It won't light.": GOTO Lp12
IF a = ls% THEN
  GOSUB Af2: IF s$ = "y" THEN ls% = 0: lt% = r%(ro, 11)
  GOTO Pfoe
END IF
lt% = 1: ls% = a: a$ = "You've lit the " + a$(a) + ".": GOTO Lp9A

' Open
'------
ItemOpen:
GOSUB CheckSub: GOSUB Asearch: IF f <> 1 THEN GOTO Err1
m = a%(a, 2): IF (m < 6 OR m > 9) AND m <> 4 AND m <> 12 THEN GOTO Err3
a%(a, 8) = a%(a, 8) * ABS(m <> 8): IF a%(a, 4) = em% THEN a%(a, 4) = ro
IF m = 12 THEN GOSUB ItemGet3: GOTO Pfoe
'
' Set pointers by artifact type
s = 6 + (m = 4): k = a%(a, s): k = k * ABS(k > 0 AND k <= naf)
r = 7 + (m = 4): w = 1 + (m = 8): GOSUB Caps: a$ = a$ + "opened."
IF a%(a, r) = w OR a%(a, s) = -2 THEN PRINT "It's already open.": GOTO Lp12
' Food/drink/readable
IF m = 6 OR m = 7 OR m = 9 THEN a%(a, 7) = 1: GOTO Lp9
'  Door/Container
IF a%(a, s) = -1 THEN PRINT "It won't open.": GOTO Lp12
IF k > 0 AND a%(k, 4) <> -1 AND a%(k, 4) <> ro AND a%(k, 4) <> -999 THEN
  PRINT "It's locked.": GOTO Lp12
END IF
IF a%(a, r) > naf AND k = 0 THEN PRINT "You'll have to force it open.": GOTO Lp12
IF k > 0 THEN a$ = "You open it with the " + a$(k) + ".": COLOR 2
GOSUB Lp10B: IF m = 4 THEN GOSUB Inv4
a%(a, s) = 0: a%(a, r) = w: a%(a, 8) = a%(a, 8) * ABS(m = 4): GOTO Pfoe

' Put
'-----
ItemPut:
GOSUB CheckSub: GOSUB Asearch: IF f <> 1 THEN GOTO Err1
a$ = "Put it in what": GOSUB CheckSub2: s$ = s2$
GOSUB ItemTake: IF a%(a, 4) <> -1 THEN GOTO Main
m = a: GOSUB Asearch: IF f <> 1 THEN GOTO Err1
IF a = m OR a%(a, 2) <> 4 THEN GOTO Err7
IF a%(a, 6) = 0 THEN GOTO Err2
IF a%(a, 5) = -2 THEN GOTO ItemClose
w = 0: GOSUB ContWT: IF a%(a, 8) < 1 THEN GOTO Err5
x = ABS(a%(a, 7) >= a%(a, 8)): s = a%(a, 3): IF s = -999 THEN s = 200
IF x = 0 AND w + a%(m, 3) > s THEN PRINT "It won't fit.": GOTO Lp12
IF x = 1 OR w + a%(m, 3) > s THEN PRINT "It's full.": GOTO Lp12
'
IF a%(a, 4) <> -1 THEN wt = wt - a%(m, 3)
a%(m, 4) = a + 1000: a%(a, 7) = a%(a, 7) + 1: a = m
IF a = ls% THEN GOSUB LightOut: IF a = m%(0, 8) THEN m%(0, 8) = -1
PRINT "Done.": GOTO Lp12

' Read
'------
ItemRead:
GOSUB CheckSub: GOSUB Asearch: IF f <> 1 THEN GOTO Err1
IF a%(a, 2) <> 7 THEN GOTO Err3:  ELSE IF a%(a, 7) = 0 THEN GOTO Err2
FOR m = 1 TO a%(a, 6): r = a%(a, 5) + m - 1: GOSUB Effect1: NEXT: GOTO Pfoe

' Ready
'-------
Ready:
GOSUB CheckSub: GOSUB Asearch: IF f <> 1 THEN GOTO Err1
IF a%(a, 2) = 11 THEN GOTO Wear
IF a%(a, 2) < 2 OR a%(a, 2) > 3 THEN a$ = "That isn't a weapon.": GOTO Lp8
GOSUB ItemTake: IF a%(a, 4) <> -1 THEN GOTO Main
Ready1:
m%(0, 8) = a: GOSUB Caps: GOSUB Lp1: PRINT a$; "readied.": GOTO Pfoe

' Remove
'--------
Remove:
GOSUB CheckSub: GOSUB Asearch3: IF f > 1 THEN GOTO Main

'  Armor/clothing
IF f = 1 THEN
  IF a = sh% THEN m%(0, 7) = a%(ar%, 5) / 2: sh% = 0
  IF a = ar% THEN m%(0, 7) = a%(sh%, 5): ar% = 0
  a%(a, 4) = -1: GOSUB Caps: PRINT a$; "removed.": GOTO Lp12
END IF

'  Containers
'
a$ = "From what": GOSUB CheckSub2: a$ = s$: s$ = s2$: s2$ = a$
GOSUB Asearch: m = a: s$ = s2$: IF f <> 1 THEN GOTO Err1
ha% = a + 1000: GOSUB Asearch4: IF f = 0 THEN GOTO Err7
IF f > 1 THEN GOTO Main
IF a%(m, 6) = 0 THEN GOTO Err2
'
GOSUB ItemTake: IF a%(a, 4) = ha% THEN a%(a, 4) = ro
a%(m, 7) = a%(m, 7) - 1: IF a%(m, 7) < 0 THEN a%(m, 7) = 0
IF a%(a, 4) <> -1 AND a%(a, 4) <> ro THEN GOTO Pfoe
IF a%(a, 4) = -1 THEN
  PRINT "Okay.": GOSUB Lp4: IF a%(m, 4) = -1 THEN wt = wt - a%(a, 3)
END IF
IF a%(a, 0) = 0 THEN a%(a, 0) = 1: r = a: GOSUB DiskRead2
GOTO Pfoe


' Use
'-----
Use:
GOSUB CheckSub: GOSUB Asearch: a2 = a%(a, 2): IF f <> 1 THEN GOTO Err1
'
'  --> Put effects of using items here
'
IF a2 = 2 OR a2 = 3 THEN GOTO Ready
IF a2 = 6 OR a2 = 9 THEN GOTO Drink
IF a2 = 11 THEN GOTO Wear
IF s2 = 12 THEN GOSUB ItemTake: GOTO Pfoe
PRINT "Try a different command.": GOTO Lp12


' Wear
'------
Wear:
GOSUB CheckSub: GOSUB Asearch: IF f = 0 THEN GOSUB Asearch3
IF f <> 1 THEN GOTO Err1
IF a%(a, 4) = -999 THEN a$ = "it": GOTO Wear2
IF a%(a, 2) <> 11 THEN GOTO Err3
IF a%(a, 4) = ro THEN GOSUB ItemTake: IF a%(a, 4) <> -1 THEN GOTO Main
IF a%(a, 5) = 0 THEN GOTO Wear1
IF a%(a, 5) > 1 THEN
  IF a%(a, 5) > 14 THEN a%(a, 5) = 14
  IF ar% > 0 THEN a$ = "armor": GOTO Wear2
  ar% = a: m%(0, 7) = a%(ar%, 5) / 2 + a%(sh%, 5): GOTO Wear1
END IF
a%(a, 5) = 1: IF sh% > 0 THEN a$ = "a shield": GOTO Wear2
sh% = a: m%(0, 7) = a%(ar%, 5) / 2 + 1
'
Wear1:
a%(a, 4) = -999: GOSUB Caps: PRINT a$; "worn.": GOTO Pfoe
Wear2:
a$ = "You're already wearing " + a$ + "!": GOTO Err9


'
' Attack
'--------
Attack:
IF m%(0, 8) < 1 THEN a$ = "You must first READY a weapon!": GOTO Err9
GOSUB CheckSub: GOSUB Msearch: IF f = 0 THEN GOTO AttackItem
'         Attack monster
AttackMon:
IF m%(m, 11) > 1 THEN
  GOSUB Af0: IF s$ <> "y" THEN GOTO Main
  m%(m, 11) = m%(m, 11) - 1: GOSUB EnemyCheck
  IF m%(m, 11) = 1 THEN a$ = m$(m) + " gets angry!": GOSUB Lp10A
END IF
mc% = 1: of = 0: df = m: GOSUB Battle: ON ABS(die = 1) + 1 GOTO Pfoe, EndGame
'     Attack/blast door/container
AttackItem:
GOSUB Asearch1: IF f <> 1 THEN GOTO Err4
m = a%(a, 2): w = ABS(c$(c) = "blast")
IF m = 13 THEN
  x$ = "hack": IF w = 1 THEN x$ = "blast": GOSUB SpellCast1
  a%(a, 4) = 0: a$ = "You " + x$ + " it to bits!": GOTO Lp9A
END IF
IF m = 12 THEN GOSUB ItemGet3: m = a%(a, 5): ON w + 1 GOTO AttackMon, Blast1
IF m <> 4 AND m <> 8 THEN
  a$ = "Why would you attack a " + a$(a) + "?": GOTO Err9
END IF
'   Damage it...
x = 7 + (m = 4): r = 6 + (m = 4): k = a%(a, r)
IF k = -2 THEN a$ = "You already broke it!": GOTO Lp9A
IF a%(a, x) > 100 AND a%(a, x) < 1000 AND naf < 100 THEN
  a%(a, x) = a%(a, x) + 900 ' Conv old EDX values
END IF
IF ((k > 0 AND k <= naf) OR k = -1) AND a%(a, x) < 1000 THEN
  PRINT "Nothing happens.": GOTO Lp12
END IF
a$ = "Wham! You hit the " + a$(a) + "!": ON w + 1 GOSUB Lp10A, SpellCast1
d2 = 0: d = a%(m%(0, 8), 7): s = a%(m%(0, 8), 8): IF w = 1 THEN d = 2: s = 5
FOR a2 = 1 TO d: d2 = d2 + INT(RND * s) + 1: NEXT
IF a%(a, x) - d2 > 1000 THEN a%(a, x) = a%(a, x) - d2: GOTO Pfoe
'    Broken!
a%(a, x) = ABS(m = 4): a%(a, r) = -2: a%(a, 8) = 0: a%(a, 1) = 0
IF m = 4 THEN
  FOR x = 1 TO na
     IF a%(x, 4) = 1000 + a THEN a%(x, 4) = ro
  NEXT: a%(a, 7) = 0
END IF
a$ = "The " + a$(a) + " smashes to pieces!": GOTO Lp9A

' Free
'------
Free:
GOSUB CheckSub: GOSUB Asearch: IF f <> 1 THEN GOTO Err4
m = a%(a, 5): x = a%(a, 7): IF a%(a, 2) <> 10 THEN GOTO Err3
k = a%(a, 6): k = k * ABS(k > 0 AND k <= naf): r = a%(k, 4)
IF x > 0 AND x <= nm THEN
  IF m%(x, 5) = ro THEN a$ = m$(x) + " won't let you!": GOTO Lp9A
END IF
IF k > 0 AND r <> -1 AND r <> ro AND r <> -999 THEN
  PRINT "You don't have the key.": GOTO Lp12
END IF
a$ = "You have freed " + m$(m): IF k > 0 THEN a$ = a$ + " with the " + a$(k)
a$ = a$ + ".": m%(m, 5) = ro: GOSUB WTRem: a%(a, 4) = 0
GOSUB EnemyCheck: GOTO Lp9A

' Give
'------
Give:
GOSUB CheckSub: r = INT(VAL(s$)): r = r * ABS(r > 0)
IF r = 0 THEN
  GOSUB Asearch: IF f > 1 THEN GOTO Main
  IF f = 0 THEN GOSUB Asearch3: IF f <> 1 THEN GOTO Err1:  ELSE GOTO Err6
  GOSUB ItemTake: IF a%(a, 4) <> -1 THEN GOTO Main
END IF
a$ = "To whom": GOSUB CheckSub2
s$ = s2$: GOSUB Msearch: IF f = 0 THEN GOTO Err4
IF r = 0 THEN GOTO Give1
' Give $$$
a$ = "Give " + LTRIM$(STR$(r)) + " gold pieces to " + m$(m) + ".": GOSUB Lp10
PRINT "Are you sure?"; : GOSUB AF1: IF s$ <> "y" THEN GOTO Main
IF gold < r THEN
  a$ = "You only have" + STR$(gold) + " gold pieces.": GOTO Lp8
END IF
gold = gold - r: a$ = m$(m) + " takes the money...": GOSUB Lp10
IF m%(m, 11) = 2 AND r > 4999 THEN m%(m, 11) = 3: COLOR 2: GOSUB Smile1
GOTO Give2
'
' Try to give item
Give1:
IF m%(m, 11) = 1 OR (m%(m, 11) = 2 AND a%(a, 1) < 3000) THEN GOTO GiveDrink
x = a%(a, 2): IF a = m%(0, 8) THEN m%(0, 8) = -1
IF x = 13 THEN a$ = m$(m) + " politely refuses.": GOTO Lp9
a$ = "You give the " + a$(a) + " to " + m$(m) + "...": GOSUB Lp10
IF (x = 6 OR x = 9) AND a%(a, 6) > 0 THEN GOTO GiveDrink
GOSUB WTRem: a%(a, 4) = -m - 1
IF m%(m, 8) < 0 AND (x = 2 OR x = 3) THEN
  m%(m, 8) = a: a$ = m$(m) + " readies " + a$(a) + ".": GOSUB Lp10A
END IF
IF m%(m, 11) = 2 THEN m%(m, 11) = 3: COLOR 2: GOSUB Smile1
Give2:
GOSUB EnemyCheck: GOTO Pfoe
'
GiveDrink:
IF m%(m, 11) < 3 THEN GOSUB Smile1: GOTO Pfoe
a%(a, 6) = a%(a, 6) - 1: a$ = MID$("drinkbite", ABS(x = 9) * 5 + 1, 5)
a$ = m$(m) + " takes a " + a$ + " and hands it back."
IF x = 9 AND a%(a, 6) = 0 THEN
  a$ = m$(m) + " eats it all.": GOSUB WTRem: a%(a, 4) = 0
END IF
GOSUB Lp10A: IF a%(a, 5) = 0 THEN GOTO Pfoe
m%(m, 13) = m%(m, 13) - a%(a, 5): IF m%(m, 13) < 0 THEN m%(m, 13) = 0
df = m: d2 = 0: GOSUB Mstatus: GOTO Give2

' Request
'---------
Request:
GOSUB CheckSub: a$ = "From whom": GOSUB CheckSub2
a$ = s$: s$ = s2$: GOSUB Msearch: IF f = 0 THEN GOTO Err4
IF m%(m, 11) < 3 THEN GOSUB Smile1: GOTO Pfoe
s$ = a$: ha% = -m - 1: GOSUB Asearch4: IF f > 1 THEN GOTO Main
IF f = 0 THEN
  GOSUB Asearch3: IF f > 1 THEN GOTO Main
  IF f = 0 THEN a$ = m$(m) + " doesn't have it.": GOTO Lp9
END IF
PRINT "Okay.": GOSUB Lp4: GOSUB ItemGet3: IF a%(a, 4) <> -1 THEN GOTO Main
GOSUB Lp1: IF a = m%(m, 8) THEN m%(m, 8) = -1
IF a%(a, 0) = 0 THEN a%(a, 0) = 1: r = a: GOSUB DiskRead2
IF m%(0, 8) < 1 AND (a%(a, 2) = 2 OR a%(a, 2) = 3) THEN COLOR 2: GOTO Ready1
GOTO Pfoe

' Smile! :)
'------------
Smile:
FOR m = 1 TO nm
   IF m%(m, 5) = ro THEN GOSUB Smile1
NEXT
GOSUB Lp1: GOTO Pfoe
Smile1:
PRINT m$(m); : IF m%(m, 3) > 1 THEN PRINT "s";
PRINT " "; sm$(m%(m, 11)); : IF m%(m, 3) = 1 THEN PRINT "s";
PRINT " at you.": GOSUB Lp2: RETURN


' Inventory
'-----------
Inv:
IF s$ = "" THEN GOTO Inv1:  ELSE IF lt% = 0 THEN GOTO Main
GOSUB CheckSub: GOSUB Msearch: IF f = 0 THEN GOTO Err4
IF m%(m, 11) = 3 OR BORT = 1 THEN GOTO Inv2:  ELSE GOSUB Smile1: GOTO Pfoe
Inv1:
FOR a = 1 TO na
   IF a%(a, 4) = -999 THEN
     IF f = 0 THEN PRINT m$(m); " is wearing:": GOSUB Lp4: f = 1
     GOSUB Caps: PRINT " "; a$: GOSUB Lp2
   END IF
NEXT
Inv2:
f = 0: GOSUB Lp1: PRINT m$(m); " is carrying:": GOSUB Lp4
ha% = -m - 1: wh% = -m - 1000: IF m = 0 THEN wh% = ha%
FOR a = 1 TO na
   IF a%(a, 4) = ha% OR a%(a, 4) = wh% THEN
     GOSUB Caps: PRINT " "; a$; "   ";
     COLOR 2: IF m > 0 AND a%(a, 4) = wh% THEN PRINT "(Being worn)";
     IF a = m%(m, 8) THEN PRINT "[Ready Weapon]";
     IF a = ls% THEN PRINT "(Providing light)";
     COLOR 3: IF a%(a, 2) = 4 THEN GOSUB Inv3
     f = 1: GOSUB Lp1
   END IF
NEXT
IF f = 0 THEN PRINT " (Nothing)": GOSUB Lp2
IF m = 0 THEN PRINT LTRIM$(STR$(gold)); " gold pieces": GOSUB Lp2
GOSUB Lp1: df = m: d2 = 0: GOSUB Mstatus: GOTO Pfoe
'
'   Wot's inside?
'  ---------------
Inv3:
IF a%(a, 6) <> 1 THEN PRINT "  (Closed)"; : RETURN
GOSUB Lp1
Inv4:
l2 = 0: of = 0: PRINT "(This contains:)": GOSUB Lp2
FOR a2 = 1 TO na
 IF a%(a2, 4) = a + 1000 THEN
  PRINT " --- "; UCASE$(LEFT$(a$(a2), 1)); MID$(a$(a2), 2): GOSUB Lp2: of = 1
 END IF
NEXT
IF of = 0 THEN PRINT " --- (Nothing)": GOSUB Lp2
RETURN

' Status
'--------
Status:
a$ = "": IF ar% > 0 AND sh% > 0 THEN a$ = " and "
a$ = a$(ar%) + a$ + a$(sh%): IF a$ = "" THEN a$ = "(none)"
GOSUB Caps1: x$ = "Armor: " + a$: GOSUB SetFactors: GOSUB Lp7: CALL StatDisplay
'
'  --> Add your own displays here
'
LOCATE 23: COLOR 3: GOSUB Lp6: CLS : LOCATE 24: GOTO Main

' Look
'------
Look:
IF s$ <> "" AND s$ <> "room" THEN GOTO Examine
r = ro: GOSUB DiskRead1: GOTO Pfoe

' Say
'-----
Say:
s$ = LEFT$(UCASE$(LEFT$(a0$, 1)) + MID$(a0$, 2), 70): GOSUB CheckSub
IF a0$ = "BORT" THEN BORT = ABS(BORT = 0): COLOR 14 + BORT: a$ = "(BORT = SPOT)": GOTO Lp8
a$ = "Okay, " + q$ + s$ + q$ + ".": GOSUB Lp10: s$ = LCASE$(s$)
IF s$ = "vi mode" THEN
  s%(4) = ABS(s%(4) = 0): a$ = MID$("disabled.enabled. ", s%(4) * 9 + 1, 9)
  a$ = "VI Mode " + a$: GOTO Lp8
END IF
'
'  --> Add magic words here
'
GOTO Pfoe


' SPELLS
'----------
Blast:
GOSUB CheckSub: GOSUB Msearch: IF f = 0 THEN GOTO AttackItem
Blast1:
IF m%(m, 11) <> 1 THEN
  GOSUB Af0: IF s$ <> "y" THEN GOTO Main
  m%(m, 11) = m%(m, 11) - 1: GOSUB EnemyCheck
  IF m%(m, 11) = 1 THEN a$ = m$(m) + " gets angry!": GOSUB Lp10A
END IF
GOSUB SpellCast1: s = 5: d = 2: df = m: of = 0: a = 0: w = 0: GOSUB Damage0
GOTO Pfoe
'
Heal:
IF s$ <> "" THEN GOSUB Msearch: IF f = 0 THEN GOTO Err4
IF m%(m, 13) > 0 THEN
  m = m: GOSUB Pu2: a$ = a$ + "health improves!": GOSUB Lp0: rl = 12
  GOSUB RollDice2: m%(m, 13) = m%(m, 13) - rl
END IF
IF m%(m, 13) < 0 THEN m%(m, 13) = 0
df = m: d2 = 0: GOSUB Mstatus: GOTO Pfoe
'
Speed:
m%(0, 2) = m%(0, 2) * (2 + (Speed > 0))
rl = 10: GOSUB RollDice2: Speed = Speed + rl + 10
a$ = "Your movements quicken!": GOTO Lp9A
'
Power:
'
'  --> Add effects of POWER here
'
a$ = "You hear a loud sonic boom which echoes all around you!": GOTO Lp9A


' Hints
'------
Hints:
PRINT "Your question?": GOSUB Lp4: PRINT "    1- "; h$(1): GOSUB Lp2
a = 1: m = 1: IF nh > 1 THEN a = 2: m = nh
IF a > 1 THEN
  FOR r = a TO m
     x = r - (a - 2)
     a$ = SPACE$(4 + (x > 9)) + LTRIM$(STR$(x)) + "- " + h$(r): GOSUB Lp0
  NEXT
END IF
GOSUB Lp1: PRINT "Your choice?:"; : LINE INPUT ""; a$: r = INT(VAL(a$))
GOSUB Lp6a: GOSUB Lp1: IF r > 1 THEN r = r + (a - 2)
IF r <> 1 AND ((r > 1 AND r < a) OR r > m OR r < 1) THEN GOTO Main
OPEN "HINTS.DSC" FOR RANDOM AS #1 LEN = 255
a$ = h$(r): GOSUB Lp10A: a = h%(r, 0) + h%(r, 1) - 1: s$ = ""
FOR m = h%(r, 0) TO a
   GET #1, m, DS: a$ = RTRIM$(DS.TEXT): GOSUB Lp10
   IF m < a THEN
     COLOR 7: PRINT "Another? (Y/N):";
     DO
       s$ = LCASE$(INKEY$)
     LOOP UNTIL s$ = "y" OR s$ = "n"
     LOCATE CSRLIN, 1: PRINT SPACE$(16); : LOCATE CSRLIN, 1: COLOR 3
     GOSUB Lp6a: IF s$ <> "y" THEN m = a
   END IF
NEXT
CLOSE #1: PRINT : GOTO Main

' Save game
'-----------
SGSave:
GOSUB GameDIR: a$ = LEFT$(a0$, 2): s$ = MID$(a0$, 3): s2$ = "(none)"
IF s$ = "" AND a$ <> "" THEN s$ = "Quick Saved Game"
IF VAL(a$) > 0 AND VAL(a$) < 6 THEN GOTO SGSave0
a$ = "": s$ = "": PRINT "Saved games:": GOSUB Lp4
FOR m = 1 TO 5
   PRINT " "; LTRIM$(RTRIM$(STR$(m))); " - "; gm$(m): GOSUB Lp2
NEXT: PRINT 6; "- (Don't save, return to game)": GOSUB Lp4
PRINT "Enter 1-6 for saved position:"; : LINE INPUT ""; a$: GOSUB Lp6a
SGSave0:
m = INT(VAL(a$)): l = 0: IF m = 6 THEN GOTO Main
IF m < 1 OR m > 5 THEN s$ = "": GOTO SGSave
IF m > a + 1 THEN
  m = a + 1: PRINT "(Using #"; LTRIM$(STR$(m)); " instead)": GOSUB Lp4
END IF
IF m = a + 1 THEN a = a + 1
IF s$ <> "" THEN
  IF gm$(m) <> s2$ AND s$ = "Quick Saved Game" THEN s$ = gm$(m)
  gm$(m) = s$: PRINT "[QUICK SAVE"; RTRIM$(STR$(m)); ": "; s$; "]"
  GOTO SGSave0A
END IF
IF gm$(m) <> s2$ THEN
  PRINT "Change name of save?"; : GOSUB AF1: IF s$ = "y" THEN gm$(m) = s2$
END IF
IF gm$(m) = s2$ THEN
  PRINT "Enter new name:": GOSUB Lp4: PRINT "-->"; : LINE INPUT ""; gm$(m)
END IF
SGSave0A:
GOSUB Lp6a: gm$(m) = LEFT$(gm$(m), 40)
'
OPEN "GAMEDIR.DAT" FOR OUTPUT AS #1: PRINT #1, a
FOR k = 1 TO 5: PRINT #1, gm$(k): NEXT: CLOSE #1
a$ = "GAME" + LTRIM$(STR$(m)) + ".SAV": OPEN a$ FOR OUTPUT AS #1
FOR a = 1 TO na: FOR m = 0 TO 8: PRINT #1, a%(a, m): NEXT: NEXT
FOR m = 0 TO nm: FOR a = 0 TO 15: PRINT #1, m%(m, a): NEXT: NEXT
FOR r = 1 TO nr: FOR m = 0 TO 11: PRINT #1, r%(r, m): NEXT: NEXT
FOR a = 0 TO 50: PRINT #1, d(a): NEXT: FOR a = 0 TO 50: PRINT #1, d%(a): NEXT
FOR a = 1 TO 4: PRINT #1, NBTL(a), sa%(a), sa%(a + 4), wa%(a): NEXT
PRINT #1, wa%(5), ac%, ae%, af%, ar%, bank, ch%, die, gold, ls%, lt%, ro, r3
PRINT #1, sex%, sh%, Speed, wt
FOR r = 1 TO nr: PRINT #1, r$(r): NEXT: FOR a = 1 TO na: PRINT #1, a$(a): NEXT
FOR m = 0 TO nm: PRINT #1, m$(m): NEXT
CLOSE #1: PRINT "Game saved.": GOSUB Lp4: GOTO Main

' Restore game
'--------------
SGRestore:
GOSUB GameDIR: s = INT(VAL(s$))
IF s < 1 OR s > a THEN
  PRINT "Saved games:": GOSUB Lp4
  FOR m = 1 TO 5
     PRINT " "; LTRIM$(STR$(m)); " - "; gm$(m): GOSUB Lp2
  NEXT: PRINT 6; "- (Don't restore, return to game)": GOSUB Lp4
  PRINT "Your choice? (1-6):"; : LINE INPUT ""; a$: s = INT(VAL(a$))
END IF
GOSUB Lp6a: IF s = 6 THEN ON 2 + (die = 0) GOTO Main, Dead
IF s < 1 OR s > a THEN GOTO SGRestore
'
a$ = "GAME" + LTRIM$(STR$(s)) + ".SAV": OPEN a$ FOR INPUT AS #1
FOR a = 1 TO na: FOR m = 0 TO 8: INPUT #1, a%(a, m): NEXT: NEXT
FOR m = 0 TO nm: FOR a = 0 TO 15: INPUT #1, m%(m, a): NEXT: NEXT
FOR r = 1 TO nr: FOR m = 0 TO 11: INPUT #1, r%(r, m): NEXT: NEXT
FOR a = 0 TO 50: INPUT #1, d(a): NEXT: FOR a = 0 TO 50: INPUT #1, d%(a): NEXT
FOR a = 1 TO 4: INPUT #1, NBTL(a), sa%(a), sa%(a + 4), wa%(a): NEXT
INPUT #1, wa%(5), ac%, ae%, af%, ar%, bank, ch%, die, gold, ls%, lt%, ro, r3
INPUT #1, sex%, sh%, Speed, wt
FOR r = 1 TO nr: LINE INPUT #1, r$(r): NEXT
FOR a = 1 TO na: LINE INPUT #1, a$(a): NEXT
FOR m = 0 TO nm: LINE INPUT #1, m$(m): NEXT
CLOSE #1: cz$ = "": r2 = ro: GOTO Move2

' Quit
'------
Quit:
IF s$ = "hall" THEN
  PRINT "Return to the Main Hall?"; : GOSUB AF1: IF s$ <> "y" THEN GOTO Main
  die = -1: EXIT SUB
END IF
a$ = "[You haven't saved a game yet but your character will be left here should "
a$ = a$ + "you choose to return. Use QUIT HALL if you don't want them to stay.]"
GOSUB GameDIR: IF a < 1 THEN COLOR 2: GOSUB Lp10B
PRINT "Do you really want to quit?"; : GOSUB AF1: IF s$ <> "y" THEN GOTO Main
CLS : CHDIR "..": RUN "EAMONDX"

'               -------------------------
'                    Ending routines
'               -------------------------
EndGame:
COLOR 3: GOSUB Lp1: GOSUB Lp6
IF die = 0 THEN
  PRINT "Leave this adventure?"; : GOSUB AF1: IF s$ <> "y" THEN GOTO Main
END IF
EndGame0:
m%(0, 2) = m%(0, 2) / (1 + ABS(Speed > 0)): Speed = 0
IF die > 0 THEN GOTO Dead
'
ac% = a%(ar%, 5) + a%(sh%, 5): a%(ar%, 4) = 0: a%(sh%, 4) = 0: w = 0
FOR a = 1 TO na
   a%(a, 0) = 0
   IF a%(a, 4) = -999 THEN a%(a, 4) = -1
   IF a%(a, 4) > 1000 AND a%(a, 4) < 2000 THEN
     k = a%(a, 4) - 1000
     IF a%(k, 4) = -1 AND (a%(a, 0) > 0 OR a%(k, 6) = 1) THEN a%(a, 4) = -1
   END IF
   IF a%(a, 4) = -1 AND (a%(a, 2) = 2 OR a%(a, 2) = 3) THEN
     w = w + 1: a%(w, 0) = a: a%(a, 4) = 0
   END IF
NEXT
IF w < 5 THEN GOTO EndGame1
'
GOSUB Lp7: s$ = "Lord William Crankhandle"
a$ = "As you enter the Main Hall, " + s$ + " approaches you and says, " + q$
a$ = a$ + "You have too many weapons to keep them all, four is the legal "
a$ = a$ + "limit." + q$: GOSUB Lp10A: GOSUB Lp6: s$ = STRING$(22, ".")
SellWep:
GOSUB Lp7: a$ = "Your weapons are:": GOSUB Lp10A
FOR a = 1 TO w
   m = a%(a, 0): PRINT SPACE$(ABS(a < 10) + ABS(a < 100) + 5); a; ": ";
   a$ = LEFT$(a$(m), 20): GOSUB Caps1: PRINT RTRIM$(a$);
   PRINT LEFT$(s$, 22 - LEN(a$)); "("; LTRIM$(STR$(a%(m, 7)));
   PRINT "D"; LTRIM$(STR$(a%(m, 8))); ")": GOSUB Lp2
NEXT: COLOR 2: GOSUB Lp1
PRINT "Enter the number of a weapon to sell:"; : LINE INPUT ""; a$
GOSUB Lp6a: m = INT(VAL(a$)): IF m < 1 OR m > w THEN GOTO SellWep
a%(a%(m, 0), 4) = -1: w = w - 1: IF m = w + 1 AND w > 4 THEN GOTO SellWep
a%(m, 0) = a%(w + 1, 0): IF w > 4 THEN GOTO SellWep
'
EndGame1:
GOSUB Lp7: s$ = "": IF LCASE$(m$(0)) <> "tom zucchini" THEN s$ = "Tom Zucchini, "
a$ = "You sell your goods to " + s$ + "the local buyer of treasure "
a$ = a$ + "(under the sign of 3 balls)."
GOSUB Lp10A: w = 0: x = (ABS((ch% > 15) + (ch% > 20)) * .05)
FOR a = 1 TO na
   IF a%(a, 4) = -1 THEN
     GOSUB Caps: IF a%(a, 2) = 6 AND a%(a, 6) < 1 THEN a$ = a$ + "(empty) "
     m = CINT(a%(a, 1) + a%(a, 1) * (x * ABS(a%(a, 2) > 0))): w = w + m
     PRINT a$; : s$ = "is": IF RIGHT$(a$(a), 1) = "s" THEN s$ = "are"
     PRINT s$; " worth "; : s$ = LTRIM$(STR$(m)) + " gold piece"
     IF m > 1 THEN s$ = s$ + "s"
     IF m < 1 THEN s$ = "nothing"
     PRINT s$; ".": GOSUB Lp4
   END IF
NEXT
gold = INT(gold + w): IF gold < 0 THEN gold = 0
GOSUB Lp1: a$ = "He pays you " + LTRIM$(STR$(w)) + " gold pieces total."
GOSUB Lp10A: GOSUB Lp6: EXIT SUB

'      -------------
'       Grim Reaper
'      -------------
Dead:
CLS : LOCATE 5: COLOR 15: PRINT "You have perished. Now what?"
PRINT " 1. Restore a saved game": PRINT " 2. Start over"
PRINT " 3. Give up, accept death": PRINT : PRINT "Your choice?";
LINE INPUT ""; a$: a = INSTR("123", a$): IF a < 1 OR a > 3 THEN GOTO Dead
IF a = 3 THEN EXIT SUB
IF a = 2 THEN RUN:  ELSE GOTO SGRestore

'                   ------------------------
'                      Useful subroutines
'                   ------------------------
GameDIR:
OPEN "GAMEDIR.DAT" FOR INPUT AS #1: INPUT #1, a: IF a < 0 OR a > 5 THEN a = 0
FOR m = 1 TO 5: LINE INPUT #1, gm$(m): NEXT: CLOSE #1: RETURN

' Read .DSC files
'-----------------
Effect:
IF r > ne THEN GOTO DE
GET #5, r + adj4, DS: GOTO DiskRead4
Effect1:
COLOR 2: GOSUB Effect: COLOR 3: RETURN
Effect2:
COLOR 2: GOSUB Effect: COLOR 12: RETURN
'
DiskRead1:
IF r > nr THEN GOTO DE
GET #2, r + adj1, DS: GOTO DiskRead4
DiskRead2:
IF r > naf THEN GOTO DE
GET #3, r + adj2, DS: GOTO DiskRead4
DiskRead3:
IF r > nm THEN GOTO DE
GET #4, r + adj3, DS: GOTO DiskRead4
'
DiskRead4:
sy = 0: a$ = RTRIM$(DS.TEXT)
IF LEN(a$) > 4 THEN
  IF MID$(a$, LEN(a$) - 3, 1) = "*" THEN
    r = VAL(RIGHT$(a$, 3)): a$ = LEFT$(a$, LEN(a$) - 4)
    IF RIGHT$(a$, 1) = "*" THEN a$ = LEFT$(a$, LEN(a$) - 1): sy = 1
    GOSUB Lp0: IF sy = 0 THEN GOSUB Lp1
    GOTO Effect
  END IF
END IF
GOTO Lp10
DE:
COLOR 15: a$ = "BAD RECORD ERROR:" + STR$(r): GOTO Lp10

' Separate 80 column text
'-------------------------
Lp0:
k = LEN(a$): IF k < 1 THEN GOTO Lp0Err
IF k > 4 AND RIGHT$(a$, 1) = "}" THEN
   x2 = VAL(MID$(a$, k - 2, 2)) * ABS(MID$(a$, k - 3, 1) = "{")
   IF x2 > 0 AND x2 < 16 THEN a$ = LEFT$(a$, k - 4): COLOR x2: k = LEN(a$)
END IF
x2 = 0: IF k < 81 THEN PRINT a$: GOTO Lp2
FOR k = 81 TO 1 STEP -1
   IF MID$(a$, k, 1) = " " THEN
     PRINT LEFT$(a$, k - 1): a$ = LTRIM$(RIGHT$(a$, LEN(a$) - k))
     GOSUB Lp2: k = 1: x2 = 1
   END IF
NEXT: IF x2 = 1 THEN GOTO Lp0
Lp0Err:
COLOR 15: PRINT "WORD TOO SHORT/LONG ERROR!": COLOR 3: GOTO Lp4

' Line counter/pause
'--------------------
Lp1:
PRINT
Lp2:
l = l + 1: GOTO Lp5
Lp3:
l = l + 1
Lp4:
l = l + 2: PRINT
Lp5:
IF l < 20 THEN RETURN

Lp6:
PRINT "[MORE]"; : x$ = INKEY$
DO
LOOP UNTIL INKEY$ <> ""
LOCATE CSRLIN, 1: PRINT "      "; : LOCATE CSRLIN, 1
Lp6a:
x$ = INKEY$: l = 0: IF s%(4) = 1 THEN CLS
RETURN

Lp7:
CLS : l = 0: RETURN

' Redundancy
'------------
Lp8:
GOSUB Lp10: GOTO Main
Lp9A:
COLOR 2
Lp9:
GOSUB Lp10: GOTO Pfoe

Lp10:
GOSUB Lp0: GOTO Lp1
Lp10A:
COLOR 2
Lp10B:
GOSUB Lp0: COLOR 3: GOTO Lp1
Lp10C:
GOSUB Lp0: COLOR 12: GOTO Lp1

Lp12:
GOSUB Lp4: GOTO Pfoe

' Capitalize a$
'---------------
Caps:
a$ = a$(a)
Caps1:
a$ = UCASE$(LEFT$(a$, 1)) + MID$(a$, 2) + " ": RETURN

' Make a$ possessive
'--------------------
Pu2:
x = m
Pu2a:
a$ = m$(x)
Pu3:
a$ = a$ + MID$("'s'", ABS(LCASE$(RIGHT$(a$, 1)) = "s") * 2 + 1, 2) + " "
RETURN

' Great Job!
Ups:
a$ = m$(0): GOSUB Pu3: a$ = a$ + x$ + " just increased!": GOTO Lp10A

' Get item before using
ItemTake:
IF a%(a, 4) = -1 THEN RETURN
PRINT "[Taking it first...]": GOSUB Lp2: GOTO ItemGet3

' Dec. item WT if carried
WTRem:
wt = wt - a%(a, 3) * ABS(a%(a, 4) = -1): RETURN

' Calculate Cont. WT
ContWT:
FOR k = 1 TO na
   IF a%(k, 4) = 1000 + a AND a%(k, 3) <> -999 THEN w = w + a%(k, 3)
NEXT: RETURN

LightOut:
ls% = 0: lt% = r%(ro, 11): a$ = "The " + a$(a) + " goes out.": GOTO Lp10A

CheckNX:
w = 0: k = 0
FOR s = 1 TO nd
  x = r%(ro, s): a = x - 1000: GOSUB CheckDoor: IF f = 1 THEN x = d
  f = ABS(x <> 0 AND x < 1001): w = w + f: k = k + f * ABS(x > 0 AND x <= nr)
NEXT: RETURN

CheckDoor:
a = a * ABS(a > 0 AND a <= naf)
f = ABS(a%(a, 2) = 8 AND (a%(a, 4) = ro OR a%(a, 4) = ro + 2000))
IF f = 1 THEN
  a%(a, 8) = a%(a, 8) * ABS(a%(a, 0) = 0): f = ABS(a%(a, 8) = 0)
END IF
d = a%(a, 5) * ABS(f = 1 AND a%(a, 7) = 0): RETURN

'           --------------------
'            To Err is human...
'           --------------------
Err0:
CLS : COLOR 15: PRINT "Movement Commands:": COLOR 12
FOR c = 1 TO nd: PRINT UCASE$(c$(c)), : NEXT
PRINT UCASE$(c$(11)): PRINT
COLOR 15: PRINT "Artifact Manipulation:": COLOR 12
FOR c = 12 TO 25: PRINT UCASE$(c$(c)), : NEXT: PRINT : PRINT
COLOR 15: PRINT "Interactive:": COLOR 12
FOR c = 26 TO 32: PRINT UCASE$(c$(c)), : NEXT: PRINT : PRINT
COLOR 15: PRINT "Miscellaneous:": COLOR 12
FOR c = 33 TO nc: PRINT UCASE$(c$(c)), : NEXT: PRINT "QUIT HALL": PRINT
COLOR 2: PRINT "New commands: "; : COLOR 7: PRINT "(None)": PRINT : PRINT
COLOR 3: GOSUB Lp6: GOTO Main

Err1:
a$ = " and it's not here."
Err1A:
a$ = "You don't have it" + a$: GOTO Err9
Err2:
a$ = "You must first open it.": GOTO Err9
Err3A:
s$ = "that"
Err3:
a$ = "You can't " + c$(c) + " " + s$ + ".": GOTO Err9
Err4:
a$ = "Nobody here by that name!": GOTO Err9
Err5:
a$ = "You don't need to.": f = 0: GOTO Err9
Err6:
a$ = "You're wearing it. REMOVE it first.": f = 0: GOTO Err9
Err7:
a$ = "I don't follow you.": f = 0
Err9:
IF f < 2 THEN COLOR 3: PRINT a$
GOSUB Lp4: GOTO Main

' Get Y/N input
'---------------
Af0:
PRINT "Attack non-enemy?";
AF1:
PRINT " (Y/N):"; : LINE INPUT ""; s$: s$ = LEFT$(LTRIM$(RTRIM$(LCASE$(s$))), 1)
GOSUB Lp6a: ON ABS(s$ = "y" OR s$ = "n") + 1 GOTO AF1, Lp1
Af2:
PRINT "Extinguish the "; a$(ls%); : GOTO AF1

' Synonym checker
'-----------------
Synonym:
sl = LEN(s$): sy$ = "": sy = 0
IF ro = 1 THEN
  sy = 141: sy$ = "panel": GOSUB Synonym1: sy$ = "east wall": GOSUB Synonym1
  sy$ = "wall": GOSUB Synonym1
END IF
IF ro = 3 THEN
  sy = 3: sy$ = "sconces": GOSUB Synonym1: sy$ = "sconce": GOSUB Synonym1
  sy$ = "walls": GOSUB Synonym1: sy$ = "wall": GOSUB Synonym1
END IF
IF ro = 5 THEN
  sy = 5: sy$ = "ring": GOSUB Synonym1: sy$ = "keys": GOSUB Synonym1
  sy$ = "hook": GOSUB Synonym1: sy$ = "door": GOSUB Synonym1
END IF
IF a%(131, 4) = ro THEN sy = 131: sy$ = "heinrich": GOSUB Synonym1
GOSUB Synonym1: RETURN
Synonym1:
IF LEFT$(sy$, sl) = s$ OR RIGHT$(sy$, sl) = s$ THEN s$ = LCASE$(a$(sy))
RETURN

' Roll 1 to 100
'---------------
RollDice:
rl = 100
' Roll 1 to rl
RollDice2:
rl = INT(RND * rl) + 1: RETURN

Bort1:
a$ = "(Room" + STR$(ro) + ")": IF BORT <> 1 THEN RETURN
IF ls% > 1 AND a%(ls%, 5) > 0 THEN a%(ls%, 5) = a%(ls%, 5) + 1
FOR a = 1 TO naf
   IF a%(a, 4) = 2000 + ro THEN a$ = a$ + "   " + a$(a)
NEXT: COLOR 8: GOTO Lp10C

'  Get s$/s2$
' ------------
CheckSub:
IF s$ <> "" THEN RETURN
CheckSub1:
PRINT UCASE$(LEFT$(c$(c), 1)); MID$(c$(c), 2);
PRINT " who or what?"; : LINE INPUT "", s$: s$ = LCASE$(LTRIM$(RTRIM$(s$)))
GOSUB Lp6a: PRINT : l = 1: GOTO CheckSub
CheckSub2:
IF s2$ <> "" THEN RETURN
PRINT a$; "?"; : LINE INPUT ""; s2$: s2$ = LTRIM$(RTRIM$(LCASE$(s2$)))
GOSUB Lp6a: PRINT : l = 1: GOTO CheckSub2

' Spell Success?
'----------------
SpellCast:
GOSUB RollDice: rl = rl * ABS(sa%(s) > 0 AND sa%(s + 4) > 0)
IF rl = 100 THEN
  sa%(s) = 1: a$ = "Spell backlash! Your ability to cast " + UCASE$(c$(c))
  a$ = a$ + " temporarily diminishes!": odds% = 0: GOTO Lp10A
END IF

odds% = ABS((rl < sa%(s) OR rl < 5) AND rl < 95 AND rl > 0)
IF odds% = 0 THEN PRINT "Nothing happened.": GOTO Lp4
sa%(s) = sa%(s) * .5 + 1: GOSUB RollDice: IF rl <= sa%(s + 4) THEN RETURN
sa%(s + 4) = sa%(s + 4) + 2: x$ = "ability to cast " + UCASE$(c$(c)): GOTO Ups
SpellCast1:
COLOR 14: a$ = "ZAP! Direct hit!": GOTO Lp10B

'           Monster search routine
'          ------------------------
Msearch:
 wh% = ro: ha% = wh%
Msearch0:
f = 0: sl = LEN(s$): m = 0
FOR x = 1 TO nm
   x1 = INSTR(LCASE$(m$(x)), s$)
   IF x1 > 0 THEN
     IF LEN(m$(x)) = sl OR x1 = 1 OR s$ = RIGHT$(LCASE$(m$(x)), sl) THEN
       IF m%(x, 5) = wh% OR m%(x, 5) = ha% THEN
         m = x: f = f + 1: IF LEN(m$(x)) = sl THEN x = nm
       END IF
     END IF
   END IF
Msearch1:
NEXT
IF f = 0 AND RIGHT$(s$, 1) = "s" AND sl > 1 THEN
  x$ = s$: s$ = LEFT$(s$, sl - 1): GOSUB Msearch0: s$ = x$
END IF
RETURN
'           Artifact search routine
'          -------------------------
Asearch:
 ha% = -1: wh% = ro: em% = ro + 2000: GOTO Asearch10
Asearch1:
 ha% = ro: wh% = ro: em% = ro + 2000: GOTO Asearch10
Asearch2:
 ha% = -1: GOTO Asearch4
Asearch3:
 ha% = -999 - m + (m > 0)
Asearch4:
 wh% = ha%: em% = ha%
'
Asearch10:
GOSUB Synonym: f = 0: a = 0: x2 = 0
FOR x = 1 TO na
   x1 = INSTR(LCASE$(a$(x)), s$)
   IF x1 > 0 THEN
     a2 = a%(x, 4)
     IF LEN(a$(x)) = sl OR x1 = 1 OR s$ = RIGHT$(LCASE$(a$(x)), sl) THEN
       IF a2 = ha% OR a2 = wh% OR a2 = em% THEN
         a = x: f = f + 1: IF f = 1 THEN x2 = a
         IF LEN(a$(x)) = sl THEN x = na: f = 1
       END IF
     END IF
   END IF
NEXT
IF f > 1 THEN
  a$ = "Do you mean " + q$ + a$(x2) + q$ + " or " + q$ + a$(a) + q$ + "?"
  COLOR 11: GOTO Lp10
END IF
IF f = 0 THEN RETURN
IF a%(a, 4) = 2000 + ro AND a%(a, 0) = 0 AND c <> 12 AND c <> 16 THEN
  a%(a, 4) = ro: a%(a, 0) = 1: IF a%(a, 2) = 8 THEN a%(a, 8) = 0
  r = a: GOSUB DiskRead2
END IF
s$ = a$(a): RETURN

' Tag-alongs
'------------
MoveMons:
FOR x2 = 1 TO nm
 IF m%(x2, 5) = r3 THEN
   IF m%(x2, 11) > 3 THEN
     GOSUB SetFactors: f = m%(x2, 11) - 100 + f: GOSUB RollDice
     k = 1 + ABS(f > rl): rl = 200: GOSUB RollDice2
     k = k + ABS(k = 2 AND f > rl): m%(x2, 11) = k
   END IF
   IF m%(x2, 11) = 1 THEN
     GOSUB RollDice: IF rl <= m%(x2, 4) THEN m%(x2, 5) = ro
   END IF
   IF m%(x2, 11) = 3 THEN m%(x2, 5) = ro
 END IF
NEXT: RETURN

' Set up NBTL flags
'-------------------
EnemyCheck:
NBTL(1) = 0: NBTL(2) = 0: NBTL(3) = m%(0, 1)
FOR x2 = 1 TO nm
 IF m%(x2, 5) = ro THEN
   IF m%(x2, 11) > 3 THEN
     GOSUB SetFactors: f = m%(x2, 11) - 100 + f: GOSUB RollDice
     k = 1 + ABS(f > rl): rl = 200: GOSUB RollDice2
     k = k + ABS(k = 2 AND f > rl): m%(x2, 11) = k
   END IF
   NBTL(m%(x2, 11)) = NBTL(m%(x2, 11)) + m%(x2, 1) * m%(x2, 3)
 END IF
NEXT: RETURN

' Charisma & Armor factors
SetFactors:
f = a%(ar%, 5) / 2: f = f + ((3 - f) * ABS(f > 3))
af% = (-5 * a%(sh%, 5)) - f * 10 - (30 * ABS(f = 3))
f = (ch% - 10) * 2: f = f + ((28 - f) * ABS(f > 28)): RETURN

' NPC weapon search
'-------------------
GetWep:
IF m%(of, 6) = -2 THEN RETURN
f = w: w = m%(of, 8): IF w < 0 THEN w = ABS(w) - 1
w = w * ABS(w > 0 AND w <= na)
' Recover seen lost weapon
IF w > 0 AND w <= na THEN
  IF a%(w, 0) = 1 AND (a%(w, 2) = 2 OR a%(w, 2) = 3) AND a%(w, 4) = ro THEN
    GOTO GetWep1
  END IF
END IF
w = 0
FOR x = 1 TO na
   IF a%(x, 4) = -of - 1 AND (a%(x, 2) = 2 OR a%(x, 2) = 3) THEN
     IF a%(x, 7) * a%(x, 8) > a%(w, 7) * a%(w, 8) THEN w = x
   END IF
NEXT
IF w > 0 THEN
  a$ = m$(of) + " readies " + a$(w) + ".": m%(of, 8) = w: GOTO Lp10A
END IF
'
FOR x = 1 TO na
   IF a%(x, 4) = ro AND a%(x, 0) > 0 AND (a%(x, 2) = 2 OR a%(x, 2) = 3) THEN
     IF a%(x, 7) * a%(x, 8) > a%(w, 7) * a%(w, 8) THEN w = x
   END IF
NEXT
GetWep1:
IF w > 0 THEN
  a$ = m$(of) + " picks up " + a$(w) + ".": a%(w, 4) = -of - 1
  m%(of, 8) = w: GOTO Lp10A
END IF
w = f: RETURN

'                 ----------
'                   Combat
'                 ----------
Battle:
w = m%(of, 8): IF w > na OR m%(of, 6) = -2 THEN RETURN
IF w < 0 AND (m%(of, 3) = 1 OR mc% = 1) THEN
  GOSUB GetWep: w = w * ABS(w > 0): IF w > 0 OR m%(of, 6) <> -1 THEN RETURN
END IF
' Group monster weapons logic
IF w > 0 AND m%(of, 3) > 1 AND mc% > 1 THEN
  f = 0: w = 0
  FOR x = 1 TO na
     IF a%(x, 4) = -of - 1 AND a%(x, 2) > 1 AND a%(x, 2) < 4 THEN
       f = f + 1: IF mc% = f THEN w = x
     END IF
  NEXT
  w = w * ABS(w <> m%(of, 8))
END IF
IF w < 0 OR w > na THEN RETURN

'    COMPUTE ODDS TO HIT
'    -------------------
GOSUB SetFactors: x = m%(of, 2): f = m%(df, 2): a = m%(of, 7): d = m%(df, 7)
a = a + ((7 - a) * ABS(a > 7)): d = d + ((7 - d) * ABS(d > 7))
x = x + ((30 - x) * ABS(x > 30)): f = f + ((30 - f) * ABS(f > 30))
odds% = 50 + 2 * (x - f - a + d)
IF w > 0 THEN
 d = a%(w, 5): d = d + ((30 - d) * ABS(d > 50)): odds% = odds% + d / 2
END IF
IF of = 0 THEN
 odds% = odds% + ((af% + ae%) * ABS(-af% > ae%))
 d = wa%(a%(w, 6)): d = d + ((100 - d) * ABS(d > 100)): odds% = odds% + d / 4
END IF
a$ = "attacks ": a2 = a%(w, 6) * ABS(w > 0)
IF m%(of, 6) <> 1 THEN a$ = bv$(a2, INT(RND * 3)) + " at "
a$ = m$(of) + " " + a$ + m$(df) + "...": GOSUB Lp0: GOSUB RollDice
'IF BORT = 1 THEN COLOR 7: PRINT "(Odds:"; odds%; "  Roll:"; rl: COLOR 3: GOSUB Lp2

'    Hit
IF (rl < 5 OR rl <= odds%) AND rl < 97 THEN GOTO Battle1

'    Miss
x = m%(df, 8): x = a%(x * ABS(x > 0 AND x <= na), 6)
IF rl < 97 OR w = 0 THEN PRINT " --- "; rb$(x, INT(RND * 2)); "!": GOTO Lp4

'    Fumble
COLOR 2: PRINT "...A fumble!": GOSUB Lp2: GOSUB RollDice
IF rl < 41 THEN COLOR 3: PRINT "    Recovered.": GOTO Lp4
IF rl < 81 THEN
  a = w: GOSUB WTRem: a%(w, 4) = ro: m%(of, 8) = -w - 1
  a$ = m$(of) + " drops " + a$(w) + "!": COLOR 3: GOTO Lp10
END IF
IF a%(w, 2) = 3 THEN
  a$ = "Sparks fly from " + a$(w) + "!": COLOR 14: GOTO Lp10B
END IF
IF rl > 95 THEN
  COLOR 14: PRINT " Weapon hits user!": GOSUB Lp2: df = of
  ON ABS(rl = 100) + 1 GOTO Battle2, Battle3
END IF
IF rl < 91 THEN
  a%(w, 8) = a%(w, 8) - 1
  IF a%(w, 8) > 0 THEN PRINT " Weapon damaged!": COLOR 3: GOTO Lp4
END IF
COLOR 15: PRINT " Weapon broken!": COLOR 3: a = w: GOSUB WTRem
a%(w, 4) = 0: m%(of, 8) = -1: IF INT(RND * 100) + 1 > 50 THEN GOTO Lp4
COLOR 14: PRINT "Broken weapon hits user!": COLOR 3: GOSUB Lp2: df = of
ON ABS(rl = 100) + 1 GOTO Battle2, Battle3

'    Skills increase?
Battle1:
IF of = 0 THEN
  s = a%(w, 6): f = rl: GOSUB RollDice: x = rl: GOSUB RollDice
  IF x > 75 AND rl + 1 > wa%(s) AND (wa%(s) < 100 OR ae% < 65) THEN
    x$ = wp$(s) + " ability": GOSUB Lp1: GOSUB Ups
    wa%(s) = wa%(s) + 1: rl = 70: GOSUB RollDice2
    IF ABS(af%) < rl AND ae% < 65 THEN
      ae% = ae% + ABS(ae% < 64) + 1: x$ = "armour expertise": GOSUB Ups
    END IF
  END IF
  rl = f
END IF
'    Hit potency
Battle2:
d = m%(of, 9): s = m%(of, 10): IF w > 0 THEN d = a%(w, 7): s = a%(w, 8)
a = 1: COLOR 3: PRINT MID$(" ***  +++ ", ABS(df > 0) * 5 + 1, 5);
IF rl > 5 THEN PRINT "A hit!": GOSUB Lp2: GOTO Damage0
Battle3:
COLOR 2: PRINT "Well struck!": COLOR 3: GOSUB Lp2: GOSUB RollDice
IF rl = 100 THEN d2 = m%(df, 1) - m%(df, 13) - 2: GOTO Damage1
IF rl < 50 THEN a = 0: GOTO Damage0
s = s * (1 + .5 + ABS(rl > 85) + ABS(rl > 95))
'    Calculate damage
Damage0:
d2 = 0: FOR k = 1 TO d: d2 = d2 + INT(RND * s) + 1: NEXT
d2 = INT(d2 - a * m%(df, 7))
Damage1:
IF d2 < 1 THEN
  IF m%(df, 7) < 1 THEN PRINT "  Blow turned!": GOTO Lp4
  PRINT "  Blow glances off armor!": GOTO Lp4
END IF
'    Add damage/report health
Mstatus:
x = ABS(df < 0): df = ABS(df): m%(df, 13) = m%(df, 13) + d2
a$ = "": IF m%(df, 3) > 1 THEN a$ = "One "
a$ = a$ + m$(df) + " is ": IF x = 1 THEN a$ = "They are "
IF m%(df, 13) >= m%(df, 1) THEN GOTO Mdead
x = m%(df, 13): x = (INT(x * 5 / m%(df, 1)) + 1) * ABS(x > 0)
x$ = "dying."
IF x = 4 THEN x$ = "gravely injured."
IF x = 3 THEN x$ = "badly hurt."
IF x = 2 THEN x$ = "hurt."
IF x = 1 THEN x$ = "OK."
IF x < 1 THEN x$ = "in perfect health."
a$ = a$ + x$: COLOR 3: GOTO Lp10
'
'    Whatta world!
'    -------------
Mdead:
a$ = a$ + "dead!": GOSUB Lp10A: IF df = 0 THEN die = 1: RETURN
IF m%(df, 3) > 1 THEN
  IF m%(df, 8) > 0 THEN
    f = 0: w = 0
    FOR x = 1 TO na
       IF a%(x, 4) = -df - 1 AND a%(x, 2) > 1 AND a%(x, 2) < 4 THEN
         f = f + 1: IF m%(df, 3) = f THEN w = x
       END IF
    NEXT
    IF w > 0 AND w <> m%(df, 8) THEN a%(w, 4) = ro
  END IF
  m%(df, 3) = m%(df, 3) - 1: m%(df, 13) = 0: GOTO Mdead2
END IF
m%(df, 8) = -1 * ABS(m%(df, 8) > 0): m%(df, 5) = 0
m%(df, 3) = m%(df, 12): m%(df, 13) = 0
FOR x2 = 1 TO na
   IF a%(x2, 4) = -df - 1 OR a%(x2, 4) = -df - 1000 THEN a%(x2, 4) = ro
NEXT
'
'  --> Add effects of monster's death here
'
w = (df + db - 1): IF db > 0 AND w > 0 AND w <= naf THEN a%(w, 4) = ro
Mdead2:
w = m%(df, 11): NBTL(w) = NBTL(w) - m%(df, 1): RETURN
END SUB

SUB StatDisplay
a$ = UCASE$(LEFT$(m$(0), 38)): COLOR 11: PRINT a$; : LOCATE 1, 41: COLOR 3
PRINT "Sex: "; sex$(sex%); : LOCATE 1, 59: PRINT "Damage Taken:";
COLOR 3 + (m%(0, 13) > 0): PRINT STR$(m%(0, 13)); : COLOR 3
PRINT "/"; LTRIM$(STR$(m%(0, 1))): PRINT
a$ = "Hardiness:" + STR$(m%(0, 1)): a$ = a$ + SPACE$(19 - LEN(a$)) + "Agility:"
PRINT a$; : COLOR 3 + 8 * ABS(Speed > 0): a$ = STR$(m%(0, 2))
PRINT a$ + SPACE$(9 - LEN(a$)); : COLOR 3: a$ = "Charisma:" + STR$(ch%) + " ("
a$ = a$ + MID$("+", ABS((f < 0)) * 1 + 1, 1) + LTRIM$(STR$(f))
a$ = a$ + "% Likeability Bonus)": PRINT a$: PRINT
PRINT "Weapon Abilities:"; : LOCATE 5, 41: PRINT "Spell Abilities:"
FOR a = 1 TO 4
   PRINT " "; MID$("Axe....MissileClub...Spear..", 7 * (a - 1) + 1, 7);
   PRINT ".."; STR$(wa%(a)); "%";
   IF a < 5 THEN
     LOCATE 5 + a, 42: f = 3 + (sa%(a) < sa%(a + 4))
     PRINT MID$("BlastHeal.SpeedPower", 5 * (a - 1) + 1, 5);
     s$ = LTRIM$(STR$(sa%(a))): PRINT STRING$(6 - LEN(s$), ".");
     COLOR f: PRINT s$; "%"; : COLOR 3: PRINT " /"; STR$(sa%(a + 4)); "%"
   END IF
NEXT
PRINT " Sword...."; STR$(wa%(5)); "%"; : LOCATE 10, 24: PRINT "Gold:"; gold
LOCATE 10, 55: PRINT "In bank:"; bank: PRINT : a$ = x$ + SPACE$(39 - LEN(x$))
a$ = a$ + "Armor Expertise:" + STR$(ae%) + "%": PRINT a$
IF BORT = 1 THEN LOCATE , 43: PRINT "Armor Factor: "; af%; " Result ="; (af% + ae%) * ABS(-af% > ae%);
PRINT : a$ = "Weight carried: " + LTRIM$(STR$(wt)) + "/"
a$ = a$ + LTRIM$(STR$(m%(0, 1) * 10)) + " Gronds (One Grond = Ten DOS)"
PRINT a$: PRINT : COLOR 2
IF BORT = 1 THEN PRINT "String Mem:"; FRE(""); "  Stack Mem:"; FRE(-2); "  Array Mem:"; FRE(-1): PRINT
END SUB

