' THE MARVELOUS WORLD OF EAMON DELUXE v5.0 ͻ
'                  by Frank Black Productions                    
'                                                                
'      Originally based upon the classic Eamon                   
'              computerized fantasy role-playing system          
'                                                                
'                                                                
'  GRAPHIC INTRO PROGRAM              Update: 08 JAN 2012        
'                                                                
' ALL NON-COMMERCIAL DISTRIBUTION ENCOURAGED ͼ
'
' Copyright (C) 2013 Frank Black Productions
'
' This program is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'

'    Dragon coordinates & colors
'
DIM SHARED dragonX, dragonY, dc, dc1, dc2, dc3, dc4, dc5, dc6, dc7, dc8
DIM SHARED dc9, dc10, dc11, dragon
'
'    Alphabet text string, drawing coordinate strings, location & colors
'
DIM SHARED a$, ab$(255), col, row, TextSize, TextColor1, TextColor2
'
'  d%() -- Gets REDIMed and used to store various graphic images
' ev%() -- Random animation 'events' (1=already occurred)
'  dly# -- Delay value for current CPU (set when Eamon DX is installed)
' mode  -- Highest available graphics mode (1 = CGA, 7 or 9 = EGA/VGA)
' mode1 -- Adjustment to X coordinate for DRAW strings on SCREEN 9
' mode2 -- Adjustment to Y coordinate for DRAW strings on SCREEN 9
'   mem -- A logical flag:  Enough memory to capture entire screen in d%()?
'  page -- A logical flag:  An extra video page available?
'    ex -- Flag to exit graphics routine
'  last -- The last 'event' (so you don't see one twice in a row)
'
DIM SHARED ev%(6), s%(10), dly#, mode, mode1, mode2, mem, page, nt, ex, last

DECLARE SUB SetScreen ()
DECLARE SUB LandScape (ground, sky)
DECLARE SUB EamonDragon ()
DECLARE SUB Castle ()
DECLARE SUB Old.Eamon.Screen ()
DECLARE SUB Eamon.Deluxe.Screen ()
DECLARE SUB Credits ()
DECLARE SUB BadBreath ()
DECLARE SUB HRT ()
DECLARE SUB Delay1 ()
DECLARE SUB Delay2 ()
DECLARE SUB Delay3 ()
DECLARE SUB Delay4 ()
DECLARE SUB AfterDark ()
DECLARE SUB PirateFlag ()
DECLARE SUB Bird ()
DECLARE SUB UFO ()
DECLARE SUB BoxDragon ()
'
'  Load system settings
'
OPEN "SETTINGS.DAT" FOR INPUT AS #1
    INPUT #1, dly#, CC1#, CC2#, CC3#: FOR x = 1 TO 10: INPUT #1, s%(x): NEXT
CLOSE
mode = s%(1)
IF s%(4) = 1 THEN RUN "FRNTDESK"
IF mode <> 1 AND mode <> 7 AND mode <> 9 THEN GOTO WrongScreen
'
'  Initialize data for HRT sub  (Hi-Res Text)
'
FOR a = 33 TO 90: READ ab$(a): NEXT
'
'  Initialize the intro text strings
'
READ nt
DIM SHARED t$(nt), t%(nt, 7)
  FOR a = 1 TO nt
     FOR x = 1 TO 7: READ t%(a, x): NEXT
     READ t$(a)
  NEXT

SCREEN 0: CLS : LOCATE 10
PRINT "(Hit space bar at any time to step through animations, or any other key"
PRINT "to skip intro graphics.  Hit <ESC> now to skip graphics, any other key"
PRINT "to continue.)"
a = 0
DO
  k$ = INKEY$: IF k$ = CHR$(27) THEN a = 1
LOOP UNTIL k$ <> ""
IF a = 1 THEN RUN "FRNTDESK"
'
' Set up graphics mode
'
CALL SetScreen
'
'  Draw an old classic
'
CALL Old.Eamon.Screen
a = 0
FOR y = 1 TO dly# * 10
   k$ = RIGHT$(INKEY$, 1)
   IF k$ <> "" THEN
     ex = 1: y = dly# * 9
     IF k$ = CHR$(32) THEN ex = 0
     IF k$ = CHR$(30) THEN ex = 0: a = 1: y = dly# * 10: SOUND 50, .5
   END IF
NEXT
'IF a = 1 THEN nt = nt + 11
IF ex = 1 THEN RUN "FRNTDESK"

'
'  Hide re-draw on page 1 if possible
'
      IF page = 1 THEN SCREEN mode, , 1, 0

CALL Eamon.Deluxe.Screen
     
      IF page = 1 THEN PCOPY 1, 0: SCREEN mode, , 0, 0

IF ex = 1 THEN GOTO EvDone
CALL Delay1: IF ex = 1 THEN GOTO EvDone
CALL BadBreath: IF ex = 1 THEN GOTO EvDone
CALL Credits: IF ex = 1 THEN GOTO EvDone
'
'  Display the five random 'events' & credits in a random order
'
ex = 0: ev%(5) = 1

Events:
RANDOMIZE TIMER
x = ev%(1) + ev%(2) + ev%(3) + ev%(4) + ev%(5) + ev%(6)
IF x = 6 THEN ERASE ev%: x = 0

Events1:
z = INT(RND * 6) + 1: IF ev%(z) = 1 THEN GOTO Events1
IF z = last AND x = 0 THEN GOTO Events1
          ev%(z) = 1: last = z
          IF z = 1 THEN CALL AfterDark
          IF z = 2 THEN CALL Bird
          IF z = 3 THEN CALL PirateFlag
          IF z = 4 THEN CALL BoxDragon
          IF z = 5 THEN CALL Credits
          IF z = 6 THEN CALL UFO
IF ex = 0 THEN GOTO Events
'
'  Send player off to the Irishman
'
EvDone:
RUN "FRNTDESK"

'*******************************
'*                             *
'*  Error traps for SetScreen  *
'*                             *
'*******************************
'
WrongScreen:
    CLS : BEEP: PRINT "ERROR INITIALIZING GRAPHICS SCREEN!  ";
    IF mode = -1 THEN PRINT "(No mode selected)"
    IF mode = 0 THEN PRINT "(No available graphics adapter)"
    PRINT : PRINT
    PRINT "If you have a CGA/EGA/VGA graphics adapter then select the <Control Panel> from"
    PRINT "the Main Eamon Deluxe Menu to set up a valid graphics setting.  The Control"
    PRINT "Panel will tell you which modes are available (if any) and allow you to select"
    PRINT "the one you prefer."
    PRINT : PRINT "Hit any key to enter the Main Hall...": k$ = INKEY$
    DO
    LOOP UNTIL INKEY$ <> ""
    RUN "MAINHALL"
SmallMem:
    mem = 0: RESUME NEXT
SinglePage:
    page = 0: RESUME NEXT
PaletteError:
    RESUME NEXT


'  DRAW strings for HRT routine

' !  33
DATA br1d2r1bd2l1r1bu2u2l1,"","","","",""

' apostrophe 39
DATA bd2e1u1,"","","",""

' comma 44
DATA bd4e1u1,""

' period 46
DATA bd3f1u1d1l1e1l1d1,"","","","","","","","","","","",""

' ; 59
DATA bd5e1u1bu2u1,""

' = 61
DATA bd1r3bd2l3,""

'? 63
DATA bd4br1r1bu2e1h1l1,""

'A-D
DATA bf1d3br2u2l2u1e1f1d1,d4r1e1h1e1h1l1,br2l1g1d2f1r1,d4r1e2h2l1
'E-I
DATA br1d4r2bu2l2u2r2,r2l2d2r2l2d2,bd1e1r2l2g1d2f1r2u2l1,d4u2r2u2d4,r2l1d4r1l2
'J-N
DATA bd2d1f1e1u3r1l3,d4u2r1e1u1d1g1f1d1,d4r2,d4u4f2e2d4,d4u4f3d1u4
'O-Q
DATA bd1d2f1r1e1u2h1l1g1,r1f1g1l1d2u4,bd1d2f1r2e1u2h1l2g1bf2f1
'R-U
DATA d4u2r1f1d1u1h1e1h1l1,br2l1g1f1r1d1g1l1  ,r1d4u4r1,d3f1r1e1u3
'V-Z
DATA d3f1e1u3,d4e2f2u4,d1f2d1u1h1g1d1u1e2u1,d1f1d2u2e1u1,r3g3d1r3
'
' Text for the intro credits
'
'  Format is:  Color, background, size, col, row, delay, erase?
'
DATA 18
DATA 15,0,1,6,2,2,1," WELCOME TO "
DATA 14,0,2,2,2,4,0," EAMON DELUXE!"
DATA 10,0,1,3,5,2,0," THE NEXT GENERATION IN EAMON"
DATA 10,0,1,13,6,3,1," GAMING "
DATA 15,0,1,1,5,3,1," EAMON DELUXE IS A CREATION OF..."
DATA 10,0,2,2,2,3,0," FRANK BLACK "
DATA 10,0,2,2,3,3,1," PRODUCTIONS "
DATA 7,0,1,1,1,0,0,"                             "
DATA 7,0,1,1,2,1,0," ORIGINALLY BASED UPON THE   "
DATA 7,0,1,1,3,1,0," CLASSIC EAMON DEVELOPED BY  "
DATA 7,0,1,1,4,1,0," DONALD BROWN, JOHN NELSON,  "
DATA 7,0,1,1,5,3,0," TOM ZUCHOWSKI AND FRANK     "
DATA 7,0,1,1,6,4,1,"                             "
DATA 15,0,1,2,2,1,0,"   B&W DRAGON PICTURE BY   "
DATA 15,0,1,2,3,1,0," R.L. PHILLIPS AND FRIENDS "
DATA 15,0,1,2,4,4,1,"     OF ANN ARBOR, MI      "
DATA 15,0,1,2,2,1,0,"  ALL OTHER GRAPHICS BY  "
DATA 15,0,1,2,3,4,1," FRANK BLACK PRODUCTIONS "

SUB AfterDark
'**********************************************
'*                                            *
'*  Turn out the lights in the Land of Eamon  *
'*                                            *
'**********************************************
'
AfterDark:
'
'  Flip active page to hide drawing (if possible)
'
IF page = 1 THEN SCREEN mode, , 1, 0: PCOPY 0, 1

CALL LandScape(8, 0)
dc9 = 0: dc10 = 0: dc11 = 0
CALL EamonDragon
'
'               Moon
'
CIRCLE (25, 25), 25, 14, 1.3, 5
CIRCLE (41, 25), 25, 14, 1.9, 4.4, .8
PAINT (5, 15), 14, 14
'
'               Stars
'
FOR x = 1 TO 100
   c = INT(RND * 318) + 1: r = INT(RND * 103) + 1
   IF r > 99 AND c < 99 THEN GOTO AfterDark1
   IF POINT(c, r) = 0 THEN PSET (c, r), 15
AfterDark1:
NEXT
'
'  Page flip if necessary
'
    IF page = 1 THEN SCREEN mode, , 1, 1

CALL Delay1
'
'          Turn on castle lights
'
PAINT (109, 123), 14, 8: CALL Delay1
PAINT (34, 93), 14, 8: CALL Delay1
PAINT (82, 93), 14, 8: CALL Delay1
PAINT (7, 120), 14, 8
CALL Delay3
'
'  Page flip or re-draw
'
     IF page = 0 THEN CALL Eamon.Deluxe.Screen
     IF page = 1 THEN SCREEN mode, , 0, 0
CALL Delay3
EXIT SUB
END SUB

SUB BadBreath
'                  ********************
'                  *                  *
'                  *  Heat things up  *
'                  *                  *
'                  ********************
BadBreath:

'
'  If possible, save screen to avoid re-draw
'
    IF page = 1 THEN PCOPY 0, 1

'
'  p1-p3 adjust colors to look good in CGA mode
'
p1 = 14: p2 = 12: p3 = 4
IF mode = 1 THEN p1 = 2: p2 = 0: p3 = 1

FOR x = 1 TO 10
  LINE (248, 27)-(0, 10), p1: LINE (248, 28)-(0, 180), p1
  PAINT (0, 11), p1, p1
  SOUND 70, .5
  LINE (248, 27)-(0, 30), p2: LINE (248, 28)-(0, 140), p2
  PAINT (0, 31), p2, p2
  SOUND 50, .5
  LINE (248, 27)-(0, 50), p3: LINE (248, 28)-(0, 90), p3
  PAINT (0, 51), p3, p3
  SOUND 60, .5
  FOR z = 1 TO dly# / 250: NEXT
  LINE (248, 27)-(0, 10), 0: LINE (248, 28)-(0, 180), 0
  PAINT (0, 15), p3, 0
  FOR z = 1 TO dly# / 250: NEXT
  SOUND 40, .5
  k$ = RIGHT$(INKEY$, 1)
  IF k$ <> "" THEN ex = 1: x = 10: IF k$ = CHR$(32) THEN ex = 0
NEXT
'
'  Restore screen or re-draw if not saved
'
IF page = 0 THEN CALL Eamon.Deluxe.Screen
IF page = 1 THEN PCOPY 1, 0

EXIT SUB
END SUB

SUB Bird
'    **********************
'    *                    *
'    *  One unlucky bird  *
'    *                    *
'    **********************
'
Bird:
REDIM d%(1 TO 648)
GET (49, 48)-(104, 70), d%

c = 50: r = 50:
bc = 4: bh = 15: BF = 14: bo = 0: GOSUB Bird1
'
'  Make bird blink
'
x = 0
FOR y = 1 TO dly# * 4
   x = x + 1: IF x = dly# THEN LINE (96, 51)-(96, 51), 15
   IF x = dly# * 2 THEN x = 0: LINE (96, 51)-(96, 51), 0
   k$ = RIGHT$(INKEY$, 1)
   IF k$ <> "" THEN ex = 1: y = dly# * 4: IF k$ = CHR$(32) THEN ex = 0
NEXT

CALL BadBreath
PUT (49, 48), d%, PSET
IF ex = 1 THEN EXIT SUB

DRAW "ta180": c = 93: bc = 6: bh = 6: BF = 6: bo = 0
FOR x = 48 TO 120 STEP 5
   r = x - 6
   GET (49, 2 + x)-(104, 23 + x), d%: GOSUB Bird1
   FOR y = 1 TO dly# / 2
      k$ = RIGHT$(INKEY$, 1)
      IF k$ <> "" THEN
        ex = 1: y = dly# / 2: IF k$ = CHR$(32) THEN ex = 0
        PUT (49, 2 + x), d%, PSET: x = 120
        GET (49, 2 + x)-(104, 23 + x), d%
      END IF
   NEXT
   PUT (49, 2 + x), d%, PSET
   IF ex = 1 THEN x = 120
NEXT
DRAW "ta0"
IF ex = 0 THEN CALL Delay3
EXIT SUB

Bird1:
DRAW "bm" + STR$(c + 5 + mode1) + "," + STR$(r + 14 + mode2) + "s4c" + STR$(bc)
DRAW "r2f2r4e2r6e2r2e2r6e2r2e2r2e2r1c" + STR$(bh) + "u4d4r4f2e2h2l2h2l5c" + STR$(bc) + "l11bd14bl30"
DRAW "e2r3bd2l5r4bu2e2u2r2e2r2e2r2e2r6e2r17l1br2c" + STR$(bh) + "d4u4f2e1bf2"
DRAW "p" + STR$(bh) + "," + STR$(bh)
DRAW "bl6 c" + STR$(bc) + "d1u4d4bl4 bu1p" + STR$(bc) + "," + STR$(bc) + "bd1"
DRAW "c" + STR$(BF) + "bg8bl2d2g2f2u7bl6bd2d2g2f2u4bd2bl1"
DRAW "p" + STR$(BF) + "," + STR$(BF) + "br6bu1p" + STR$(BF) + "," + STR$(BF)
DRAW "c" + STR$(bo) + "bd2d1r2u8r3e2r2e2r2e2r5f2e3h3l2h2l19g2l6g2l3g2"
DRAW "l2g2l2g1d2g1l2g3f1r7f2r4e2r5e2d2g2f3e1u6r1e2r1d3g2f2"
RETURN
END SUB

SUB BoxDragon
' *********************************************************************
' *                                                                   *
' * This sub puts the big guy in an even bigger box and shakes him up *
' *                                                                   *
' *********************************************************************
'
BoxDragon:
'
'  Only execute sub if memory permits
'
IF mem = 0 THEN EXIT SUB
'
'  Preserve original screen if possible
'
IF page = 1 THEN PCOPY 0, 1
'
REDIM d%(1 TO 7532)
GET (128, 10)-(294, 186), d%
'
'      Move him left
'
FOR x = 153 TO 0 STEP -10
   PUT (x, 10), d%, PSET
   k$ = RIGHT$(INKEY$, 1)
   IF k$ <> "" THEN ex = 1: x = 0: IF k$ = CHR$(32) THEN ex = 0
NEXT
'
'      Move him right & down
'
y = 0
FOR x = 1 TO 153 STEP 5
   PUT (x, y), d%, PSET
   y = y + 5: IF y > 24 THEN y = 0
   k$ = RIGHT$(INKEY$, 1)
   IF k$ <> "" THEN ex = 1: x = 153: IF k$ = CHR$(32) THEN ex = 0
NEXT
PUT (128, 10), d%, PSET
CALL Delay2
'
'  Copy original screen or re-draw
'
   IF page = 0 THEN CALL Eamon.Deluxe.Screen
   IF page = 1 THEN PCOPY 1, 0

EXIT SUB
END SUB

SUB Castle
' This subroutine draws a castle in any color and size specified
' The castle is 31 pixels high x 46 wide (33x48 with outline)
' It was stolen from the intro of an Apple II version of Ultima I
'
'          castlecol & castlerow -- Where to draw castle (from top left)
'                     castlesize -- size of castle (1-6)
'   castlecolor, castlebridge,
'         castlemoat, castleflag -- Colors
'                 castleoutline1 -- Outline of castle (-1=no outline)
'                 castleoutline2 -- Outline of moat (-1=no outline)
'
'
'    Castle coordinates & colors
'
castlecol = 0 + mode1: castlerow = 77 + mode2: castlesize = 3
castlecolor = 8: castlebridge = 7: castlemoat = 9: castleflag = 4
castleoutline1 = 7: castleoutline2 = 7

Castle:
IF castlesize > 6 THEN castlesize = 6
z$ = STR$(castlecolor)
a$ = "p" + z$ + "," + z$
DRAW "bm" + STR$(castlecol) + "," + STR$(castlerow) + "c" + z$
DRAW "s" + STR$(castlesize * 4)
DRAW "bd26d3u3r1u12r1d4r3u4l4e2r1f4r1u5g4d2u1r1d3l1d8l5be2" + a$
DRAW "bu11be1" + a$ + "br5bd1r1bh1" + a$
DRAW "bd5d2l1d7r6u7l1u2l1d2l2u2l1bd5r1u1r2d1r1d2l1d1l2u1l1u2"
DRAW "bd3" + a$ + "br4" + a$ + "bu4" + a$
DRAW "br3d5r3u4r1u1r3d1r1d4r3u7e1u2l1d1g1l1u2l1d2l2"
DRAW "u2l1d2l2u2l1d2l1h1u1l1d2f1d2bu3" + a$
DRAW "bf1" + a$ + "br9be1" + a$ + "bd9bl4" + "c" + STR$(castlebridge)
DRAW "l4d4r4u4bg1p" + STR$(castlebridge) + "," + STR$(castlebridge)
DRAW "c" + STR$(castlecolor)
DRAW "be8bu3d2l1d7r6u7l1u2l1d2l2u2l1bd5r1u1r2d1r1d2"
DRAW "l1d1l2u1l1u2bd3" + a$ + "br4" + a$ + "bu4" + a$
DRAW "br3d5r4u12r1h3l1g3f1d3r1d3bu4r3u3l3d3bu4" + a$
DRAW "bg1" + a$ + "bf4" + a$ + "bh5bl2u3f2g2u3d3d1r1bu3" + a$
DRAW "bg3u7r1u4r1h3l1g3f1d3f1d5r2d1r1bu8u3l3d3r3"
DRAW "bh3bl1" + a$ + "be2" + a$ + "bd6" + a$
DRAW "bl4u1l1d2l1h1u1l1d1g1h1u1l1d1g1d5r1u3br2d1bl2u2e1r2f1"
DRAW "r2d1r1d2l1d1r2u5h1bd2" + a$ + "bl3bu1" + a$ + "bl4" + a$
DRAW "bg3bd2u6r1u4r1h3l1g3f1d3f1d6r1u1r2bu7u3l3d3r3"
DRAW "bh3bl1" + a$ + "be2" + a$ + "bd6" + a$
DRAW "bf7c" + STR$(castleflag) + "u2r2u1r1u1c" + STR$(castlemoat) + "bg17"
a$ = "p" + STR$(castlemoat) + "," + STR$(castlemoat)
DRAW "l3d2r14u2l11bd1" + a$ + "u1br19r17e1u2f1d1d1g2l17u2"
DRAW "bf1" + a$ + "br16be1" + a$
IF castleoutline1 = -1 THEN DRAW "bh1bu3": GOTO Castle1
DRAW "c" + STR$(castleoutline1) + "bh1l18bl6l16d2l2u4e1u11e3r1f2e3u4h1"
DRAW "e4r1f4g1d1r9u1h1e4r1f4g1d4f3e2r1f4g1d12u3"
Castle1:
IF castleoutline2 = -1 THEN EXIT SUB
DRAW "c" + STR$(castleoutline2) + "r1f2d2g3l18g1l4h1l15h1u1"
END SUB

SUB Credits
'            ************************
'            *                      *
'            *  Thank you, boys...  *
'            *                      *
'            ************************
'
FOR t = 1 TO nt
   IF ex = 1 THEN EXIT SUB
   a$ = t$(t): TextColor1 = t%(t, 1): TextColor2 = t%(t, 2)
   TextSize = t%(t, 3): col = t%(t, 4): row = t%(t, 5)
   CALL HRT
   IF t%(t, 6) > 0 THEN
     ON t%(t, 6) GOTO D1, D2, D3, D4
   END IF
Credits1:
   IF t%(t, 7) = 1 THEN GOSUB E
NEXT

EXIT SUB

'
'  'Erase' text (draw a big blue box over it)
'
E:
LINE (0, 0)-(199, 61), 1, BF
RETURN
'
'  QBASIC needs an ON..CALL feature!
'
D1:
CALL Delay1: GOTO Credits1
D2:
CALL Delay2: GOTO Credits1
D3:
CALL Delay3: GOTO Credits1
D4:
CALL Delay4: GOTO Credits1
END SUB

SUB Delay1
FOR y# = 1 TO dly# * 4
   k$ = INKEY$
   IF k$ <> "" THEN ex = 1: y# = dly# * 4: IF k$ = CHR$(32) THEN ex = 0
NEXT
END SUB

SUB Delay2
FOR y# = 1 TO dly# * 9
   k$ = RIGHT$(INKEY$, 1)
   IF k$ <> "" THEN ex = 1: y# = dly# * 9: IF k$ = CHR$(32) THEN ex = 0
NEXT
END SUB

SUB Delay3
FOR y# = 1 TO dly# * 11
   k$ = INKEY$
   IF k$ <> "" THEN ex = 1: y# = dly# * 11: IF k$ = CHR$(32) THEN ex = 0
NEXT
END SUB

SUB Delay4
FOR y# = 1 TO dly# * 16
   k$ = INKEY$
   IF k$ <> "" THEN ex = 1: y# = dly# * 11: IF k$ = CHR$(32) THEN ex = 0
NEXT
END SUB

SUB Eamon.Deluxe.Screen
'****************************************
'*                                      *
'*  Main intro screen for Eamon Deluxe  *
'*                                      *
'****************************************
'
CLS : CALL Castle
'
' Fill gaps in castle, color grass, re-draw flag & moat
'
LINE (3, 166)-(3, 166), 0: LINE (123, 160)-(123, 160), 0
PAINT (3, 165), 2, 0: PAINT (123, 161), 2, 0: PAINT (57, 125), 0, 0
LINE (123, 153)-(123, 159), 9: LINE (124, 154)-(124, 159), 9
LINE (125, 154)-(125, 159), 9: LINE (123, 153)-(123, 153), 0
LINE (55, 128)-(55, 122), 6: LINE (56, 122)-(61, 122), 4
LINE (56, 123)-(59, 123), 4: LINE (56, 124)-(62, 124), 4
LINE (319, 0)-(319, 199), 0: LINE (0, 199)-(319, 199), 0
PAINT (0, 0), 7, 7: PAINT (320, 0), 0, 0

dc = 0: dc1 = 2: dc2 = 4: dc3 = 4: dc4 = 0: dc5 = 15
dc6 = 14: dc7 = 15: dc8 = 7: dc9 = 1: dc10 = 1: dc11 = 1
dragonX = 200 - 72 + mode1: dragonY = 30 - 15 + mode2: dragon = 0
CALL EamonDragon

CALL LandScape(6, 1)

EXIT SUB
END SUB

SUB EamonDragon
' The Classic Eamon Dragon!       (166 x 173)
' by R.L. Phillips & friends of Ann Arbor, MI sometime in the early 1980s
' Painstakingly bit mapped by hand onto the PC by Frank Black
'
' This subroutine will draw the old chap anywhere on the screen in
' any colors you specify
'
' Dimension is        0,0         165,0
'
'                         (Dragon)
'
'                   0,172         165,172
'
'dragonX & dragonY - Where to start drawing
'
'      dragon - 0=colored dragon, 1=outline only, 2=outline w/backgrounds
'
' dc - Outline of dragon   dc6 - Belly
'dc1 - Body                dc7 - Spikes
'dc2 - Wings               dc8 - Claws
'dc3 - Tongue              dc9 - Behind top of wing
'dc4 - Eye                dc10 - Behind bottom of wing
'dc5 - Inside of eye      dc11 - Behind tail
'
EamonDragon:
DRAW "s4c" + STR$(dc) + "bm" + STR$(dragonX + 72) + "," + STR$(dragonY + 15)
'
' Tongue & mouth
'
DRAW "r11d1l4r9u1r2u1r3u1r3u1r2u1r1d1r1u2d3r1u3r1d1"
DRAW "r4d1l3r10u1r1u3l1d1r5d1r1d1l6d1l3d1l4r4d1r10"
DRAW "d1l5d1r4l6d1r4l6d1r5l8u1r1d2r3l6d1r6l11u1d2r6"
DRAW "l6d1r4d1l4"
DRAW "r10u1r5u1r2u1r1u1r3u1r2u1r1u1r1"
DRAW "bl5u1r1u1r1u2l1u1bd5bl2u5"
DRAW "bu1bl8l5u1r4u2r3d1r2d1r2bl4bu2l19u1d2r15"
DRAW "l6d1l3u1l4d1l1d1l1d1l4d1l2d1l4d2l3u1r2l4u1"
DRAW "r2l4u1l3r1u1l2u1l2u1r1br23bu4"
'
'  Head
'
DRAW "r8u1l1d1u2l2d2l3u2r1u1r2u1r5bd3u1l1u1l1u1r8"
DRAW "d1r5d1r2u1r2u1l2r1u1r3d1l1r1u1r2bd2r2d1r1d1r1d1l3"
DRAW "d1l3u1r2l3u1r2u1r3d1u1l2bu3r3d1r2d1r1d1r1d1u3"
DRAW "r9d1l5d1l2d1l2r1d2r1d1r1l3d1r4d1l1d1u1r2d2r1d2"
DRAW "bl6bu4l1d1l1r3d1r2d1r1l2d1r5"
DRAW "d4r1d13l1d3l1d1r3d1r1d1r1d3u1r1u1r1u7l1u1l1u1l1"
DRAW "u2r4d1r3u1l1u3l1u4l1u1l1u1l1u1l1r5d1r3d1l1"
DRAW "u4l1u1l1u1l2u1l2l2u1l1u1l1u1r6u1l2u1l9u2r1u1"
DRAW "bd32br2r2d2r1d3r1d3l1d1u1l1u1l1d6l1u7l1r1"
DRAW "d6l2r1d2r1d1r1d5r1u2l3u1r3l3u1l1u1l1u1l1"
DRAW "u4r1u3r1d1u4r1d2u6bl16u1r2u1r1u1r1u1r1u2r1"
DRAW "u2r1u7r1d3r1u1r1u1r5l1u1l7u1l1r7u1l8u1r7l2u1l2"
'
' Left arm
'
DRAW "bl8bd19d1l1d1l1d1l1d1l1d1l1d2l1d1l1d1l1d1"
DRAW "l1d1l1d3l1d2l1d1l2d1l2d1l11u2r1u2r1u1r1u1r1"
DRAW "u2r1u1r1u1r1u3r1u2r1u5l1u1l1u7l1u1l1u1l2"
DRAW "u1l1u1l1u1l3u1l3r2d1r1d1r2l1d1r2d1r2d2r1d1l1d1"
DRAW "l1bl4bu1r3l1u1l1u1l2u1l1u1l1u1l6d2l1r6d2bd1br1bu1bl1u1br3"
DRAW "d1r2bd2bl1bu1bu5bl9l2d1l1d1l1d6l1d1l1u1r1u1l1"
DRAW "r1u2r1u2r3d1l2r4r3bd2l5d1r8br1bu1bl1l2d1r2d1r1d1r2d1l2d1"
DRAW "l6bl3bu1l1u3l1u1d1r2d2r1d2br3d1r2d1r8u1r1d4l1d1l1"
DRAW "d1l1d1l1d2l1d1l1d1l1d1l1d1l1d1l1d2l1d1l1d2l1"
DRAW "d6r1d1r2d1r3d1r4d1r4d1r5d1r1d2r4l4d4"
DRAW "l1d3r2d1l2d2l1r3"
DRAW "d1l3r1d2r2u1d1l1d11l1u5r7l7u6"
'
' Left leg
'
DRAW "bd11l1d2l1d2l1d2l1d2l1d1l1d1l1u3d1l1d1l1d2r2l3"
DRAW "d1r3l1d1l3d2l1d1r1l1d1l1d2l1u1d1l1d1r1d1l2d1r1"
DRAW "l2d1l1d1r1l4d1r3l3d1l3d1l1u2r2l2d1l1d1r2l3d1"
DRAW "r1l2d1l2d1r1l2d1l1d1l2d1l1d1l1d1l1d2l1d2"
DRAW "l1d3l1d4l1d2l1d1l1d2l1d2l1d3l1d2l1d2l1d4l1d1l2"
DRAW "bg1l3d1l3d1l1d1u1l2d1l1br11bu4u1l2u1l9d1l1d1l1u2"
DRAW "l3d2r1l3d1l2d1l1d1l1d5u1r1u3r2u1r1u1r6u2d3"
DRAW "l2d1r1l1d1l1d1l3d6r1u1r1u1r1u1r1u1r2u1r1u1r1u2"
DRAW "l2r2d4r2u1r1u1r3u1rr5u1r4d2r1d1r1d3r1d1r4d1r1l2"
DRAW "u2l1u1r1u1r3d1r1d1r1d1r1d2l3br1bu3bu4bl3d1u1l1"
DRAW "u1l1u1l1u4r1u1r1u1r1u1r2u1r1u1r1u1r1u1r1u1r2br7"
DRAW "l2u1l1u1l1r1d2bl4u1r1u1r1u1l1r1u2r1u1r1u1r1u2r1"
DRAW "u1r1u1r1u1r1u1r2u1r2u1r8l5u1r3u1r2d1r2u1l1u1"
DRAW "r1d1r2u1l2r3u1"
'
'  Right leg
'
DRAW "br32d4r1u4d7r1d5l1r2d1r1d2r1d2r2d1r1d1r1d1r1"
DRAW "d2r1d2r1d2l2d1l2d1l3d1l2d1l1d1r5l4d1l1d1r1l1d1"
DRAW "l1d3r1d2r1u2r1u2r1u1r2u3d4l2r2u1r2u1r1u2r2u1r1"
DRAW "u1r1d1r1d2r1d1r2u1d2l1d1r1d1r2d1r1d2"
DRAW "r1d2r2d1u2bl2u1l1u2l1u4r2"
DRAW "d1r1d2r1d3u5r1u1r1u1l1u1l3u3l1u1l1u1bd4br11"
DRAW "l2d1l1d2l1r4d3r1d3u3r1u7l1d2u3l4u1l2u1l1u1l2u1"
DRAW "l2u1l1u1l1u1l1u1l1u1l1u9r1u7l1u2l1u3l1u2l1"
DRAW "u2l1u1r1u1l3u1l1d1l4d1l2d1l1d1br11u5r1u11"
DRAW "l1u4l1u2l1u2l1u3r1u4r1"
'
' Right arm
'
DRAW "u4r1u3d1l2d1l5u1l1u1l2u1l1u1l2u2l1"
DRAW "u1l1u1l2l1u1l1l2u1l1u1l2u1l3d1l1d1l1"
DRAW "d1l1d1l1d4r1d1l1u1l1u1l1u2r1u2r1u1r1u1r1u1r1"
DRAW "u1r1u1l2d1l4d1l1d1l2d1l1d2l1d2u1l1u2r1u2"
DRAW "r1u1r1u1r1u1r2u1r3u1l3u1l1d1l4d1l1d2l1d3"
DRAW "u6r1u1r1u1l1r4u1r3d1r3d1r1u5l1u1l2u1l5"
DRAW "d1l3u1r2u1r1u1l1r4d1l1r7d2r1u1d2r1d3r1d1r2d1l1"
DRAW "r1d1r2d1r2d1r2d1r2d1r5u2l1u5d5r1d4r2u1l1r2u1"
DRAW "bd10br5r1u1r1u2r1u11l1u9l1u2l1u1l1u2l1u4l3u1"
'
' Right wing
'
DRAW "br3u4"
DRAW "r3u1r1u1r1u1r1u2r1u2r1u2r1u3r1u3r1u4d1r1d2r1d4"
DRAW "r1d3r1d3r1d3r1d6r1d6r1d11r1d18r1d12l1d31r1d4r1"
DRAW "d3r1d6r1d1u1l1u2l1u2l1u2l1u2l1u2l1u3l1u2l1u2l1"
DRAW "u5l1u1d7r1d11u2l1u3l1u3l1u2l1u5l1u4l1u4l1u5l1"
DRAW "u1d14r1d3u1l1u5l1u3l1u3"
'
' Left wing
'
DRAW "bl63u2r1u2r1u3r1u4d1l1d1l1d2l1d2l1d1l1d1l1d2"
DRAW "l2d1l1d1l1d2r1l2u1d1l1d1l3u1l1u1l1u1r1u2r1u1r1"
DRAW "u2r1u2r1u1r1u2r1u2r1u2r1u2r1u2r1u2r1u3r1u1r1u2"
DRAW "r1u2r1u2r1u2r1u3r1u3r1u3r1u4r1u2r1u2r1u3br3"
DRAW "bu9u1r1u2r1u2r1u2r1u3r1u1r1u2r1u2r1u2r1u1r1"
DRAW "u1r1u1r1u2r1u1r1u2r1u1r1u2r1u1r1u1r1u1d3l1d1"
DRAW "l1d2l1d6l1d7r1d3"

'
' Belly
'
DRAW "bu24br23"
DRAW "d1l3r4d2l6d2r6u1d2l1d1l6u2d3l1d1r6u1r1d2l1"
DRAW "d1l7u1d2r1u2d1r5d1r1l1d2l5d1l2r2u1r3d1r1d4l1"
DRAW "d2l1d2l1d2l1u1l10u1r1u1r1u1r1u1r8l8u1r1u1r1"
DRAW "u1r1r5d1r1l1u1l5u3r1u1r1u1bd3bl2l1u1bd10bl5d1l1"
DRAW "d1l1d1l1d2l1d2l1d2l1r2d1u1r8d1r8u5l1u6d4l12r12"
DRAW "d3l4u1l5d1l7bd4br18d2r1d1l3u1l17u3d3d1l1d1l1d1l1"
DRAW "d3r1u1r3u1r7d1r7d1r4bu4br1d1r1d5r1d5l1d4l1r1u3"
DRAW "l5u1l5bl1bu4r6d1r5bl4bd16l6u1l6u1bd4r7d1r7u1d1d5l1u1"
DRAW "l4u1l21d7r1d3r18d1r6u2r1u7d5l9u1l9u1l6br22bd7"
DRAW "r1d1l1d3l3u1l9u1l10u4d14r1d1r7d1bl7r1d3r1d2r1"
DRAW "d2r1d3r1d2r1d3l1d2l1d2l2l2d4l1d4l2d1l1d1l1d1l1d1"
DRAW "l2d1l1d1l18r3d1r3d1r3d1r2d1r2d1r5d1r4d1r10u1"
DRAW "r3u1r3u1r4l18u1l5u1l4br7r11d1r10u1r1u1r1u1r1u1l1"
DRAW "bl2l16bu5br3r9d1r6d1r1d2r1u2r1d1u2l1u6bl5bd1"
DRAW "u1l5u1l4br15d1u5bl3u1l13br16bd1r3u6l1u1l1u1l1"
DRAW "bl3u1l6u1l7bd2br16u4l1u4l1bd2bl1u1l7br9u1l1"
DRAW "u4l1u1l3r4bl11u1l5u1l4br20d1u4"
'
' Tail
'
DRAW "bl54bd13l3u1l1u1l2u1r1l2u1l2d8u1l1u1l1u2l1u1l1"
DRAW "u1l3u1l5d1r1d3r1d3u1l2u1l1u1l1u1l4u1l4d1r1d2r1"
DRAW "d4l1d1u1l1u1l2u1l1u1l4d1l5d1r2d1r1d1r1d4u1l2"
DRAW "u1l2u1l9d1r1d1r1d1r2d1r1d1r1d1l2u1l3u1l4d1r1"
DRAW "d1r1d1r1d1l4u1l4d1r1d1r1d5l6u6r1d1r1d1r1d3r6"
DRAW "bl10bu1u7d5l1d1u1l1u5r1u5l2u2d6r1u15r1"
DRAW "d9u7l2u7d5r1u3"
DRAW "u1l1u4r1u3r1u3r1u2r1u1r1u1r1u1r1u2r1u2d3r1u3"
DRAW "r2l1d2r2u2r2u2d1r2l2d2r10l8u1r3u2d1r1d1r1d1r3"
DRAW "u1l1u1d11u2r1u4r1d10l1d1l1d1l1d1l1d1l1d1l1d1"
DRAW "l2d1l1d1l2d1l2d1l1d1l1d1l1d1l2d2l1d1l1d1l2d15r1"
DRAW "bu20dr5r8u1r2u1r3u1r1u2l2d1l8d1r3br7u1r2u2l1r1"
DRAW "u1r1d2u1r1u1r1u1r1u1r1u2r1u1r1u1l1d1l1d1l1d1l1"
DRAW "d1l1d1l1d1l1bu11bl3d2l1u1d2l1d1l1u4r1u1r4u3l2d3"
DRAW "dl5dd2u1l4u1l5d1l2d2l1d1l1d3l1d4r1d2l1d7"
DRAW "u2r1u1r1u5r1d4u1r1u1du2u1r1u1dd5dl1u1r1u1r1"
DRAW "u4l1u4d1r1d3u1r1u3r1d2u4d1r1d2u1r1u2r1d2"
DRAW "u1r2u3l1u1d2l2d2u5r1d5u7br1bd4r1u1r1"
DRAW "bd19br43l16d1l5d1l2d1l2d1l3d1l3d1l3d1l2d1l2d1l2"
DRAW "d1l1d1l3d1r1l2d1l2d1l6d1r3bd10u2r1d1r1l1u2r2d3"
DRAW "u1r1u2r2d1l1d1r3u3l1d1r2u1d2r1u3r1d3r1u4d4r2u2"
DRAW "l1r2r1d1r2u1r4u1l1u1l9r2u1r14dd1dl2l2d1l2d1l1"
DRAW "bu5bl3r7u1l5r14d1l3d1l1d1u1l2d1l1u1l1d2l1u5l1r3"
DRAW "u1r2u1r2d1r4u1l5r10d1r4d2l10u1l2"
DRAW "bl32bd7d2l1u2l4d2r4l6u1r1l3u1l1u1l1u1l1u2l1u2l1"
DRAW "u3l1u11r1u3r1u2r1u2r1u1r1"

'               >> Paint body <<

IF dragon > 0 THEN DRAW "br28 bd38": GOTO DragonBackground
a$ = "p" + STR$(dc1) + "," + STR$(dc)
DRAW "bd2" + a$ + "br5" + a$ + "br2bu3" + a$ + "br4" + a$ + "br11bu3" + a$
DRAW "br2bu1" + a$ + "bl21" + a$ + "bd2br1" + a$ + "br6" + a$
DRAW "bu12br5" + a$ + "bd4" + a$ + "br26bd47" + a$ + "bl8" + a$
DRAW "br20" + a$ + "br35bu24" + a$ + "br50" + a$ + "bu70" + a$
DRAW "bl40" + a$ + "bu37bl5" + a$ + "bl9bu1" + a$ + "bl8" + a$
DRAW "bu1br1" + a$ + "br2" + a$ + "br15bu19" + a$ + "br3bu2" + a$
DRAW "bu1br24" + a$ + "bd4br8" + a$ + "bd4" + a$ + "br2bd1" + a$
DRAW "br1bd1" + a$ + "bd1" + a$ + "bd9bl7" + a$ + "bl1bd3" + a$ + "bd4bl1" + a$
DRAW "bl1bd2" + a$ + "bl1bd2" + a$ + "bl1bd1" + a$ + "bl1bd1" + a$
DRAW "bd30bl8" + a$ + "bd7bl2" + a$ + "bl3bu1" + a$'+"bl2bd1"+a$
DRAW "bd3br3" + a$ + "bd1bl2" + a$ + "bd1bl1" + a$ + "br32bd13" + a$

'  Paint wings

a$ = "p" + STR$(dc2) + "," + STR$(dc)
DRAW "br3" + a$ + "bd47br16" + a$ + "bd3br1" + a$ + "bl63bu54" + a$
DRAW "bu32" + a$

'  Tongue & eye

a$ = "p" + STR$(dc3) + "," + STR$(dc)
DRAW "bu43" + a$ + "br3bd1" + a$ + "br4bd1" + a$ + "bd2br4" + a$ + "bl20"
DRAW a$ + "bu3br8" + a$ + "bl12bd4" + a$ + "br36bu10"
DRAW "p" + STR$(dc4) + "," + STR$(dc1)
DRAW "br2c" + STR$(dc5) + "r1"

'  Belly

a$ = "p" + STR$(dc6) + "," + STR$(dc)
DRAW "bd19br5" + a$ + "bd2" + a$ + "bd2" + a$ + "bd2" + a$ + "bd2" + a$
DRAW "bd2" + a$ + "bd4" + a$ + "bl4bd2" + a$ + "bd3" + a$ + "bd4" + a$
DRAW "bd3" + a$ + "bd3" + a$ + "bd4" + a$ + "bd2" + a$ + "bd13" + a$
DRAW "bl12bu2" + a$ + "bd13bl8" + a$ + "bl3bu3" + a$ + "bu3br1" + a$
DRAW "bd22br6" + a$ + "bd2" + a$ + "bd4" + a$ + "bd47" + a$
DRAW "bl53bu10" + a$ + "bl12" + a$ + "bd2bl1" + a$ + "bl7bd2" + a$
DRAW "bl10" + a$ + "bd2" + a$ + "bl6bd1" + a$ + "bl5" + a$ + "bl4bd1" + a$

'  Scales & claws

a$ = "p" + STR$(dc7) + "," + STR$(dc)
DRAW "bl6bu23" + a$ + "bd7" + a$ + "br3bd5" + a$ + "br6bu44" + a$
DRAW "br4bu1" + a$ + "br5bd10" + a$ + "bd25" + a$ + "bd5bl1" + a$
DRAW "bd3bl4" + a$ + "bu27" + a$ + "br17bd15" + a$ + "br10" + a$
DRAW "br91bu73" + a$ + "bl1bu1" + a$ + "bl1bu1" + a$ + "br4bu10" + a$
DRAW "bu7" + a$ + "bl6bu30" + a$
a$ = "p" + STR$(dc8) + "," + STR$(dc)
DRAW "bl25bd69" + a$ + "br1bd4" + a$ + "bl1bd1" + a$ + "br3bd6" + a$
DRAW "br51bd82" + a$ + "bl10" + a$ + "bl19" + a$ + "bl68bd1" + a$
DRAW "bu141br15" + a$ + "be1" + a$ + "bd142bl16"
DRAW "bl31" + a$ + "bl3bu6" + a$ + "r1u1" + a$ + "br79bu150" + a$
DRAW "bd2br1" + a$ + "br2" + a$ + "bl82bd148"

'  Backgrounds

DragonBackground:
IF dragon = 1 THEN EXIT SUB
a$ = "p" + STR$(dc9) + "," + STR$(dc)
DRAW "br86bu127" + a$ + "bl22bd19" + a$ + "bl1bd1" + a$ + "bl1bd2" + a$
a$ = "p" + STR$(dc10) + "," + STR$(dc)
DRAW "bu28bl10" + a$ + "bd28br10"
DRAW "bd48" + a$ + "bd5bl10" + a$ + "bd2bl1" + a$ + "bd2bl1" + a$
DRAW "bl6bd6" + a$ + "bl2bd2" + a$ + "bl1bd1" + a$
DRAW "bl61bu13" + "p" + STR$(dc11) + "," + STR$(dc)
EXIT SUB
END SUB

SUB HRT
'**********************************************************
'*                                                        *
'*  The HI-RES text provided with basic made me ill so    *
'*  I wrote my own version.  The resolution is nicer and  *
'*  inverse text doesn't wipe the screen out.             *
'*                                                        *
'**********************************************************
'
' Textsize=1 is 27 rows of 53 columns each
'
'     col,row  --  Column & row to start at
'    Textsize  --  Size of text
'  Textcolor1  --  Color of text
'  Textcolor2  --  Color of background (-1 doesn't color)
'       mode1  --  Top left X coordinate of current window
'       mode2  --  Top left y coordinate of current window
'
HRT:
IF TextSize < 1 THEN TextSize = 1
c = INT(52 / TextSize) + 1
r = INT(26 / TextSize) + 1
IF col > c THEN col = 1: row = row + 1
IF row > r THEN row = 1

DRAW "c" + STR$(TextColor1) + "s" + STR$(TextSize * 4)
IF TextColor2 > -1 THEN GOTO HRT2

FOR a = 1 TO LEN(a$)
   k = ASC(MID$(a$, a, 1))
   DRAW "bm" + STR$((col - 1) * (TextSize * 6) + mode1) + "," + STR$((row - 1) * (TextSize * 7) + mode2)
   DRAW ab$(k): col = col + 1
   IF col > c THEN : col = 1: row = row + 1: IF row > r THEN row = 1
NEXT
col = 1: row = row + 1
EXIT SUB
'
'  Inverse text gets a separate routine because
'    it is slightly slower
'
HRT2:
FOR a = 1 TO LEN(a$)
   k = ASC(MID$(a$, a, 1))
   x = (col - 1) * (TextSize * 6): y = (row - 1) * (TextSize * 7)
   LINE (x, y - 2 * TextSize)-(x + 6 * TextSize, y + 5 * TextSize), TextColor2, BF
   DRAW "c" + STR$(TextColor1)
   DRAW "bm" + STR$((col - 1) * (TextSize * 6) + mode1) + "," + STR$((row - 1) * (TextSize * 7) + mode2)
   DRAW ab$(k): col = col + 1
   IF col > c THEN col = 1: row = row + 1: IF row > r THEN row = 1
NEXT
col = 1: row = row + 1
EXIT SUB
END SUB

SUB LandScape (ground, sky)
'                **************************
'                *                        *
'                *  Color sky and ground  *
'                *                        *
'                **************************
LandScape:
LINE (172, 161)-(185, 161), 0: LINE (172, 160)-(172, 160), sky
LINE (257, 161)-(263, 161), 0: LINE (276, 161)-(319, 161), 0
PAINT (0, 0), sky, 0: PAINT (258, 148), sky, 0: PAINT (175, 160), sky, 0
PAINT (0, 180), ground, 0
IF sky = 1 THEN
  CIRCLE (40, 66), 35, 15, , , .1: PAINT (40, 66), 15, 15
  CIRCLE (150, 80), 40, 7, , , .1: PAINT (150, 80), 7, 7
END IF
EXIT SUB
END SUB

SUB Old.Eamon.Screen
'*************************************
'*                                   *
'*   A pretty faithful reproduction  *
'*                                   *
'*************************************
CLS
dc = 15: dragon = 1: dragonX = 100 + mode1: dragonY = 1 + mode2
CALL EamonDragon

TextSize = 2: TextColor1 = 15: TextColor2 = -1
a$ = "WELCOME TO": col = 2: row = 2: CALL HRT
TextColor1 = 0: TextColor2 = 15
a$ = " EAMON ": col = 3: row = 3: CALL HRT

row = 8: TextSize = 1: TextColor1 = 15: TextColor2 = -1
a$ = "    THE COMPUTERIZED FANTASY":  CALL HRT
a$ = " ROLE PLAYING SYSTEM DESIGNED":  CALL HRT
a$ = " BY DONALD BROWN":  CALL HRT

row = 13: TextSize = 2
a$ = " NON-COMMERCIAL": CALL HRT
a$ = "    DISTRIBUTION WELCOMED": CALL HRT
EXIT SUB

END SUB

SUB PirateFlag
' *************************
' *                       *
' *  The ol' Jolly Roger  *
' *                       *
' *************************
'
PirateFlag:
'
'  Preserve original screen if possible
'
IF page = 1 THEN PCOPY 0, 1
'
'      Erase old flag, draw new one
'
REDIM d%(1 TO 200)
pf1 = 96: pf2 = 67

LINE (55, 128)-(55, 122), 0: PAINT (56, 123), 0, 0
LINE (pf1 - 2, pf2 + 3)-(pf1 - 2, pf2 + 21), 6         ' Flag pole
LINE (pf1 - 1, pf2 + 2)-(pf1 - 1, pf2 + 20), 6

pf2 = 85: GET (pf1, pf2)-(pf1 + 23, pf2 + 17), d%

GOSUB PirateFlag1
CALL Delay2
PUT (pf1, pf2), d%, PSET
'
'       Animate
'
FOR x = 85 TO 60 STEP -1
   pf2 = x
   GET (pf1, pf2)-(pf1 + 23, pf2 + 17), d%
   GOSUB PirateFlag1
   FOR y = 1 TO dly# / 4
      k$ = RIGHT$(INKEY$, 1)
      IF k$ <> "" THEN
        ex = 1: y = dly# / 4: x = 60: IF k$ = CHR$(32) THEN ex = 0
        PUT (pf1, pf2), d%, PSET
        GET (pf1, pf2)-(pf1 + 23, pf2 + 17), d%
      END IF
   NEXT
   PUT (pf1, pf2), d%, PSET
   IF ex = 1 THEN x = 60
NEXT
IF ex = 0 THEN GOSUB PirateFlag1: CALL Delay3
'
'  Copy original screen or re-draw
'
   IF page = 0 THEN CALL Eamon.Deluxe.Screen
   IF page = 1 THEN PCOPY 1, 0

EXIT SUB
'
'     Draw the flag
'
PirateFlag1:
LINE (pf1, pf2)-(pf1 + 20, pf2 + 14), 0, BF
LINE (pf1 + 4, pf2 + 2)-(pf1 + 23, pf2 + 17), 0, BF
DRAW "ta0bm" + STR$(pf1 + mode1 + 11) + "," + STR$(pf2 + mode2 + 2) + "c15"
DRAW "s4r4f1d3g3h3u3e1r2bf1g1f1r1e1h1l1g2l1h1e1r1f1bu1p15,15"
DRAW "bd2f1g1h1e1bd3p15,15e2g2h2"
DRAW "bg4u1r2bd1l2r3h1f3g2l3d1r2e3r2e2r3u1l2g3f3r2u1l3"
RETURN
END SUB

SUB SetScreen
'****************************************************
'*                                                  *
'* This sub finds the best graphics mode and checks *
'* available memory for best animation              *
'*                                                  *
'****************************************************
'
'  Make sure settings data is valid
'
ON ERROR GOTO WrongScreen
SCREEN mode

ON ERROR GOTO 0
CLS : mode1 = 0: mode2 = 0: mem = 1: page = 1

CheckStuff:
'
' Check memory for BoxDragon rtn.
'
ON ERROR GOTO SmallMem
mem = 1: REDIM d%(1 TO 7532)
'
' See if extra page is available to hide drawing on
'
ON ERROR GOTO SinglePage
page = 1: SCREEN mode, , , 1: SCREEN mode, , , 0
ON ERROR GOTO 0
'
'  Put SCREEN 9 in a box the size of SCREENs 1 & 7
'
IF mode = 9 THEN
  LINE (120 - 5, 50 - 4)-(319 + 5 + 120, 199 + 4 + 50), 5, BF
  VIEW (120, 50)-(319 + 120, 199 + 50), 7, 0
  WINDOW SCREEN (0, 0)-(319, 199)
  mode1 = 120: mode2 = 50
  IF page = 1 THEN PCOPY 0, 1
END IF
'
'  If possible, change CGA colors to look better
'
IF mode = 1 THEN
  ON ERROR GOTO PaletteError
  PALETTE 0, 4: PALETTE 1, 1: PALETTE 2, 2: PALETTE 3, 7
  ON ERROR GOTO 0
END IF
SCREEN mode: CLS
EXIT SUB
'
GKey:
PRINT : PRINT "Hit any key to continue...";
k$ = INKEY$
DO
LOOP UNTIL INKEY$ <> ""
RETURN
END SUB

SUB UFO
'*******************************************
'*                                         *
'*  Somebody had better call the X-Files!  *
'*                                         *
'*******************************************
'
' Initialize variable to hold 2 graphics and grab a chunk of sky
'
DIM d%(1 TO 226 * 2)
GET (0, 0)-(51, 15), d%(227)
'
'  DRAW a UFO, stash it in d% and replace sky
'
BodyColor = 4: WindowColor1 = 7: WindowColor2 = 15
LandingGear = -1: Outline = 0: x = mode1: y = mode2
GOSUB UFO1
GET (0, 0)-(51, 15), d%
PUT (0, 0), d%(227), PSET
'
'  Make UFO fly around
'
x = 0: y = 0: y1 = 5: x1 = 10

FOR ship = 1 TO 64
   GET (x, y)-(x + 51, y + 15), d%(227)
   PUT (x, y), d%, PSET
   FOR z = 1 TO dly# / 6: NEXT
   PUT (x, y), d%(227), PSET
   y = y + y1: IF y = 45 OR y = 0 THEN y1 = -y1
   x = x + x1: IF x = 140 OR x = 0 THEN x1 = -x1
   SOUND y * 100, .5
   k$ = RIGHT$(INKEY$, 1)
   IF k$ <> "" THEN
     ex = 1: ship = 64: IF k$ = CHR$(32) THEN ex = 0
     x = 80: y = 40
   END IF
NEXT
'
'  Position over castle
'
FOR x = 80 TO 40 STEP -5
   GET (x, y)-(x + 51, y + 15), d%(227)
   PUT (x, y), d%, PSET
   FOR z = 1 TO dly# / 6: NEXT
   PUT (x, y), d%(227), PSET
   y = y + 1: IF y = 48 THEN y = y - 1
   SOUND y * 100, .5
   k$ = RIGHT$(INKEY$, 1)
   IF k$ <> "" THEN
     ex = 1: x = 40: IF k$ = CHR$(32) THEN ex = 0
     x = 35: y = 47
   END IF
NEXT
PUT (35, 47), d%, PSET
'
'        Z A P !
'
'  p1-p3 are necessary adjustments for CGA mode
'
p1 = 14: p2 = 12: p3 = 4
IF mode = 1 THEN p1 = 2: p2 = 0: p3 = 1

CALL Delay1
FOR x = 1 TO 10
  LINE (50, 63)-(0, 110), p1: LINE (70, 63)-(240, 199), p1
  LINE (50, 63)-(70, 63), p1: PAINT (51, 65), p1, p1
  SOUND 170, .5
  LINE (55, 63)-(0, 150), p2: LINE (65, 63)-(200, 199), p2
  LINE (55, 63)-(65, 63), p2: PAINT (55, 65), p2, p2
  SOUND 150, .5
  LINE (60, 63)-(0, 190), p3: LINE (60, 63)-(170, 199), p3
  PAINT (60, 65), p3, p3
  SOUND 160, .5
  FOR z = 1 TO dly# / 250: NEXT
  LINE (50, 63)-(0, 110), 0: LINE (70, 63)-(240, 199), 0
  LINE (50, 63)-(70, 63), 0: PAINT (51, 65), p3, 0
  FOR z = 1 TO dly# / 250: NEXT
  SOUND 140, .5
  k$ = RIGHT$(INKEY$, 1)
  IF k$ <> "" THEN ex = 1: x = 10: IF k$ = CHR$(32) THEN ex = 0
NEXT
'
'  If possible, hide drawing on page 1
'
    IF page = 1 THEN PCOPY 0, 1: SCREEN mode, , 1, 0
'
'  Restore dragon and landscape
'
LINE (50, 63)-(0, 110), 1: LINE (70, 63)-(240, 199), 1
LINE (50, 63)-(70, 63), 1': PAINT (51, 65), 4, 1
LINE (0, 63)-(170, 160), 1, BF
'
'  An extra line to help out poor little CGA
'
    IF mode = 1 THEN LINE (0, 162)-(240, 199), 3, BF

dc9 = 1: dc10 = 1: dc11 = 1
CALL EamonDragon
LINE (0, 161)-(131, 161), 0
CALL LandScape(6, 1)

    IF page = 1 THEN PCOPY 1, 0: SCREEN mode, , 0, 0
'
'  UFO 'successfully flies off into the sunset.'
'
PUT (35, 47), d%(227), PSET
x = 35: y = 45
FOR x = 35 TO 115 STEP 10
   GET (x, y)-(x + 51, y + 15), d%(227)
   PUT (x, y), d%, PSET
   FOR z = 1 TO dly# / 6: NEXT
   PUT (x, y), d%(227), PSET
   y = y - 5
   SOUND y * 100, .5
   k$ = RIGHT$(INKEY$, 1)
   IF k$ <> "" THEN ex = 1: x = 125: IF k$ = CHR$(32) THEN ex = 0
NEXT
'
'  Restore screen
'
    IF page = 1 THEN PCOPY 0, 1: SCREEN mode, , 1, 0
CALL Eamon.Deluxe.Screen
    IF page = 1 THEN PCOPY 1, 0: SCREEN mode, , 0, 0
CALL Delay3
EXIT SUB

'************************************************
'*                                              *
'*  Here's a nifty routine of mine that draws   *
'*  a UFO in any spot, in any colors specified  *
'*                                              *
'************************************************
'
'    UFO is 52 x 16 without landing gear
'
UFO1:
DRAW "s4"
DRAW "bm" + STR$(x + 15) + "," + STR$(y + 8) + "c" + STR$(Outline)
DRAW "g1d2f1r22e1u2h1"
DRAW "u1r2f1r3f1r2 f1r1f3g1l1g1l45h1l1h1e3r1e1r2e1r3e1r3d1bg3bu1"
DRAW "p" + STR$(BodyColor) + "," + STR$(Outline) + "be4br1"
DRAW "c" + STR$(Outline) + "u1e4r1e1r6f1r1f4d1f1d1f1d2l22u2e1u1e1u1br13"
DRAW "p" + STR$(WindowColor1) + "," + STR$(Outline)
DRAW "c" + STR$(WindowColor2) + "r1u2h1l1d2f1bu1"
DRAW "p" + STR$(WindowColor2) + "," + STR$(WindowColor2)
IF LandingGear = -1 THEN RETURN
RETURN
END SUB

