' THE MARVELOUS WORLD OF EAMON DELUXE v5.0 ͻ
'                  by Frank Black Productions                    
'                                                                
'      Originally based upon the classic Eamon                   
'              computerized fantasy role-playing system          
'                                                                
'                                                                

'
' Copyright (C) 2013 Frank Black Productions
'
' This program is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

'
'  Make EDX database from source code
' (!!! doesn't work with multi-adventures !!!)
'                                     Update: 10 FEB 2005
'  Data must be in a text file in the following order:
'
'  Adventure name
'  #rooms, #artifacts, #effects, #monsters
'  # directions
'  # EDX version number
'                   [blank]
'  e[effect#]
'  effect
'                   [blank]
'  m[monster #]
'  mon name
'  mon. data
'  mon. desc
'                   [blank]
'  a[artifact #]
'  artifact name
'  art. data
'  art. desc
'                   [blank]
'  r[room #]
'  room name
'  room data
'  room desc
'
'       ------------ EXAMPLE ---------------
'Example Adventure
'1,1,1,1
'6
'
'e1
'This is effect #1
'
'm1
'Monster #1
'1,2,3,4,5,6,7,8,9,10,11,12,13
'You see monster #1!
'
'a1
'artifact #1
'1,2,3,4,5,6,7,8
'You see artifact #1.
'
'r1
'Room #1
'1,2,3,4,5,6,7 (if six-direction) or 1,2,3,4,5,6,7,8,9,10,11 (if 10-dir.)
'You are in room #1
'
'
'
'PRINT "MAKE-DB.BAS": PRINT
'PRINT "This creates Eamon Deluxe database files from a plain text file format. It is a"
'PRINT "quick and easy alternative to entering your rooms/monsters, etc. one at a time"
'PRINT "with the dungeon editor. My own personal tool and recommended for more advanced"
'PRINT "users. The source file has to be in a specific format and all data fields should"
'PRINT "be set to desired values and tripple checked (and spell checked) before using it"
'PRINT "to build your adventure."
'PRINT : GOSUB GetKey0: CLS
'
'PRINT "MAKE-SRC.BAS": PRINT
'PRINT "This program extracts the database from an existing Eamon Deluxe adventure and"
'PRINT "creates a plain file in Eamon Deluxe source code format. It can then be easily"
'PRINT "viwed and/or edited. The program MAKE-DB.BAS can be used to rebuild a new"
'PRINT "adventure from this source code."
'PRINT : GOSUB GetKey0: GOTO Menu

TYPE adv
   aname AS STRING * 78
   NUMBER AS INTEGER
END TYPE
DIM adv AS adv

'---------------------------------------------------------------------------
' Load design names
'
CHDIR "..": CHDIR "DD"
OPEN "DGNDIR.DAT" FOR INPUT AS #1: INPUT #1, d1, d2: CLOSE
IF d1 = 1 THEN
  CHDIR "..": CHDIR "DGN-1"
  OPEN "NAME.DAT" FOR INPUT AS #1
  INPUT #1, a, a, a, a, d1$
  CLOSE
  CHDIR "..": CHDIR "DD"
END IF
IF d2 = 1 THEN
  CHDIR "..": CHDIR "DGN-2"
  OPEN "NAME.DAT" FOR INPUT AS #1
  INPUT #1, a, a, a, a, d2$
  CLOSE
  CHDIR "..": CHDIR "DD"
END IF
'---------------------------------------------------------------------------
' Load adventure names
'
CHDIR ".."
OPEN "ADVENTRS" FOR RANDOM AS #2 LEN = 90
GET #2, 1, adv: numadv = adv.NUMBER: numadv1 = numadv
DIM an$(numadv + 2), anum(numadv + 2)
FOR a = 2 TO numadv + 1
   GET #2, a, adv: an$(a - 1) = LTRIM$(RTRIM$(adv.aname$))
NEXT
CLOSE : CHDIR "DD"
IF d1 = 1 THEN numadv = numadv + 1: an$(numadv) = d1$ + "  (Design 1)"
IF d2 = 1 THEN numadv = numadv + 1: an$(numadv) = d2$ + "  (Design 2)"

'---------------------------------------------------------------------------
' Change to proper directory
'
Start:
CLS : L = 0
PRINT "Select adventure to create."
FOR a = 1 TO numadv
   a$ = LTRIM$(RTRIM$(STR$(a))) + ": " + an$(a)
   PRINT a$
   L = L + 1
   IF L = 20 THEN
      PRINT "Hit any key to continue...";
      DO
      LOOP UNTIL INKEY$ <> ""
      L = 0
   END IF
NEXT
PRINT
LINE INPUT "Enter the number of your choice:"; a$
a = INT(VAL(a$))
IF a < 1 OR a > numadv THEN GOTO Start
a$ = LTRIM$(RTRIM$(STR$(a)))
ad$ = LEFT$("E000", 4 - LEN(a$)) + a$
IF a = numadv1 + 1 THEN ad$ = "DGN-1"
IF a = numadv1 + 2 OR (a = numadv1 + 1 AND d1 = 0) THEN ad$ = "DGN-2"
CHDIR "..": CHDIR ad$
'----------------------------------------------------------------------------
' Initialize variables for random access files
'
TYPE DESC
  text AS STRING * 255
END TYPE
DIM ds AS DESC

TYPE ROOM
  RNAME AS STRING * 79: d1 AS INTEGER: d2 AS INTEGER: D3 AS INTEGER
  D4 AS INTEGER: D5 AS INTEGER: D6 AS INTEGER: D7 AS INTEGER: D8 AS INTEGER
  D9 AS INTEGER: D10 AS INTEGER: LIGHT AS INTEGER
END TYPE
DIM rm AS ROOM

TYPE ARTIFACT
  aname AS STRING * 35: AD1 AS INTEGER: AD2 AS INTEGER: AD3 AS INTEGER
  AD4 AS INTEGER: AD5 AS INTEGER: AD6 AS INTEGER: AD7 AS INTEGER
  AD8 AS INTEGER
END TYPE
DIM Art AS ARTIFACT

TYPE MONSTER
  MNAME AS STRING * 35: MD1 AS INTEGER: MD2 AS INTEGER: MD3 AS INTEGER
  MD4 AS INTEGER: MD5 AS INTEGER: MD6 AS INTEGER: MD7 AS INTEGER
  MD8 AS INTEGER: MD9 AS INTEGER: MD10 AS INTEGER: MD11 AS INTEGER
  MD12 AS INTEGER: MD13 AS INTEGER
END TYPE
DIM Mon AS MONSTER

CLS : LINE INPUT "Name of TXT file to read?: "; f$
f$ = LTRIM$(RTRIM$(LCASE$(LEFT$(f$, 8))))
IF RIGHT$(f$, 4) <> ".txt" THEN f$ = f$ + ".txt"

OPEN "ROOMS.DAT" FOR RANDOM AS #1 LEN = 101
OPEN "ARTIFACT.DAT" FOR RANDOM AS #2 LEN = 51
OPEN "MONSTERS.DAT" FOR RANDOM AS #3 LEN = 61

OPEN "ROOMS.DSC" FOR RANDOM AS #11 LEN = 255
OPEN "ARTIFACT.DSC" FOR RANDOM AS #12 LEN = 255
OPEN "MONSTERS.DSC" FOR RANDOM AS #13 LEN = 255
OPEN "EFFECT.DSC" FOR RANDOM AS #14 LEN = 255

OPEN f$ FOR INPUT AS #10
LINE INPUT #10, adven$
INPUT #10, nr, na, ne, nm, nd, ver: INPUT #10, a$
DIM r$(nr), r%(nr, 11), a$(na), a%(na, 8), m$(nm), m%(nm, 13)
CLS
'
' Test file structure
'
Test:
IF ne < 1 THEN GOTO Test1
PRINT "Verifying effect #";
FOR a = 1 TO ne
   LOCATE CSRLIN, 27: PRINT a; "/"; ne;
   INPUT #10, a$
   IF VAL(MID$(a$, 2)) <> a THEN PRINT "Error reading effect #"; a: END
   LINE INPUT #10, a$: INPUT #10, a$
NEXT: PRINT
Test1:
PRINT : PRINT "Verifying monster #";
FOR a = 1 TO nm
   LOCATE CSRLIN, 27: PRINT a; "/"; nm;
   LINE INPUT #10, a$
   IF VAL(MID$(a$, 2)) <> a THEN PRINT "Error reading monster #"; a: END
   INPUT #10, a$
   FOR x = 1 TO 13: INPUT #10, xx: NEXT
   LINE INPUT #10, a$: INPUT #10, a$
NEXT
PRINT : PRINT "Verifying artifact #";
FOR a = 1 TO na
   LOCATE CSRLIN, 27: PRINT a; "/"; na;
   INPUT #10, a$
   IF VAL(MID$(a$, 2)) <> a THEN PRINT "Error reading artifact #"; a: END
   LINE INPUT #10, a$
   FOR x = 1 TO 8: INPUT #10, xx: NEXT
   LINE INPUT #10, a$: INPUT #10, a$
NEXT
PRINT : PRINT "Verifying room #";
FOR a = 1 TO nr
   LOCATE CSRLIN, 27: PRINT a; "/"; nr;
   INPUT #10, a$
   IF VAL(MID$(a$, 2)) <> a THEN PRINT "Error reading room #"; a: END
   LINE INPUT #10, a$
   FOR x = 1 TO nd + 1: INPUT #10, xx: NEXT
   LINE INPUT #10, a$: INPUT #10, a$
NEXT
CLOSE #10
CLS : PRINT : PRINT "Everything checks out.": PRINT : PRINT
PRINT "NR-"; nr; "  NA-"; na; "  NM-"; nm; "  NE-"; ne
PRINT : PRINT : INPUT "Hit Enter to continue..."; a$
CLS

OPEN f$ FOR INPUT AS #10
LINE INPUT #10, adven$
INPUT #10, nr, na, ne, nm, nd, ver: INPUT #10, a$

Eff:
IF ne < 1 THEN GOTO Mon
PRINT "Reading/Writing effect #";
FOR a = 1 TO ne
   LOCATE CSRLIN, 27: PRINT a; "/"; ne; "   ("; a; "/"; ne; ")";
   INPUT #10, a$
   LINE INPUT #10, a$: ds.text = a$: INPUT #10, a$
   PUT #14, a, ds
NEXT: PRINT
'
Mon:
FOR a = 1 TO nm
   INPUT #10, a$
   IF VAL(MID$(a$, 2)) <> a THEN PRINT "Error:  M"; a: END
   INPUT #10, m$(a)
   FOR m = 1 TO 13: INPUT #10, m%(a, m): NEXT
   LINE INPUT #10, a$: ds.text = LTRIM$(RTRIM$(a$)): INPUT #10, a$
   Mon.MNAME = m$(a): Mon.MD1 = m%(a, 1): Mon.MD2 = m%(a, 2)
   Mon.MD3 = m%(a, 3): Mon.MD4 = m%(a, 4): Mon.MD5 = m%(a, 5)
   Mon.MD6 = m%(a, 6): Mon.MD7 = m%(a, 7): Mon.MD8 = m%(a, 8)
   Mon.MD9 = m%(a, 9): Mon.MD10 = m%(a, 10): Mon.MD11 = m%(a, 11)
   Mon.MD12 = m%(a, 12): Mon.MD13 = m%(a, 13)
   PUT #3, a, Mon
   PUT #13, a, ds
NEXT: CLS
'
Art:
FOR a = 1 TO na
   LOCATE CSRLIN, 1: PRINT "Reading/Writing artifact #";
   LOCATE CSRLIN, 27: PRINT a; "/"; na; "   ("; a; "/"; na; ")";
   INPUT #10, a$
   IF VAL(MID$(a$, 2)) <> a THEN PRINT : PRINT "Error: A"; a: END
   INPUT #10, a$(a)
   FOR x = 1 TO 8: INPUT #10, a%(a, x): NEXT
   LINE INPUT #10, a$: ds.text = LTRIM$(RTRIM$(a$)): PUT #12, a, ds
   INPUT #10, a$
'
'  Put weapons on mons
'
'   ec = 0
'   FOR x = 1 TO nm
'    IF m%(x, 8) = a THEN a%(a, 4) = -x - 1: ec = ec + 1
'   NEXT
'   IF ec > 1 THEN
'     PRINT : PRINT "Error:Two monsters use this weapon.": INPUT a$
'   END IF
'   IF a%(a, 2) < 2 AND ec > 0 THEN
'     PRINT : BEEP
'     PRINT "Error: This is not a weapon, but mon#"; ABS(a%(a, 4) + 1);
'     PRINT "uses it as such.": INPUT a$
'   END IF
NEXT
'
Art2:
FOR a = 1 TO na
   Art.aname = a$(a): Art.AD1 = a%(a, 1): Art.AD2 = a%(a, 2)
   Art.AD3 = a%(a, 3): Art.AD4 = a%(a, 4): Art.AD5 = a%(a, 5)
   Art.AD6 = a%(a, 6): Art.AD7 = a%(a, 7): Art.AD8 = a%(a, 8)
   PUT #2, a, Art
NEXT: PRINT
'
Rooms:
FOR a = 1 TO nr
   LOCATE CSRLIN, 1: PRINT "Reading/Writing room#";
   LOCATE CSRLIN, 27: PRINT a; "/"; nr; "   ("; a; "/"; nr; ")";
   INPUT #10, a$
   IF VAL(MID$(a$, 2)) <> a THEN PRINT : PRINT "Error:  R"; a: END
   LINE INPUT #10, r$(a)
   FOR x = 1 TO nd: INPUT #10, r%(a, x): NEXT
   INPUT #10, r%(a, 11)
   LINE INPUT #10, a$: ds.text = LTRIM$(RTRIM$(a$))
   IF a < nr THEN INPUT #10, a$
   rm.RNAME = r$(a): rm.d1 = r%(a, 1): rm.d2 = r%(a, 2): rm.D3 = r%(a, 3)
   rm.D4 = r%(a, 4): rm.D5 = r%(a, 5): rm.D6 = r%(a, 6): rm.D7 = r%(a, 7)
   rm.D8 = r%(a, 8): rm.D9 = r%(a, 9): rm.D10 = r%(a, 10)
   rm.LIGHT = r%(a, 11)
   PUT #1, a, rm
   PUT #11, a, ds
NEXT
PRINT : PRINT "DONE!"
CLOSE

OPEN "NAME.DAT" FOR OUTPUT AS #1
  PRINT #1, nr, na, ne, nm: PRINT #1, adven$: PRINT #1, nd, ver, 1
CLOSE

ConvertDone:
PRINT : PRINT "[Hit any key to continue...]": k$ = INKEY$
DO
LOOP UNTIL INKEY$ <> ""
CHDIR "..": CHDIR "UTILS"
RUN "UMENU"

'
' Copyright (C) 2012  Frank Black Productions
'
' This program is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'