' THE MARVELOUS WORLD OF EAMON DELUXE v5.0 ͻ
'                  by Frank Black Productions                    
'                                                                
'      Originally based upon the classic Eamon                   
'              computerized fantasy role-playing system          
'                                                                
'            EAMON DELUXE 5.0 SOURCE CODE UTILITIES              
'                                                                
' By Frank Black                            Update: 13 JUN 2012  
'                                                                
' ALL NON-COMMERCIAL DISTRIBUTION ENCOURAGED ͼ

'
' Copyright (C) 2013 Frank Black Productions
'
' This program is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

'
'SOURCE FILE FORMAT
'  Adventure name
'  #rooms, #artifacts, #effects, #monsters
'  # directions
'  version #
'                   [blank]
'  e[effect#]
'  effect
'                   [blank]
'  m[monster #]
'  mon name
'  mon. data
'  mon. desc
'                   [blank]
'  a[artifact #]
'  artifact name
'  art. data
'  art. desc
'                   [blank]
'  r[room #]
'  room name
'  room data
'  room desc
'
'       ------------ EXAMPLE ---------------
'Example Adventure
'1,1,1,1
'6
'
'e1
'This is effect #1
'
'm1
'Monster #1
'1,2,3,4,5,6,7,8,9,10,11,12,13
'You see monster #1!
'
'a1
'artifact #1
'1,2,3,4,5,6,7,8
'You see artifact #1.
'
'r1
'Room #1
'1,2,3,4,5,6,7 (if six-direction) or 1,2,3,4,5,6,7,8,9,10,11 (if 10-dir.)
'You are in room #1
'

DECLARE SUB Paws ()
DECLARE SUB EDX.Select.Adventure (c, a$)
DECLARE SUB Make.Eamon.Deluxe.Source (ad$)
CHDIR "..\UTILS"

TYPE adv
   ANAME AS STRING * 78: NUMBER AS INTEGER
END TYPE
DIM SHARED adv AS adv

TYPE DESC
  text AS STRING * 255
END TYPE
DIM SHARED ds AS DESC

TYPE ROOM
  RNAME AS STRING * 79: d1 AS INTEGER: d2 AS INTEGER: D3 AS INTEGER
  D4 AS INTEGER: D5 AS INTEGER: D6 AS INTEGER: D7 AS INTEGER: D8 AS INTEGER
  D9 AS INTEGER: D10 AS INTEGER: LIGHT AS INTEGER
END TYPE
DIM SHARED rm AS ROOM

TYPE ARTIFACT
  ANAME AS STRING * 35: AD1 AS INTEGER: AD2 AS INTEGER: AD3 AS INTEGER
  AD4 AS INTEGER: AD5 AS INTEGER: AD6 AS INTEGER: AD7 AS INTEGER
  AD8 AS INTEGER
END TYPE
DIM SHARED Art AS ARTIFACT

TYPE MONSTER
  MNAME AS STRING * 35: MD1 AS INTEGER: MD2 AS INTEGER: MD3 AS INTEGER
  MD4 AS INTEGER: MD5 AS INTEGER: MD6 AS INTEGER: MD7 AS INTEGER
  MD8 AS INTEGER: MD9 AS INTEGER: MD10 AS INTEGER: MD11 AS INTEGER
  MD12 AS INTEGER: MD13 AS INTEGER
END TYPE
DIM SHARED Mon AS MONSTER

DIM SHARED dly#, CC1#, CC2#, CC3#, s%(10)
OPEN "SETTINGS.DAT" FOR INPUT AS #1
    INPUT #1, dly#, CC1#, CC2#, CC3#: FOR x = 1 TO 10: INPUT #1, s%(x): NEXT
CLOSE

DIM SHARED m(13)

c = 3: a$ = "UTILS"
CALL EDX.Select.Adventure(c, a$)
ad$ = a$: IF a$ = "" OR c = 0 THEN PRINT "None selected.": CALL Paws: RUN

CALL Make.Eamon.Deluxe.Source(ad$)
RUN "UMENU"

SUB EDX.Select.Adventure (c, a$)
'/// Eamon Deluxe Adventure Selection
'
' (Updated with VI Mode alternate numeric menu: 09 JAN 2012)
'
'   Codes passed to SUB:
'    c=0 - Start from EAMONDX directory
'    c=1 - Back up one directory before starting
'    c=2 - Start from EDX, load designs names also
'    c=3 - Back up one, load designs
'     a$ - Name of directory to return to, if a$ = "" then no return
'          is made
'
'   Codes returned from SUB:
'      c - Number of adventure selected (0=None, -1=Design 1, -2=Design 2)
'     a$ - Name of adventure directory
'
'  Required SHARED variables:
'          data type "adv"
'   s%() - Eamon Deluxe system settings. s%(4) = 1 is flag for VI Mode

'            Load adventure names
IF c = 1 OR c = 3 THEN CHDIR ".."
OPEN "ADVENTRS" FOR RANDOM AS #2 LEN = 90
   GET #2, 1, adv: numadv = adv.NUMBER: numadv1 = numadv
   REDIM advn$(numadv + 2)
   FOR x = 2 TO numadv + 1
      GET #2, x, adv
      advn$(x - 1) = LEFT$(LTRIM$(RTRIM$(adv.ANAME$)), 38)
   NEXT
CLOSE

'            Load design names
IF c = 2 OR c = 3 THEN
  CHDIR "dd"
    OPEN "DGNDIR.DAT" FOR INPUT AS #1: INPUT #1, d1, d2: CLOSE
  CHDIR ".."
  IF d1 = 1 THEN
    CHDIR "DGN-1"
      OPEN "NAME.DAT" FOR INPUT AS #1: INPUT #1, x, x, x, x, k$: CLOSE
      numadv = numadv + 1: advn$(numadv) = LEFT$(k$, 26) + "  (Design 1)"
    CHDIR ".."
  END IF
  IF d2 = 1 THEN
    CHDIR "DGN-2"
      OPEN "NAME.DAT" FOR INPUT AS #1: INPUT #1, x, x, x, x, k$: CLOSE
      numadv = numadv + 1: advn$(numadv) = LEFT$(k$, 26) + "  (Design 2)"
    CHDIR ".."
  END IF
END IF
'             Return to current directory
IF (c = 1 OR c = 3) AND a$ <> "" THEN CHDIR a$

' VI Mode Numeric Menu
GetAdvCVI:
IF s%(4) = 1 THEN
  CLS : L = 0: PRINT "Please select an adventure:"
  FOR c = 1 TO numadv
     a$ = LTRIM$(RTRIM$(STR$(c))) + ": " + advn$(c)
     IF c < 100 THEN a$ = " " + a$: IF c < 10 THEN a$ = " " + a$
     PRINT a$: L = L + 1
     IF L = 20 THEN
       PRINT "Hit any key to continue...";
       DO
       LOOP UNTIL INKEY$ <> ""
       L = 0
     END IF
  NEXT
  PRINT : LINE INPUT "Enter the number of your choice (0 to Exit):"; a$
  c = INT(VAL(a$))
  IF c < 0 OR c > numadv THEN CLS : GOTO GetAdvCVI
  IF c = 0 THEN a$ = "": k = 1: EXIT SUB
  k = 2: GOTO SelectADV2
END IF

' Standard Menu
keyz$ = CHR$(27) + CHR$(13) + CHR$(73) + CHR$(81) + CHR$(71) + CHR$(79)
keyz$ = keyz$ + CHR$(72) + CHR$(80) + CHR$(75) + CHR$(77)
min = VAL(MID$(TIME$, 4, 2)) - 2 '<-- Force time display

SelectADVa:
GOSUB SelectADV0

SelectADV:
IF c < be THEN c = en
IF c > en THEN c = be
x = ABS(c > be + 20): v = 3 + (c - be) - 21 * x: h = 2 + 39 * x
LOCATE v, h: COLOR 0, 3: PRINT advn$(c);

DO
  COLOR 7, 1
  IF VAL(MID$(TIME$, 4, 2)) <> min THEN
    hr = VAL(LEFT$(TIME$, 2)): min = VAL(MID$(TIME$, 4, 2))
    IF (hr = 0 OR hr = 24) AND min = 1 THEN GOSUB SelectADV0
    k = hr - 12 * ABS(hr > 12) + 12 * ABS(hr = 0): x = 52 - ABS(k > 9)
    LOCATE 25, x: COLOR 7, 1: PRINT SPACE$(13); : LOCATE 25, x
    PRINT "  "; STR$(k);
    PRINT MID$(TIME$, 3); " "; MID$("a.m.p.m.", 4 * ABS(hr > 12) + 1, 4);
  END IF
  LOCATE 25, 60: PRINT RIGHT$(TIME$, 2); : k$ = INKEY$
  k = INSTR(keyz$, RIGHT$(k$, 1)): IF k > 2 THEN k = k * ABS(LEN(k$) > 1)
LOOP UNTIL k$ <> "" AND k > 0

LOCATE v, h: COLOR 3, 0: PRINT advn$(c);

'         Set arguments and exit
SelectADV2:
IF k < 3 THEN
  k$ = LTRIM$(RTRIM$(STR$(c))): a$ = LEFT$("E000", 4 - LEN(k$)) + k$
  IF c = numadv1 + 2 OR (c = numadv1 + 1 AND d1 = 0) THEN a$ = "DGN-2": c = -2
  IF c = numadv1 + 1 THEN a$ = "DGN-1": c = -1
  IF k = 1 THEN c = 0: a$ = ""
  VIEW PRINT 1 TO 25: CLS : EXIT SUB
END IF

'          Pg up/down
IF k = 3 AND be > 1 THEN be = be - 42: GOTO SelectADVa
IF k = 4 AND en < numadv THEN be = be + 42: GOTO SelectADVa
'          Home/end
IF k = 5 THEN c = be
IF k = 6 THEN c = en
'         Up/down/left/right
IF k > 8 AND c < be + 21 AND c + 21 > en THEN k = k - 2
IF k = 7 THEN c = c - 1
IF k = 8 THEN c = c + 1
IF k = 9 THEN c = c - 21 + 42 * ABS(c < be + 21)
IF k = 10 THEN c = c + 21 - 42 * ABS(c > be + 21)
GOTO SelectADV

'       Set up screen
SelectADV0:
VIEW PRINT 1 TO 25: COLOR 7, 0: CLS : COLOR 7, 1
PRINT "    <Enter=Accept>    <Escape=Exit>    <Page Up/Page Down=More Options>         "
LOCATE 25, 1:
PRINT " <Use Arrow keys, Home, or End to select>"; SPACE$(29);
PRINT MID$(DATE$, 4, 2); "-"; : k = VAL(LEFT$(DATE$, 2)) - 1
PRINT MID$("JanFebMarAprMayJunJulAugSepOctNovDec", k * 3 + 1, 3); "-";
PRINT RIGHT$(DATE$, 2); : PRINT SPACE$(81 - POS(0)); : COLOR 3, 0
'       Display choices
SelectADV1:
IF be < 1 THEN be = 1
IF be > numadv THEN be = numadv
en = be + 41: IF en > numadv THEN en = numadv
VIEW PRINT 3 TO 23: CLS 2: v = 3: h = 2
FOR x = be TO en
   LOCATE v, h: PRINT advn$(x); : v = v + 1: IF v = 24 THEN v = 3: h = 41
NEXT
c = be: RETURN
END SUB

SUB Make.Eamon.Deluxe.Source (ad$)
' /// Make Eamon Deluxe Source Code file from Database
'     (Doesn't work with multi-adventures)
'
CLS : COLOR 15: PRINT "CREATING SOURCE FILE...": PRINT : COLOR 7
CHDIR "..\" + ad$: f$ = "EDX-SRC.TXT"

OPEN "NAME.DAT" FOR INPUT AS #1
    INPUT #1, nr, na, ne, nm, ANAME$, nd, ver, dungeons
CLOSE
IF dungeons > 1 THEN
  COLOR 14: PRINT "This is a multi-adventure database. You must first extract an individual"
  PRINT "adventure from it before you can create source code.": PRINT
  COLOR 7: GOTO ConvertDone
END IF

OPEN "ROOMS.DAT" FOR RANDOM AS #1 LEN = 101
OPEN "ARTIFACT.DAT" FOR RANDOM AS #2 LEN = 51
OPEN "MONSTERS.DAT" FOR RANDOM AS #3 LEN = 61
OPEN "ROOMS.DSC" FOR RANDOM AS #11 LEN = 255
OPEN "ARTIFACT.DSC" FOR RANDOM AS #12 LEN = 255
OPEN "MONSTERS.DSC" FOR RANDOM AS #13 LEN = 255
OPEN "EFFECT.DSC" FOR RANDOM AS #14 LEN = 255

OPEN f$ FOR OUTPUT AS #10
PRINT #10, ANAME$
PRINT #10, LTRIM$(RTRIM$(STR$(nr))); ","; LTRIM$(RTRIM$(STR$(na))); ",";
PRINT #10, LTRIM$(RTRIM$(STR$(ne))); ","; LTRIM$(RTRIM$(STR$(nm)))
PRINT #10, nd
PRINT #10, ver
PRINT #10, ""

Eff:
IF ne < 1 THEN GOTO Mon
PRINT "Reading/Writing effects...";
FOR a = 1 TO ne
   PRINT #10, "e" + LTRIM$(RTRIM$(STR$(a)))
   GET #14, a + e1, ds
   a$ = RTRIM$(ds.text)
   PRINT #10, a$
   PRINT #10, ""
NEXT
PRINT "Done!": PRINT

Mon:
IF nm < 1 THEN GOTO Art
PRINT "Reading/Writing monsters...";
FOR a = 1 TO nm
   GET #3, a, Mon
   GET #13, a, ds
   a$ = RTRIM$(ds.text)
   m$ = RTRIM$(Mon.MNAME): m(1) = Mon.MD1: m(2) = Mon.MD2: m(3) = Mon.MD3
   m(4) = Mon.MD4: m(5) = Mon.MD5: m(6) = Mon.MD6: m(7) = Mon.MD7
   m(8) = Mon.MD8: m(9) = Mon.MD9: m(10) = Mon.MD10: m(11) = Mon.MD11
   m(12) = Mon.MD12: m(13) = Mon.MD13
   PRINT #10, "m" + LTRIM$(RTRIM$(STR$(a)))
   PRINT #10, m$
   FOR m = 1 TO 12
      PRINT #10, LTRIM$(RTRIM$(STR$(m(m)))); ",";
   NEXT
   PRINT #10, LTRIM$(RTRIM$(STR$(m(13))))
   PRINT #10, a$
   PRINT #10, ""
NEXT
PRINT "Done!": PRINT

Art:
IF na < 1 THEN GOTO Rooms
PRINT "Reading/Writing artifacts...";
FOR a = 1 TO na
   GET #2, a, Art
   GET #12, a, ds
   a$ = RTRIM$(ds.text)
   m$ = RTRIM$(Art.ANAME): m(1) = Art.AD1: m(2) = Art.AD2: m(3) = Art.AD3
   m(4) = Art.AD4: m(5) = Art.AD5: m(6) = Art.AD6: m(7) = Art.AD7
   m(8) = Art.AD8
   PRINT #10, "a" + LTRIM$(RTRIM$(STR$(a)))
   PRINT #10, m$
   FOR m = 1 TO 7
      PRINT #10, LTRIM$(RTRIM$(STR$(m(m)))); ",";
   NEXT
   PRINT #10, LTRIM$(RTRIM$(STR$(m(8))))
   PRINT #10, a$
   PRINT #10, ""
NEXT
PRINT "Done!": PRINT
'
Rooms:
IF nr < 1 THEN GOTO ConvertDone
PRINT "Reading/Writing rooms...";
FOR a = 1 TO nr
   GET #1, a, rm
   GET #11, a, ds
   a$ = RTRIM$(ds.text)
   m$ = RTRIM$(rm.RNAME): m(1) = rm.d1: m(2) = rm.d2: m(3) = rm.D3
   m(4) = rm.D4: m(5) = rm.D5: m(6) = rm.D6: m(7) = rm.D7: m(8) = rm.D8
   m(9) = rm.D9: m(10) = rm.D10: m(11) = rm.LIGHT
  
   '-------------------------------------------------
   ' Use this code to append directions to room names
   '
   'd$ = "NSEWUD": f = 0
   'FOR x = 1 TO 6
   '   IF (m(x) > 0 AND m(x) <= nr) OR m(x) = -999 OR m(x) > 1000 THEN
   '     f = f + 1: IF f = 1 THEN m$ = m$ + " ("
   '     IF f > 1 THEN m$ = m$ + "/"
   '     m$ = m$ + MID$(d$, x, 1)
   '   END IF
   'NEXT
   'IF f > 0 THEN m$ = m$ + ")"
   '
   '-------------------------------------------------
  
   PRINT #10, "r" + LTRIM$(RTRIM$(STR$(a)))
   PRINT #10, m$
   FOR m = 1 TO nd
      PRINT #10, LTRIM$(RTRIM$(STR$(m(m)))); ",";
   NEXT
   PRINT #10, LTRIM$(RTRIM$(STR$(m(11))))
   PRINT #10, a$
   PRINT #10, ""
NEXT
PRINT "Done!": PRINT

ConvertDone:
CLOSE : CHDIR "..\UTILS"
COLOR 2: PRINT "Source file saved as: \EAMONDX\" + ad$ + "\" + f$: COLOR 7
PRINT : CALL Paws
END SUB

SUB Paws
PRINT : PRINT "[Hit any key to continue]"; : a$ = INKEY$
DO
LOOP UNTIL INKEY$ <> ""
END SUB
