'  This file contains the complete CGA and EGA/VGA tile set for the Eamon
'      Deluxe Graphic Main Hall in DATA statement format
'

'
' Copyright (C) 2013 Frank Black Productions
'
' This program is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'

ON ERROR GOTO Oopsey

TYPE shapetype
   s AS STRING * 132
END TYPE
DIM SHARED shaperec AS shapetype

RESTORE ShapeData
READ shapes, height%, shapewidth%, size%, screenmode
DIM shape%(1 TO shapes * size%)
CLS : z = 0
FOR x = 1 TO shapes
   LOCATE 10, 10: PRINT "Reading EGA tiles ...."; x; "/"; shapes
   FOR a = 1 TO size%: READ shape%(a + z): NEXT
   z = z + size%
NEXT

READ shapes1, height1%, shapewidth1%, size1%, screenmode1
DIM shape1%(1 TO shapes1 * size1%)
CLS : z = 0
FOR x = 1 TO shapes1
   LOCATE 10, 10: PRINT "Reading CGA tiles ...."; x; "/"; shapes1
   FOR a = 1 TO size1%: READ shape1%(a + z): NEXT
   z = z + size1%
NEXT


Main:
SCREEN screenmode: CLS
PRINT "Eamon Deluxe Graphic Main Hall"
PRINT
PRINT "  1. View EGA shapes"
PRINT "  2. View CGA shapes"
PRINT "  3. Save EGA shapes to SHP file"
PRINT "  4. Save CGA shapes to SHP file"
PRINT "  5. Quit"
PRINT
PRINT "Enter your choice:"; : k$ = INKEY$
DO
  k = INT(VAL(INKEY$))
LOOP UNTIL k > 0 AND k < 6
ON k GOTO ViewShapes, ViewShapes1, SaveShapes, SaveShapes1
RUN "UMENU1"

ViewShapes:
SCREEN 7: CLS
y = 0: x = 0
FOR z = 1 TO shapes
   PUT (x, y), shape%(size% * (z - 1) + 1)
   x = x + 18: IF x > 300 THEN x = 0: y = y + 22
NEXT
LOCATE 23: PRINT "Hit any key to continue...";
DO
LOOP UNTIL INKEY$ <> ""
GOTO Main

ViewShapes1:
SCREEN 1: CLS
y = 0: x = 0
FOR z = 1 TO shapes1
   PUT (x, y), shape1%(size1% * (z - 1) + 1)
   x = x + 18: IF x > 300 THEN x = 0: y = y + 22
NEXT
LOCATE 23: PRINT "Hit any key to continue...";
DO
LOOP UNTIL INKEY$ <> ""
GOTO Main


SaveShapes:
CLS : LINE INPUT "Name of new file to save as:"; f1$
IF LEN(f1$) > 12 THEN PRINT "Invalid file name.": END
IF LCASE$(RIGHT$(f1$, 4)) <> ".shp" THEN f1$ = LEFT$(f1$, 8) + ".shp"

OPEN f1$ FOR OUTPUT AS #1
WRITE #1, shapes, height%, shapewidth%, size%, screenmode
CLOSE #1

OPEN f1$ FOR RANDOM AS #1 LEN = 66 * 2
CLS : z = 0
FOR x = 1 TO shapes
   LOCATE 10, 10: PRINT "Writing ...."; x; "/"; shapes
   a$ = ""
   FOR a = 1 TO size%
      a$ = a$ + MKI$(shape%(a + z))
   NEXT
   z = z + size%: shaperec.s = a$: PUT #1, x + 1, shaperec
NEXT
CLOSE
LOCATE 24: PRINT "Hit any key to continue...";
DO
LOOP UNTIL INKEY$ <> ""
GOTO Main


SaveShapes1:
CLS : LINE INPUT "Name of new file to save as:"; f1$
IF LEN(f1$) > 12 THEN PRINT "Invalid file name.": END
IF LCASE$(RIGHT$(f1$, 4)) <> ".shp" THEN f1$ = LEFT$(f1$, 8) + ".shp"

OPEN f1$ FOR OUTPUT AS #1
WRITE #1, shapes1, height1%, shapewidth1%, size1%, screenmode1
CLOSE #1

OPEN f1$ FOR RANDOM AS #1 LEN = size1% * 2
FIELD #1, size1% * 2 AS x1$
z = 0: a$ = ""
FOR x = 1 TO shapes1
   a$ = ""
   FOR a = 1 TO size1%: a$ = a$ + MKI$(shape1%(a + z)): NEXT
   LSET x1$ = a$
   z = z + size1%: PUT #1, x + 1
NEXT
CLOSE
LOCATE 24: PRINT "Hit any key to continue...";
DO
LOOP UNTIL INKEY$ <> ""
GOTO Main

' Error catcher added Dec 2011
Oopsey:
RESUME OopseyDoodle
OopseyDoodle:
ON ERROR GOTO 0
SCREEN 0: CLS : COLOR 14
PRINT "Error occured. Hit any key to exit...": COLOR 7
k$ = INKEY$: k$ = ""
DO
  k$ = INKEY$
LOOP UNTIL k$ <> ""
RUN "UMENU1"

'          **************************
'          *    EGA/VGA tile set    *
'          **************************
ShapeData:
DATA  50 , 15 , 13 , 66 , 7
' Merchant/weapon guy
DATA 14,16,0,0,0,0,0,7,7,0,0,-32760,-32753,7,0,-32760,-32753,7,0,0,2,2,0,0,-16353,0,0,0,-24529,0,0,0,8231,8224,0,0,8226,8224,0,7,8231,8224,7,7,8224,8224,-32755,-32755,0,0,-32760,-32760,0,0,0,-32760,-32760,0,0,-16360,-16360,0,0,0,0,0
' Magician
DATA 14,16,7,7,7,7,-32753,-32753,-32753,-32753,-32760,-31736,-31729,-32753,0,1024,1031,7,7,1031,1031,7,-16353,1026,1026,2,-24529,1024,3200,2176,-28593,1024,1024,0,-32753,1024,1024,0,7,1024,1024,0,-32753,1024,1024,0,-32753,1024,1024,0,-32755
DATA 1024,1024,0,-32760,1024,1024,0,0,1024,-15336,0,0,0,0,0
' Witch
DATA 14,16,0,0,0,0,0,7,7,0,0,-32680,-32673,87,0,-32632,-32625,135,0,-32723,-32721,42,-3969,128,2176,-1793,-4009,40,40,-3969,28791,128,128,28919,28754,40,40,28794,12384,0,7,12384,12391,0,0,12391,-28593,0,0,-28593,-28593,0,0,-28593,-16353,0,0
DATA -16353,-16353,0,0,-16353,-32760,0,0,-32760
' Banker/casino
DATA 14,16,0,0,0,0,0,14,14,0,0,10,14,4,0,0,14,14,0,0,31,4,0,-32705,0,-32705,0,16479,-32736,16479,0,14,-16271,16462,0,4,-16261,16452,14,0,-16271,16462,31,0,-32736,31,27,0,-32732,27,27,0,-32732,27,0,27,-32705,0,0,-32709,-32709,0,0,0,0,0
' Blacksmith
DATA 14,16,7168,7168,7168,0,7182,7182,7182,14,27,2075,2079,31,17,2065,2079,31,0,0,6148,6148,0,2048,-6081,24576,0,0,95,0,0,0,78,64,0,0,68,64,0,14,78,64,0,14,78,64,0,27,27,0,0,17,17,0,0,0,0,17,0,0,0,-32719,0,0,0,0
' Burly Irishman
DATA 14,16,0,0,0,-32761,0,0,3,-16369,0,0,-32761,-32761,0,0,3,3,-4033,0,0,0,-8161,6240,0,0,-16369,7392,0,0,-32761,3264,0,0,3,0,3264,3264,0,0,3264,3267,0,-32761,0,0,0,-16372,0,0,0,-16372,0,0,0,-16372,0,0,0,0,0,-16372,0,0,0,-8164
' Trainer (armor)
DATA 14,16,0,-32761,-32761,0,0,-32761,-32761,0,0,-32761,-32761,0,0,3,3,0,0,-4033,0,0,0,-1921,6240,0,0,-8977,7392,0,0,-29497,3264,0,0,3267,3264,0,0,3267,3264,0,-32761,-32761,-32761,0,-16372,-16372,-16372,0,-16372,-16372,-16372,0,-16372,-16372
DATA -16372,0,-16372,-16372,-16372,0,0,0,0,-8164
' Trainer (weapons)
DATA 14,16,0,0,0,4,0,0,0,14,0,0,4,31,0,0,14,31,0,0,4,4,0,0,0,-16321,1024,1024,1024,16479,18496,18496,18496,14,20544,20544,20544,4,64,64,64,8206,16398,16398,16398,4160,27,27,27,0,17,17,17,0,0,0,0,17,0,0,0,-32719,0,0,0,0
' Player (w/o armor)
DATA 14,16,0,7,7,0,0,-16353,-16353,0,0,0,7,7,0,0,7,7,0,0,2,2,-16353,0,0,0,-24529,0,0,0,7,0,4160,4160,2,0,8224,8224,0,7,16407,16400,0,7,0,0,0,-32755,0,0,0,-32760,0,0,0,-32760,0,0,0,-16360,-16360,0,0,0,0,0
' Player (with armor)
DATA 14,16,0,0,0,2,0,0,0,7,0,0,2,-32753,2048,2048,2055,7,2048,2048,2050,2,2302,2048,2048,-16129,10370,10364,10364,-16129,130,7292,7292,-32513,198,56,2104,-30465,108,19,19,124,56,0,0,63,0,0,0,-32755,-16360,-16360,-16360,0,-16360,-16360,-16360
DATA 0,0,0,0,-8136,0,0,0,0
' Counter top
DATA 14,16,0,0,0,-769,0,0,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152
DATA -4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152
' Counter top
DATA 14,16,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033
DATA -4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152
' Counter top
DATA 14,16,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033,-4033,0,1152,-4033
DATA -4033,0,1152,-4033,-4033,0,1152,0,0,0,1152,0,0,0,-769
' Counter top
DATA 14,16,0,0,0,-769,0,0,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-4033,-4033,0,128
DATA -4033,-4033,0,1152
' Counter top
DATA 14,16,0,0,0,-769,0,0,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024
DATA -3841,-3841,0,1024,-4033,-4033,0,1024,-4033,-4033,0,1152
' Counter top
DATA 14,16,0,0,0,-769,0,0,0,0,-769,-769,0,0,-769,-769,0,0,-769,-769,0,0,-769,-769,0,0,-769,-769,0,0,-769,-769,0,0,-769,-769,0,0,-769,-769,0,0,-769,-769,0,0,-769,-769,0,0,-769,-769,0,0,-769,-769,0,0,0,0,0,0,0,0,0,-769
' Counter top
DATA 14,16,-4033,-4033,0,1152,-4033,-4033,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,-961,-961,0,128,0
DATA 0,0,128,0,0,0,-769
' Counter top
DATA 14,16,-4033,-4033,0,1152,-4033,-4033,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841,-3841,0,1024,-3841
DATA -3841,0,1024,-3841,-3841,0,1024,0,0,0,1024,0,0,0,-769
' Wall
DATA 14,16,-32640,-32640,-769,0,-32640,-32640,-769,0,-32640,-32640,-769,0,-769,-769,-769,0,2056,2056,-769,0,2056,2056,-769,0,2056,2056,-769,0,-769,-769,-769,0,-32640,-32640,-769,0,-32640,-32640,-769,0,-32640,-32640,-769,0,-769,-769,-769,0,2056
DATA 2056,-769,0,2056,2056,-769,0,2056,2056,-769,0,-769,-769,-769,0
' Floor
DATA 14,16,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,0,0,0,0,0,0,0,0,15614,0,15614,0,6,0,6,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0
' Table (left end)
DATA 14,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1017,-1017,0,0,-1009,-1009,0,0,-993,-993,0,0,-961,-961,0,0,0,0,0,0,54,54,0,0,48,48,0,0,48,48,0,0,48,48,0,0,0,0,0,0,0,0,0,0,0,0,0
' Table (middle)
DATA 14,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31999,31999,0,0,-770,-770,0,0,-771,-771,0,0,-773,-773,0,0,0,0,0,0,28699,28699,0,0,27,27,0,0,27,27,0,0,27,27,0,0,0,0,0,0,0,0,0,0,0,0,0
' Table (right end)
DATA 14,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-3841,-3841,0,0,-7937,-7937,0,0,-12033,-12033,0,0,-20225,-20225,0,0,12288,12288,0,0,-20479,-20479,0,0,-32767,-32767,0,0,-32767,-32767,0,0,-32767,-32767,0,0,0,0,0,0,0,0,0,0,0,0,0
' Sign
DATA 14,16,0,0,0,0,0,3,3,0,0,3,3,0,-4033,-4033,-4033,0,-4033,-4033,-4033,0,-4033,-4033,-4033,0,-4033,-4033,-4033,0,-4033,-4033,-4033,0,0,3,3,0,0,3,3,0,0,3,3,0,0,3,3,0,0,3,3,0,0,0,0,-8161,0,0,0,-1921,0,0,0,0
' Village wall
DATA 14,16,0,0,-4869,-4869,0,0,-4869,-4869,0,0,-32767,-32767,0,0,15596,15596,0,0,-17169,-17169,0,0,-17169,-17169,0,0,-17169,-17169,0,0,3310,3310,0,0,-4896,-4896,0,0,-8178,-8178,0,0,-834,-834,0,0,-834,-834,0,0,-834,-834,0,0,14,14,0,0,-4896,-4896
DATA 0,0,-4869,-4869
' Practice area wall
DATA 14,16,4100,4100,4100,-4869,4100,4100,4100,-4869,31998,31998,31998,-32767,-16365,-16365,-16365,15596,16400,16400,16400,-17169,16400,16400,16400,-17169,16400,16400,16400,-17169,-4079,-4079,-4079,3310,4127,4127,4127,-4896,7409,7409,7409,-8178
DATA 65,65,65,-834,65,65,65,-834,65,65,65,-834,-783,-783,-783,14,4127,4127,4127,-4896,4100,4100,4100,-4869
' Cauldron
DATA 14,16,0,4,4,4,0,8192,8192,8192,0,0,0,0,0,-32760,-32760,-32760,0,8192,8192,8192,0,34,34,34,0,0,0,0,0,2,2,2,0,0,0,16400,0,0,0,-8129,0,0,0,-3969,0,0,0,-3969,0,0,0,-8129,0,0,0,-16353,0,0,0,16402,0,0,0,8226
' $$$ bag
DATA 14,16,0,0,0,0,0,0,0,0,0,-8177,-8177,0,0,-32765,-32765,0,0,-32765,-32765,0,0,-32765,-32765,0,0,-8177,-8178,1,0,-4065,12316,-16381,0,-1985,-1990,5,0,-1985,30780,-32765,0,-1985,-18370,16385,0,-4065,28696,-32761,0,-8177,-8178,1,0,-16377,-16377
DATA 0,0,0,0,0,0,0,0,0
' Axe & bow
DATA 14,16,0,0,0,0,0,0,0,0,0,1024,1024,2064,68,1092,1092,4112,238,1262,1262,4112,238,1262,1262,8208,238,1262,1262,8208,-1980,-956,-956,16,0,1024,1024,8208,0,1024,1024,8208,0,1024,1024,4112,0,1024,1024,4112,0,1024,1024,2064,0,0,0,0,0,0,0,0,0
DATA 0,0,0
' Club, spear, sword
DATA 14,16,0,0,0,0,2,2,2,0,12295,12295,12295,0,12288,12288,12288,2,12288,12336,12336,2,12288,12408,12408,2,12288,12408,12408,2,12288,12408,12408,2,12288,12336,12336,2,0,48,48,-1022,0,48,48,12290,0,48,48,12290,0,48,48,12290,0,0,0,2,0,0,0,0,0
DATA 0,0,0
' Shield
DATA 14,16,0,0,0,0,0,0,0,0,0,0,0,0,-4033,-4033,-4033,0,2112,2112,-1921,0,2112,2112,-1921,0,2112,2112,-1921,0,2112,2112,-1921,0,2112,2112,-1921,0,4128,4128,-4033,0,8208,8208,-8161,0,16392,16392,-16369,0,-32764,-32764,-32761,0,3,3,3,0,0,0,0,0
DATA 0,0,0,0
' Bar stool
DATA 14,16,2,0,2,0,2,0,2,0,2,0,2,0,0,0,0,-8161,0,-8161,-8161,4128,0,-4033,-4033,2112,0,-4033,-4033,2112,0,-4033,-4033,2112,1152,-4033,-2881,2112,0,-4033,-4033,2112,0,-4033,-4033,2112,0,-8161,-8161,4128,0,0,0,-8161,2,0,2,0,2,0,2,0,2,0,2,0
' Anvil
DATA 14,16,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,0,0,0,0,0,0,0,-769,0,0,0,-1985,0,0,0,-4081,1248,0,1248,-4081,0,0,0,-4081,0,0,0,-2017,0,0,0,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0
' Slot machine
DATA 14,16,0,0,0,0,0,0,-32705,0,21,21,-16257,0,17493,17493,-6913,0,-31617,1088,25792,-32705,-31617,1088,25792,-32705,-15233,17472,25792,-32705,-11137,-11137,-2817,0,23616,23616,-769,0,20565,20565,-3841,0,16469,16469,-7937,0,0,0,-7937,0,-16257
DATA -16257,-7937,0,16448,-16257,-7937,0,0,-16288,-16288,0,0,-16288,-16288,0
' Table w/ crystal ball
DATA 14,16,-32761,-32761,-32761,0,-16369,-16369,-16369,0,-16369,-16369,-16369,0,-32761,-32761,-32761,0,3,-1012,-1012,0,-32761,30744,30744,0,-32761,29752,29752,0,-16369,11376,11376,0,0,-16129,-16129,0,0,0,0,0,0,-16168,-16168,0,0,-16192,-16192
DATA 0,0,-16192,-16192,0,0,0,0,0,0,0,0,0,0,0,0,0
' Table (middle section w/ spell book)
DATA 14,16,0,0,0,0,-1986,-1986,-1986,0,-30685,-30685,-30685,0,2081,2081,2081,0,2081,3297,3297,0,4113,7409,7409,0,-8177,-769,-769,0,0,-769,-769,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
' Magician  2
DATA 14,16,7,1031,1031,7,-32753,-31729,-31729,-32753,-32760,-31736,-31729,-32753,0,1024,1031,7,7,1031,3079,2055,-12257,1026,1026,2,-24529,1024,1024,0,-32689,1024,1024,0,-32721,1024,1024,0,7,1024,1040,16,-32753,1024,1024,0,-32753,1024,1024,0
DATA -32755,0,0,0,-32760,0,0,0,0,0,-16360,0,0,0,0,0
' Banker/casino  2
DATA 14,16,0,0,8192,8192,0,14,8206,8192,0,10,8206,8196,0,8192,14,8206,0,8192,31,8196,0,-16321,0,-16321,0,95,-32736,95,0,14,-32591,142,0,4,-32645,68,14,0,-32719,46,31,0,-32736,31,27,0,-32732,27,27,0,-32732,27,0,27,-32705,0,0,-32709,-32709,0,0
DATA 0,0,0
' Merchant/weapon guy 2
DATA 14,16,0,0,0,0,0,7,71,64,0,-32760,-32689,71,0,-32760,-32689,71,0,0,66,2,0,0,-8129,0,0,0,-28657,0,0,0,2055,2048,0,0,4098,4096,0,7,8199,8192,7,7,0,0,-32755,-32755,0,0,-32760,-32760,0,0,0,-32760,-32760,0,0,-16360,-16360,0,0,0,0,0
' Cauldron 2
DATA 14,16,0,1,1,1,0,-32768,-32768,-32768,0,2064,2064,2064,0,0,0,0,0,2,2,2,0,4096,4096,4096,0,34,34,34,0,0,0,0,0,0,0,16400,0,0,0,-8129,0,0,0,-3969,0,0,0,-3969,0,0,0,-8129,0,0,0,-16353,0,0,0,16402,0,0,0,8226
' Witch 2
DATA 14,16,0,0,0,0,0,7,7,0,0,-22520,-22513,10247,0,-15352,-15345,17415,0,-32755,-32753,2,-24449,21504,23680,-769,-3969,0,0,-3969,12407,17408,17408,29815,20594,10240,10240,30834,12384,0,7,12384,12391,0,0,12391,-28593,0,0,-28593,-28593,0,0,-28593
DATA -16353,0,0,-16353,-16353,0,0,-16353,-32760,0,0,-32760
' Blacksmith 2
DATA 14,16,0,0,0,0,14,14,14,14,27,27,31,31,17,17,31,31,0,0,4,4,0,0,-16321,16384,0,0,8287,8192,0,0,8270,8256,0,0,8260,8256,0,16398,24654,8256,0,8206,8270,64,0,4123,4123,0,1024,3089,3089,0,7168,7168,7168,17,6144,6144,6144,-32719,0,0,0,0
' Trainer (armor) 2
DATA 14,16,0,-32761,-32761,0,0,-29497,-29497,0,0,-29497,-29497,0,0,3267,3267,0,0,-769,3264,0,0,-769,7392,0,0,-10129,6240,0,0,-32761,0,0,0,3,0,0,0,3,0,0,-32761,-32761,-32761,0,-16372,-16372,-16372,0,-16372,-16372,-16372,0,-16372,-16372,-16372
DATA 0,-16372,-16372,-16372,0,0,0,0,-8164
' Trainer (weapons) 2
DATA 14,16,0,0,0,4,0,0,0,14,0,0,4,31,0,0,14,31,0,0,4,4,0,0,0,-16321,0,0,0,16479,16448,16448,16448,14,16448,16448,16448,4,64,64,64,24590,14,14,14,8256,27,27,27,28672,8209,8209,8209,0,8192,8192,8192,17,8192,8192,8192,-32719,0,0,0,0
' Fountain (left)
DATA 14,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1023,-1024,0,0,3,-1023,0,0,6,-1021,0,0,12,-1017,0,0,24,-1009,0,0,48,-993,0,0,96,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769
' Fountain (middle)
DATA 14,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-769,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769
' Fountain (right)
DATA 14,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,252,0,0,3,254,0,0,-32767,255,0,0,-16384,-32513,0,0,24576,-16129,0,0,12288,-7937,0,0,6144,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769
' Fountain w/ pedestal
DATA 14,16,2112,0,0,-4033,2112,0,0,0,2112,0,0,-8161,2112,0,0,-8161,2112,0,0,-2881,7392,0,0,-8161,7392,0,0,-8161,7392,5280,5280,-2881,7392,0,0,-8161,-769,0,0,0,-769,0,0,0,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769
' Statue of a balron
DATA 14,16,0,0,0,0,-32764,-32764,-32764,0,-32761,-32761,-32761,0,-28633,-28633,-28633,0,14451,14451,14451,0,-769,-769,-769,0,-769,-769,-769,0,-17161,-17161,-17161,0,-17161,-17161,-17161,0,15603,15603,15603,0,-17161,-17161,-17161,0,-25369,-25369
DATA -25369,0,-25372,-25372,-25372,0,-29500,-29500,-29500,24603,-15220,-15220,-15220,12339,0,0,0,-4033
' Fountain w/ pedestal 2
DATA 14,16,2112,0,0,-4033,2112,0,0,0,2112,0,0,-8161,2112,0,0,-8161,2112,0,0,-2881,7392,0,0,-8161,7392,0,0,-8161,7392,5280,5280,-2881,7392,2112,2112,-6049,-769,0,0,0,-769,0,0,0,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769,0,0,0,-769
'          **********************
'          *    CGA tile set    *
'          **********************
DATA  50 , 15 , 13 , 34 , 1
DATA 28,16,0,0,10752,0,-16640,128,-16640,128,3072,0,21761,80,21764,68,5388,12,1036,12,10764,12,16140,12,-3328,192,-16384,192,-32768,128,-32766,160,0,0

DATA 28,16,0,0,16128,0,16128,8192,16128,8192,3072,8192,23809,8272,21956,-8124,21776,8257,21760,8256,10752,8192,21760,8256,21760,8256,20736,8256,-32768,8320,-32766,8352,0,0

DATA 28,16,0,0,10752,0,-16589,128,-16448,128,-20980,128,21975,-16299,21789,85,5591,21,1053,21,10772,5,5396,5,21776,65,21776,65,21761,80,21761,80,-32768,128

DATA 28,16,0,0,-1024,0,-1024,0,-1024,0,-17918,0,21765,64,21785,144,22042,144,-26054,176,-454,176,21769,128,25865,128,25865,128,25865,128,-12529,192,0,0

DATA 28,16,0,-24574,-22528,-24574,-510,-32768,-510,-32768,12288,-16381,21765,-32644,21777,0,21552,0,4144,0,-22480,0,-22480,0,-30206,0,514,0,771,0,783,192,0,0

DATA 28,16,16128,192,-256,240,16128,192,3840,0,21765,85,21801,-32682,21928,-24494,5536,-24512,1520,-4096,4080,-4096,10752,128,-24576,160,-24576,160,-24576,160,-4096,240,-4093,252

DATA 28,16,16128,192,16128,192,16128,192,3840,0,-22006,170,-21954,-16213,-21764,-3933,10992,-3968,2800,-4096,2800,-4096,10752,128,20480,80,20480,80,20480,80,20480,80,-24574,168

DATA 28,16,8192,0,-22528,0,-17918,0,-510,0,12288,0,-22006,160,-21982,8224,-22512,-32752,8208,18,-22512,8,21536,34,17665,0,257,0,514,0,522,128,0,0

DATA 28,16,10752,0,-22014,160,16128,0,16128,0,3072,0,21761,80,21764,68,5424,3,1036,12,10755,48,10752,0,-24064,128,-32768,128,-32768,128,-32766,160,0,0

DATA 28,16,1024,0,5376,0,23808,64,16128,-32768,3072,-32768,-22102,-32688,22933,-32680,22933,-24510,27045,-16320,-21975,0,-27382,0,20736,64,-32766,160,-32766,160,-16369,252,0,0

DATA 28,16,-21846,-24406,128,8192,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277

DATA 28,16,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277

DATA 28,16,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,21893,8277,128,8192,-21846,-24406

DATA 28,16,-21846,-24406,128,0,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,85,21893,8277

DATA 28,16,-21846,-24406,0,8192,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21765,8277,21893,8277

DATA 28,16,-21846,-24406,0,0,21845,20565,21845,20565,21845,20565,21845,20565,21845,20565,21845,20565,21845,20565,21845,20565,21845,20565,21845,20565,21845,20565,21845,20565,0,0,-21846,-24406

DATA 28,16,21893,8277,21893,85,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,21893,20565,128,0,-21846,-24406

DATA 28,16,21893,8277,21765,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,21845,8277,0,8192,-21846,-24406

DATA 28,16,-21910,-24470,-21910,-24470,-21910,-24470,21845,20565,27306,24746,27306,24746,27306,24746,21845,20565,-21910,-24470,-21910,-24470,-21910,-24470,21845,20565,27306,24746,27306,24746,27306,24746,21845,20565

DATA 28,16,2048,0,2048,0,2048,0,2048,0,2048,0,2048,0,0,0,0,0,-22358,-24566,10240,0,2048,0,2048,0,2048,0,2048,0,2048,0,2048,0

DATA 28,16,0,0,0,0,0,0,0,0,5376,20565,21760,20565,21761,20565,21765,20565,0,0,5125,0,5,0,5,0,5,0,0,0,0,0,0,0

DATA 28,16,0,0,0,0,0,0,0,0,21845,20501,21589,20565,20821,20565,17749,20565,0,0,17665,21,17665,0,17665,0,17665,0,0,0,0,0,0,0

DATA 28,16,0,0,0,0,0,0,0,0,21845,85,21845,84,21845,81,21845,69,0,5,256,69,256,64,256,64,256,64,0,0,0,0,0,0

DATA 28,16,0,0,2560,0,2560,0,-241,255,-241,255,-241,255,-241,255,-241,255,2560,0,2560,0,2560,0,2560,0,2560,0,-22014,168,-21974,-32598,0,0

DATA 28,16,17749,20564,17749,20564,256,64,20564,20485,21844,20549,21844,20549,21844,20549,21588,20480,84,20564,21504,84,21573,20565,21573,20565,21573,20565,21504,0,84,20564,17749,20564

DATA 28,16,-12289,-3844,-12289,-3844,768,192,-3844,-4081,-4,-3889,-4,-3889,-4,-3889,-772,-4096,252,-3844,-1024,252,-817,-3841,-817,-3841,-817,-3841,-1024,0,252,-3844,-12289,-3844

DATA 28,16,4096,0,0,4,0,0,16384,64,0,4,1028,0,0,0,1024,0,2,32,-22006,168,-21974,170,-21974,170,-22006,168,-22014,160,2050,32,2056,8

DATA 28,16,0,0,0,0,21760,84,1280,64,1280,64,1280,64,22016,84,23041,165,26117,16469,23045,16533,22021,16485,27137,149,22016,84,5376,80,0,0,0,0

DATA 28,16,0,0,0,0,2,-8192,12338,8195,-770,8195,-770,8204,-770,8204,12338,24661,2,8204,2,8204,2,8195,2,8195,2,-8192,0,0,0,0,0,0

DATA 28,16,0,0,1024,0,5376,15,3072,15,3082,15,-29654,15,-29654,15,-29654,15,3082,15,3082,-24406,3082,10,3082,10,3082,10,3072,0,0,0,0,0

DATA 28,16,0,0,0,0,0,0,-22006,170,21797,-32683,21797,-32683,21797,-32683,21797,-32683,21797,-32683,21769,86,21762,88,-27392,96,9472,128,2560,0,0,0,0,0

DATA 28,16,2048,0,2048,0,2048,0,21761,84,-22010,169,-21990,16554,-21990,16554,-21990,16554,-21862,24746,-21990,16554,-21990,16554,-22010,169,21761,84,2048,0,2048,0,2048,0

DATA 28,16,2048,0,2048,0,2048,0,2048,0,0,0,21845,20565,21765,16469,21760,85,21928,8277,21760,85,21761,16469,0,0,2048,0,2048,0,2048,0,2048,0

DATA 28,16,0,0,-22006,128,-30680,160,-30584,4232,21893,4200,21893,4200,21893,4168,128,4105,-21878,20617,-30584,137,-30584,136,-21846,168,21909,88,21909,88,20,80,20,80

DATA 28,16,16128,192,-256,240,-256,240,16128,192,23040,20565,27137,16533,27141,4245,-21995,20644,21845,80,0,0,16465,80,80,80,80,80,0,0,0,0,0,0

DATA 28,16,0,0,-22518,-32598,2568,-32640,520,-32768,600,-28672,602,-28670,-21930,20650,21845,20565,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

DATA 28,16,0,8192,16128,8192,16128,8192,16128,8192,3072,-8192,21761,8273,21764,8260,21776,8256,21764,8256,10755,8192,21760,8256,21760,8256,20736,64,-32768,128,-32766,160,0,0

DATA 28,16,0,12,-1024,12,-1024,12,-1024,12,-17918,4,21765,80,21785,128,22218,128,-26054,128,-498,128,21769,128,25865,128,25865,128,25865,128,-12529,192,0,0

DATA 28,16,0,0,10800,0,-16592,128,-16592,128,3088,0,21765,84,21760,65,5376,-16384,1024,3,10752,12,16128,0,-3328,192,-16384,192,-32768,128,-32766,160,0,0

DATA 28,16,256,0,0,64,1,16384,0,0,1024,0,0,1,1028,0,0,0,2,32,-22006,168,-21974,170,-21974,170,-22006,168,-22014,160,2050,32,2056,8

DATA 28,16,0,0,10752,0,-16640,-16244,-16640,12464,-20992,128,21973,28791,21781,85,5397,12317,1045,-16363,10772,5,5396,5,21776,65,21776,65,21761,80,21761,80,-32768,128

DATA 28,16,0,0,-22528,0,-510,0,-510,0,12288,0,21765,112,21777,12,21552,12,4144,12,-22480,44,-22480,8,-30206,2,514,-24576,771,-24574,783,-32574,0,0

DATA 28,16,16128,192,16368,-3904,16368,-3904,4080,-4096,-21766,-3926,-21762,-3925,-21956,-16221,10752,128,2560,0,2560,0,10752,128,20480,80,20480,80,20480,80,20480,80,-24574,168

DATA 28,16,8192,0,-22528,0,-17918,0,-510,0,12288,0,-22006,160,-21982,16,-22512,16,8208,16,-22512,40,21536,8,17665,42,257,8,514,8,522,136,0,0

DATA 28,16,0,0,0,0,0,0,0,0,512,-24406,2560,20565,10496,20565,-23296,20565,-27390,20565,21770,20565,21801,20565,-21846,-24406,-21846,-24406,-21846,-24406,-21846,-24406,-21846,-24406

DATA 28,16,0,0,0,0,0,0,0,0,-21846,-24406,21845,20565,21845,20565,21845,20565,21845,20565,21845,20565,21845,20565,-21846,-24406,-21846,-24406,-21846,-24406,-21846,-24406,-21846,-24406

DATA 28,16,0,0,0,0,0,0,0,0,-22358,0,23125,0,22101,128,21845,160,21845,104,21845,90,21845,-32682,-21846,-24406,-21846,-24406,-21846,-24406,-21846,-24406,-21846,-24406

DATA 28,16,-21990,16554,16,16384,-21998,16552,-21998,16552,-21862,24746,-21930,20649,-21930,20649,-21794,28843,-21930,20649,21845,20565,21845,20565,-21846,-24406,-21846,-24406,-21846,-24406,-21846,-24406,-21846,-24406

DATA 28,16,0,0,12288,192,16128,192,16140,195,3903,-16369,-1,-3841,-1,-3841,16383,-3889,16383,-3889,4095,-4081,16383,-3889,16380,-3901,12540,-3901,-17678,-3864,-1334,12538,-22006,170

DATA 28,16,-21990,16554,16,16384,-21998,16552,-21998,16552,-21862,24746,-21930,20649,-21930,20649,-21794,28843,-21898,-12119,21845,20565,21845,20565,-21846,-24406,-21846,-24406,-21846,-24406,-21846,-24406,-21846,-24406

